var detail = new Vue({
	el: '#detail',
	data: {
		news: []
	}
});
//获取url中的id参数
var params = getUrlParams();
var detailId = params.id?params.id:"";
$.ajax({
	type: "get",
	url: "http://api.xnzb.org.cn/api-content/news/get",
	dataType: 'json',
	async: true,
	data: {
		token: '',
		id: detailId
	},
	success: function(data) {
		detail.news = data.data.news;
		document.title = data.data.news.title;
		var description = data.data.news.content.substring(0,500);
//		description = description.replace(html, "<[^>]*>", "");
		description = description.replace(/[^\u4e00-\u9fa5]/gi,"");
		description = description.replace(/微软雅黑/g,"");
		description = description.replace(/宋体/g,"");
		document.getElementsByTagName("meta")[2]["content"] = description;
		console.log(document.getElementsByTagName("meta")[2]["content"]);
	}
});
function getUrlParams() {
	var resultObj = {};
	var params = window.location.search.substr(1);
	if (params.length > 0 ) {
		var kvs = params.split("&");
		for (var str in kvs) {
			var j = kvs[str].split("=");
			resultObj[j[0]] = j[1];
		}
	}
	return resultObj;
}
/*function iosOrAndroid() {
	var userAgent = navigator.userAgent; //浏览器标识
	if(userAgent.indexOf("Android") > -1) {
		//android
		location.href = "#";
	} else if(userAgent.indexOf("iPhone") > -1 || userAgent.indexOf("iPad") > -1) {
		//IOS
		location.href = "https://itunes.apple.com/cn/app/%E6%96%B0%E5%86%9C%E7%9B%B4%E6%8A%A5/id1156372182?mt=8";
	} else {
		//PC电脑
		location.href = "#";
	}
}*/

window.onload = function(){
	if(isWeiXin()){
		document.getElementById('shadow').style.display = 'block';
	}
}
function hide(){
	document.getElementById('shadow').style.display = 'none';
}
function isWeiXin(){
    var ua = window.navigator.userAgent.toLowerCase();
    if(ua.match(/MicroMessenger/i) == 'micromessenger'){
        return true;
    }else{
        return false;
    }
}
function iosOrAndroid(){
	var userAgent = navigator.userAgent; //浏览器标识
	if((userAgent.indexOf("Android") > -1)){
		//android
		location.href="http://a.app.qq.com/o/simple.jsp?pkgname=com.qswteck.appstore.AgricultureClient";
	}else if((userAgent.indexOf("iPhone") > -1 || userAgent.indexOf("iPad") > -1)){
		//IOS
		location.href="https://itunes.apple.com/cn/app/%E6%96%B0%E5%86%9C%E7%9B%B4%E6%8A%A5/id1156372182?mt=8";
	}else{
		//PC电脑
		location.href="#";
	}
}
