mui.init();
var files = [];
var i = 1;
var index = 1;
var userImgSrc = null;
var wt = null;
var imgWidth, imgHeight, leftpos, toppos,curentIndex;
function photograph(e,index,muiId) {
	curentIndex = index;
	var taht = $(e.target);
	imgs = taht.children('img');
	chagePop(taht);
	//选择拍照或相册
	function chagePop(element) {
		var bts = [{
			title: "拍照",
			action: 'camera'
		}, {
			title: "从相册选取",
			action: 'gallery'
		}];
		plus.nativeUI.actionSheet({
				cancel: "取消",
				buttons: bts
			},
			function(e) {
				if(e.index > 0) {
					switch(bts[e.index - 1].action) {
						case 'camera':
							getImage(element);
							break;
						case 'gallery':
							galleryImg(element);
							break;
						default:
							break;
					}
				}
			}
		);
	}
	//点击拍照执行
	function getImage() {
		var cmr = plus.camera.getCamera();
		cmr.captureImage(function(p) {
			plus.io.resolveLocalFileSystemURL(p,
				function(entry) {
					plus.zip.compressImage({
						src: entry.toLocalURL(), //search.src, //src在这里是第一步Url里的src。也就是本地路径
						dst: '_doc/a.jpg',
						quality:50,
						overwrite: true,
						clip: {
							top: toppos + "px",
							left: leftpos + "px",
							width: imgWidth + "px",
							height: imgWidth + "px"
						}
					}, function(e) {
						if(imgWidth > 320) {
							plus.zip.compressImage({
								src: e.target,
								dst: "_doc/a.jpg",
								overwrite: true,
								width: "320px" // 缩小到原来的一半
							}, function(e) {
								var evjs = getpath(e.target);
								evalJS(evjs);
							}, function(error) {
								alert("Compress error!");
							});
						} else {
							var fat = plus.webview.currentWebview();
							var evjs = getpath(e.target);
							fat.evalJS(evjs);
						}
					}, function(e) {
						console.log(JSON.stringify(e, null, ""));
					});
				},
				function(e) {
					plus.nativeUI.alert("读取拍照文件错误：" + e.message);
				});
		}, function(e) {
			alert("失败：" + e.message);
		}, {
			filename: "_doc/header/pic_" + new Date().getTime() + ".jpg",
			index: i
		});
	}
	// 从相册中选择图片
	function galleryImg(obj) {
		plus.gallery.pick(function(path) {
			plus.zip.compressImage({
				src: path, //search.src, //src在这里是第一步Url里的src。也就是本地路径
				dst: '_doc/a.jpg',
				quality:50,
				overwrite: true,
				clip: {
					top: toppos + "px",
					left: leftpos + "px",
					width: imgWidth + "px",
					height: imgWidth + "px"
				}
			}, function(e) {
				if(imgWidth > 320) {
					plus.zip.compressImage({
						src: e.target,
						dst: "_doc/a.jpg",
						overwrite: true,
						width: "320px" // 缩小到原来的一半
					}, function(e) {
						var evjs = getpath(e.target);
						evalJS(evjs);
					}, function(error) {
						alert("Compress error!");
					});
				} else {
					var fat = plus.webview.currentWebview();
					var evjs = getpath(e.target);
					fat.evalJS(evjs);
				}
			}, function(e) {
				console.log(JSON.stringify(e, null, ""));
			});
		}, function(e) {}, {
			filter: "image",
			filename: '_doc/header/pic_' + new Date().getTime() + '.jpg'
		});
	}
	//获取图片路径
	function getpath(paths) {
		files = [];
		files.push({
			name: "files[]",
			path: paths
		});
		index++;
		uploadHeaderImg();
	}
	//上传图片
	function uploadHeaderImg() {
		var server = xnzbUrl + '/api-image/v1/uploadFileByH5Plus';
		wt = plus.nativeUI.showWaiting('上传中...', {
			width: '100px'
		});
		var task = plus.uploader.createUpload(server, {
				method: "POST"
			},
			function(t, status) { //上传完成
				if(status == 200) {
					var str = JSON.parse(t.responseText);
					var gridData = xnzbImg + str.data.path;
					muiId[curentIndex - 1].setAttribute('src', gridData);
					muiId[curentIndex - 1].setAttribute('class', 'indexImg img1');
					plus.storage.setItem('imgPath',str.data.path) ;
					mui.toast("图片上传成功!");
					wt.close();
				} else {
					mui.toast("图片上传失败!");
					wt.close();
				}
			}
		);
		for(var i = 0; i < files.length; i++) {
			var f = files[i];
			userImgSrc = f.path;
			task.addFile(f.path, {
				key: f.name
			});
		}
		task.start();
	}
}