var count=1;
var token;
var isreload;//标识是否是重新加载页面，控制弹框显示
//首页资讯分页相关
var pageindex=1,//当前页
	loadeddata=false, //标识加载政策资讯是否完成了。 用于首页滚动到底部会多次触发的判断。只有数据加载完成了，再次滚动到底部时触发
	hasnextpage=true;//是否有下一页数据了

var geo_province="";
var geo_city="";
var geo_district="";

var popstatus=0;//标识地址改变弹框弹出状态，1：不需要弹出，2：已弹出，3：关闭了
var pop_tx_status=0;//标识贴息弹框弹出状态，1：不需要弹出，2：已弹出，3：关闭了
var pop_bt_status=0;//标识补贴弹框弹出状态，1：不需要弹出，2：已弹出，3：关闭了

mui.plusReady(function() {
	token = plus.storage.getItem('token');
	token=token?token:'';
	geo_province = plus.storage.getItem('geo_province');
	geo_city = plus.storage.getItem('geo_city');
	geo_district = plus.storage.getItem('geo_district');
	//creatsubject();
    getGeocode();
	//监听自定义事件
	document.addEventListener('position', function(event) {
		var Isposition = event.detail.Isposition;
		if(Isposition == 0) {
			loadeddata=false;//控制数据正在加载
			pageindex=1;//当前页数
			hasnextpage=true;
			isreload = 1;
			//creatsubject();
			geo_province = plus.storage.getItem('geo_province');
			geo_city = plus.storage.getItem('geo_city');
			geo_district = plus.storage.getItem('geo_district');
			getList(geo_province, geo_city, geo_district);
		}
	});
	loadTXdialog();
	loadBTdialog();
	//定时刷新政策新闻(每隔3分钟刷新一次)
	// setInterval(function () {
	// 	isreload = 1;
	// 	creatsubject();
	// },180000);
});
//政策焦点滚动
var zcjdIndex = new Vue({
	el: '#myscroll',
	data: {
		zcjdIndexData: []
	}
});
var policyIndex = new Vue({
	el: '#policyIndex',
	data: {
		policyIndexData: [],
		toFixed:'toFixed(2)'
	}
});
function creatsubject() {
	popstatus=1;
	if(token) {
		ajax(xnzbUrl + '/api-account/getUserStatus', {
			data: {
				token: token
			},
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			success: function(data) {
				if(!data.code) {
					isFarm = data.data.isFarm; //是否创建主体
					if(isFarm == 1) {
						ajax(xnzbUrl + '/api-report/report/myFarm.json', {
							data: {
								token: token
							},
							dataType: 'json',
							type: 'POST',
							timeout: 10000,
							success: function(data) {
								sheng = data.data.province;
								shi = data.data.city;
								xian = data.data.district;
								getList(sheng,shi,xian,data.data.businessType);
							},
							error: function(xhr, type, errorThrown) {
								//mui.toast('网络繁忙，请稍后重试！');
                                //失败，则获取全国信息
                                getList();
							}
						});
					} else {
                        //未创建主体，则获取全国信息
                        getList();
					}
				} else {
					mui.toast(data.msg);
                    //失败，则获取全国信息
                    getList();
				}
			},
			error: function(xhr, type, errorThrown) {
				//mui.toast('网络繁忙，请稍后重试！');
                //失败，则获取全国信息
                getList();
			}
		});
	} else {
		//未登陆，则获取全国信息
        getList();
	}
	//未获取到定位，则将定位地址清空
	plus.storage.setItem('geo_province_gps', "");
	plus.storage.setItem('geo_city_gps', "");
	plus.storage.setItem('geo_district_gps', "");
}
//获取地理位置信息
function geoInf(position) {
	if(plus.os.name == "iOS") {
		getAddress(position.coords.longitude + "," + position.coords.latitude);
	} else {
		var province_now=position.address.province;
		var city_now=position.address.city;
		var district_now=position.address.district;
		if(geo_province){
		    //比较本次定位和当前加载数据的位置是否有变化
            checklocation(province_now,city_now,district_now);
		}
		else {
		    //本地未存储位置信息，则先存储。
            getList(province_now, city_now, district_now);
			popstatus=1;
        }

        //存储当前位置(GPS获取到的)，geo_province存储的是获取数据的城市（可自行切换）， geo_province_now只存储当前定位的城市，
        plus.storage.setItem('geo_province_gps', province_now);
        plus.storage.setItem('geo_city_gps', city_now);
        plus.storage.setItem('geo_district_gps', district_now);
	}
}
//根据省市区获取政策信息列表
function getList(province, city, district) {
	var str = "";
	str += "省：" + province + "\n";
	str += "市：" + city + "\n";
	str += "县：" + district + "\n";
	console.log(str);
	first = province;
	second = city;
	third = district;
	var data = {
		pageNo: pageindex,
		pageSize: 10,
		keyword: '',
		type: 1,
		token:token
	};
	if (first) {
		data["province"] = first;
		data["city"] = second;
		data["district"] = third;
	}
	else {
		first="";
		second="";
		third="";
	}
	//存储获取数据的城市
    plus.storage.setItem('geo_province', first);
    plus.storage.setItem('geo_city', second);
    plus.storage.setItem('geo_district', third);
    //将当前城市显示在左上角落
    var showlevel= plus.storage.getItem('geo_level');//显示层级，1：省，2市，3区县
	var showcname="";
    if(showlevel==3){
        showcname=plus.storage.getItem('geo_district');
        if(!showcname){
            showcname=plus.storage.getItem('geo_city');
        }
    }
    else {
		showcname = plus.storage.getItem('geo_city');
		if (showcname == '市辖区' || showcname == '市辖县') {
			showcname = first;
		}
	}
	if(!showcname){
		showcname="全国";
	}

	if(showcname.length>4){
		//最多显示4个字
		showcname=showcname.substr(0,4);
	}
	$("#showcityname").text(showcname);

	ajax(xnzbUrl + '/api-content/news/page', {
		data: data,
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function (data) {
			var list = data.data.newsList;
			for (var i = list.length-1; i >=0; i--) {
				list[i].createTime = list[i].createTime.substring(5);
				if(hidejr==1){
					//隐藏了金融模块，则把新闻中有关的也隐藏起来，（IOS审核用）
					if(list[i].title.indexOf("贷款")>=0||list[i].title.indexOf("保险")>=0) {
						list.splice(i,1);
					}
				}
			}
			if (pageindex == 1) {
				policyIndex.policyIndexData = list;
			}
			else {
				policyIndex.policyIndexData = policyIndex.policyIndexData.concat(list);
			}

			loadeddata = true;
			if (pageindex >= data.data.totalPages) {
				//没有下一页了，
				hasnextpage = false;
			}
			$("#bottomloading").hide();
		},
		error: function (xhr, type, errorThrown) {
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
	getnewzcjddata(first, second, third);
	getpopdata(first, second, third);
	loantop(first,second,third);

    //存储历史访问城市
	if(!second) {
		return;
	}
    var cityhistory = plus.storage.getItem('cityhistory');
    if (!cityhistory) {
        cityhistory="[]";
    }
    var historylist = JSON.parse(cityhistory);
    //判断当前城市是否在历史记录里，在则不增加历史记录，不在则增加一条
    for(var i=0;i<historylist.length;i++){
        if(historylist[i].cityname==second){
            return;
        }
    }
    historylist.unshift({
       "provinceName":first,
        "cityname":second
    });
    if(historylist.length>3) {
        //最多存储3条
        historylist.pop();//删除最后一个
    }
    plus.storage.setItem('cityhistory',JSON.stringify(historylist));
}
function getAddress(point) {
	ajax('http://restapi.amap.com/v3/geocode/regeo', {
		data: {
			location: point,
			key: '3fc3b060a51c626c6f78da9c220dabf9'
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(data) {
			var province_now=data.regeocode.addressComponent.province;
			var city_now=data.regeocode.addressComponent.city;
			var district_now=data.regeocode.addressComponent.district;
            if(geo_province){
                //比较本次定位和当前加载数据的位置是否有变化
                checklocation(province_now,city_now,district_now);
            }
            else {
                //本地未存储位置信息，则先存储。
                getList(province_now, city_now, district_now);
				popstatus=1;
            }
            //存储当前位置(GPS获取到的)，geo_province存储的是获取数据的城市（可自行切换）， geo_province_now只存储当前定位的城市，
            plus.storage.setItem('geo_province_gps', province_now);
            plus.storage.setItem('geo_city_gps', city_now);
            plus.storage.setItem('geo_district_gps', district_now);
		},
		error: function(xhr, type, errorThrown) {
			//mui.toast('网络繁忙，请稍后重试！');
            creatsubject();//获取主体填写的位置信息。
		}
	})
}
function getGeocode() {
	if (geo_province) {
		getList(geo_province, geo_city, geo_district);
	}
	plus.geolocation.getCurrentPosition(geoInf, function (e) {
	    //获取设备位置信息失败回调函数
		console.log(JSON.stringify(e));
        creatsubject();//获取主体填写的位置信息。
	}, {
		geocode: true
	});
}

//检查当前位置和当前数据加载的城市是否发生变化
function checklocation(province_now, city_now, district_now) {
	city_now=$.trim(city_now);
	if (geo_province && province_now&&city_now) {
		if (geo_province != province_now || (geo_province == province_now && geo_city != city_now)) {
			//只有市发生变化，才提示
			$("#city_now").text(city_now.substr(0,7));
			$("#position-change").text("切换到"+city_now.substr(0,7));
			$("#city_now").data("province", province_now);
			$("#city_now").data("city", city_now);
			$("#city_now").data("district", district_now);
			$(".mui-backdrop").show();
			$("#pop-position").fadeIn(300);
			var parent = self.parent();
			if (parent) {
				parent.evalJS("popishow('1')");
			}
			console.log("位置发生变化")
			popstatus=2;
		}
		else {
			console.log("位置未发生变化");
			popstatus=1;
		}
	}
	else {
		popstatus=1;
	}
}
//获取新的用户动态数据
function getnewzcjddata(province,city,district) {
	ajax(xnzbUrl + '/api-content/newsperson/page', {
		data: {
			pageNo: 1,
			pageSize: 4,
			keyword: '',
			type: 1,
			province: province,
			city: city,
			district: district,
			token:token
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(data) {
		    if(data.code!=0){
		        return;
            }
            zcjdIndex.zcjdIndexData=data.data.newsList;
            if(count == 1) {
                setTimeout(function() {
                    var myscroll = new window.Scroll("myscroll", 25);
                }, 1000);
                count++;
            }
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
}

//首页弹窗
var popbox = new Vue({
	el: '#pop-box',
	data: {
		popdata: []
	}
});

//获取首页是否有弹框 add by tianchao 2018-8-30
function getpopdata(province,city,district,is_hzs) {
	if(isreload==1){
		return;
	}
	ajax(xnzbUrl + '/api-content/popBox/getPopBoxInfo', {
		data: {
			token:token?token:"",
			//usertype:is_hzs?is_hzs:"",
			province: province,
			city: city,
			district: district
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(data) {
			if(data.code!=0){
				return;
			}
			//是否有弹窗？
			if(data.data.checkform||data.data.checknews||data.data.checkquestion){
				//有弹窗
				var popdata=data.data.popboxlist;//弹窗数据
				//循环遍历，根据弹出频率，过滤掉不需要的弹框
				for(var i=popdata.length-1;i>=0;i--) {
					var id=popdata[i].id;//标识
					var boxtype= popdata[i].popcontype;//弹框类型，1:问卷调查、2：直报提醒、3：简讯
					var frequency=popdata[i].frequency;//弹出频率,1:仅一次、2:每次弹出、3:每天一次、4:每周一次、5:每月一次
					var lasttime= plus.storage.getItem('pop_'+id);//上次弹出日期(时间戳毫秒数)
					if(lasttime){
						if(boxtype==1){
							//问卷调查填过后就不要再弹了。
							var iswrite=plus.storage.getItem('pop_iswrite'+id);//是否填写过该问卷调查
							if(iswrite){
								popdata.splice(i,1);//弹过一次的就不用再弹出了
								continue;//不许需要再执行下面的判断频率代码
							}
						}

						//判断频率
						if(frequency==1){
							//仅一次
							popdata.splice(i,1);//弹过一次的就不用再弹出了
						}
						else if(frequency==2){
							//每次都弹
						}
						else if(frequency==3){
							//自然天
							var lastdate=new Date(lasttime);
							var now=new Date();
							if(lastdate.getFullYear()==now.getFullYear()&&lastdate.getMonth()==now.getMonth()&&lastdate.getDate()==now.getDate()){
								popdata.splice(i,1);//今天已经弹过了
							}
						}
						else if(frequency==4){
							//周判断间隔
							var nowtime=new Date().getTime();//当前时间戳毫秒数
							if(nowtime-lasttime<7*24*3600*1000){
								popdata.splice(i,1);//间隔没到一周
							}
						}
						else if(frequency==5){
							//月判断间隔
							var nowtime=new Date().getTime();//当前时间戳毫秒数
							if(nowtime-lasttime<30*24*3600*1000){
								popdata.splice(i,1);//间隔没到一月
							}
						}
						else {
							//未知频率的 一律不弹
							popdata.splice(i,1);//间隔没到一月
						}
					}
				}
				if(popdata.length==0){
					return;//没有要弹出的
				}
				if(popdata.length>3){
					//一次最多弹出3条信息，将多余的全部删除，防止弹框太长影响显示
					popdata.splice(3,popdata.length-3);
				}
				popbox.popdata=popdata;
				//设置标题
				if(data.data.poptitle){
					$("#poptitle").text(data.data.poptitle);
				}
				else {
					$("#poptitle").hide();
				}
				if(data.data.popsubtitle){
					$("#popsubtitle").text(data.data.popsubtitle);
				}
				else {
					$("#popsubtitle").hide();
				}
				showpop(popdata);
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
}

//检查是否需要弹出贴息弹框
function loadTXdialog() {
	ajax(prUrl + 'loanSubsidyDialog/queryByUserid?token='+token, {
		data: {
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(data) {
			console.log(JSON.stringify(data, null, 4))
			pop_tx_status = 1;
			if (data.code != 0) {
				return;
			}
			//判断是否已经弹出过了
			var tid=0;
			if(data.data.loanSubsidyDialogList){
				tid=data.data.loanSubsidyDialogList[0].id;
			}
			var t=plus.storage.getItem('pop_tx_'+tid)
			if(t){
				return;
			}
			pop_tx_status = 2;
			var dialogdata = data.data.valuetext;
			$("#imgbg").attr("src", dialogdata.pop_bgimg);
			$("#d-title").text(dialogdata.pop_title);
			$("#d-subtitle").text(dialogdata.pop_content);
			$("#d-desc").text(dialogdata.pop_desc);
			$("#btngoapply").text(dialogdata.pop_btntext);
			if(dialogdata.pop_link){
				$("#d_link").text(dialogdata.pop_link.linktext);
				$("#d_link").data("linkid",dialogdata.pop_link.linkid);
			}

			showpop_tx();
			$("#btngoapply").data("tid",tid);
		},
		error: function(xhr, type, errorThrown) {
			console.log(JSON.stringify(xhr));
			//mui.toast('网络繁忙，请稍后重试！');
			pop_tx_status=1;
		}
	});
}
//检查是否需要弹出补贴弹框
function loadBTdialog() {
	//暂不发布，不需要弹
	pop_bt_status = 1;
	return;
	var url=prUrl+'subsidy/popbox?token='+(token?token:'');
	//var url='http://192.168.199.136:8989/subsidy/popbox?token='+(token?token:'');
	console.log(url);
	ajax(url, {
		data: {
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(data) {
			pop_bt_status = 1;
			if (data.code == 0) {
				return;
			}
			//判断是否已经弹出过了
			// var tid=0;
			// if(data.data.loanSubsidyDialogList){
			// 	tid=data.data.loanSubsidyDialogList[0].id;
			// }
			// var t=plus.storage.getItem('pop_tx_'+tid)
			// if(t){
			// 	return;
			// }
			var dialogdata = data.data;
			// dialogdata.show_rule 共四种状态：always 总是弹出， once 只弹出一次，clicked 只要点击申请后就不弹出了， applayed 只要申请过就不用弹了
			if(dialogdata.show_rule=='once') {
				//直弹一次,判断之前有没有弹过
				if(plus.storage.getItem('pop_bt_show')){
					return;
				}
			}else if(dialogdata.show_rule=='clicked'){
				//点击后就不弹出，判断之前有么有点击过
				if(plus.storage.getItem('pop_bt_click')){
					return;
				}
			}
			pop_bt_status = 2;
			showpop_bt(dialogdata);
			//$("#btngoapply").data("tid",tid);
		},
		error: function(xhr, type, errorThrown) {
			console.log(JSON.stringify(xhr));
			//mui.toast('网络繁忙，请稍后重试！');
			pop_bt_status=1;
		}
	});
}
function showpop_tx(count) {
	if(!count){
		count=0;
	}
	if(popstatus==0&&count<=10){
		count++;
		setTimeout(function () {
			showpop_tx(count);
		},500);
		return;
	}
	if(popstatus==2){
		//已打开位置弹框，则等待关闭后弹出贴息框
		setTimeout(function () {
			showpop_tx(count);
		},500);
		return;
	}
	//弹出
	$("#btngoapply").data("type","1");//标识是贴息弹出
	$("#pop-tx").show();
	var parent=self.parent();
	if(parent){
		parent.evalJS("popishow('1')");
	}
}

function showpop_bt(dialogdata,count) {
	if(!count){
		count=0;
	}
	if((popstatus==0||pop_tx_status==0)&&count<=10){
		count++;
		setTimeout(function () {
			showpop_bt(dialogdata,count);
		},500);
		return;
	}
	if(popstatus==2||pop_tx_status==2) {
		//已打开位置弹框或者贴息，则等待关闭后弹出贴息框
		setTimeout(function () {
			showpop_bt(dialogdata,count);
		}, 500);
		return;
	}
	$("#imgbg").attr("src", dialogdata.pop_bgimg);
	$("#d-title").text(dialogdata.pop_title);
	$("#d-subtitle").text(dialogdata.pop_content);
	$("#d-desc").text(dialogdata.pop_desc);
	$("#btngoapply").text(dialogdata.pop_btntext);
	if(dialogdata.pop_link){
		$("#d_link").text(dialogdata.pop_link.linktext);
		$("#d_link").data("linkid",dialogdata.pop_link.linkid);
	}
	$("#btngoapply").data("type","2");//标识是补贴弹出
	//弹出
	$("#pop-tx").show();
	var parent=self.parent();
	if(parent){
		parent.evalJS("popishow('1')");
	}
	plus.storage.setItem('pop_bt_show',"1");
}

var zerocount=0;
function showpop(popdata) {
	console.log("popstatus："+popstatus);
	if(pop_tx_status==2||pop_bt_status==2){
		//贴息和本弹框 互斥
		return;
	}
	if((popstatus==0||pop_tx_status==0||pop_bt_status==0)&&zerocount<=10){
		zerocount++;
		setTimeout(function () {
			showpop(popdata);
		},500);
		return;
	}
	if(popstatus==2) {
		setTimeout(function () {
			showpop(popdata);
		}, 500);
		return;
	}
	$(".mui-backdrop").show();
	$("#pop-box").fadeIn(300);
	var parent=self.parent();
	if(parent){
		parent.evalJS("popishow('1')");
	}
	//记录弹出时间
	var nowtime=new Date().getTime();//当前时间戳毫秒数
	for(var j=0;j<popdata.length;j++){
		var id=popdata[j].id;//标识
		plus.storage.setItem('pop_'+id,nowtime+"");
	}
}

//首页保险贷款
/*
 * 首页贷款模块
 * */
var loanIndex = new Vue({
	el: '#loanIndex',
	data: {
		newFlag:0,
		loanToplist:{},
		loanIndexData: [],
		loanIndexData1: {},
		loanIndexData2: {},
		loanIndexData3: {}
	}
});
/*
 * 首页保险模块
 * */
var insuranceIndex = new Vue({
	el: '#insuranceIndex',
	data: {
		insuranceIndexData: []
	}
});
function loantop(province,city,district) {
	// if(isreload==1){
	// 	return;
	// }
  var token = plus.storage.getItem('token');
  token = token ? token : "";
	ajax(prUrl + '/loan/products/topinfo&token=' + token, {
		data: {
			province: province,
			city: city,
			district: district
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function (data) {
            closeSplash()
			var res= data.loanproduct
			if(res || res != undefined){
                loanIndex.newFlag = 0
                var temp = res.sort(createComparisonFunction('isInnovate')).reverse()
                loanIndex.loanIndexData = temp;
                // loanIndex.loanIndexData = data;
                loanIndex.loanIndexData1 = data[0];
                loanIndex.loanIndexData2 = data[1];
                loanIndex.loanIndexData3 = data[2];
			}else {
				console.log('显示图片')
                console.log(JSON.stringify(data.toplist))
				loanIndex.newFlag = 1
				if(data.toplist[0].imgurl.toString().indexOf("http") < 0){
					data.toplist[0].imgurl = xnzbImg + data.toplist[0].imgurl
				}
				loanIndex.loanToplist = data.toplist[0]
			}
		},
		error: function (xhr, type, errorThrown) {
			closeSplash()
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
	ajax(prUrl + '/insurance/products/topfour&token=' + token, {
		data: {
			province: province,
			city: city,
			district: district
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function (data) {
			closeSplash()
			var temp = data.sort(createComparisonFunction('isInnovate')).reverse()
			insuranceIndex.insuranceIndexData = temp;
		},
		error: function (xhr, type, errorThrown) {
			closeSplash()
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
};
// 数组排序
function createComparisonFunction(propertyName){		//数组元素由对象组成，根据对象属性来排序
	return function(object1, object2){
		var value1 = object1[propertyName];
		var value2 = object2[propertyName];

		if (value1 < value2){
			return -1;
		} else if (value1 > value2){
			return 1;
		} else {
			return 0;
		}
	}
}

