/**
 * Created by tian on 2018/11/21.
 */
var uploadimg =(function () {
  //上传图片
  var wt;
  var cbsuccess;
  var async=false;//是否异步上传
  //识别身份证上传
  var discernData;
  function chagePop (successcb,asyn,discern) {
    cbsuccess = successcb;
    async = asyn;
    discernData = discern || false;
    var bts = [{
      title: "拍照",
      action: 'camera'
    }, {
      title: "从相册选取",
      action: 'gallery'
    }];
    plus.nativeUI.actionSheet({
          cancel: "取消",
          buttons: bts
        },
        function (e) {
          if (e.index > 0) {
            switch (bts[e.index - 1].action) {
              case 'camera':
                getImage();
                break;
              case 'gallery':
                galleryImg();
                break;
              default:
                break;
            }
          }
        }
    );
  }

  //点击拍照执行
  function getImage() {
    var cmr = plus.camera.getCamera();
    cmr.captureImage(function(p) {
      plus.io.resolveLocalFileSystemURL(p,
          function(entry) {
            wt = plus.nativeUI.showWaiting('上传中...', {
              width: '100px'
            });
            compressImage(entry.toLocalURL());
          },
          function(e) {
            wt.close();
            plus.nativeUI.alert("读取拍照文件错误：" + e.message);
          });
    }, function(e) {
      //		alert("失败：" + e.message);
      mui.toast("上传失败");
      wt.close();
    }, {
      filename: "_doc/header/pic_" + new Date().getTime() + ".jpg",
      //拍照默认使用的摄像头
      index: 1,
      maximum: 1
    });
  }
  //选择相册
  function galleryImg() {
    plus.gallery.pick(function(e) {
      wt = plus.nativeUI.showWaiting('上传中...', {
        width: '100px'
      });
      compressImage(e);
    }, function(e) {
      //mui.toast("上传失败");
      //wt.close();
    }, {
      filter: "image",
      //		filename: "_doc/header/pic_" + new Date().getTime() + ".jpg"
      multiple: false,
      system: false,
      maximum: 1,
      onmaxed: function() {
        plus.nativeUI.alert('每次最多只能选择1张图片');
      }
    });
  }
  /*
   压缩图片
   * */
  function compressImage(path) {
    var currentp = "_doc/uptmp.jpg";
    if(async) {
      //异步上传只能传营业执照图片
      currentp = "_doc/licenseimg/licenese.jpg";
    }
    console.log(currentp);
    plus.zip.compressImage({
      src: path, //search.src, //src在这里是第一步Url里的src。也就是本地路径
      dst: currentp,
      quality: 80,
      overwrite: true,
      width: '950px'
    }, function(i) {
      if(!async){
        //同步上传
        upLoad(currentp)
      }
      else
      {
        wt.close();
        //异步，则回调成功
        if(cbsuccess){
          cbsuccess("",plus.io.convertLocalFileSystemURL(currentp));
        }
      }
    }, function(e) {
      mui.toast("上传失败");
      wt.close();
    });
  }
  //上传图片
  function upLoad(file) {
    var server = xnzbUrl + '/api-image/v1/uploadFileByH5Plus';
    //var server = 'http://api-dev.xnzb.org.cn/api-image/v1/uploadFileByH5Plus';
    var task = plus.uploader.createUpload(server, {
          method: "POST"
        },
        function (res, status) { //上传完成
          wt.close();
          console.log("res:" + JSON.stringify(res));
          if (!res.responseText) {
            mui.toast("文件太大上传失败");
            wt.close();
            return false;
          }
          if (status == 200) {
            var str = JSON.parse(res.responseText);
            var imgpaths = str.data.path;
            if (imgpaths.charAt(0) != "/") {
              imgpaths = "/" + imgpaths;
            }
            if (cbsuccess) {
              cbsuccess(imgpaths, plus.io.convertLocalFileSystemURL(file));
            }
            mui.toast("上传成功!");
          } else {
            mui.toast("上传失败!");
          }
        }
    );
    task.addFile(file, {
      key: 'file'
    });
    task.start();

    //识别
    if (discernData) {
      discern(file);
    }
  }

  /**
   * 识别身份证
   */
  function discern(file) {
    var server = prUrl + '/uploadidcard?type='+discernData.type;
    console.log('newurl', discernData.type)
    if(discernData.type == 'newurl'){
      // 银行卡识别接口
      server = prUrl + '/uploadbankCard';
    }
    var task = plus.uploader.createUpload(server, {
          method: "POST"
        },
        function(res, status) { //上传完成
          console.log("res:" + JSON.stringify(res));
          if(status == 200) {
            if(discernData.cb){
              discernData.cb(res.responseText)
            }
          }
        }
    );
    task.addFile(file, {
      key: 'file'
    });
    task.start();
  }

  return{
    chagePop:chagePop
  }
})();
