mui.init();
var txt;
var vm = new Vue({
	el: "#directReportingData",
	data: {
		getData: [],
		unitMap: [],
		year:"",
		is_auth:''
	},
	methods:{
		InsuranceLoan:function(e){
			var getId=e.currentTarget.getAttribute('id');
			var uesrName = e.currentTarget.getAttribute('uesrName');
			var formDataList=e.currentTarget.getAttribute('formDataList');
			console.log(uesrName+"---"+formDataList);
			if(formDataList==0){
				if(uesrName=="贷款信息"){
					window.showLoadedPage({
						url: 'updateLoanNew.html',
						id: "updateLoanNew",
						styles: {
							top: 0,
							bottom: 0
						},
						extras: {
							insuranceId:{
								uesrName:uesrName,
								time: txt.time,
								getId:getId,
								entrance:1
							}
						},
						delay: 500
					});
				}else{
					window.showLoadedPage({
						url: 'updateInsuranceNew.html',
						id: "updateInsuranceNew",
						styles: {
							top: 0,
							bottom: 0
						},
						extras: {
							insuranceId:{
								uesrName:uesrName,
								time: txt.time,
								getId:getId,
								entrance:1
							}
						},
						delay: 500
					});
				}
			}else{
				window.showLoadedPage({
					url: 'updateInsurance.html',
					id: "updateInsurance",
					styles: {
						top: 0,
						bottom: 0
					},
					extras: {
						insuranceId:{
							uesrName:uesrName,
							time: txt.time,
							getId:getId,
							entrance:2
						}
					},
					delay: 500
				});
			}
			
		}
	}
})
var timeTamp, objJson;
mui.plusReady(function() {
	txt = plus.webview.currentWebview();
	vm.year=txt.year;
	txt.time.particularYear=txt.year;
	//var is_auth=plus.storage.getItem('is_auth');
	//vm.is_auth=is_auth;
	//console.log(is_auth);

	if(token) {
		ajax(xnzbUrl + "/api-account/getUserByToken?token="+token, {
			data: {
			},
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			success: function(data) {
				if(!data.code) {
					vm.is_auth=data.data.isAuthed ;
				}
			},
			error: function(xhr, type, errorThrown) {
				//mui.toast('网络繁忙，请稍后重试！');
			}
		});
	}
	document.addEventListener('reload', function(event) {
		var reload = event.detail.reload;
		if(reload == 1) {
			getMOnthData();
		}
	});
	document.addEventListener('reloads', function(event) {
		var reload = event.detail.reload;
		if(reload == 1) {
			getMOnthData();
		}
	});
	getMOnthData();
	function getMOnthData(){
		ajax(xnzbUrl + "/api-report/form/getFormInfo.json", {
			data: {
				token: token,
				businessType: txt.businessType,
				category: 2,
				year: txt.year
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'GET', //HTTP请求类型
			success: function(data) {
				console.log("msg："+JSON.stringify(data));
				var dataList = data.data.list;
				vm.getData = dataList;
				vm.unitMap = unitName(dataList);

			},
			error: function(xhr, type, errorThrown) {
				mui.toast("网络繁忙，请稍后重试！")
			}
		});
	}
	mui('.mui-content').on('tap', 'a', function() {
		var href = this.getAttribute('href');
		var id = this.getAttribute('data');
		var getId = this.getAttribute('id');
		var isMultiple = this.getAttribute('isMultiple');
		var uesrName = $(this).siblings('.uesrName').text();
		if(this.getAttribute('jsons')) {
			var jsons = this.getAttribute('jsons');
		} else {
			var jsons = "";
		}
		window.showLoadedPage({
			url: href,
			id: id,
			styles: {
				top: 0,
				bottom: 0
			},
			extras: {
				name: {
					getId: getId,
					time: txt.time,
					isMultiple: isMultiple,
					uesrName: uesrName,
					objJson: objJson,
					getYear: txt.year,
					dataOut:1,
					jsons:jsons
				}
			},
			delay: 500
		});
	});
})
function unitName(dataList) {
	var listDynamicFormFields;
	var unitNameMap = {};
	$.each(dataList, function(key, value) {
		//add by tianchao 2018-7-19 将表单id增加到单位map中，防止不同的表单中有同样名称的填报字段单位不一样的情况，比如生产经营信息-种植的销售数量 和 养殖的销售数量单位可能是不一样的
		var dynmicformid=value.formAndFieldsList.dynamicForm.id;
		//end
		listDynamicFormFields = value.formAndFieldsList.listDynamicFormFields;
		$.each(listDynamicFormFields, function(key, value) {
			if(value.inputMode == 5) {
				unitNameMap[value.fieldsName+dynmicformid] = value.unitName;
			}
		})
		//增加根据品种带出的单位判断 add by tianchao 2018-7-19
		var formDataList=value.formDataList;
		if(formDataList.length>0){
			$.each(formDataList,function (i,d) {
				if(d.json['单位']){
					$.each(d.json,function (k,m) {
						if(k=='产量'||k=='销售数量'||k=='存栏数'||k=='出栏数'){
							unitNameMap[k+dynmicformid] = d.json['单位'];
						}
						if(k=='销售单价'){
							var tmp=unitNameMap[k+dynmicformid];
							var s2=tmp.indexOf('/');
							if(s2>0) {
								unitNameMap[k+dynmicformid]=tmp.substring(0,s2+1)+d.json['单位'];
							}
							else {
								unitNameMap[k+dynmicformid]=d.json['单位'];
							}
						}
					})
				}
			})
		}
	})
	return unitNameMap;
}
function jsonData(dataList) {
	for(var i = 0; i < dataList.length; i++) {
		var formDataList = dataList[i].formDataList;
		//		console.log(formDataList)
		for(var j = 0; j < formDataList.length; j++) {
			if(formDataList[j].formName == "品牌信息") {
				objJson = formDataList[j].json;
			}
		}
	}
}