mui.init({
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			//style: 'circle',
			callback: pulldownRefresh
		},
		up: {
			//auto: true,
			//contentrefresh: '正在加载...',
			contentnomore:' ',//可选，请求完毕若没有更多数据时显示的提醒内容；
			callback: pullupRefresh
		}
	}
});
var vm = new Vue({
	el: "#directReportList",
	data: {
		directList: [],
		jsons: [],
		lists: [],
		unitMap: [],
		deleteId: "",
		isShow: "",
		dataNum: "",
		isAuthed: ''
	},
	filters: {
		formatPrice: function(num) {
			return(Number(num) + '').replace(/\d{1,3}(?=(\d{3})+(\.\d*)?$)/g, '$&,');
		}
	},
	methods: {
		edit: function(jsons, keyId, createTime) {
			var myDate = new Date(); //获取系统当前时间
			var currentYear = myDate.getFullYear(); //获取完整的年份
			console.log(currentYear);
			if(currentYear == getYear) {
				console.log("333333")
			} else {
				if(vm.isAuthed == 7 || vm.isAuthed == 6 || vm.isAuthed == 9 || vm.isAuthed == 5) {
					mui.toast("此状态下不能进行此操作");
					return false;
				}
			}

			window.showLoadedPage({
				url: 'directDataEditing.html',
				id: 'directDataEditing',
				styles: {
					top: 0,
					bottom: 0
				},
				extras: {
					jsons: jsons,
					getId: getId,
					keyId: keyId,
					getYear: getYear,
					createTime: createTime
				},
				delay:500
			});
		},
		dataDeletion: function(keyId) {
			var myDate = new Date(); //获取系统当前时间
			var currentYear = myDate.getFullYear(); //获取完整的年份
			console.log(currentYear);
			if(currentYear == getYear) {
				console.log("333333")
			} else {
				if(vm.isAuthed == 7 || vm.isAuthed == 6 || vm.isAuthed == 9) {
					mui.toast("此状态下不能进行此操作");
					return false;
				}
			}
			vm.deleteId = keyId;
			$('#marks').show();
		},
		cancel: function() {
			$('#marks').hide();
		},
		preservation: function() {
			var directReportLists = plus.webview.getWebviewById("directReportList");
			ajax(xnzbUrl + "/api-report/form/delete.json", {
				data: {
					token: token,
					id: vm.deleteId
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'POST', //HTTP请求类型
				success: function(data) {
					if(!data.code) {
						if(data.data.row == 1) {
							mui.toast('直报数据已删除！');
							$('#marks').hide();
							pulldownRefresh();
						}
					}
				},
				error: function(xhr, type, errorThrown) {
					mui.toast("网络繁忙，请稍后重试！");
				}
			})
		},
		openWindow: function() {
			var myDate = new Date(); //获取系统当前时间
			var currentYear = myDate.getFullYear(); //获取完整的年份
			console.log(currentYear);
			if(currentYear == getYear) {
				console.log("333333")
			} else {
				if(vm.isAuthed == 7 || vm.isAuthed == 6 || vm.isAuthed == 9) {
					mui.toast("此状态下不能进行此操作");
					return false;
				}
			}
			window.showLoadedPage({
				url: 'updateCoop.html',
				id: 'updateCoop',
				styles: {
					top: 0,
					bottom: 0
				},
				extras: {
					name: {
						jsons: '',
						getId: getId,
						getYear: getYear,
						time: self.name.time,
						isMultiple: 1
					}
				},
				delay:500
			});
		}
	}
});
var parent;//父级webview
var getId;
var getYear;
mui.plusReady(function() {
	self = plus.webview.currentWebview();
	var directReportList = plus.webview.getWebviewById("directReportList");
	getId = self.name.getId;
	getYear = self.name.getYear;
	vm.dataNum = self.name.dataOut;
	parent=self.parent();
	// document.addEventListener('reloads', function(event) {
	// 	var reloads = event.detail.reloads;
	// 	if(reloads == 1) {
	// 		pulldownRefresh();
	// 	}
	// });
	// document.addEventListener('reload', function(event) {
	// 	var reload = event.detail.reload;
	// 	if(reload == 1) {
	// 		pulldownRefresh();
	// 	}
	// });
	ajax(xnzbUrl + '/api-account/commonConfig/getConfigInfo', {
		dataType: 'json',
		data: {
			v: iosVersion
		},
		type: 'get',
		timeout: 10000,
		success: function(data) {
			vm.isShow = data.data.reportIsShowFor2016;
		}
	});
	userDetail(token);
	setTimeout(function () {
		pullupRefresh();
	},500)

	//确认删除
	document.getElementById("btn").addEventListener("tap",function () {
		ajax(xnzbUrl + "/api-report/form/delete.json", {
			data: {
				token: token,
				id: vm.deleteId
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'POST', //HTTP请求类型
			success: function(data) {
				if(!data.code) {
					if(data.data.row == 1) {
						mui.toast('直报数据已删除！');
						$('#marks').hide();
						pulldownRefresh();
					}
				}
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("网络繁忙，请稍后重试！");
			}
		})
	});
	//取消删除
	document.getElementById("btns").addEventListener("tap",function () {
		$('#marks').hide();
	});

	//绑定删除按钮
	mui("#directReportList").on('tap','.delete',function() {
		var keyId = this.dataset.kid;//主键

		var myDate = new Date(); //获取系统当前时间
		var currentYear = myDate.getFullYear(); //获取完整的年份
		//console.log(currentYear);
		if(currentYear == getYear) {
			console.log("333333")
		} else {
			if(vm.isAuthed == 7 || vm.isAuthed == 6 || vm.isAuthed == 9) {
				mui.toast("此状态下不能进行此操作");
				return false;
			}
		}
		vm.deleteId = keyId;
		$('#marks').show();
	});

	//绑定编辑按钮
	mui("#directReportList").on('tap','.edit',function() {
		var jsons = this.dataset.kjson;
		var keyId = this.dataset.kid;
		var createTime = this.dataset.createtime;

        try {
            jsons=JSON.parse(jsons);
        }
        catch (e){

        }

        var myDate = new Date(); //获取系统当前时间
        var currentYear = myDate.getFullYear(); //获取完整的年份
        //console.log(currentYear);
        if(currentYear == getYear) {
            //console.log("333333")
        } else {
            if(vm.isAuthed == 7 || vm.isAuthed == 6 || vm.isAuthed == 9 || vm.isAuthed == 5) {
                mui.toast("此状态下不能进行此操作");
                return false;
            }
        }

        window.showLoadedPage({
            url: 'directDataEditing.html',
            id: 'directDataEditing',
            styles: {
                top: 0,
                bottom: 0
            },
            extras: {
                jsons: jsons,
                getId: getId,
                keyId: keyId,
                getYear: getYear,
                createTime: createTime
            },
            delay:500
        });
	});
});
//单位
function unitName(list) {
	var unitNameMap = vm.unitMap;
	var formDataList = list.pageList.result;
	if (formDataList == 0) {
		return unitNameMap;
	}
	var lists = list.dynamicFormFieldList;
	$.each(lists, function (key, value) {
		unitNameMap[value.fieldsName] = value.unitName;
	})
	//add by tianchao 增加品种单位
	$.each(formDataList, function (i, d) {
		if (d.json['单位']) {
			$.each(d.json, function (k, m) {
				if (k == '产量' || k == '销售数量' || k == '存栏数' || k == '出栏数') {
					unitNameMap[k + d.unitext] = d.json['单位'];
				}
				else
				{
					if(k=='销售单价'){
						var tmp=unitNameMap[k];
						var s2=tmp.indexOf('/');
						if(s2>0) {
							unitNameMap[k+d.unitext]=tmp.substring(0,s2+1)+d.json['单位'];
						}
						else {
							unitNameMap[k+d.unitext]=d.json['单位'];
						}
					}
					else {
						unitNameMap[k + d.unitext] = unitNameMap[k];
					}
				}
			})
		}
	});

	//end add
	//console.log(JSON.stringify(unitNameMap));
	return unitNameMap;
};
//列表
var nomore = false;
var pageNo = 1;

function pullupRefresh() {
	//mui('#directReportList').pullRefresh().endPullup(nomore);
	mui('#pullrefresh').pullRefresh().endPullupToRefresh(nomore);
	ajax(xnzbUrl + "/api-report/form/queryDynamicData.json", {
		data: {
			token: token,
			dynamicFormId: getId,
			category: 2,
			year: getYear,
			pageSize: 10,
			pageNo: pageNo
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(data) {
			//console.log(data)
			if(!data.code) {
				var result = data.data.pageList.result;
				for(var i = 0; i < result.length; i++) {
					//日期转化
					var time = result[i].reportCreateDate;
					var newTime = new Date(time);
					var now = "";
					now = newTime.getFullYear(time) + "-";
					now = now + (newTime.getMonth(time) + 1) + "-";
					now = now + newTime.getDate(time) + " ";
					result[i].createTime = now;
					//循环json
					if(result[i].formName == "农机设备") {
						var objJson = result[i].json;
					}
					//处理有多笔数据时展示的时候单位不一样的问题，给每一条数据加上单位匹配的标识 add by tianchao
					if(result[i].json['单位']){
						//如果有自定义单位,给每条加个标识,如果有id则以id为标识，否则以随机数作为标识
						result[i].unitext=result._id?result._id:Math.random();
					}
					else {
						//没有单位则不加标识
						result[i].unitext='';
					}
					//end
				};
				console.log(JSON.stringify(result));
				setTimeout(function() {
					vm.directList = vm.directList.concat(result);
				}, 100)
				vm.lists = data.data;
				if(parent){
					parent.evalJS("inittitle('"+vm.lists.formName+"')");
				}
				vm.unitMap = unitName(data.data);
				if(vm.directList.length < 10) {
					pageNo++;
					nomore = true;
				} else {
					nomore = false;
					pageNo++;
				}
			};
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
}

function pulldownRefresh() {
	$('#marks').hide();
	ajax(xnzbUrl + "/api-report/form/queryDynamicData.json", {
		data: {
			token: token,
			dynamicFormId: getId,
			category: 2,
			year: getYear,
			pageSize: 10,
			pageNo: 1
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(data) {
			if(!data.code) {
				var result = data.data.pageList.result;

				for(var i = 0; i < result.length; i++) {
					//日期转化
					var time = result[i].reportCreateDate;
					var newTime = new Date(time);
					var now = "";
					now = newTime.getFullYear(time) + "-"; //读英文就行了
					now = now + (newTime.getMonth(time) + 1) + "-"; //取月的时候取的是当前月-1如果想取当前月+1就可以了
					now = now + newTime.getDate(time) + " ";
					result[i].createTime = now;
					//循环json
					if(result[i].formName == "农机设备") {
						var objJson = vm.directList[i].json;
					}
					//处理有多笔数据时展示的时候单位不一样的问题，给每一条数据加上单位匹配的标识 add by tianchao
					if(result[i].json['单位']){
						//如果有自定义单位,给每条加个标识,如果有id则以id为标识，否则以随机数作为标识
						result[i].unitext=result._id?result._id:Math.random();
					}
					else {
						//没有单位则不加标识
						result[i].unitext='';
					}
					//end
				};
				console.log(JSON.stringify(result));
				vm.directList = data.data.pageList.result;
				vm.lists = data.data;
				vm.unitMap = unitName(data.data);
				if(parent){
					parent.evalJS("inittitle('"+vm.lists.formName+"')");
				}
			};
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
	mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
}

var userDetail = function() {
	ajax(xnzbUrl + '/api-account/getUserByToken', {
		data: {
			token: token,
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(res) {
			if(res.code == 0) {
				vm.isAuthed = res.data.isAuthed;
				if(parent){
					parent.evalJS("setisauthed('"+vm.isAuthed+"')");
				}
			}
		}
	});
}