/**
 * Created by tian on 2018/06/15
 */

var tixApply = (function () {

    var currentWebview;
    var userid;//用户id
    var canclick=true;
    var sid=0;//要修改数据的主键ID
    var pickbank = [{"text":"中国农业银行股份有限公司杭州余杭支行"},{"text":"中国建设银行股份有限公司杭州余杭支行"},{"text":"余杭农商银行"}];
    var now=new Date();
    var dtpicker = new mui.DtPicker({
      type: "date",//设置日历初始视图模式
      beginDate: new Date(now.getFullYear()-50, now.getMonth(), now.getDate()),//设置开始日期
      endDate: new Date(now.getFullYear()+100, now.getMonth(), now.getDate())
    });
    var READONLY = false;
    var tixvue = new Vue({
      el: '#app',
      data:{
        maxnum:20
      },

    })
    function bindEvent() {
        //日期选择
        document.getElementById("choosedate").addEventListener("tap",function () {
            if(READONLY==true){
              return false
            }
            document.activeElement.blur();
            dtpicker.show(function(items) {
                $("#startdate").text(items.text);
                $("#startdate").data("date",items.value);
            });
        });
        document.getElementById("choosedateb").addEventListener("tap",function () {
            if(READONLY==true){
              return false
            }
            document.activeElement.blur();
            dtpicker.show(function(items) {
                $("#enddate").text(items.text);
                $("#enddate").data("date",items.value);
            });
        });

        //银行机构选择
        document.getElementById("choosebank").addEventListener("tap",function () {
            if(READONLY==true){
              return false
            }
            document.activeElement.blur();
            var picker = new mui.PopPicker();
            picker.setData(pickbank);
            picker.show(function(selectItems) {
                var choseval= selectItems[0].text
              $("#bankval").text(choseval);
              $("#bankval").data("bankval",choseval);
            })
        });

        //上传图片
        mui(".addMachine_pics").on("tap",".addMachine_file_upload",function () {
            document.activeElement.blur();
            if(READONLY == true){
                return false
            }
            chagePop(this);
        })


        //提交按钮
        document.getElementById("btnsubmit").addEventListener("tap",function () {
          document.activeElement.blur();
          if (!canclick) {
            return;
          }
          var org_name = $("#bankval").data("bankval");
          console.log("fdslf"+org_name);
          var amount = $.trim($("#amount").val());
          //var rate=parseFloat($.trim($("#rate").val())/100);
          var rate = $.trim($("#rate").val());
          var contract_begintime = $("#startdate").data("date");
          var contract_endtime = $("#enddate").data("date");
          var purpose = $.trim($("#purpose").val());
          var application_url = [];
          var contract_url = [];
          var receipt_url = [];
          var begintime = new Date(contract_begintime).getTime();
          var endtime = new Date(contract_endtime).getTime();
          var postdata = {
            org_name: org_name,
            amount: amount,
            rate: rate,
            contract_begintime: contract_begintime,
            contract_endtime: contract_endtime,
            purpose: purpose,
            applicationList: application_url,
            contractList: contract_url,
            receiptList: receipt_url,
            flag:1
          }
          // console.log(contract_begintime)
          // console.log(contract_endtime)

          if (!org_name) {
            mui.toast("请选择银行机构");
            return;
          }
          if (amount == "") {
            mui.toast("请填写贷款金额");
            return;
          }
          if (isNaN(amount) || amount <= 0) {
            mui.toast("贷款金额填写不正确");
            return;
          }
          if (rate == "") {
            mui.toast("请填写贷款利率");
            return;
          }
          if (isNaN(rate) || rate <= 0) {
            mui.toast("贷款利率填写不正确");
            return;
          }
          if (!contract_begintime) {
            mui.toast("请选择合同开始日期");
            return;
          }
          if (!contract_endtime) {
            mui.toast("请选择合同结束日期");
            return;
          }
          if (begintime > endtime) {
            mui.toast("合同结束日期不能大于开始日期");
            return;
          }
          if (purpose == "") {
            mui.toast("请填写贷款用途");
            return;
          }
          //贷款贴息申请表图片
          $(".application_url").each(function (index, element) {
            console.log(element)
            var imgurl = $(element).data("src");
            if (imgurl) {
              application_url.push(imgurl);
            }
          });
          if (application_url.length == 0) {
            mui.toast("请至少上传一张贷款贴息申请表图片");
            return;
          }
          // 贷款合同
          $(".contract_url").each(function (index, element) {
            console.log(element)
            var imgurl = $(element).data("src");
            if (imgurl) {
              contract_url.push(imgurl);
            }
          });
          if (contract_url.length == 0) {
            mui.toast("请至少上传一张贷款合同图片");
            return;
          }
          // 贷款借据
          $(".receipt_url").each(function (index, element) {
            console.log(element)
            var imgurl = $(element).data("src");
            if (imgurl) {
              receipt_url.push(imgurl);
            }
          });
          if (receipt_url.length == 0) {
            mui.toast("请至少上传一张贷款借据图片");
            return;
          }
          // console.log(JSON.stringify(postdata))
          canclick = false;
          var token = plus.storage.getItem("token");
          console.log(JSON.stringify(postdata));
          applib.showLoadingBg();
          var url = applib.REQUEST_DOMAIN + "/tiexi/add?token=" + token;
          // var url = "http://192.168.199.135:8989/tiexi/add?token="+token;
          mui.ajax(url, {
            data: postdata,
            dataType: 'json',
            type: 'post',
            headers: {'Content-Type': 'application/json', "token": token},
            contentType: "application/json",
            timeout: 10000,
            success: function (data) {
              canclick = true;
              applib.hideLoadingBg();
              if (data.code != 1) {
                mui.toast(data.message);
                return;
              }
              mui.toast("提交成功");
              //新增操作
              applib.openWindow("tiexlist.html", "tiexlist", {});
              setTimeout(function () {
                currentWebview.close("none")
              }, 2000);
            },
            error: function (xhr, type, errorThrown) {
              mui.toast("网络繁忙，请稍后重试！");
              canclick = true;
              applib.hideLoadingBg();
            }
          });
        });

        $(".checknum").on('input', function(){
          checknum(this)
        });
    }
    function checknum(obj){
      //如果输入非数字，则替换为''
      obj.value = obj.value.replace(/[^\d\.]/g, '');
      //必须保证第一个为数字而不是.
      obj.value = obj.value.replace(/^\./g,'');
      //前两位不能是0加数字
      obj.value = obj.value.replace(/^0\d[0-9]*/g,'');
      //保证只有出现一个.而没有多个.
      obj.value = obj.value.replace(/\.{2,}/g,'.');
      //保证.只出现一次，而不能出现两次以上
      obj.value = obj.value.replace('.','$#$').replace(/\./g,'').replace('$#$','.');
      //只能输入两位小数
      //obj.value = obj.value.replace(/^(\-)*(\d+)\.(\d\d).*$/,'$1$2.$3');
      if(obj.value.length>9){
        obj.value = obj.value.slice(0, 9)
      }
    }
    //上传图片
    var wt;
    var chagePop = function(element) {
        var bts = [{
            title: "拍照",
            action: 'camera'
        }, {
            title: "从相册选取",
            action: 'gallery'
        }];
        plus.nativeUI.actionSheet({
                cancel: "取消",
                buttons: bts
            },
            function(e) {
                if(e.index > 0) {
                    switch(bts[e.index - 1].action) {
                        case 'camera':
                            getImage(element);
                            break;
                        case 'gallery':
                            galleryImg(element);
                            break;
                        default:
                            break;
                    }
                }
            }
        );
    }

    //点击拍照执行
    function getImage(element) {
        var cmr = plus.camera.getCamera();
        cmr.captureImage(function(p) {
            plus.io.resolveLocalFileSystemURL(p,
                function(entry) {
                    wt = plus.nativeUI.showWaiting('上传中...', {
                        width: '100px'
                    });
                    compressImage(entry.toLocalURL(),element);
                },
                function(e) {
                    wt.close();
                    //plus.nativeUI.alert("读取拍照文件错误：" + e.message);
                });
        }, function(e) {
            //		alert("失败：" + e.message);
            //mui.toast("上传失败");
            wt.close();
        }, {
            filename: "_doc/header/pic_" + new Date().getTime() + ".jpg",
            //拍照默认使用的摄像头
            index: 1,
            maximum: 1
        });
    }

    //选择相册
    function galleryImg(element) {
        plus.gallery.pick(function(e) {
            wt = plus.nativeUI.showWaiting('上传中...', {
                width: '100px'
            });
            compressImage(e, element);
        }, function(e) {
            //mui.toast("上传失败");
            //wt.close();
        }, {
            filter: "image",
            //		filename: "_doc/header/pic_" + new Date().getTime() + ".jpg"
            multiple: false,
            system: false,
            maximum: 1,
            onmaxed: function() {
                plus.nativeUI.alert('每次最多只能选择1张图片');
            }
        });
    }

    /*
     压缩图片
     * */
    function compressImage(path, element) {
        var currentp = "_doc/" + new Date().getTime() + ".jpg";
        plus.zip.compressImage({
            src: path, //search.src, //src在这里是第一步Url里的src。也就是本地路径
            dst: currentp,
            quality: 80,
            overwrite: true,
            width: '950px'
        }, function(i) {
            //getpath(i.target,element);
            upLoad(currentp,element)
        }, function(e) {
            mui.toast("上传失败");
            wt.close();
        });
    }

    //上传图片
    function upLoad(file, element) {
        var server = applib.REQUEST_DOMAIN_SY + 'api-image/v1/uploadFileByH5Plus';
        //var server = 'http://api-dev.xnzb.org.cn/api-image/v1/uploadFileByH5Plus';
        var task = plus.uploader.createUpload(server, {
                method: "POST"
            },
            function(res, status) { //上传完成
                wt.close();
                console.log("res:" + JSON.stringify(res));
                if(!res.responseText) {
                    mui.toast("文件太大上传失败");
                    wt.close();
                    return false;
                }
                if(status == 200) {
                    var str = JSON.parse(res.responseText);
                    var imgpaths = str.data.path;
                    if(imgpaths.charAt(0)!="/"){
                        imgpaths="/"+imgpaths;
                    }
                    $(element).css("background","url("+plus.io.convertLocalFileSystemURL(file)+") no-repeat center center");
                    $(element).css("background-size","52px 52px");
                    $(element).data("src",imgpaths);
                    $(element).next().show();
                    mui.toast("上传成功!");
                } else {
                    mui.toast("上传失败!");
                }
            }
        );
        task.addFile(file, {
            key: 'file'
        });
        task.start();
    }

    //end 上传图片

    /**
     * 加载数据
     */
    function loaddata(sid) {
        var url = applib.REQUEST_DOMAIN+"/tiexi/getTiexiApplicationById?flag=1&token="+token;
        // var url = "http://192.168.199.135:8989/tiexi/getTiexiApplicationById?token="+token;
        var data = {
            id:sid
        };
        applib.ajax(url, {
            data: data,
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            success: function(data) {
                console.log(JSON.stringify(data));
                applib.hideLoadingBg();
                if(data.code!=0){
                    mui.toast("获取数据失败，请稍后重试!");
                    return;
                }
                READONLY = true;
                $("#btnsubmit").hide();
                var saledata=data.data;
                //回填数据
                $("#bankval").text(saledata.org_name);
                $("#bankval").data("bankval",saledata.org_name);
                // 贷款金额回填
                $("#amount").attr("readonly","readonly");
                $("#amount").val(saledata.amount);
                // 贷款利率回填
                $("#rate").attr("readonly","readonly");
                $("#rate").val(parseFloat(saledata.rate));
                //回填日期
                $("#startdate").text(saledata.contract_begintime);
                $("#startdate").data("date",saledata.contract_begintime);
                $("#enddate").text(saledata.contract_endtime);
                $("#enddate").data("date",saledata.contract_endtime);
                // 贷款用途回填
                $("#purpose").attr("readonly","readonly");
                $("#purpose").val(saledata.purpose);

                $(".imgnotice").hide();
                //贷款贴息申请表图片回填
                var imglist=saledata.applicationList;
                $(".application_url").each(function (index,element) {
                    if(imglist[index]){
                        $(element).data("src",xnzbImg+imglist[index]);
                        $(element).css("background","url("+xnzbImg+imglist[index]+") no-repeat center center");
                        $(element).css("background-size","52px 52px");
                        $(element).next().show();
                    }
                    var imgBackground = $(element).css("background");
                    if(imgBackground.indexOf("addpic2.png")>-1){
                        $(element).css("display","none");
                    }
                });
              //贷款合同图片回填
              var imgblist=saledata.contractList;
              $(".contract_url").each(function (index,element) {
                  console.log(JSON.stringify($(element).css("background")))
                if(imgblist[index]){
                  $(element).data("src",xnzbImg+imgblist[index]);
                  $(element).css("background","url("+xnzbImg+imgblist[index]+") no-repeat center center");
                  $(element).css("background-size","52px 52px");
                  $(element).next().show();
                }
                var imgBackground = $(element).css("background");
                if(imgBackground.indexOf("addpic2.png")>-1){
                  $(element).css("display","none");
                }
              });
              //贷款借据图片回填
              var imgclist=saledata.receiptList;
              $(".receipt_url").each(function (index,element) {
                if(imgclist[index]){
                  $(element).data("src",xnzbImg+imgclist[index]);
                  $(element).css("background","url("+xnzbImg+imgclist[index]+") no-repeat center center");
                  $(element).css("background-size","52px 52px");
                  $(element).next().show();
                }
                var imgBackground = $(element).css("background");
                if(imgBackground.indexOf("addpic2.png")>-1){
                  $(element).css("display","none");
                }
              });
            },
            error: function(xhr, type, errorThrown) {
                mui.toast("网络繁忙，请稍后重试！");
                applib.hideLoadingBg();
            }
        });
    }

    function nulltoempty(val) {
        if(val==undefined||val==null||val=='null'||val=="Null"){
            return "";
        }
        return val;
    }

    function init() {
    	mui.init();
        currentWebview = plus.webview.currentWebview();
        sid =currentWebview.sid;
        if(sid>0){
            applib.showLoadingBg();
            loaddata(sid);
        }
        bindEvent();
    }

    return {
        init: init
    }
})();

mui.plusReady(function() {
  tixApply.init();
});
