mui.init({
	beforeback: function(){
		var directReportLook = plus.webview.getWebviewById('directReportLook');
		mui.fire(directReportLook, 'reload', {
			reload: 1
		});
		return true;
	}
});
var vm=new Vue({
	el:"#muiContent",
	data:{
		dataList:[]
	}
})
var particularYear;
mui.plusReady(function() {
	var dynamicFormId=plus.webview.currentWebview();
	particularYear=dynamicFormId.name.time.particularYear;
	getMOnthData();
	document.addEventListener('reload', function(event) {
		var reload = event.detail.reload;
		if(reload == 1){
			getMOnthData();
		}
	});
	function getMOnthData(){
		ajax(xnzbUrl + "/api-report/form/getDynamicFormList.json", {
	        data: {
	        	token: token,
	        	category:2,
				dynamicFormId:dynamicFormId.name.getId,
				pageNo:1,
				pageSize:5,
				year:particularYear
	        },
	        dataType: 'json', //服务器返回json格式数据
	        type: 'GET', //HTTP请求类型
	        success: function(data) {
	        	var dataList=data.data.dataList;
	        		vm.dataList=dataList;
	        },
	        error:function(xhr, type, errorThrown){
	        	mui.toast("网络繁忙，请稍后重试！")
	        }
	    })
	}
	var btn = document.getElementById('addBrandCard');
	btn.addEventListener('tap', function() {
		var webview = mui.openWindow({
			url: 'updateBrandCard.html',
			id: 'updateBrandCard',
			styles: {
				top: 0, //新页面顶部位置
				bottom: 0 //新页面底部位置
			},
			extras: {
				name:dynamicFormId.name
			}
		});
	});
});