mui.init();
var getType,insuranceId,updateInsurance;
var vm = new Vue({
	el: "#muiContent",
	data: {
		getJson: [],
		thisId: '',
		industryType: [],
		isMultiple:"",
		gridData: "",
		getSrc:"",
		muiTitle:""
	},
	methods:{
		inOutradio:function(){
			muiid('selectShadow').className = "animation";
		},
		hideShadow: function(){
			muiid('selectShadow').className = "animation1";
		},
		selectedType: function(e){
			var text = e.currentTarget.innerText;
				muiid('isOver').value=text;
			muiid('selectShadow').className = "animation1";
		},
		clearNoNum: function(e) {
			e.currentTarget.value = e.currentTarget.value.replace(/[^\d.]/g, ""); //清除“数字”和“.”以外的字符
			e.currentTarget.value = e.currentTarget.value.replace(/^\./g, ""); //验证第一个字符是数字而不是.
			e.currentTarget.value = e.currentTarget.value.replace(/\.{2,}/g, "."); //只保留第一个. 清除多余的.
			e.currentTarget.value = e.currentTarget.value.replace(".", "$#$").replace(/\./g, "").replace("$#$", ".");
			e.currentTarget.value = e.currentTarget.value.replace(/^(\-)*(\d+)\.(\d\d{2}).*$/);
		},
		dateJson: function(e) {
			var selectDate = $("#selectDate");
			var values = $("#info");
			// 初始化时间
			var now = new Date();
			var nowYear = now.getFullYear();
			var nowMonth = now.getMonth() + 1;
			var nowDate = now.getDate();
			values.attr('data-year', nowYear);
			values.attr('data-yonth', nowMonth);
			values.attr('data-date', nowDate);
			// 数据初始化
			function formatYear(nowYear) {
				var arr = [];
				for(var i = nowYear - 67; i <= nowYear; i++) {
					arr.push({
						id: i + '',
						value: i + ''
					});
				}
				return arr;
			}

			function formatMonth() {
				var arr = [];
				for(var i = 1; i <= 12; i++) {
					arr.push({
						id: i + '',
						value: i + ''
					});
				}
				return arr;
			}

			function formatDate(count) {
				var arr = [];
				for(var i = 1; i <= count; i++) {
					arr.push({
						id: i + '',
						value: i + ''
					});
				}
				return arr;
			}
			var yearData = function(callback) {

				callback(formatYear(nowYear))
			}
			var monthData = function(year, callback) {

				callback(formatMonth());
			};
			var dateData = function(year, month, callback) {
				if(/^1|3|5|7|8|10|12$/.test(month)) {
					callback(formatDate(31));
				} else if(/^4|6|9|11$/.test(month)) {
					callback(formatDate(30));
				} else if(/^2$/.test(month)) {
					if(year % 4 === 0 && year % 100 !== 0 || year % 400 === 0) {
						callback(formatDate(29));
					} else {
						callback(formatDate(28));
					}
				} else {
					throw new Error('month is illegal');
				}
			};
			var oneLevelId = values.attr('data-year');
			var twoLevelId = values.attr('data-yonth');
			var threeLevelId = values.attr('data-date');
			var iosSelect = new IosSelect(3, [yearData, monthData, dateData], {
				title: '选择日期',
				itemHeight: 35,
				relation: [1, 1],
				oneLevelId: oneLevelId,
				twoLevelId: twoLevelId,
				threeLevelId: threeLevelId,
				showLoading: true,
				callback: function(selectOneObj, selectTwoObj, selectThreeObj) {
					values.attr('data-year', selectOneObj.id);
					values.attr('data-yonth', selectTwoObj.id);
					values.attr('data-date', selectThreeObj.id);
					var year = selectOneObj.value;
					var month = selectTwoObj.value;
					var datas = selectThreeObj.value;
					var nowsyear = new Date().getFullYear();
					var nowmonth = new Date().getMonth() + 1;
					var nowdata = new Date().getDate();
					if(nowsyear == year) {
						if(month > nowmonth) {
							mui.toast("最晚选择不能超过当日")
							return false;
						} else if(month == nowmonth) {
							if(datas > nowdata) {
								mui.toast("最晚选择不能超过当日")
								return false;
							}
						}
						if(selectTwoObj.value.length == 1) {
							selectTwoObj.value = "0" + selectTwoObj.value;
						} else {
							selectTwoObj.value = selectTwoObj.value;
						}
						if(selectThreeObj.value.length == 1) {
							selectThreeObj.value = "0" + selectThreeObj.value;
						} else {
							selectThreeObj.value = selectThreeObj.value;
						}
						values.val(selectOneObj.value + "-" + selectTwoObj.value + "-" + selectThreeObj.value);
					}
				}
			});
		}
	}
});
mui.plusReady(function() {
	updateInsurance = plus.webview.getWebviewById("updateInsurance");
	var numId=plus.webview.currentWebview();
	insuranceId=numId.name.insuranceId;
	muiid('addReportRecord').onclick=function(){

		var isOver=muiid('info').value;
		var repaymentPrice=muiid('repaymentPrice').value;
		if(repaymentPrice==""){
			mui.toast("请输入还款金额！");
			return false;
		}
		if(isOver==""){
			mui.toast("请选择还款日期！");
			return false;
		}
		ajax(xnzbUrl+"/api-report/repay/save.json", {
	        data: {
	        	token:token,
				creditId:insuranceId,
				noRepayAmount:numId.name.money,
				repayAmount:repaymentPrice,
				status:isOver
	        },
	        dataType: 'json', //服务器返回json格式数据
	        type: 'GET', //HTTP请求类型
	        success: function(data) {
	        	if(!data.code){
	        		if(data.data.success==true){
	        			mui.toast("保存成功！");
						mui.fire(updateInsurance, 'reload', {
							reload: 1
						});
	        			mui.back();
	        		}
	        	}
	        },
	        error:function(xhr, type, errorThrown){
	        	mui.toast("网络繁忙，请稍后重试！");
	        }
	    })
	}
})
