/**
 * Created by tian on 2018/07/25
 */

var trainingapplytwo = (function () {

    var currentWebview;
    var postdata;
    var gradedata=[];
    var choosedata=[{value:'1',text:'是'},{value:'0',text:'否'}];

    function bindEvent() {
		//是否参加地方培训点击
        document.getElementById("chooselocaltrain").addEventListener("tap",function () {
            document.activeElement.blur();
            var picker = new mui.PopPicker({
                layer: 1
            });
            picker.setData(choosedata);
            picker.show(function(selectItems) {
                var selvalue=selectItems[0].value;
                var seltext=selectItems[0].text;
                $("#islocaltrain").text(seltext);
                $("#islocaltrain").data("code",selvalue);
                //如果参加过地方培训，则需要填写 次数
                if(selvalue==1){
                    $("#avgnum").show();
                }
                else {
                    $("#avgnum").hide();
                }
            });
        });
        //是否获得证书点击
        document.getElementById("choosecert").addEventListener("tap",function () {
            document.activeElement.blur();
            var picker = new mui.PopPicker({
                layer: 1
            });
            picker.setData(choosedata);
            picker.show(function(selectItems) {
                var selvalue=selectItems[0].value;
                var seltext=selectItems[0].text;
                $("#hascert").text(seltext);
                $("#hascert").data("code",selvalue);
                //如果有证书，则需要填写 证书信息
                if(selvalue==1){
                    $("#certinfo").show();
                }
                else {
                    $("#certinfo").hide();
                }
            });
        });
        //新型职业农民培训证书点击
        document.getElementById("choosenewfarmercert").addEventListener("tap",function () {
            document.activeElement.blur();
            var picker = new mui.PopPicker({
                layer: 1
            });
            picker.setData(choosedata);
            picker.show(function(selectItems) {
                var selvalue=selectItems[0].value;
                var seltext=selectItems[0].text;
                $("#newfarmercert").text(seltext);
                $("#newfarmercert").data("code",selvalue);
            });
        });
        //国家职业资格证书点击
        document.getElementById("choosecountrycert").addEventListener("tap",function () {
            document.activeElement.blur();
            var picker = new mui.PopPicker({
                layer: 1
            });
            picker.setData(choosedata);
            picker.show(function(selectItems) {
                var selvalue=selectItems[0].value;
                var seltext=selectItems[0].text;
                $("#countrycert").text(seltext);
                $("#countrycert").data("code",selvalue);
                //如果有证书，则需要填写 证书信息
                if(selvalue==1){
                    $("#certgradeinfo").show();
                }
                else {
                    $("#certgradeinfo").hide();
                }
            });
        });
        //国家职业资格证书等级点击
        document.getElementById("choosecertgrade").addEventListener("tap",function () {
            document.activeElement.blur();
            if(!gradedata||gradedata.length<=0){
                mui.toast("证书等级数据获取失败，请返回重试");
                return;
            }
            var picker = new mui.PopPicker({
                layer: 1
            });
            picker.setData(gradedata);
            picker.show(function(selectItems) {
                var selvalue=selectItems[0].value;
                var seltext=selectItems[0].text;
                $("#certgrade").text(seltext);
                $("#certgrade").data("code",selvalue);
            });
        });
        //下一步按钮
        document.getElementById("btnnext").addEventListener("tap",function () {
            document.activeElement.blur();

            var islocaltrain=$("#islocaltrain").data("code");//是否参加地方农业培训
            var txtavgnum=$.trim($("#txtavgnum").val());//平均每年参加地方培训次数
            var hascert=$("#hascert").data("code");//是否获得证书
            var newfarmercert=$("#newfarmercert").data("code");//新型职业农民培训证书
            var countrycert=$("#countrycert").data("code");//国家职业资格证书
            var certgrade=$("#certgrade").data("code");//国家职业资格证书等级

            if(!islocaltrain){
                mui.toast("请选择是否参加地方农业培训");
                return;
            }
            if(islocaltrain==1){
                if(!txtavgnum||txtavgnum<=0){
                    mui.toast("请正确填写平均每年参加地方培训次数");
                    return;
                }
            }
            else {
                txtavgnum=0;
            }
            if(!hascert){
                mui.toast("请选择是否获得证书");
                return;
            }
            if(hascert==1){
                if(!newfarmercert){
                    mui.toast("请选择新型职业农民培训证书");
                    return;
                }
                if(!countrycert){
                    mui.toast("请选择国家职业资格证书");
                    return;
                }
                if(countrycert==1){
                    if(!certgrade){
                        mui.toast("请选择国家职业资格证书等级");
                        return;
                    }
                }
                else {
                    certgrade=0;
                }
                //如果2个证书都没选择，则是否有证书也改成0
                if(newfarmercert==0&&countrycert==0){
                    hascert=0;
                }
            }
            else {
                newfarmercert=0;
                countrycert=0;
                certgrade=0;
            }
            postdata["istrained"]=islocaltrain;
            postdata["othertrainingtime"]=txtavgnum;
            postdata["hasnocertification"]=hascert==1?0:1;//接口要的是 是否没有证书，刚好跟界面的相反。
            postdata["hastrainingcertification"]=newfarmercert;
            postdata["hasnationalcertification"]=countrycert;
            postdata["nationalcertificationgrade"]=certgrade;

            window.showLoadedPage({
                url: 'trainingApplyThree.html',
                id: 'trainingApplyThree',
                extras:{postdata:postdata},
                styles: {
                    top: 0,
                    bottom: 0
                },
                delay:500
            });
        });
    }

    function nulltoempty(val) {
        if(val==undefined||val==null||val=='null'||val=="Null"){
            return "";
        }
        return val;
    }

    //加载证书等级数据
    function loadgradedata() {
        var url = prUrl+"trainapplication/gettrainingtype?type=4";
        mui.ajax(url, {
            data: {},
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            success: function(data) {
                for(var i=0;i<data.length;i++){
                    gradedata.push({text:data[i].value,value:data[i].status});
                }
            },
            error: function(xhr, type, errorThrown) {
            }
        });
    }

    function init() {
    	mui.init();
        currentWebview = plus.webview.currentWebview();
        postdata=currentWebview.postdata;
        loadgradedata();
        bindEvent();
    }
    return {
        init: init
    }
})();

mui.plusReady(function() {
    trainingapplytwo.init();
});
