mui.init();
var numId;
var vm = new Vue({
	el: "#muiContent",
	filters: {
		formatDatetwo: function(time) {
			var re = /-?\d+/;
			var m = re.exec(time);
			var d = new Date(parseInt(m[0]));
			var o = {
				"M+": d.getMonth() + 1, //month
				"d+": d.getDate(), //day
				"h+": d.getHours(), //hour
				"m+": d.getMinutes(), //minute
				"s+": d.getSeconds(), //second
				"q+": Math.floor((d.getMonth() + 3) / 3), //quarter
				"S": d.getMilliseconds() //millisecond
			}
			var format = "yyyy-MM-dd hh:mm:ss";
			if(/(y+)/.test(format)) {
				format = format.replace(RegExp.$1, (d.getFullYear() + "").substr(4 - RegExp.$1.length));
			}
			for(var k in o) {
				if(new RegExp("(" + k + ")").test(format)) {
					format = format.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));
				}
			}
			return format;
		}
	},
	data: {
		classification: [],
		curriculum: [],
		dataName: "",
		childs: [],
		bannerIndexData: [],
		noCollection: false
	},

	methods: {
		jumpDetails: function(e) {
			if(e.currentTarget.getAttribute('id')) {
				var id = e.currentTarget.getAttribute('id');
			} else {
				var id = e.currentTarget.getAttribute('ids');
			}
			mui.openWindow({
				url: 'feedDetails.html',
				id: 'feedDetails',
				styles: {
					top: 0,
					bottom: 0
				},
				extras: {
					getId: id
				}
			})
		}
	}
})
mui.plusReady(function() {
	numId = plus.webview.currentWebview();
	console.log(numId.getId);
	var index_id = plus.storage.getItem('indexWebviewId');
	muiid("backUc").addEventListener("tap", function() {
		mui.back();
		return;
		if(numId.getId == 0) {
			console.log("wewe");
			var ws = plus.webview.currentWebview();
			plus.webview.close(ws);
			var adviceAdd = plus.webview.getWebviewById('adviceAdd');
			console.log(adviceAdd)
			plus.webview.close(adviceAdd);
			mui.currentWebview.opener().show('none');
			var href = '../../index.html';
			var id = index_id;
			mui.openWindow({
				url: href,
				id: id,
				styles: {
					top: 0,
					bottom: 0
				}

			});
			/*mui.openWindow({
				url: 'sub_index.html',
				id: 'sub_index',
				styles: {
					top: 0,
					bottom: 0
				}
			});*/

		} else {
			console.log(1);
			/*mui.openWindow({
				url: 'adviceAdd.html',
				id: 'adviceAdd',
				styles: {
					top: 0,
					bottom: 0
				}
			});*/
		}

	})
	ajax(xnzbUrl + '/api-content/feedback/getPageList', {
		data: {
			token: token,
			pageSize: 100,
			pageNo: 1
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(data) {
			console.log(data)
			vm.curriculum = data.result;
			if(vm.curriculum.length == 0) {
				vm.noCollection = true;
			}
		},
		error: function(xhr, type, errorThrown) {
			console.log(JSON.stringify(xhr));
			mui.toast('网络繁忙，请稍后重试！');
		}
	});

})