mui.init();
var vm = new Vue({
	el:"#muiContent",
	data:{
		classification:[],
		curriculum:[],
		dataName:"",
		childs:[],
		bannerIndexData:[]
	}, 
	methods:{
		// 头部跳转
		jumpWaibu : function(){
			console.log(plus.runtime.openURL())
		},
		jumpDetails:function(e){
			if(e.currentTarget.getAttribute('id')){
				var id=e.currentTarget.getAttribute('id');
			}else{
				var id=e.currentTarget.getAttribute('ids');
			}
			mui.openWindow({
				url: 'courseDetails.html',
				id: 'courseDetails',
				styles: {
					top: 0,
					bottom: 0
				},
				extras: {
					getId: id
				}
			})
		},
		secondLevel:function(e){
			var categoryId=e.currentTarget.getAttribute('id');
			console.log(muiid(categoryId).offsetWidth)
			var dataName=e.currentTarget.getAttribute('data');
			var childs=JSON.parse(e.currentTarget.getAttribute('childs'));
			var lis=muiid('selectShadow').getElementsByTagName('li');
			for(var i=0;i<lis.length;i++){
				lis[i].className='lis';
			}
			if(childs.length!="" || childs.length!=null || childs.length!=undefined){
				vm.childs=childs;
			}
			vm.dataName=dataName;
			$('#'+categoryId).addClass('li_bor').siblings().removeClass('li_bor');
			ajax(xnzbUrl + '/api-content/training/search', {
				data:{
					token: token,
					categoryId:categoryId,
					limit:20,
					start:0
				},
				dataType: 'json',
				type: 'get',
				timeout: 10000,
				success: function(data) {
					vm.curriculum=data.data.result.data;
				},
				error: function(xhr, type, errorThrown) {
					mui.toast('网络繁忙，请稍后重试！');
				}
			});
		},
		twoLevel:function(){
			muiid('selectShadow').className = "animation";
			
		},
		selectedType:function(e){
			var categoryId=e.currentTarget.getAttribute('id');
			$('#'+categoryId).addClass('lis_bg').siblings().removeClass('lis_bg');
			ajax(xnzbUrl + '/api-content/training/search', {
				data:{
					token: token,
					categoryId:categoryId,
					limit:200,
					start:0
				},
				dataType: 'json',
				type: 'get',
				timeout: 10000,
				success: function(data) {
					vm.curriculum=data.data.result.data;
				},
				error: function(xhr, type, errorThrown) {
					mui.toast('网络繁忙，请稍后重试！');
				}
			});
			muiid('selectShadow').className = "animation1";
		},
		hideType:function(){
			muiid('selectShadow').className = "animation1";
		}
	}
})
mui.plusReady(function(){
	// 申请培训
	var jumpTarinBtn = document.getElementById('bannermiddel')
	jumpTarinBtn.addEventListener('tap',function(){
		//判断登陆
		var token = plus.storage.getItem("token");
		if (!!!token) {
			login();
			return;
		}
        plus.nativeUI.showWaiting();
		//根据token获取用户权限
		var url = xnzbUrl+"/api-account/getUserByToken?token="+token;
		mui.ajax(url, {
			data: {},
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			success: function (d) {
				//最新返回值：{"code":0,"msg":"","data":{"farmName":null,"city":null,"photo":null,"isHzs":null,"isAuthed":"0","userId":256552,"score":0,"province":"其它",
				// "contact":"15051581257","district":null,"farmer":null,"addr":null,"idNum":null,"uniqueId":null},"timestamp":1500441862286}
				if (d.code != 0) {
					//获取失败
					mui.toast("获取用户信息失败，请稍后重试");
                    plus.nativeUI.closeWaiting();
					return;
				}
				var user = d.data;//用户对象
				checkcreatesubject(token, user);
			},
			error: function (xhr, type, errorThrown) {
				mui.toast("网络繁忙，请稍后重试！");
                plus.nativeUI.closeWaiting();
			}
		});
	})
	//跳转到云上智农 下载页面
	var downApp = document.getElementById('bannertop')
	downApp.addEventListener('tap',function(){
		plus.runtime.openURL("http://app.yszn.net.cn");
	})
    var wrapper = $("#wrapper");
    setTimeout(function(){
    	wrapper.find("ul").width((wrapper.find("li").length+2) * wrapper.find("li").width());
    },1500)
	ajax(xnzbUrl + '/api-content/training/categoryList', {
		data:{
			
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(data) {
			vm.classification=data.data.categoryList;
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
	ajax(xnzbUrl + '/api-content/training/search', {
		data:{
			categoryId:0,
			limit:200,
			start:0
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(data) {
			vm.curriculum=data.data.result.data;
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
	// ajax(xnzbUrl + '/api-content/picture/list', {
	// 	data: {
	// 		position: '6'
	// 	},
	// 	dataType: 'json',
	// 	type: 'get',
	// 	timeout: 10000,
	// 	success: function(data) {
	// 		console.log(data);
	// 		if(!data.code) {
	// 			var pics = data.data.pictureList;
	// 			vm.bannerIndexData = pics;
	// 			document.getElementById('firstBanner').setAttribute('src', pics[0].pictureUrl);
	// 			document.getElementById('lastBanner').setAttribute('src', pics[pics.length - 1].pictureUrl);
	// 			for(var i = 0; i < pics.length - 1; i++) {
	// 				var div = document.createElement("div");
	// 				div.className = 'mui-indicator';
	// 				document.getElementById('bannerPointer').appendChild(div);
	// 			}
	// 			setTimeout(function() {
	// 				mui("#slider").slider({
	// 					interval: 4000
	// 				});
	// 			}, 1000);
	// 		}
	// 	},
	// 	error: function(xhr, type, errorThrown) {
	// 		mui.toast('网络繁忙，请稍后重试！');
	// 	}
	// });

	//检查是否已创建主体
	function checkcreatesubject(token,user) {
		var url = xnzbUrl+"/api-account/getUserStatus?token="+token;
		mui.ajax(url, {
			data: {
			},
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			success: function(d) {
				// {"code":0,"msg":"","data":{"score":0,"isFarm":"0","isAuthed":"0","isForm":0},"timestamp":1513600829675}
				if(d.code!=0){
					//获取失败
					mui.toast("获取主体状态信息失败，请稍后重试");
                    plus.nativeUI.closeWaiting();
					return;
				}
				if(d.data.isFarm!=1){
					//没有创建主体，则跳转到创建主体页面
					mui.toast("请您先完善经营主体信息！");
                    plus.nativeUI.closeWaiting();
                    mui.openWindow({url:"../userCenter/createsubjectEasy.html",id:"createsubjectOne"});
					return;
				}
				if(user.isAuthed==0){
					//未提交认证，则跳转到提交认证页面
					mui.toast("请您先提交主体认证");
                    plus.nativeUI.closeWaiting();
                    mui.openWindow({url:"../userCenter/mySubject.html",id:"mySubject"});
					return;
				}
				if(user.isAuthed==5){
					mui.toast("您的主体信息未通过认证，请等待审核！");
                    plus.nativeUI.closeWaiting();
					return;
				}
				// if(user.isAuthed==8){
				// 	mui.toast("当前审核已被驳回！");
                 //    plus.nativeUI.closeWaiting();
                 //    mui.openWindow({url:"../../../userCenter/mySubject.html",id:"mySubject"});
				// 	return;
				// }
				if(user.isAuthed!=7){
					mui.toast("您的主体信息未通过认证，请等待审核！");
                    plus.nativeUI.closeWaiting();
					return;
				}
				checkapply(user);
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("网络繁忙，请稍后重试！");
                plus.nativeUI.closeWaiting();
			}
		});
	}
    //检查主体是否申请过培训
    function checkapply(user) {
        var url = prUrl + 'train/isTraining?userId='+user.userId;
        mui.ajax(url, {
            data: {
            },
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            success: function(d) {
                plus.nativeUI.closeWaiting();
                // {"data":false,"success":true,"message":"查询成功"}
                if(d.data){
                    //获取失败
                    mui.toast("您已经申请过，无需重复申请");
                    return;
                }
                mui.openWindow({
                    url :'../myTran/xieyi.html',
                    id:'xieyi',
                })
            },
            error: function(xhr, type, errorThrown) {
                mui.toast("网络繁忙，请稍后重试！");
                plus.nativeUI.closeWaiting();
            }
        });
    }

})
