mui.init({
	pullRefresh: {
		container: '#policyList',
		down: {
			style:'circle',
			callback: pulldownRefresh
		},
		up: {
			auto:true,
			contentrefresh: '正在加载...',
			callback: pullupRefresh
		}
	}
//	beforeback: function() {
//		var subIndexWebview = plus.webview.getWebviewById('sub_index');
//		mui.fire(subIndexWebview, 'JFreload', {
//			JFreload: 1
//		});
//	}
});
// 初始化vue实例
var news = new Vue({
	el: '#policyList',
	data: {
		policyList: []
	}
});
//贷款、保险跳转
mui.plusReady(function() {
	
});
//列表
var nomore = false;
var pageNo = 1;
function pullupRefresh(){
	mui('#policyList').pullRefresh().endPullup(nomore);
	ajax(xnzbUrl + '/api-message/message/page', {
		data:{
			token: token,
			type: 4,
			pageSize: 10,
			pageNo: pageNo
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(data) {
			console.log(JSON.stringify(data))
			if(!data.code) {
				if(data.data.messageList !=''){
					var message = data.data.messageList[0].content;
					console.log(message)
					plus.storage.setItem('mess', message);
				}				
				news.policyList = news.policyList.concat(data.data.messageList);
				if(data.data.messageList.length < 10) {
					pageNo++;
					nomore = true;
				} else {
					nomore = false;
					pageNo++;
				}
			};
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
}
function pulldownRefresh() {
	ajax(xnzbUrl + '/api-message/message/page', {
		data: {
			token: token,
			type: 4,
			pageSize: 10,
			pageNo: 1
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(data) {
			if(!data.code) {
				news.policyList = data.data.messageList;
				news.policyList.isRead = data.data.messageList.isRead;
			};
			mui('#policyList').pullRefresh().endPulldown();
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
}

//列表跳转
mui('#OA_task_1').on('tap', '.mui-table-view-cell', function(event) {
	var newImg=this.getElementsByTagName("img");
		console.log(newImg)
		$(newImg).attr("style","display:none")			
	if(parseInt(this.getAttribute('type')) == 5) {
		mui.openWindow({
			url: '../userCenter/mySubject.html',
			id: 'mySubject',
			styles: {
				top: 0,
				bottom: 0
			}
		});		
	} else {
		mui.openWindow({
			url: '../userCenter/myPoints.html',
			id: 'myPoints',
			styles: {
				top: 0,
				bottom: 0
			}
		});
	};
});
//new图片显示
mui('#OA_task_1').on('tap', '.mui-table-view-cell', function(event) {
		var li = this;
		var id = li.getAttribute('id');
		ajax(xnzbUrl + '/api-message/message/readMessage', {
			data: {
				token: token,
				messageId:id
			},
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			success: function(data) {
				console.log(JSON.stringify(data))
			},
			error: function(xhr, type, errorThrown) {
				mui.toast('网络繁忙，请稍后重试！');
			}
		});
		
});

//滑动删除
var btnArray = ['确认', '取消'];
mui('#OA_task_1').on('tap', '.mui-btn', function(event) {
	var li = this.parentNode.parentNode;
	var id = li.getAttribute('id');
	mui.confirm('确认删除该条记录？', '', btnArray, function(e) {
		if(e.index == 0) {
			li.parentNode.removeChild(li);
			ajax(xnzbUrl + '/api-message/message/delete', {
				data: {
					id: id
				},
				type: 'GET',
				dataType: 'json',
				timeout: 10000,
				success: function(data) {
					console.log(JSON.stringify(data));
				},
				error: function(xhr, type, errorThrown) {
					mui.toast('网络繁忙，请稍后重试！');
				}
			});
		} else {
			setTimeout(function() {
				mui.swipeoutClose(li);
			}, 10);
		}
	});
});