mui.init({
	
});

//自动弹出软键盘 input自动获取焦点
var nativeWebview, imm, InputMethodManager, searchWebview, type;
var initNativeObjects = function() {
	if (mui.os.android) {
		var main = plus.android.runtimeMainActivity();
		var Context = plus.android.importClass("android.content.Context");
		InputMethodManager = plus.android.importClass("android.view.inputmethod.InputMethodManager");
		imm = main.getSystemService(Context.INPUT_METHOD_SERVICE);
	} else {
		nativeWebview = plus.webview.currentWebview().nativeInstanceObject();
	}
};
var showSoftInput = function() {
	if (mui.os.android) {
		imm.toggleSoftInput(0, InputMethodManager.SHOW_FORCED);
	} else {
		nativeWebview.plusCallMethod({
			"setKeyboardDisplayRequiresUserAction": false
		});
	}
	setTimeout(function() {
		var inputElem = document.querySelector('input');
		inputElem.focus();
		inputElem.parentNode.classList.add('mui-active'); //第一个是search，加上激活样式
	}, 500);
};
mui.plusReady(function() {
	initNativeObjects();
	showSoftInput();
	//搜索逻辑
	searchWebview = plus.webview.currentWebview();
	type = searchWebview.type;
	//监听搜索按键
	document.getElementById("searchInput").addEventListener("keydown",function(e){ 
	    if(13 == e.keyCode){ //点击了“搜索” 
	    	//隐藏软键盘 
			document.activeElement.blur();
			getSearchHistory();
			//存储本地搜索历史
	        var oldSearchHistory = plus.storage.getItem('blend_search_history');
	        if(oldSearchHistory != null && oldSearchHistory != ''){
	        	var newSearchHistory = oldSearchHistory + ',' + searchInput.value;
	        } else {
	        	var newSearchHistory = searchInput.value;
	        }
	        plus.storage.setItem('blend_search_history',newSearchHistory);
	        
	        //跳转到搜索结果页
	       	var href = 'searchResult.html'; 
			var id = 'searchResult';
			mui.openWindow({
				url: href,
				id: id,
				styles: {
					top: 0,
					bottom: 0
				},
				extras: {
					type: type,
					keyword: searchInput.value
				}
			});
	    }
	},false);
	getSearchHistory();
	
});

//获取搜索历史
function getSearchHistory(){
	var searchHistory =  plus.storage.getItem('blend_search_history');
	if(searchHistory != null && searchHistory != ''){
		var old_history = searchHistory.split(',');
		var new_history = [];
		for(var i = 0; i<old_history.length; i++){
			var items = old_history[i];
			if(new_history.indexOf(items) < 0){
				new_history.push(items);
			}
		}
    	searchBody.searchHistory = new_history;
	}	
}
//清除搜索历史纪录
function clearHistory(){
	plus.storage.removeItem('blend_search_history');
	searchBody.searchHistory = [];
}
//应用实例化
var searchBody = new Vue({
    el: '#searchBody',
    data: {
        searchHot: [],
        searchHistory: []
    },
    methods:{
        toggleHot: function(){ //隐藏显示热搜推荐
        	
        },
        clickHistory: function(e){
        	var keyword = e.target.innerText;
        	//跳转到搜索结果页
	       	var href = 'searchResult.html'; 
			var id = 'searchResult';
			mui.openWindow({
				url: href,
				id: id,
				styles: {
					top: 0,
					bottom: 0
				},
				extras: {
					type: type,
					keyword: keyword
				}
			});
        }
    }
});



