//mui初始化
mui.init({
	// pullRefresh: {
	// 	container: '#policyList',
	// 	down: {
	// 		style:'circle',
	// 		callback: pulldownRefresh
	// 	},
	// 	up: {
	// 		auto:true,
	// 		contentrefresh: '正在加载...',
	// 		callback: pullupRefresh
	// 	}
	// }
});
var nomore = false;
var pageNo = 1;
var keyword = '';
var type = 1;

// 初始化vue实例
var news = new Vue({
	el: '#policyList',
	data: {
		policyList: [],
		nopolicyList:[],
		noResult: false
	}
});

//plusReady事件
mui.plusReady(function() {
	var webview = plus.webview.currentWebview();
	type = webview.type;
	keyword = webview.keyword;
	searchInput.value = keyword;

	pullupRefresh();
	//预加载详情页
	webview_detail = mui.preload({
		url: 'policyDetail.html',
		id: 'news_detail',
		styles: {
			"render": "always",   //窗口渲染模式
			"popGesture": "hide",
			"bounce": "vertical" //窗口遇到边框是否有反弹效果 vertical表示垂直方向反弹
		}
	});
});
function pullupRefresh(){
	//mui('#policyList').pullRefresh().endPullup(nomore); //参数为true代表没有更多数据了。
	ajax(xnzbUrl + '/api-content/news/page', {
		data:{
			pageNo:pageNo,
			pageSize: 100,
			keyword: keyword,
			type: type
		},
		dataType:'json',
		type:'get',
		timeout:10000,
		success:function(data){
			if(!data.code){
				var newsList=data.data.newsList;
				/*for(var i=0;i<newsList.length;i++){
					newsList[i].createTime = newsList[i].createTime.substring(5); 
				}*/
//				setTimeout(function(){
					news.policyList = news.policyList.concat(newsList);
//				},100);
				if(newsList.length < 10){
					pageNo++;
					nomore = true;
				}else{
					nomore = false;
					pageNo++;
				}
				if(newsList.length == 0 && pageNo == 2){
					//mui('#policyList').pullRefresh().disablePullupToRefresh();
					setTimeout(function(){
						document.querySelector('.mui-visibility').style.display = 'none !important';
					},500);
					news.noResult = true;
					ajax(xnzbUrl + '/api-content/news/page', {
						data:{
							pageNo:1,
							pageSize: 10,
							keyword: '',
							type: type
						},
						dataType:'json',
						type:'get',
						timeout:10000,
						success:function(data){
							if(!data.code){
								var newsList=data.data.newsList;
								news.nopolicyList = news.nopolicyList.concat(newsList);
							}
						},
						error:function(xhr,type,errorThrown){
							mui.toast('网络繁忙，请稍后重试！');
						}
					});
				}
			}
		},
		error:function(xhr,type,errorThrown){
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
}
function pulldownRefresh() {
	setTimeout(function() {
		mui('#policyList').pullRefresh().endPulldown();
	}, 1000);
}
//点击列表，打开详情
mui('.xnzb-zczx-cont').on('tap', 'a', function(){
	this.querySelector("#read").innerHTML ++;
	var detailId = this.getAttribute('id');
	var title = this.querySelector(".zczx-title").innerHTML;
	var author = this.querySelector("#author").innerHTML;
	var time = this.querySelector("#time").innerHTML;
	var read = this.querySelector("#read").innerHTML;
	var cover = this.querySelector(".zczx-num-img")?this.querySelector(".zczx-num-img").getAttribute("src"):'';
	open_detail(detailId, title, author, time, read, cover);
});
//打开资讯详情
function open_detail(detailId, title, author, time, read, cover) {
	//若详情页尚未预加载完成，则延时等待再执行
	if(!webview_detail) {
		setTimeout(function() {
			open_detail(detailId);
		}, 100);
	}
	//触发子窗口变更新闻详情  触发自定义事件
	mui.fire(webview_detail, 'get_detail', {
		detailId: detailId,
		title:title,
		author:author,
		time:time,
		read:read,
		cover:cover
	});
	setTimeout(function () {
		webview_detail.show("slide-in-right", 300);
	},150);
}
