var files = [];
var payRoof = [];
var proImgData = [];
var proVData = [];
var videoTrueData = [];
var index = 0;
var picNum;
var upId = '',fileType = '',wt=null;
var baseImg = 'http://syimg.sheyuan.com/';
var imgWidth, imgHeight, leftpos, toppos, imgpaths;
var thisUrl = window.location.href.split('/').pop();
var deleted = document.getElementById("delete");
var orderId = window.location.href.split('=')[1];

mui.plusReady(function() {
	token = plus.storage.getItem('token');
});
var personalData = new Vue({
	el: "#personalData",
	data: {
		gridData:[]
	},
	methods: {
		uploadImg: function(e) {
			upId = e.currentTarget.id;
			chagePop(this,upId);
		},
		deleteImg: function(item,e) {
			upId = e.currentTarget.id;
			deleteImg(item,upId);
		}
	}
});
var videoCont = new Vue({
	el:"#videoCont",
	data: {
		videoImg:'',
		videoSrc:''
	},
	methods: {
		uploadImg: function(e) {
			upId = e.currentTarget.id;
			chioceVideo(this,upId);
		}
	}
});
var payInfo = new Vue({
	el: "#payInfo",
	data: {
		payRoof: []
	},
	methods: {
		uploadImg: function(e) {
			if(payInfo.payRoof.length>9){
				mui.toast("最多可上传十张支付凭证");
				return false;
			}
			upId = e.currentTarget.id;
			chagePop(this,upId);
		},
		deleteImg: function(item,e) {
			upId = e.currentTarget.id;
			deleteImg(item,upId);
		}
	}
});
var feedbackImg = new Vue({
    el: "#feedbackImg",
    data: {
        imgs: []
    },
    methods: {
        uploadImg: function(e) {
            if(feedbackImg.imgs.length>9){
                mui.toast("最多可上传十张图片");
                return false;
            }
            upId = e.currentTarget.id;
            chagePop(this,upId);
        },
        deleteImg: function(item,e) {
            upId = e.currentTarget.id;
            //console.log(upId);
            deleteImg(item,upId);
        }
    }
});
var productImg = new Vue({
	el:"#productImg",
	data:{
		imgData:[]
	},
	methods: {
		uploadImg: function(e) {
			if(productImg.imgData.length>9){
				mui.toast("最多可上传十张图片");
				return false;
			}
			upId = e.currentTarget.id;
			chagePop(this,upId);
		}
	}
});
var productVideo = new Vue({
	el:"#productVideo",
	data:{
		videoData:[],
		pvideoSrc:'',
		vTrueData:[]
	},
	methods: {
		uploadImg: function(e) {
			if(productVideo.videoData.length>2){
				mui.toast("最多可上传3段视频");
				return false;
			}
			upId = e.currentTarget.id;
			chioceVideo(this,upId);
		}
	}
});

var chagePop = function (element,upId) {
	var bts = [{
		title: "拍照",
		action: 'camera'
	}, {
		title: "从相册选取",
		action: 'gallery'
	}];
	plus.nativeUI.actionSheet({
			cancel: "取消",
			buttons: bts
		},
		function(e) {
			if(e.index > 0) {
				switch(bts[e.index - 1].action) {
					case 'camera':
						getImage(element);
						break;
					case 'gallery':
						galleryImg(element);
						break;
					default:
						break;
				}
			}
		}
	);
}
var chioceVideo = function (element,upId) {
	var bts = [{
		title: "视频选择",
		action: 'gallery'
	}];
	plus.nativeUI.actionSheet({
			cancel: "取消",
			buttons: bts
		},
		function(e) {
			if(e.index > 0) {
				switch(bts[e.index - 1].action) {
					case 'gallery':
						galleryVideo(element);
						break;
					default:
						break;
				}
			}
		}
	);
}
//点击拍照执行
function getImage() {
	var cmr = plus.camera.getCamera();
	cmr.captureImage(function(p) {
		plus.io.resolveLocalFileSystemURL(p,
			function(entry) {
              wt = plus.nativeUI.showWaiting('上传中...', {
                        width: '100px'
                    });
				plus.zip.compressImage({
					src: entry.toLocalURL(), //search.src, //src在这里是第一步Url里的src。也就是本地路径
					dst: entry.toLocalURL(),
					overwrite: true,
					quality: 100,
					width: '620px',
					height: 'auto'
				}, function(e) {
					if(imgWidth > 320) {
						plus.zip.compressImage({
							src: e.target,
							dst: e.target,
							overwrite: true,
							quality: 100,
							width: "620px" // 缩小到原来的一半
						}, function(e) {
                            picNum = 1;
							var evjs = getpath(e.target);
							evalJS(evjs);
						}, function(error) {
							//							alert("Compress error!");
                            wt.close();
                            mui.toast("压缩失败请重新上传");
						});
					} else {
						var fat = plus.webview.currentWebview();
						picNum = 1;
						var evjs = getpath(e.target);
						fat.evalJS(evjs);
					}
				}, function(e) {
                    wt.close();
                    mui.toast("上传失败");
					console.log(JSON.stringify(e, null, ""));
				});
			},
			function(e) {
                wt.close();
				plus.nativeUI.alert("读取拍照文件错误：" + e.message);
			});
	}, function(e) {
		//		alert("失败：" + e.message);
            mui.toast("上传失败");
            wt.close();
	}, {
		filename: "_doc/header/pic_" + new Date().getTime() + ".jpg",
        //拍照默认使用的摄像头
		index: 1
	});
}
function galleryImg(obj) {
	plus.gallery.pick(function(e) {
        wt = plus.nativeUI.showWaiting('上传中...', {
            width: '100px'
        });
        picNum = e.files.length;
		if(picNum>0){
			compressImage(e.files,index);
		}else{
		    mui.toast("图片选择失败");
		}
//		zipImg(e);
	}, function(e) {
		console.log("选择后回调函数："+JSON.stringify(e));
	}, {
		filter: "image",
//		filename: "_doc/header/pic_" + new Date().getTime() + ".jpg"
		multiple:true,
		system:false,
		maximum:5,
		onmaxed: function() {
            plus.nativeUI.alert('每次最多只能选择5张图片');
        }
		
	});
}
/*
 压缩图片
 * */
function compressImage(files,index) {
    var path = files[index];
	plus.zip.compressImage({
		src: path, //search.src, //src在这里是第一步Url里的src。也就是本地路径
		dst: path,
		quality: 80,
		overwrite: true,
		width:'950px'
	}, function(i) {
        getpath(i.target);
        index++;
        if(index<picNum){
            compressImage(files,index);
        }
	}, function(e) {
//		mui.toast("压缩失败!");
		getpath(path);
        index++;
        if(index<picNum){
            compressImage(files,index);
        }
	});
}

function getpath(paths) {
	files.push({
		name: "file",
		path: paths
	});
	if(files.length==picNum&&files.length!=0){
    for(i in files){
          upLoad(files[i],upId);
    }
         picNum=0;
         index=0;
         files = [];
	}
}
//上传图片
function upLoad(file,upId) {
	if(upId =='videoCont'|| upId=="pvTriger"){
		fileType = 'video';
	}else{
		fileType = 'img';
	}
	var server = xnzbUrl + '/api-image/v1/uploadFileByH5Plus';
	var task = plus.uploader.createUpload(server, {
			method: "POST",
			blocksize:204800,
			priority:100
		},
		function(res, status) { //上传完成 
			if(!res.responseText){
				mui.toast("文件太大上传失败");
				wt.close();
				return false;
			}
			if(status == 200) {
				var str = JSON.parse(res.responseText);
				imgpaths = str.data.path;
				if(upId === 'order'){
					personalData.gridData.push(xnzbImg+imgpaths);
				}else if (upId === 'videoCont') {
					videoCont.videoImg = '../../img/icon-vdone.png';
					videoCont.videoSrc = imgpaths;
				}else if(upId === 'payTriger'){
					if(payInfo.payRoof.length==10){
						return false;
					}
					payInfo.payRoof.push(xnzbImg +imgpaths);
				}else if(upId === 'feedTriger'){
                    if(feedbackImg.imgs.length==10){
                        return false;
                    }
                    feedbackImg.imgs.push(xnzbImg +imgpaths);
                }else if (upId === 'pdTriger'){
					productImg.imgData.push(xnzbImg +imgpaths);
				} else if (upId === 'pvTriger'){
					productVideo.videoData.push('../../img/icon-vdone.png');
					productVideo.vTrueData.push(imgpaths);
				}
				mui.toast("上传成功!");
			} else {
				mui.toast("上传失败!");
			}
			wt.close();
		}
	);
    task.addFile(file.path, {
        key: file.name
    });
	task.start();
	if(wt) {
		setTimeout(function() {
			wt.close();
		}, 300000);
	}
}
function saveProof(src) {
	mui.ajax('http://456.sheyuan.com/bulk_api/' + '/v1/order/offLine/proofUpload', {
		data: {
			orderId: orderId,
			proof: src,
			token: token,
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(res) {
			console.log(res)
			if(res.data.isOk === 1){
				mui.toast("提交成功");
				mui.back();
			}else{
				mui.toast(res.msg);
			}
		},
		error: function(msg) {
			mui.toast(msg);
		}
	});
}
function deleteImg(item,id) {
	if(id=='order') {
		removeByValue(personalData.gridData, item);
	}else if(id =='pay'){
		removeByValue(payInfo.payRoof, item);
	}else if(id =='feedbackPic'){
        removeByValue(feedbackImg.imgs, item);
    }
}

function removeByValue(arr, val) {
	for(var i = 0; i < arr.length; i++) {
		if(arr[i] == val) {
			arr.splice(i, 1);
			break;
		}
	}
}
/*
 upload video
 * */
function galleryVideo(e){
	plus.gallery.pick(function(p){
  wt = plus.nativeUI.showWaiting('上传中...', {
            width: '100px'
        });
        picNum = 1;
		getpath(p);
	}, function(e){},{
		filter:"video"
	});
}

/*
 支付凭证
 * */
function subPayImg(){
	//todo 保存支付凭证。
	var proof = payInfo.payRoof.join().replace(/http:\/\/syimg.sheyuan.com\//g, "");
	if(proof){
		saveProof(proof);
	}
}
/*
 remove product img list 
 **/
function pImgRemove(item){
	removeByValue(productImg.imgData,item);
}
/*
 remove product video list 
 * */
function pVideoRemove(item,index){
	//todo delete 虚拟和ture
	removeByValue(productVideo.videoData,item);
	//todo 删除 true data 中.mp4 
	RemoveValByIndex(productVideo.vTrueData,index);
}
function RemoveValByIndex(arr, index) {
  arr.splice(index, 1);
}    