mui.init();
var view;
var vm=new Vue({
	el:"#muiContent",
	data:{
		policyList:[],
		result:[]
	},
	methods:{
		openWindow:function(){
			var zfSubsidy=function(){
				window.showLoadedPage({
					url: '../directReport/expenditureRecord.html',
					id: 'expenditureRecord',
					styles: {
						top: 0,
						bottom: 0
					},
					extras: {
						category: {
							getId: 4,
							id: vm.dynamicFormId,
							spans: "政府补贴",
							str: "收入"
						}
					},
					delay:500
				});
			}
			isCreatSubject(zfSubsidy)
		},
		gdSubsidy:function(){
			window.showLoadedPage({
				url: 'subsidyList.html',
				id: 'subsidyList',
				styles: {
					top: 0,
					bottom: 0
				},
				extras: {
					category: {
						getId: 4,
						id: vm.dynamicFormId,
						spans: "政府补贴",
						str: "收入"
					},
					name: {
						getId: vm.dynamicFormId,
						time: view.time,
						isMultiple: 1,
						uesrName: "",
						objJson: "",
						getYear: view.time.currentYear,
						dataOut:2,
						jsons:""
					}
				},
				delay:500
			});
		}
	}
})
mui.plusReady(function() {
	var tipmsg="按照政策要求，县级及以上示范家庭农场或农民合作社方可申请，感谢您的关注。";
	document.addEventListener('reload', function(event) {
		var reload = event.detail.reload;
		if(reload == 1) {
			zfBuTie();
		}
	});
	webview_detail = mui.preload({
		url: 'policyDetail.html',
		id: 'policyDetail',
		styles: {
			"render": "always", //窗口渲染模式
			"popGesture": "hide",
			"bounce": "vertical" //窗口遇到边框是否有反弹效果 vertical表示垂直方向反弹
		}
	});
	view=plus.webview.currentWebview();
	zfBuTie();
	function zfBuTie(){
		ajax(xnzbUrl + '/api-report/form/queryByFormNameList.json', {
			data: {
				token: token,
				formName: "政府补贴",
				pageNo: 1,
				pageSize: 3,
				type: 1
			},
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			success: function(data) {
				vm.dynamicFormId=data.data.dynamicFormId;
				console.log(data);
				vm.result=data.data.page.result;
			},
			error: function(xhr, type, errorThrown) {
				mui.toast('网络繁忙，请稍后重试！');
			}
		});
	}
	ajax(xnzbUrl + '/api-content/news/page', {
		data: {
			pageNo: 1,
			pageSize: 5,
			keyword: '',
			type: 4,
			select: "",
			province:view.province,
			city:view.city,
			district:view.district
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(data) {
			vm.policyList=data.data.newsList;
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
	muiid('gdInformation').addEventListener('tap',function(){
		window.showLoadedPage({
			url: 'subsityList.html',
			id: 'subsityList',
			styles: {
				top: 0,
				bottom: 0
			},
			extras: {
				province: view.province,
				city: view.city,
				district: view.district,
				pro:view.pro,
				cit:view.cit,
				dis:view.dis
			},
			delay:500
		});
	});

	//打开贷款贴息页面
	muiid('btntiexi').addEventListener('tap',function(){
		applib.showLoadingBg();
		mySubjectFun(function (val, msg) {
			if(val == true){
				applib.openWindow("../directReport/tixApply.html","tixApply",{});
				applib.hideLoadingBg()
			}else {
				mui.toast(msg)
				applib.hideLoadingBg()
			}
		})
	});
	function mySubjectFun(callback) {
		var url = applib.REQUEST_DOMAIN+"/tiexi/isadd?token="+token;
		ajax(url, {
			data: {},
			dataType: 'json',
			type: 'POST',
			timeout: 10000,
			success: function(data) {
				console.log(JSON.stringify(data))
				if(data.code == 1){
					callback(true,data.message)
				}else {
					callback(false,data.message)
				}
			},
			error: function(xhr, type, errorThrown) {
				applib.hideLoadingBg()
				mui.toast("网络繁忙，请稍后重试！");
			}
		});
	}
	mytiexFun(function (val) {
		if(val){
			document.getElementById('btntiexi').style.display = 'block'
		}else {
			document.getElementById('btntiexi').style.display = 'none'
		}
	})
	function mytiexFun(callback) {
		ajax(xnzbUrl + '/api-report/report/myFarm.json', {
			data: {
				token: token
			},
			dataType: 'json',
			type: 'POST',
			timeout: 10000,
			success: function(data) {
				console.log(JSON.stringify(data))
				var res = data.data;
				if(res.city=="杭州市" && res.district=="余杭区"){
					callback(true)
				}else {
					callback(false)
				}
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("网络繁忙，请稍后重试！");
			}
		});
	}
	function getAuthed(){
		var url = xnzbUrl+"/api-account/getUserByToken?token="+token;
		mui.ajax(url, {
			data: {},
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			success: function (d) {
				var authed = d.data.isAuthed;//主体状态
				// 0未提交，5待初审，6待复核，7已认证，8初审驳回,9复核驳回
				if(authed == 0){
					mui.alert("请先提交主体认证", '提示', '知道了', null, 'div');
				}else if(authed == 8 || authed == 9){
					// 跳转主体信息页面
					var href = '../userCenter/mySubject.html';
					var id = 'mySubject';
					var dpWeb = plus.webview.getWebviewById('mySubject');
					mui.fire(dpWeb, 'relod', {
						reload: 5
					});
					window.showLoadedPage({
						url: href,
						id: id,
						styles: {
							top: 0,
							bottom: 0
						},
						delay: 500
					});
				}else {
					//add by tianchao 需求调整：非贫困地区普通等级的不能申请 2020-07-07，
					if(d.data.isPoverty===0 && d.data.level===0) {
						mui.alert(tipmsg, '提示', '知道了', null, 'div');
						return;
					}

					// 其他状态一次没填报则跳转填报页面
					var url = xnzbUrl + '/account-service/coldproject/countSubsidyUser';
					ajax(url, {
						data: {
							token: token,
						},
						dataType: 'json',
						type: 'get',
						timeout: 10000,
						success: function(data) {
							if(data.data.count == 0){
								applib.openWindow("../subsidy/coldapply.html", "coldapply",{})
							}else {
								mui.alert(data.data.msg, '提示', '知道了', null, 'div');
							}

						},
						error: function(xhr, type, errorThrown) {
							mui.toast('网络繁忙，请稍后重试！');
						}
					});
				}
			},
			error: function (xhr, type, errorThrown) {
				mui.toast("网络繁忙，请稍后重试！");
			}
		});
	}
	gettimeshow()
	function gettimeshow(){
		var url = xnzbUrl + '/account-service/coldproject/checkDate';
		mui.ajax(url, {
			data: {},
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			success: function (res) {
				if(res.data.status == 0){
					document.getElementById('btncangchu').style.display = 'block'
				}else {
					document.getElementById('btncangchu').style.display = 'none'
				}

			},
			error: function (xhr, type, errorThrown) {
				mui.toast("网络繁忙，请稍后重试！");
			}
		});
	}
	//点击仓储保鲜冷链物流
	muiid('btncangchu').addEventListener('tap',function(){
		var cangchu=function(){
			var url = xnzbUrl + '/account-service/coldproject/check'
			ajax(url, {
				data: {
					token: token,
					type: 1,
				},
				dataType: 'json',
				type: 'get',
				timeout: 10000,
				success: function(data) {
					if(data.data.status == 0){
						// 判断主体状态
						// getAuthed()
						applib.openWindow("../subsidy/coldapply.html", "coldapply",{})
					}else {
						// mui.toast(data.data.info,{ duration:'long', type:'div' })
						mui.alert(data.data.info, '提示', '知道了', null, 'div');
					}

				},
				error: function(xhr, type, errorThrown) {
					mui.toast('网络繁忙，请稍后重试！');
				}
			});
		}
		isCreatSubject(cangchu,false,1)
	});

	(function () {
		//加载提示消息。
		ajax(prUrl + '/train/getProtocolText?keycode=cold_app_level_errmsg',{
			type:'GET',
			data:{},
			datatype:'json',
			success : function(res){
				res=JSON.parse(res);
				if(res.code === 1){
					var data=res.data;
					if(data){
						tipmsg=data;
					}
				}
			}
		});
	})();
})
//点击列表，打开详情
mui('.xnzb-zczx-cont').on('tap', 'a', function() {
	this.querySelector("#read").innerHTML++;
	var detailId = this.getAttribute('id');
	var title = this.querySelector(".zczx-title").innerHTML;
	var author = this.querySelector("#author").innerHTML;
	var time = this.querySelector("#time").innerHTML;
	var read = this.querySelector("#read").innerHTML;
	var cover = this.querySelector(".zczx-num-img") ? this.querySelector(".zczx-num-img").getAttribute("src") : '';
	var type = 1;
	open_detail(detailId, title, author, time, read, cover, type);
});
//打开资讯详情
function open_detail(detailId, title, author, time, read, cover, type) {
	//若详情页尚未预加载完成，则延时等待再执行
	if(!webview_detail) {
		setTimeout(function() {
			open_detail(detailId);
		}, 100);
	}
	//触发子窗口变更新闻详情  触发自定义事件
	mui.fire(webview_detail, 'get_detail', {
		detailId: detailId,
		title: title,
		author: author,
		time: time,
		read: read,
		cover: cover,
		type: type
	});
	setTimeout(function() {
		webview_detail.show("slide-in-right", 300);
	}, 150);
}
