mui.init();
var AreaparentName, marketparentName, categoryName, varietyparentName;
var vm = new Vue({
	el: "#muiContents",
	data: {
		areaName: [],
		category: [],
		market: [],
		variety: []
	},
	filters: {
		Substrs: function(num) {
			return(num.length < 7 ? num : num.substring(0, 7));
		}
	},
	methods: {
		chooseitem: function(e, num) {
			var categoryId = e.currentTarget.getAttribute('id');
			$('#' + categoryId).addClass("ss");
			$('#' + categoryId).parents().siblings().children("span").removeClass("ss");
			$('#' + categoryId).siblings("i").show();
			$('#' + categoryId).parents().siblings().children("i").hide();
			if(num == 1) {
				$("#areas").show();
				$("#market").hide();
				$("#variety").hide();
				$("#category").hide();
			} else if(num == 2) {
				$("#areas").hide();
				$("#market").show();
				$("#variety").hide();
				$("#category").hide();
			} else if(num == 3) {
				$("#areas").hide();
				$("#market").hide();
				$("#variety").show();
				$("#category").hide();
			} else if(num == 4) {
				$("#areas").hide();
				$("#market").hide();
				$("#variety").hide();
				$("#category").show();
			}

		},
		chooseArea: function(e) {
			$("#market ul li").removeClass('li_bor');
			if(e.currentTarget.getAttribute('parentName')) {
				AreaparentName = e.currentTarget.getAttribute('parentName');
			}
			var id = e.currentTarget.getAttribute('id');
			$('#' + id).addClass('li_bor').siblings().removeClass('li_bor');
			ajax(xnzbUrl + '/api-content/discovery/choose', {
				data: {
					pageNo: 1,
					pageSize: 100,
					parentName: AreaparentName,
					type: 2
				},
				dataType: 'json',
				type: 'get',
				timeout: 10000,
				success: function(data) {
					vm.market = data.data.page.result;
				},
				error: function(xhr, type, errorThrown) {
					mui.toast('网络繁忙，请稍后重试！');
				}
			});

		},
		choosemarket: function(e) {
			if(e.currentTarget.getAttribute('parentName')) {
				marketparentName = e.currentTarget.getAttribute('parentName');
			}
			var id = e.currentTarget.getAttribute('id');
			$('#' + id).addClass('li_bor').siblings().removeClass('li_bor');
		},
		chooseCategory: function(e) {
			$("#category ul li").removeClass('li_bor');
			var id = e.currentTarget.getAttribute('id');
			$('#' + id).find(".xnzb-nav-title").addClass('gls');
			$('#' + id).siblings().find(".xnzb-nav-title").removeClass('gls');
			categoryName = e.currentTarget.getAttribute('data');
			ajax(xnzbUrl + '/api-content/discovery/choose', {
				data: {
					pageNo: 1,
					pageSize: 100,
					parentName: categoryName,
					type: 4
				},
				dataType: 'json',
				type: 'get',
				timeout: 10000,
				success: function(data) {
					vm.variety = data.data.page.result;
				},
				error: function(xhr, type, errorThrown) {
					mui.toast('网络繁忙，请稍后重试！');
				}
			});

		},
		choosevariety: function(e) {
			if(e.currentTarget.getAttribute('parentName')) {
				varietyparentName = e.currentTarget.getAttribute('parentName');
			}
			var id = e.currentTarget.getAttribute('id');
			$('#' + id).addClass('li_bor').siblings().removeClass('li_bor');
		},
		overType: function(e) {
			console.log(AreaparentName)
			//判断四个品类的选择并跳转
			if(AreaparentName == undefined) {
				AreaparentName = ""
			}
			if(marketparentName == undefined) {
				marketparentName = ""
			}
			if(categoryName == undefined) {
				categoryName = ""
			}
			if(varietyparentName == undefined) {
				varietyparentName = ""
			}

			var view = plus.webview.getWebviewById("price_info");

			mui.fire(view, 'doit', {
				areaName: AreaparentName,
				market: marketparentName,
				category: categoryName,
				variety: varietyparentName,
				querys: 1
			});
			mui.openWindow({
				url: 'price_info.html',
				id: 'price_info',
				styles: {
					top: 0,
					bottom: 0
				},
				extras: {
					querys: 1
				}

			})
			setTimeout(function() {
				plus.webview.currentWebview().hide();
				plus.webview.currentWebview().close();
			}, 1000);

		},
		overTypes: function(e) {
			console.log(AreaparentName)
			//判断四个品类的选择并跳转
			if(AreaparentName == undefined) {
				AreaparentName = ""
			}
			if(marketparentName == undefined) {
				marketparentName = ""
			}
			if(categoryName == undefined) {
				categoryName = ""
			}
			if(varietyparentName == undefined) {
				varietyparentName = ""
			}
			mui.openWindow({
				url: 'price_info.html',
				id: 'price_info',
				styles: {
					top: 0,
					bottom: 0
				},
				extras: {
					areaName: AreaparentName,
					market: marketparentName,
					category: categoryName,
					variety: varietyparentName,
					query: 1
				}

			})
			setTimeout(function() {
				plus.webview.currentWebview().hide();
				plus.webview.currentWebview().close();
			}, 1000);

		}

	}
})
mui.plusReady(function() {
	var names;
	names = plus.webview.currentWebview().names;
	router = plus.webview.currentWebview().router;
	routers = plus.webview.currentWebview().routers;
	console.log(routers)
	if(routers) {
		$('#' + 03).addClass("ss");
		$('#' + 03).parents().siblings().children("span").removeClass("ss");
		$('#' + 03).siblings("i").show();
		$('#' + 03).parents().siblings().children("i").hide();
		$("#areas").hide();
		$("#market").hide();
		$("#variety").show();
		$("#category").hide();
	}
	if(router) {
		$("#overType").show();
		$("#overTypes").hide();
	} else {
		$("#overTypes").show();
		$("#overType").hide();
	}
	if(names) {
		$('#' + 03).addClass("ss");
		$('#' + 03).parents().siblings().children("span").removeClass("ss");
		$('#' + 03).siblings("i").show();
		$('#' + 03).parents().siblings().children("i").hide();
		$("#areas").hide();
		$("#market").hide();
		$("#variety").show();
		$("#category").hide();
		ajax(xnzbUrl + '/api-content/discovery/choose', {
			data: {
				pageNo: 1,
				pageSize: 100,
				parentName: names,
				type: 4
			},
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			success: function(data) {
				vm.variety = data.data.page.result;
			},
			error: function(xhr, type, errorThrown) {
				mui.toast('网络繁忙，请稍后重试！');
			}
		});

	}
	//初始化地区选择
	ajax(xnzbUrl + '/api-content/discovery/choose', {
		data: {
			pageNo: 1,
			pageSize: 100,
			parentName: '',
			type: 1
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(data) {
			vm.areaName = data.data.page.result;
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
	//初始化品类选择
	ajax(xnzbUrl + '/api-content/discovery/categoryList', {
		data: {
			pageNo: 1,
			pageSize: 100
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(data) {
			vm.category = data.data.page.result;
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络繁忙，请稍后重试！');
		}
	});

})