mui.plusReady(function() {
  mui.init()
  var app=new Vue({
    el: "#applybank",
    data: {
      form:{
        applySubsidy:'',//申请补助资金
        actBuildInvest:'',//实际建设 金额
        actBuildCapacity:'',//实际建设规模
        status: 5,
        buildCompany:'',
        buildContractImg:[],

        //以下字段暂时废弃
        bankCardImg: '',
        bankName: '',
        bankAccount: '',
        bankAccountName: ''
      }
    },
    created: function () {
    },
    mounted: function () {
      // this.loading(false);
      this.getDetail()
    },
    computed: {},
    watch: {},
    methods: {
      //上传图片
      uploadCard: function () {
        document.activeElement.blur();
        uploadimg.chagePop(function (imgurl, localurl) {
          console.log('imgurl', imgurl)
          if (imgurl.indexOf('http') !== 0) {
            imgurl = xnzbImg + imgurl;
          }
          app.$set(app.form, 'bankCardImg', imgurl);
        }, false, {
          type: 'newurl',
          cb: function (res) {
            res = JSON.parse(res);
            console.log('cdres'+ res.result.bank_card_number)
            var bankAccount = res.result.bank_card_number
            if(bankAccount){
              bankAccount = bankAccount.replace(/\s+/g,"")
            }
            app.$set(app.form, 'bankName', res.result.bank_name)
            app.$set(app.form, 'bankAccount', bankAccount)
          }
        })
      },
      //上传合同图片
      uploadContract:function(){
        document.activeElement.blur();
        uploadimg.chagePop(function (imgurl, localurl) {
          console.log('imgurl', imgurl)
          if (imgurl.indexOf('http') !== 0) {
            imgurl = xnzbImg + imgurl;
          }
          //app.$set(app.form, 'buildContractImg', imgurl);
          app.form.buildContractImg.push(imgurl);
        })
      },
      delFn: function(){
        app.form.bankCardImg = ''
      },
      delimg:function(index){
        app.form.buildContractImg.splice(index,1)
      },
      submitFn: function() {
        // var bankNO = app.form.bankAccount
        // if(!app.form.bankName){
        //   mui.toast("请输入开户行");
        //   return;
        // }
        // if(!app.form.bankAccountName){
        //   mui.toast("请输入户名");
        //   return;
        // }
        // if(!bankNO){
        //   mui.toast("请输入银行卡号");
        //   return;
        // }
        // var pattern = /^([1-9]{1})(\d{14,19})$/;
        // var bankNOSpace=bankNO.replace(/\s/g,'');
        // if(!pattern.test(bankNOSpace)){
        //   mui.toast("请输入正确的银行卡号");
        //   return;
        // }
        if(!this.form.actBuildInvest){
          mui.toast("请输入实际建设金额");
          return;
        }
        if(!this.form.actBuildCapacity){
          mui.toast("请输入实际建设规模");
          return;
        }
        if(!this.form.buildCompany){
          mui.toast("请输入建设单位");
          return;
        }
        if(!this.form.buildContractImg){
          mui.toast("请上传建设合同");
          return;
        }
        var url = xnzbUrl+"/account-service/coldproject/applyAcceptance";
        var data = {
          token: plus.storage.getItem('token'),
          projectId: plus.webview.currentWebview().pid,
          actBuildInvest: this.form.actBuildInvest,
          actBuildCapacity: this.form.actBuildCapacity,
          status: 5,
          buildCompany: this.form.buildCompany,
          buildContractImg: this.form.buildContractImg.join(',')
        };
        mui.ajax(url, {
          data: data,
          dataType: 'json',
          type: 'post',
          timeout: 10000,
          //headers: {"Authorization": "Bearer " + token},
          success: function (data) {
            if (data.code != 0) {
              mui.toast(data.message);
              return;
            }
            if (!data.isSuccess) {
              mui.toast(data.message);
              return;
            }
            mui.toast("操作成功")
            setTimeout(function(){
              var updateList = plus.webview.getWebviewById("mysubsidylistcangc");
              mui.fire(updateList, 'updateList', true);
              plus.webview.currentWebview().close()
            }, 600)
          },
          error: function (xhr, type, errorThrown) {
            mui.toast("网络繁忙，请稍后重试！");
          }
        })
      },
      //数字输入限制
      limitNumber:function(key,point) {
        if (key.indexOf('.') >= 0) {
          var arr = key.split('.');
          var obj = null;
          for (var i = 0; i < arr.length - 1; i++) {
            if (obj) {
              obj = obj[arr[i]]
            } else {
              obj = this[arr[i]];
            }
          }
          if (obj) {
            var value = obj[arr[arr.length - 1]];
            var newValue = this.clearNoNum(value, point);
            if (value != newValue) {
              obj[arr[arr.length - 1]] = newValue;
            }
          }
        } else {
          var value = this[key];
          var newValue = this.clearNoNum(value, point);
          if (value != newValue) {
            this[key] = newValue;
          }
        }
      },
      //数字输入剔除不合法的输入
      clearNoNum:function(val,point) {
        var value = val + "";
        point = point || 0; //小数点位数
        if (point == 0) {
          //只能输入整数
          value = value.replace(/[^\d]/g, "");
          //整数部分最多输10位
          if(value.length>10){
            value=value.substr(0,10);
          }
        } else {
          value = value.replace(/[^\d.]/g, "");
          var arr = value.split('.');
          if (arr.length > 1) {
            if (arr.length > 2) {
              arr.length = 2;
            }
            if (arr[0] == '') {
              //防止第一位输入的是 点
              arr[0] = '0';
            }
            //整数部分最多输10位
            if(arr[0].length>10){
              arr[0]=arr[0].substr(0,10);
            }
            if (arr[1].length > point) {
              //清除多余的小数部分
              arr[1] = arr[1].substr(0, point);
            }
            value = arr.join('.');
          }else{
            if(value.length>10){
              value=value.substr(0,10);
            }
          }
        }
        return value;
      },
      getDetail: function() {
        var url = xnzbUrl+"/account-service/coldproject/getProjectByProjectId";
        var data = {
          token: plus.storage.getItem('token'),
          projectId: plus.webview.currentWebview().pid
        };
        mui.ajax(url, {
          data: data,
          dataType: 'json',
          type: 'get',
          timeout: 10000,
          //headers: {"Authorization": "Bearer " + token},
          success: function(data) {
            if(data.code!=0){
              mui.toast("数据获取失败！"+data.message);
              return;
            }
            if(data.data.bankCardImg){
              app.form.bankCardImg = data.data.bankCardImg
            }
            if(data.data.bankAccount){
              app.form.bankAccount = data.data.bankAccount
            }
            if(data.data.bankName){
              app.form.bankName = data.data.bankName
            }
            if(data.data.bankAccountName){
              app.form.bankAccountName = data.data.bankAccountName
            }
            //申请补助资金
            if(data.data.applySubsidy){
              app.form.applySubsidy = data.data.applySubsidy/10000;
            }
          },
          error: function(xhr, type, errorThrown) {
            mui.toast("网络繁忙，请稍后重试！");
            document.getElementById("js-loadingbg").style.display = 'none';
          }
        })
      },
      //加载中..
      loading: function (isshow) {
        if (isshow) {
          document.getElementById("js-loadingbg").style.display = '';
        } else {
          document.getElementById("js-loadingbg").style.display = 'none';
        }
      },
    },
    filters:{
    }
  })
})

