/**
 * add by tianchao
 * 20200426
 */
mui.plusReady(function() {
  mui.init();
  var app=new Vue({
    el:"#app",
    data: {
      amountData:[],
      termData:[],
      amount:'',
      term:'',
      ischk:false,
      canclick:true,
      maxLoan: '',
      maxtips:''
    },
    created:function(){
      this.initAmount();
      this.initTerm();
      this.getMax();
      this.initMaxTips();
    },
    methods: {
      getMax: function() {
        var url =prUrl + "/loan/application/maxamount";
        var that = this
        ajax(url, {
          dataType: 'json',
          type: 'get',
          timeout: 10000,
          success: function (data) {
            //最大可贷：贷款产品的最高可贷 后台配置的最高可贷款 2者取最小值
            that.maxLoan=parseFloat(data.valuetext);  // 单位是万
            // if(maxLoan>0){
            //   var options = {
            //     useEasing: true,
            //     useGrouping: true,
            //     separator: ',',
            //     decimal: '.',
            //   };
            //   var demo = new CountUp('second_money', 0, maxLoan, 0, 2, options);
            //   if (!demo.error) {
            //     demo.start();
            //   } else {
            //     console.error(demo.error);
            //     $("second_money").text(maxLoan+"");
            //   }
            // }
            // else {
            //   $("second_money").text("2,000,000");
            // }
          },
          error: function (xhr, type, errorThrown) {
            // applib.hideLoadingBg();
            // console.log(JSON.stringify(xhr));
            mui.toast("网络繁忙，请稍后重试！");
          }
        });
      },
      //初始化获取单位下拉数据
      initAmount:function() {
        ajax(prUrl + '/train/getProtocolText?keycode=cold_app_loan_amount',{
          type:'GET',
          data:{},
          datatype:'json',
          success : function(res){
            res=JSON.parse(res);
            if(res.code === 1){
              var data=res.data;
              var dataArr=data.split(',');
              for (var i=0;i<dataArr.length;i++){
                app.amountData.push({
                  value: dataArr[i],
                  text: dataArr[i]
                })
              }
            }
          }
        });
      },
      //获取冷库库容下拉数据
      initTerm:function(){
        ajax(prUrl + '/train/getProtocolText?keycode=cold_app_loan_term',{
          type:'GET',
          data:{},
          datatype:'json',
          success : function(res){
            res=JSON.parse(res);
            if(res.code === 1){
              var data=res.data;
              var dataArr=data.split(',');
              for (var i=0;i<dataArr.length;i++){
                app.termData.push({
                  value: dataArr[i],
                  text: dataArr[i]
                })
              }
            }
          }
        });
      },
      //初始化获取提示信息
      initMaxTips: function () {
        ajax(prUrl + '/train/getProtocolText?keycode=cold_apply_max_tip', {
          type: 'GET',
          data: {},
          datatype: 'json',
          success: function (res) {
            res = JSON.parse(res);
            if (res.code === 1) {
              var data = res.data;
              if (data) {
                app.maxtips = data;
              }
            }
          }
        });
      },
      //选择金额
      chooseAmount:function(){
        document.activeElement.blur();
        var picker = new mui.PopPicker();
        picker.setData(this.amountData);
        picker.show(function (selectItems) {
          app.amount=selectItems[0].text;
        });
      },
      //选择期限
      chooseTerm:function(){
        document.activeElement.blur();
        var picker = new mui.PopPicker();
        picker.setData(this.termData);
        picker.show(function (selectItems) {
          app.term=selectItems[0].text;
        });
      },
      submit:function(){
        document.activeElement.blur();
        if(!this.ischk){
          return;
        }
        if(!this.amount){
          mui.toast("请输入贷款金额");
          return;
        }
        if(!this.term){
          mui.toast("请输入贷款期限");
          return;
        }
        var regAmount = /^\d+(\.\d+)?$/
        if (!regAmount.test(this.amount)) {
          mui.toast("请输入正确的贷款金额");
          return;
        }

        var regMonth = /(^[1-9]\d*$)/
        if (!regMonth.test(this.term)) {
          mui.toast("请输入正确的贷款期限");
          return;
        }

        if (this.maxLoan !== '' && (this.amount > this.maxLoan)) {
          mui.toast('您填写的金额将远超可申贷额度，建议调整合理预期')
          return false
        }
        this.canclick=false;
        var that=this;
        var url = xnzbUrl + '/api-account/h5loanApplication';
        var parems = {
          token: token,
          amount: this.amount,
          term: this.term,
          type:2,
          flag: 1
        };
        ajax(url, {
          data: parems,
          dataType: 'json',
          type: 'POST',
          contentType: "application/json",
          timeout: 10000,
          success: function(data) {
            that.canclick=true;
            if(data.code == 1){
              that.gopage();
            }else {
              mui.toast(data.message)
            }
          },
          error: function(xhr, type, errorThrown) {
            that.canclick=true;
            mui.toast('网络繁忙，请稍后重试！');
          }
        })
      },
      gopage:function(){
        mui.openWindow({
          url: 'mysubsidylistcangc.html',
          id: 'mysubsidylistcangc',
        });
        setTimeout(function() {
          plus.webview.currentWebview().close("none");
        }, 1000);
      }
    }
  });
});

