/**
 * add by tianchao
 * 20200415
 */
mui.plusReady(function() {
  mui.init({
    beforeback: function() {
      //返回true,继续页面关闭逻辑
      if(app.isview){
        return true;
      }
      mui.confirm("您的信息将不会被保存，是否继续？","提示",['继续填报','关闭页面'],function (e) {
        if(e.index==1){
          plus.webview.currentWebview().close();
        }
      });
      return false;
    }
  });
  // plus.webview.currentWebview().setStyle({
  //   softinputMode: "adjustResize"  // 弹出软键盘时自动改变webview的高度
  // });
  var app=new Vue({
    el: "#app",
    data: {
      requirText:'非必填',
      userInfo: {},
      coldData: {},
      //金额单独存储，因为提交时会乘以10000，用自身乘的话防止出现多次。
      assetLastyear: '',
      incomeLastyear: '',
      buildInvest: '',
      applySubsidy: '',
      assetValue:'', //集体资产总额
      capitalValue:'', //股本总额
      income:'', //经营年收入
      //图片信息
      files: {
        idnum_front: {},//身份证正面
        idnum_back: {},//身份证反面
        license: {},//营业执照
        save_record: [],//家庭农场备案证明
        example_record: [],//示范证明文件
        land_use: [],//用地类型证明文件
        certFile:{}, //农村集体经济组织登记证明文件
        //build_addr:[] //建设地点照片
      },
      //生产经营信息
      coldVarieties: {
        type1: {ischeck: true, name: '种植', data: []},//种植
        //edit by tianchao 2021-1-26 二期需求只能种植的申请
        // type2: {ischeck: false, name: '畜禽养殖', data: []},//畜禽养殖
        // type3: {ischeck: false, name: '水产养殖', data: []}, //水产养殖
        currentType: 0, //记录选择品种时，点击的类型，用于回填数据
        currentIndex: 0 //记录选择品种时，点击的类型，用于回填数据
      },
      stores: {
        //现有库
        now: {
          type1: {ischeck: false, name: '储藏通风库', data: []},
          type2: {ischeck: false, name: '机械冷藏库', data: []},
          type3: {ischeck: false, name: '气调储藏库', data: []},
          //edit by tianchao 2021-03-29 新增 预冷库（设施）
          type4: {ischeck: false, name: '预冷库（设施）', data: []}
        },
        //新建库
        build: {
          type1: {ischeck: false, name: '储藏通风库', data: []},
          type2: {ischeck: false, name: '机械冷藏库', data: []},
          type3: {ischeck: false, name: '气调储藏库', data: []},
          //edit by tianchao 2021-03-29 新增 预冷库（设施）
          type4: {ischeck: false, name: '预冷库（设施）', data: []},
        }
      },
      step: 1,
      unitData: [], //单位选择下拉数据
      buySubjectData: [], //采购主体下拉数据
      capacityData: {type1: [], type2: [], type3: []},//库容下拉数据
      areaData: [],//地区下拉
      //仓储产品
      coldProducts: {
        type1: {ischeck: true, name: '种植', data: []},//种植
        //edit by tianchao 2021-1-26 二期需求只能种植的申请
        // type2: {ischeck: false, name: '畜禽养殖', data: []},//畜禽养殖
        // type3: {ischeck: false, name: '水产养殖', data: []}, //水产养殖
        currentType: 0, //记录选择品种时，点击的类型，用于回填数据
        currentIndex: 0 //记录选择品种时，点击的类型，用于回填数据
      },
      chooseFlag: 0,//1经营信息选择品种，2仓储产品选择品种
      submitFlag: true, // 控制提交按钮不能多次点击
      maxApplyRatio: 0.3,//最大允许申请的补贴比例
      maxAppLyMoney: 100,//最大允许申请的补贴金额（万）
      maxtips: '脱贫县补助资金不超过总投资的40%，其它地区不超过总投资的30%，补贴总金额不超过100万元，实际补贴情况以当地政策为准。',
      buySubject: [], //采购主体改成多选的选中项
      levelErrMsg: '按照政策要求，县级及以上示范家庭农场或农民合作社方可申请，感谢您的关注。',
      specialProvince: [], //允许申请50%的省份
      amount:'',
      term:'',
      ischk:false, //同意勾选按钮
      isview:false //查看标识，true 表示只读查看
    },
    created: function () {
      var current = plus.webview.currentWebview();
      if (current.pid) {
        //修改或者查看的时候有id 传进来
        this.coldData.id = current.pid;
        this.isview = current.isview ? true : false;
      }
      this.getUserInfo();
    },
    mounted: function () {
      this.loading(false);
      if(this.isview){
        setTimeout(function () {
          $("input").attr('readonly','readonly');
          $("input").attr('disabled','true');
        },500)
      }
    },
    computed: {
      fullArea: {
        get: function () {
          if (this.coldData.buildProvince) {
            return this.coldData.buildProvince + ' ' + this.coldData.buildCity + ' ' + this.coldData.buildDistrct
          }
          return '';
        },
        set: function () {
        }
      }
    },
    watch: {
      buySubject: function () {
        this.coldData.buySubject = this.buySubject.join(',');
      }
    },
    methods: {
      //获取用户信息
      getUserInfo: function () {
        var that = this;
        ajax(xnzbUrl + '/api-report/report/myFarm.json', {
          data: {
            token: token
          },
          dataType: 'json',
          type: 'get',
          timeout: 10000,
          success: function (data) {
            if (data.code == 0) {
              that.userInfo = data.data;
              //add by tianchao 需求调整：非贫困地区普通等级的不能申请 2020-07-16，
              if (that.userInfo.isPoverty === 0 && that.userInfo.level === 0) {
                that.showLevelErr();
                return;
              }
              if(that.userInfo.level === 0){
                //that.requirText='非必填';
              }
              that.initData();
            } else {
              mui.toast(data.msg);
            }
          },
          error: function (xhr, type, errorThrown) {
            mui.toast("网络繁忙，请稍后重试！");
          }
        });
      },
      //初始化所有数据
      initData: function () {
        this.getColdInfo();
        //this.initUnit();
        this.initbuySubject();
        //this.initCapacity();//库容改成填写项了
        this.initAreaData();
        this.initMaxTips();
        this.initSpecialProvince();
      },
      //获取填报信息
      getColdInfo: function () {
        var that = this;
        var data={
          token: token
        };
        if(this.coldData.id>0){
          data.id=this.coldData.id;
        }
        ajax(xnzbUrl + '/api-account/coldproject/getColdProjectData', {
          data: data,
          dataType: 'json',
          type: 'POST',
          timeout: 10000,
          success: function (data) {
            if (data.code == 0) {
              that.processData(data.data);
              that.coldData = data.data;
              //
              that.amount=data.data.loanAmount;
              that.term=data.data.loanTerm;
            } else {
              mui.toast(data.msg);
            }
          },
          error: function (xhr, type, errorThrown) {
            mui.toast("网络繁忙，请稍后重试！");
          }
        });
      },
      //处理数据
      processData: function (data) {
        //处理图片
        if (data.filesList) {
          for (var i = 0; i < data.filesList.length; i++) {
            var file = data.filesList[i];
            var fileType = file.type;
            var filePath = file.path;
            if (filePath.indexOf('http') !== 0) {
              filePath = xnzbImg + filePath;
            }
            if (this.files[fileType] instanceof Array) {
              //多图
              this.files[fileType].push({
                name: file.name,
                path: filePath
              });
            } else {
              this.files[fileType] = {
                name: file.name,
                path: filePath
              };
            }
          }
        }
        //处理生产经营信息
        if (data.coldVarietiesList) {
          for (var i = 0; i < data.coldVarietiesList.length; i++) {
            var variety = data.coldVarietiesList[i];
            if(variety.type!=1) {
              //edit by tianchao 2021-1-21 修改为只显示种植品种。
              continue;
            }
            //处理金额(元转万元)
            if (variety.selfSalemoney > 0) {
              variety.selfSalemoney /= 10000;
            }
            if (variety.orderSalemoney > 0) {
              variety.orderSalemoney /= 10000;
            }
            //将后台返回的数据 按类型进行分组存储
            this.coldVarieties['type' + variety.type].ischeck = true;
            this.coldVarieties['type' + variety.type].data.push(variety);
          }
          //如果没有数据，则默认加一条
          for (var i = 1; i <= 1; i++) {
            this.coldVarieties['type' + i].ischeck = true;
            if (this.coldVarieties['type' + i].data.length === 0) {
              this.addOne(i);
            }
            // if (data.id == null) {
            //   //如果页面第一次打开，会将直报数据带过来，则除了将直报的选中外 还要根据自己的业务类型来自动选中，
            //   //如果页面是退回后打开，则就将上次填报的自动选中
            //   var name = this.coldVarieties['type' + i].name;
            //   if (this.userInfo.industryType.indexOf(name) >= 0) {
            //     this.coldVarieties['type' + i].ischeck = true;
            //   }
            // }
          }
        } else {
          //如果没有数据，则默认加一条
          for (var i = 1; i <= 1; i++) {
            this.coldVarieties['type' + i].ischeck = true;
            if (this.coldVarieties['type' + i].data.length === 0) {
              this.addOne(i);
            }
            //根据主体的经营业务进行自动选中
            // var name = this.coldVarieties['type' + i].name;
            // if (this.userInfo.industryType.indexOf(name) >= 0) {
            //   this.coldVarieties['type' + i].ischeck = true;
            // }
          }
        }
        //处理冷库信息
        if (data.coldStoreList) {
          for (var i = 0; i < data.coldStoreList.length; i++) {
            var store = data.coldStoreList[i];
            if(store.capacity.indexOf("吨")>-1) {
              //处理旧版本数据中会有 "吨" 字
              store.capacity = store.capacity.replace("吨", '');
            }
            if (store.type === 1) {
              //现有库
              this.stores.now['type' + store.storeType].ischeck = true;
              this.stores.now['type' + store.storeType].data.push(store);
            } else if (store.type === 2) {
              //新建库
              this.stores.build['type' + store.storeType].ischeck = true;
              this.stores.build['type' + store.storeType].data.push(store);
            }
          }
          //没有则新建一条空的
          for (var i = 1; i <= 4; i++) {
            var nowdata = this.stores.now['type' + i].data;
            if (nowdata.length===0) {
              //空的
              this.addOneStore(1, i);
            }
            var builddata = this.stores.build['type' + i].data;
            if (builddata.length===0) {
              //空的
              this.addOneStore(2, i);
            }
          }
        } else {
          //没有则新建一条空的
          for (var i = 1; i <= 4; i++) {
            var nowdata = this.stores.now['type' + i].data;
            if (nowdata.length===0) {
              //空对象
              this.addOneStore(1, i);
            }
            var builddata = this.stores.build['type' + i].data;
            if (builddata.length===0) {
              //空对象
              this.addOneStore(2, i);
            }
          }
        }
        //处理建设性质
        if (data.buildType) {
          data.buildType = data.buildType.split("、");
        } else {
          data.buildType = [];
        }
        //金额处理（元-万元）
        if (data.assetLastyear > 0) {
          this.assetLastyear = data.assetLastyear / 10000;
        }
        if (data.incomeLastyear > 0) {
          this.incomeLastyear = data.incomeLastyear / 10000;
        }
        if (data.buildInvest > 0) {
          this.buildInvest = data.buildInvest / 10000;
        }
        if (data.applySubsidy > 0) {
          this.applySubsidy = data.applySubsidy / 10000;
        }
        if (data.assetValue > 0) {
          this.assetValue = data.assetValue / 10000;
        }
        if (data.capitalValue > 0) {
          this.capitalValue = data.capitalValue / 10000;
        }
        if (data.income > 0) {
          this.income = data.income / 10000;
        }
        //处理成立日期
        if (data.regisiterDate) {
          var date = new Date(data.regisiterDate);
          data.regisiterDate = date.getFullYear() + '-' + (date.getMonth() + 1) + '-' + date.getDate();
        }

        //处理仓储产品
        if (data.coldProductsList) {
          for (var i = 0; i < data.coldProductsList.length; i++) {
            var product = data.coldProductsList[i];
            //将后台返回的数据 按类型进行分组存储
            this.coldProducts['type' + product.type].ischeck = true;
            this.coldProducts['type' + product.type].data.push(product);
          }
          //如果没有数据，则默认加一条
          for (var i = 1; i <= 1; i++) {
            this.coldProducts['type' + i].ischeck = true;
            if (this.coldProducts['type' + i].data.length === 0) {
              this.addOneProduct(i);
            }
          }
        } else {
          //如果没有数据，则默认加一条
          for (var i = 1; i <= 1; i++) {
            this.coldProducts['type' + i].ischeck = true;
            if (this.coldProducts['type' + i].data.length === 0) {
              this.addOneProduct(i);
            }
          }
        }
        //radio 单选处理，主要是回填返回数字类型时候，影响了是否选择的判断
        if (data.isUnion != null) {
          data.isUnion = data.isUnion.toString();
        } else {
          data.isUnion = "0";
        }
        if (data.hasColdstore != null) {
          data.hasColdstore = data.hasColdstore.toString();
        }
        if (data.isInfarm != null) {
          data.isInfarm = data.isInfarm.toString();
        }
        //处理采购主体多选项
        if (data.buySubject) {
          this.buySubject = data.buySubject.split(',');
        }
      },
      //初始化获取单位下拉数据
      initUnit: function () {
        ajax(prUrl + '/train/getProtocolText?keycode=varieties_units', {
          type: 'GET',
          data: {},
          datatype: 'json',
          success: function (res) {
            res = JSON.parse(res);
            if (res.code === 1) {
              var data = res.data;
              var dataArr = data.split(',');
              for (var i = 0; i < dataArr.length; i++) {
                app.unitData.push({
                  value: dataArr[i],
                  text: dataArr[i]
                })
              }
            }
          }
        });
      },
      //初始化获取采购主体下拉数据
      initbuySubject: function () {
        ajax(prUrl + '/train/getProtocolText?keycode=cold_buy_subject', {
          type: 'GET',
          data: {},
          datatype: 'json',
          success: function (res) {
            res = JSON.parse(res);
            if (res.code === 1) {
              var data = res.data;
              var dataArr = data.split(',');
              for (var i = 0; i < dataArr.length; i++) {
                app.buySubjectData.push({
                  ischeck: false,
                  //value: dataArr[i],
                  text: dataArr[i]
                })
              }
            }
          }
        });
      },
      //获取冷库库容下拉数据
      initCapacity: function () {
        ajax(prUrl + '/train/getProtocolText?keycode=cold_stores_capacity', {
          type: 'GET',
          data: {},
          datatype: 'json',
          success: function (res) {
            res = JSON.parse(res);
            if (res.code === 1) {
              var data = res.data;
              data = JSON.parse(data);
              for (var t in data) {
                var dataArr = data[t].split(',');
                for (var i = 0; i < dataArr.length; i++) {
                  app.capacityData[t].push({
                    value: dataArr[i],
                    text: dataArr[i]
                  })
                }
              }
            }
          }
        });
      },
      //加载地区信息
      initAreaData: function () {
        ajax(xnzbUrl + '/api-account/account/getAllArea', {
          data: {
            token: token
          },
          dataType: 'json',
          type: 'get',
          timeout: 10000,
          success: function (data) {
            if (data.code == 200) {
              app.areaData = data.data.result;
            }
          },
          error: function (xhr, type, errorThrown) {
          }
        });
      },
      //初始化获取提示信息
      initMaxTips: function () {
        ajax(prUrl + '/train/getProtocolText?keycode=cold_apply_max_tip', {
          type: 'GET',
          data: {},
          datatype: 'json',
          success: function (res) {
            res = JSON.parse(res);
            if (res.code === 1) {
              var data = res.data;
              if (data) {
                app.maxtips = data;
              }
            }
          }
        });
      },
      //初始化获取补贴比例和金额。
      initMaxRatio: function () {
        ajax(prUrl + '/train/getProtocolText?keycode=cold_app_max_ratio', {
          type: 'GET',
          data: {},
          datatype: 'json',
          success: function (res) {
            res = JSON.parse(res);
            if (res.code === 1) {
              var data = res.data;
              if (data) {
                data = JSON.parse(data);
                app.maxAppLyMoney = data.max || 100;//最大可申请的金额，万
                if (app.userInfo.isPoverty == 1) {
                  //贫困地区
                  app.maxApplyRatio = data.poverty
                } else {
                  if (app.userInfo.province && app.specialProvince.indexOf(app.userInfo.province) >= 0) {
                    //特殊地区的补贴比例与贫困地区的一样
                    app.maxApplyRatio = data.poverty
                  } else {
                    app.maxApplyRatio = data.normal;
                  }
                }
              }
            }
          }
        });
      },
      //初始化获取特殊省份
      initSpecialProvince: function () {
        var that = this;
        ajax(prUrl + '/train/getProtocolText?keycode=cold_app_special_province', {
          type: 'GET',
          data: {},
          datatype: 'json',
          success: function (res) {
            res = JSON.parse(res);
            if (res.code === 1) {
              var data = res.data;
              if (data) {
                app.specialProvince = data.split(',');
              }
            }
            //放在此处加载，是由于要依赖特殊省份的返回值
            that.initMaxRatio();
          },
          error: function () {
            that.initMaxRatio();
          }
        });
      },
      //初始化获取提示信息
      showLevelErr: function () {
        ajax(prUrl + '/train/getProtocolText?keycode=cold_app_level_errmsg', {
          type: 'GET',
          data: {},
          datatype: 'json',
          success: function (res) {
            res = JSON.parse(res);
            if (res.code === 1) {
              var data = res.data;
              if (data) {
                app.levelErrMsg = data;
              }
            }
            mui.alert(app.levelErrMsg, '提示', '知道了', function () {
              plus.webview.currentWebview().close();
            }, 'div');
          },
          error: function (xhr, type, errorThrown) {
            mui.alert(app.levelErrMsg, '提示', '知道了', function () {
              plus.webview.currentWebview().close();
            }, 'div');
          }
        });
      },
      //选择成立日期
      chooseDate: function () {
        if(this.isview){
          return;
        }
        document.activeElement.blur();
        var now = new Date();
        var dtPicker = new mui.DtPicker({
          type: 'date',
          beginYear: now.getFullYear() - 50,
          endDate: now
        });
        dtPicker.show(function (selectItems) {
          //app.coldData.regisiterDate = selectItems.value;
          app.$set(app.coldData, 'regisiterDate', selectItems.value);
        })
      },
      //选择单位
      chooseUnit: function () {
        document.activeElement.blur();
        var picker = new mui.PopPicker();
        picker.setData(this.unitData);
        picker.show(function (selectItems) {
          app.$set(app.coldData, 'areaUnit', selectItems[0].text);
        });
      },
      //选择采购主体
      chooseBuySubject: function () {
        if(this.isview){
          return;
        }
        document.activeElement.blur();
        mui('#sheet1').popover('toggle');
        // var picker = new mui.PopPicker();
        // picker.setData(this.buySubjectData);
        // picker.show(function (selectItems) {
        //   //app.coldData.buySubject = selectItems[0].text;
        //   app.$set(app.coldData,'buySubject',selectItems[0].text);
        // })
      },
      closePopover: function () {
        console.log(this.buySubject);
        mui('#sheet1').popover('toggle');
      },
      //上传图片
      uploadImg: function (type, index) {
        if(this.isview){
          return;
        }
        document.activeElement.blur();
        uploadimg.chagePop(function (imgurl, localurl) {
          if (imgurl.indexOf('http') !== 0) {
            imgurl = xnzbImg + imgurl;
          }
          if (app.files[type] instanceof Array) {
            if (index === undefined) {
              app.files[type].push({
                name: '',
                path: imgurl
              });
            } else {
              // app.files[type][index] = {
              //   name: '',
              //   path: imgurl
              // };
              app.$set(app.files[type], index, {path: imgurl});
            }
          } else {
            //app.files[type].path = imgurl;
            app.$set(app.files, type, {path: imgurl});
          }

          //读取图片经纬度

        });
      },
      //上传身份证
      uploadCard: function (type) {
        if(this.isview){
          return;
        }
        document.activeElement.blur();
        if (type === 'front') {
          uploadimg.chagePop(function (imgurl, localurl) {
            if (imgurl.indexOf('http') !== 0) {
              imgurl = xnzbImg + imgurl;
            }
            //app.files.idnum_front.path=imgurl;
            app.$set(app.files, 'idnum_front', {path: imgurl});
          }, false, {
            type: 'front',
            cb: function (res) {
              res = JSON.parse(res);
              if (res.words_result) {
                var name = res.words_result["姓名"].words;
                var idnum = res.words_result["公民身份号码"].words;
                app.coldData.idcardName = name;
                app.coldData.idcardNum = idnum;
              }
            }
          });
        } else if (type === 'back') {
          uploadimg.chagePop(function (imgurl, localurl) {
            if (imgurl.indexOf('http') !== 0) {
              imgurl = xnzbImg + imgurl;
            }
            //app.files.idnum_back.path=imgurl;
            app.$set(app.files, 'idnum_back', {path: imgurl});
          }, false, {
            type: 'back',
            cb: function (res) {
              res = JSON.parse(res);
              if (res.words_result) {
                var stime = res.words_result["签发日期"].words;
                var etime = res.words_result["失效日期"].words;
                if (stime) {
                  stime = stime.slice(0, 4) + "-" + stime.slice(4);
                  stime = stime.slice(0, 7) + "-" + stime.slice(7);
                  app.coldData.idcardBegintime = stime;
                }
                if (etime) {
                  if (etime.indexOf('长期') >= 0) {
                    app.coldData.idcardIslong = 1;
                  } else {
                    etime = etime.slice(0, 4) + "-" + etime.slice(4);
                    etime = etime.slice(0, 7) + "-" + etime.slice(7);
                    app.coldData.idcardEndtime = etime;
                  }
                }
              }
            }
          });
        }
      },
      //生产经营信息点击标题（勾选）
      varietyCheck: function (type) {
        var ischeck = this.coldVarieties['type' + type].ischeck;
        this.coldVarieties['type' + type].ischeck = !ischeck;
      },
      //经营品种选择,flag:1经营信息选择品种，2仓储产品选择品种
      chooseVariety: function (type, index, flag) {
        if(this.isview){
          return;
        }
        document.activeElement.blur();
        var types = '';
        this.chooseFlag = flag;
        if (flag === 1) {
          if (this.coldVarieties['type' + type].data[index].code === 'first') {
            //直报带过来的数据不能修改
            return;
          }
          this.coldVarieties.currentType = type;
          this.coldVarieties.currentIndex = index;
          types = this.coldVarieties['type' + type].name;
        } else if (flag === 2) {
          this.coldProducts.currentType = type;
          this.coldProducts.currentIndex = index;
          types = this.coldProducts['type' + type].name
        }
        window.showLoadedPage({
          url: '../directReport/selectProduceType.html',
          id: 'updateProduceType',
          extras: {
            inputMode: '经营业务',
            types: types,
            flag:1
          },
          delay: 500
        });
      },
      //经营信息选择单位
      chooseUnitVariety: function (type, index, fields) {
        document.activeElement.blur();
        var picker = new mui.PopPicker();
        picker.setData(this.unitData);
        picker.show(function (selectItems) {
          app.coldVarieties['type' + type].data[index][fields] = selectItems[0].text;
        });
      },
      //删除一个品种
      delVariety: function (type, index) {
        document.activeElement.blur();
        var data = this.coldVarieties['type' + type].data;
        if (data.length <= 1) {
          mui.toast('请至少填写一条');
          return;
        }
        if (this.coldVarieties['type' + type].data[index].code === 'first') {
          //直报带过来的数据不能修改
          mui.toast('该条数据不能删除');
          return;
        }
        this.coldVarieties['type' + type].data.splice(index, 1);
      },
      //添加一个品种
      addOne: function (type) {
        var data = {
          type: type,
          variety: '',
          yield: '',
          yieldUnit: '',
          selfAreaUnit: '',
          orderAreaUnit: '',
          selfArea: '',
          selfSalemoney: '',
          orderArea: '',
          orderSalemoney: '',
        };
        if (type == 1) {
          //种植 单位 固定。
          data.yieldUnit = '吨';
          data.selfAreaUnit = '亩';
          data.orderAreaUnit = '亩';
        }
        this.coldVarieties['type' + type].data.push(data);
      },
      //仓储产品点击标题（勾选）
      varietyCheckProduct: function (type) {
        var ischeck = this.coldProducts['type' + type].ischeck;
        this.coldProducts['type' + type].ischeck = !ischeck;
      },
      // 添加一个仓储产品
      addOneProduct: function (type) {
        this.coldProducts['type' + type].data.push({
          type: type,
          variety: '',
        });
      },
      //初始化添加一条冷库信息，type表示现有、新建，stype表示库类型
      addOneStore: function (type, stype) {
        var typetext = type === 1 ? 'now' : 'build';
        this.stores[typetext]['type' + stype].data.push({
          type: type,
          storeType: stype,
          capacity: '',
          facility: '',
          other: '',
        });
      },
      //删除一条冷库
      delStore:function(type,stype,index){
        var typetext = type === 1 ? 'now' : 'build';
        var data= this.stores[typetext]['type' + stype].data ;
        if (data.length <= 1) {
          mui.toast('请至少填写一条');
          return;
        }
        this.stores[typetext]['type' + stype].data.splice(index, 1);
      },
      //冷库勾选
      storeCheck: function (type, stype) {
        if(this.isview){
          return;
        }
        var ischeck = this.stores[type]['type' + stype].ischeck;
        this.stores[type]['type' + stype].ischeck = !ischeck;
      },
      //库容选择
      chooseCapacity: function (type, stype) {
        //没有调用了
        document.activeElement.blur();
        var picker = new mui.PopPicker();
        picker.setData(this.capacityData['type' + stype]);
        picker.show(function (selectItems) {
          app.stores[type]['type' + stype].data.capacity = selectItems[0].text;
          console.log(JSON.stringify(app.stores.build));
        });
      },
      //选择地区
      chooseArea: function () {
        if(this.isview){
          return;
        }
        document.activeElement.blur();
        var picker = new mui.PopPicker({
          layer: 3
        });
        picker.setData(this.areaData);
        picker.show(function (SelectedItem) {
          var province = SelectedItem[0].text;
          var city = SelectedItem[1].text;
          var county = SelectedItem[2].text;
          // var provinceid = SelectedItem[0].value;
          // var cityid = SelectedItem[1].value;
          // var countyid = SelectedItem[2].value;
          app.coldData.buildProvince = province;
          app.coldData.buildCity = city;
          app.coldData.buildDistrct = county;
        });
      },
      //下一步
      nextStep: function () {
        document.activeElement.blur();
        if(this.isview) {
          //只读查看
          this.step++;
          this.setTitle();
          mui.scrollTo(0, 10);
          setTimeout(function () {
            $("input").attr('readonly', 'readonly');
            $("input").attr('disabled', 'true');
          }, 200)
          return;
        }
        if (!this.checkRequired()) {
          return;
        }
        this.step++;
        this.setTitle();
        mui.scrollTo(0, 10);
      },
      //上一步
      preStep: function () {
        document.activeElement.blur();
        this.step--;
        this.setTitle();
        mui.scrollTo(0, 10);
        if(this.isview) {
          //只读查看
          setTimeout(function () {
            $("input").attr('readonly', 'readonly');
            $("input").attr('disabled', 'true');
          }, 200)
        }
      },
      //标题切换
      setTitle: function () {
        if (this.step === 1) {
          document.getElementById("mtitle").innerText = '基本信息';
        } else if (this.step === 2) {
          document.getElementById("mtitle").innerText = '经营信息';
        } else if (this.step === 3) {
          document.getElementById("mtitle").innerText = '项目申报';
        }
      },
      //加载中..
      loading: function (isshow) {
        if (isshow) {
          document.getElementById("js-loadingbg").style.display = '';
        } else {
          document.getElementById("js-loadingbg").style.display = 'none';
        }
      },
      //计算输入的申请补贴金额是否正确
      calcSubsidy: function () {
        var value=this.applySubsidy;
        var newValue = this.clearNoNum(value, 2);//保留2位小数
        if(value!=newValue) {
          this.applySubsidy = newValue;
        }
        if (this.buildInvest > 0) {
          var max = this.accMul(this.buildInvest, this.maxApplyRatio);
          if (max > this.maxAppLyMoney) {
            max = this.maxAppLyMoney;
          }
          if (this.applySubsidy > max) {
            document.activeElement.blur();
            this.applySubsidy = max;
            mui.alert(this.maxtips, '提示', '知道了', null, 'div');
          }
        }
      },
      //验证必填
      checkRequired: function () {
        if (this.step === 1) {
          if (!this.files.idnum_front.path) {
            mui.toast('请上传身份证正面照片');
            return false;
          }
          if (!this.files.idnum_back.path) {
            mui.toast('请上传身份证反面照片');
            return false;
          }
          if(this.isEmpty(this.coldData.idcardName)){
            mui.toast('请填写姓名');
            return false;
          }
          if(this.isEmpty(this.coldData.idcardNum)){
            mui.toast('请填写身份证号');
            return false;
          }
          var regIdNum = /^(\d{15}$|^\d{18}$|^\d{17}(\d|X|x))$/; //身份证号正则表达式（大陆）
          if (!regIdNum.test(this.coldData.idcardNum)) {
            mui.toast('请输入正确的身份证号');
            return;
          }
          if (!this.coldData.regisiterDate) {
            mui.toast('请选择成日时间');
            return false;
          }
          if (this.userInfo.businessType === 1 && !this.files.license.path) {
            mui.toast('请上传营业执照');
            return false;
          }
          // if(this.userInfo.businessType===0&&this.files.save_record.length===0) {
          //   mui.toast('请上传家庭农场备案证明');
          //   return false;
          // }
          if (this.userInfo.level>0 && this.files.example_record.length === 0) {
            //edit by tianchao 20210323 修改成非必填。
            // mui.toast('请上传示范级别证明文件');
            // return false;
          }
          if (this.userInfo.businessType === 6 && !this.files.certFile.path) {
            mui.toast('请上传登记证明文件');
            return false;
          }
          if (this.userInfo.businessType === 1 && this.isEmpty(this.coldData.memberNum)) {
            mui.toast('请输入合作社社员数量');
            return false;
          }
          if (this.userInfo.businessType === 6 && this.isEmpty(this.coldData.peopleNum)) {
            mui.toast('请输入实有成员总数量');
            return false;
          }
          if(this.userInfo.businessType === 0 || this.userInfo.businessType === 1 || this.userInfo.businessType === 6){
            if (this.isEmpty(this.coldData.leadFarmNum)) {
              mui.toast('请输入带动农户数量');
              return false;
            }
            if (this.isEmpty(this.coldData.area)) {
              mui.toast('请输入辐射种植面积');
              return false;
            }
          }
          if (this.isEmpty(this.coldData.areaUnit)) {
            //mui.toast('请选择辐射种植面积/养殖规模单位');
            //return false;
            this.coldData.areaUnit='亩';//edit by tianchao 2021-1-26
          }
          if (this.userInfo.businessType === 1 || this.userInfo.businessType === 3 || this.userInfo.businessType === 6) {
            if (this.isEmpty(this.assetLastyear)) {
              var hzs=this.userInfo.businessType === 1? '合作社':'';
              mui.toast('请输入上年度'+hzs+'资产总额');
              return false;
            }
            if (this.isEmpty(this.incomeLastyear)) {
              var hzs='经营';
              if(this.userInfo.businessType === 1){
                hzs='合作社经营';
              }
              if(this.userInfo.businessType === 3){
                hzs='资产';
              }
              mui.toast('请输入上年度'+hzs+'收入');
              return false;
            }
          }
          if (this.userInfo.businessType === 1){
            if (!this.coldData.isUnion) {
              mui.toast('请选择是否为合作社联社');
              return false;
            }
            if (this.coldData.isUnion == 1 && this.isEmpty(this.coldData.peopleNum)) {
              mui.toast('请输入合作社成员数量');
              return false;
            }
          }
          if (this.userInfo.businessType === 6) {
            if(this.isEmpty(this.assetValue)){
              mui.toast('请输入集体资产总额');
              return false;
            }
            if(this.isEmpty(this.income)){
              mui.toast('请输入经营收入');
              return false;
            }
          }
          if (this.isEmpty(this.coldData.saleArea)) {
            mui.toast('请输入销售地区');
            return false;
          }
          if (!this.coldData.buySubject) {
            mui.toast('请选择采购主体');
            return false;
          }
        } else if (this.step === 2) {
          var ischeck = false;//是否选择了一种生产经营信息
          for (var i = 1; i <= 1; i++) {
            var varieties = this.coldVarieties['type' + i];
            if (varieties.ischeck) {
              ischeck = true;
              if (varieties.data.length === 0) {
                mui.toast('请新增一个品种');
                return false;
              }
              for (var j = 0; j < varieties.data.length; j++) {
                var variety = varieties.data[j];
                if (!variety.variety) {
                  mui.toast('请选择' + varieties.name + '信息主要品种');
                  return false;
                }
                if (this.isEmpty(variety.yield)) {
                  mui.toast('请输入' + varieties.name + '信息产量');
                  return false;
                }
                if (i > 1 & !variety.yieldUnit) {
                  mui.toast('请选择' + varieties.name + '信息产量单位');
                  return false;
                }
                if (this.isEmpty(variety.selfArea)) {
                  var msg = i === 1 ? '面积' : '规模';
                  mui.toast('请输入' + varieties.name + '信息自主经营' + msg);
                  return false;
                }
                if (i > 1 & !variety.selfAreaUnit) {
                  mui.toast('请选择' + varieties.name + '信息自主经营规模单位');
                  return false;
                }
                if (this.isEmpty(variety.selfSalemoney)) {
                  mui.toast('请输入' + varieties.name + '信息上年度销售额');
                  return false;
                }
                if (this.isEmpty(variety.orderArea)) {
                  var msg = i === 1 ? '面积' : '规模';
                  mui.toast('请输入' + varieties.name + '信息订单' + msg);
                  return false;
                }
                if (i > 1 & !variety.orderAreaUnit) {
                  mui.toast('请选择' + varieties.name + '信息订单规模单位');
                  return false;
                }
                if (this.isEmpty(variety.orderSalemoney)) {
                  mui.toast('请输入' + varieties.name + '信息上年度销售额');
                  return false;
                }
              }
            }
          }
          if (!ischeck) {
            mui.toast('请至少填写一种生产经营信息');
            return false;
          }
          if (!this.coldData.hasColdstore) {
            mui.toast('请选择现有冷库信息');
            return false;
          }
          if (this.coldData.hasColdstore == 1) {
            var ischeck = false;//是否选择了一个现有库
            var now = this.stores.now;
            for (var i = 1; i <= 4; i++) {
              var store = now['type' + i];
              if (store.ischeck) {
                ischeck = true;
                var data=store.data;
                if(data.length===0){
                  mui.toast('请至少添加一个' + store.name);
                  return false;
                }
                for(var j=0;j<data.length;j++) {
                  if (data[j].capacity == '') {
                    mui.toast('请填写' + store.name + '库容');
                    return false;
                  }
                  var reg = /^\d+(\.\d{1,2})?$/;//只能输入整数或者两位小数
                  //var reg = /^\d+$/;
                  if (!reg.test(data[j].capacity)) {
                    mui.toast('建设库容输入不正确，最多只能输入2位小数');
                    return false;
                  }
                  if (data[j].capacity == 0) {
                    mui.toast('建设库容不能为0');
                    return false;
                  }
                  if (data[j].capacity < 0 || data[j].capacity > 20000) {
                    mui.toast('建设库容范围为：0-20000吨');
                    return false;
                  }
                  // if (this.isEmpty(data[j].facility)) {
                  //   mui.toast('请填写' + store.name + '预冷设施');
                  //   return false;
                  // }
                  if (i != 4) {
                    //预冷库（设施） 不需要填写其他设施设备
                    if (this.isEmpty(data[j].other)) {
                      mui.toast('请填写' + store.name + '其他设施设备');
                      return false;
                    }
                  }
                }
              }
            }
            if (!ischeck) {
              mui.toast('请至少填写一个现有库信息');
              return false;
            }
          }
        } else if (this.step === 3) {
          if (this.coldData.buildType.length === 0) {
            mui.toast('请选择建设性质');
            return false;
          }
          if (!this.coldData.buildProvince) {
            mui.toast('请选择建设地点');
            return false;
          }
          if (this.isEmpty(this.coldData.buildAddress)) {
            mui.toast('请输入详细地址');
            return false;
          }
          if (this.isEmpty(this.buildInvest)) {
            mui.toast('请输入预计总投资额');
            return false;
          }
          if (this.buildInvest<=0) {
            mui.toast('预计总投资额输入不正确');
            return false;
          }
          if (this.isEmpty(this.applySubsidy)) {
            mui.toast('请输入申请补助资金');
            return false;
          }
          if (this.applySubsidy<=0) {
            mui.toast('申请补助资金输入不正确');
            return false;
          }
          var max = this.accMul(this.buildInvest, this.maxApplyRatio);
          if (max > this.maxAppLyMoney) {
            max = this.maxAppLyMoney;
          }
          if (this.applySubsidy > max) {
            mui.alert(this.maxtips, '提示', '知道了', null, 'div');
            return false;
          }
          var ischeck = false;//是否选择了一个新建库
          var build = this.stores.build;
          for (var i = 1; i <= 4; i++) {
            var store = build['type' + i];
            if (store.ischeck) {
              ischeck = true;
              var data = store.data;
              if (data.length === 0) {
                mui.toast('请至少添加一个' + store.name);
                return false;
              }
              for (var j = 0; j < data.length; j++) {
                if (data[j].capacity == '') {
                  mui.toast('请填写' + store.name + '库容');
                  return false;
                }
                var reg = /^\d+(\.\d{1,2})?$/;//只能输入整数或者两位小数
                if (!reg.test(data[j].capacity)) {
                  mui.toast('建设库容输入不正确，最多只能输入2位小数');
                  return false;
                }
                if (data[j].capacity == 0) {
                  mui.toast('建设库容不能为0');
                  return false;
                }
                if (data[j].capacity < 0 || data[j].capacity > 20000) {
                  mui.toast('建设库容范围为：0-20000吨');
                  return false;
                }
                // if (this.isEmpty(data[j].facility)) {
                //   mui.toast('请填写' + store.name + '预冷设施');
                //   return false;
                // }
                if (i != 4) {
                  //预冷库（设施） 不需要填写其他设施设备
                  if (this.isEmpty(data[j].other)) {
                    mui.toast('请填写' + store.name + '其他设施设备');
                    return false;
                  }
                }
              }
            }
          }
          if (!ischeck) {
            mui.toast('请至少填写一个申报库信息');
            return false;
          }
          var ischeck = false;//是否选择了一种仓储产品
          for (var i = 1; i <= 1; i++) {
            var product = this.coldProducts['type' + i];
            if (product.ischeck) {
              ischeck = true;
              if (product.data.length === 0) {
                mui.toast('请新增一个品种');
                return false;
              }
              for (var j = 0; j < product.data.length; j++) {
                var variety = product.data[j];
                if (!variety.variety) {
                  mui.toast('请选择' + product.name + '信息主要品种');
                  return false;
                }
              }
            }
          }
          if (!ischeck) {
            mui.toast('请至少填写一种仓储产品');
            return false;
          }
          if (!this.coldData.isInfarm) {
            mui.toast('请选择是否建立在田头市场');
            return false;
          }
          if (this.coldData.isInfarm == 1) {
            if (this.isEmpty(this.coldData.marketArea)) {
              mui.toast('请输入市场面积');
              return false;
            }
            if (this.isEmpty(this.coldData.tranScale)) {
              mui.toast('请输入交易规模');
              return false;
            }
            if (this.isEmpty(this.coldData.tranVariety)) {
              mui.toast('请输入交易品种');
              return false;
            }
            if (this.isEmpty(this.coldData.marketSalearea)) {
              mui.toast('请输入销售地区');
              return false;
            }
            // if (this.files.land_use.length === 0) {
            //   mui.toast('请上传用地类型证明文件');
            //   return false;
            // }
          }
          //add by tianchao 2021-1-26
          if (this.isEmpty(this.amount) && !this.isEmpty(this.term)) {
            mui.toast('请输入预计贷款金额');
            return false;
          }
          if (this.isEmpty(this.term) && !this.isEmpty(this.amount)) {
            mui.toast('请输入期望贷款期限');
            return false;
          }
        }
        return true;
      },
      isEmpty: function (val) {
        if (val === null || val === undefined || val === '') {
          return true;
        }
        return false;
      },
      //浮点数相乘
      accMul: function (arg1, arg2) {
        return utils.accMul(arg1,arg2);
      },
      //提交
      submit: function () {
        if(this.isview){
          return;
        }
        if(!this.ischk){
          mui.toast('请勾选协议');
          return;
        }
        if (!this.checkRequired()) {
          return;
        }
        if (!this.submitFlag) {
          return;
        }
        this.submitFlag = false;
        //文件处理
        this.coldData.filesList = [];
        for (var key in this.files) {
          var file = this.files[key];
          if (file instanceof Array) {
            for (var i = 0; i < file.length; i++) {
              var f = file[i];
              this.coldData.filesList.push({
                name: f.name || '',
                path: f.path || '',
                ext: "jpg",
                modelCode: "coldproject",
                type: key
              });
            }
          } else {
            if(file.path){ // fix bug
              this.coldData.filesList.push({
                name: file.name || '',
                path: file.path || '',
                ext: "jpg",
                modelCode: "coldproject",
                type: key
              });
            }
          }
        }

        //经营品种处理
        this.coldData.coldVarietiesList = [];
        for (var i = 1; i <= 1; i++) {
          var varieties = this.coldVarieties['type' + i];
          if (varieties.ischeck) {
            for (var j = 0; j < varieties.data.length; j++) {
              //复制对象操作。防止金额多次转换。
              var variety = JSON.parse(JSON.stringify(varieties.data[j]));
              //处理金额(万元转元)
              if (variety.selfSalemoney > 0) {
                variety.selfSalemoney = this.accMul(variety.selfSalemoney, 10000);
              }
              if (variety.orderSalemoney > 0) {
                variety.orderSalemoney = this.accMul(variety.orderSalemoney, 10000);
              }
              if (i === 1) {
                //种植 单位 固定。
                variety.yieldUnit = '吨';
                variety.selfAreaUnit = '亩';
                variety.orderAreaUnit = '亩';
              }
              this.coldData.coldVarietiesList.push(variety);
            }
          }
        }
        //仓库处理
        this.coldData.coldStoreList = [];
        for (var store in this.stores) {
          var nb = this.stores[store];
          for (var i = 1; i <= 4; i++) {
            var data = nb['type' + i];
            if (data.ischeck) {
              for (var j = 0; j < data.data.length; j++) {
                this.coldData.coldStoreList.push(data.data[j]);
              }
            }
          }
        }
        //仓储产品处理
        this.coldData.coldProductsList = [];
        for (var i = 1; i <= 1; i++) {
          var product = this.coldProducts['type' + i];
          if (product.ischeck) {
            for (var j = 0; j < product.data.length; j++) {
              this.coldData.coldProductsList.push(product.data[j]);
            }
          }
        }
        //建设性质
        if (this.coldData.buildType instanceof Array) {
          this.coldData.buildType = this.coldData.buildType.join('、');
        }
        //金额处理（万元-元）
        if (this.assetLastyear > 0) {
          this.coldData.assetLastyear = this.accMul(this.assetLastyear, 10000);
        }
        if (this.incomeLastyear > 0) {
          this.coldData.incomeLastyear = this.accMul(this.incomeLastyear, 10000);
        }
        if (this.buildInvest > 0) {
          this.coldData.buildInvest = this.accMul(this.buildInvest, 10000);
        }
        if (this.applySubsidy > 0) {
          this.coldData.applySubsidy = this.accMul(this.applySubsidy, 10000);
        }
        if (this.assetValue > 0) {
          this.coldData.assetValue = this.accMul(this.assetValue, 10000);
        }
        if (this.capitalValue > 0) {
          this.coldData.capitalValue = this.accMul(this.capitalValue, 10000);
        }
        if (this.income > 0) {
          this.coldData.income = this.accMul(this.income, 10000);
        }
        //信贷字段
        this.coldData.loanAmount=this.amount;
        this.coldData.loanTerm=this.term;

        var url = xnzbUrl + '/api-account/coldproject/addColdProject?token=' + token;
        plus.nativeUI.showWaiting();
        ajax(url, {
          data: this.coldData,
          dataType: 'json',
          type: 'POST',
          contentType: "application/json",
          timeout: 10000,
          success: function (data) {
            app.submitFlag = true;
            plus.nativeUI.closeWaiting();
            if (data.code == 1) {
              if (app.coldData.id > 0) {
                mui.openWindow({
                  url: 'mysubsidylistcangc.html',
                  id: 'mysubsidylistcangc',
                });
              } else {
                mui.openWindow({
                  url: 'applysuccess.html',
                  id: 'applysuccess',
                });
              }
              setTimeout(function () {
                plus.webview.currentWebview().close("none");
              }, 1000);
            } else {
              mui.toast("提交失败，" + data.message);
            }
          },
          error: function (xhr, type, errorThrown) {
            //异常处理；
            mui.toast("网络繁忙，请稍后重试！");
            plus.nativeUI.closeWaiting();
            app.submitFlag = true;
          }
        });
        //add by tianchao  2021-1-26 贷款需求提交移至此处
        if(!this.coldData.id){
          //修改时，不重新提交贷款需求。
          this.submitLoan();
        }
      },
      //提交贷款需求（静默提交）
      submitLoan:function(){
        if(this.isEmpty(this.amount) || this.isEmpty(this.term)){
          //未填写
          return;
        }
        if(isNaN(this.amount) || isNaN(this.term)){
          //非数字
          return;
        }
        var url = xnzbUrl + '/api-account/h5loanApplication';
        var params = {
          token: token,
          amount: this.amount,
          term: this.term,
          type: 2,
          flag: 1
        };
        ajax(url, {
          data: params,
          dataType: 'json',
          type: 'POST',
          contentType: "application/json",
          timeout: 10000,
          success: function(data) {
          },
          error: function(xhr, type, errorThrown) {
          }
        })
      },
      //限制库容输入，stype：现有库or 申报库，type：存储库or 通风库等，index：多项的索引
      inputScope: function (stype,type,index) {
        var value = this.stores[stype][type].data[index].capacity;
        var newValue = this.clearNoNum(value, 2);//保留2位小数
        if (newValue < 0) {
          newValue=0;
        } else if (value > 20000) {
          newValue=20000;
        }
        if (value != newValue) {
          this.stores[stype][type].data[index].capacity = newValue;
        }
      },
      //数字输入限制
      limitNumber:function(key,point) {
        if (key.indexOf('.') >= 0) {
          var arr = key.split('.');
          var obj = null;
          for (var i = 0; i < arr.length - 1; i++) {
            if (obj) {
              obj = obj[arr[i]]
            } else {
              obj = this[arr[i]];
            }
          }
          if (obj) {
            var value = obj[arr[arr.length - 1]];
            var newValue = this.clearNoNum(value, point);
            if (value != newValue) {
              obj[arr[arr.length - 1]] = newValue;
            }
          }
        } else {
          var value = this[key];
          var newValue = this.clearNoNum(value, point);
          if (value != newValue) {
            this[key] = newValue;
          }
        }
      },
      //数字输入剔除不合法的输入
      clearNoNum:function(val,point) {
        var value = val + "";
        point = point || 0; //小数点位数
        if (point == 0) {
          //只能输入整数
          value = value.replace(/[^\d]/g, "");
          //整数部分最多输10位
          if(value.length>10){
            value=value.substr(0,10);
          }
        } else {
          value = value.replace(/[^\d.]/g, "");
          var arr = value.split('.');
          if (arr.length > 1) {
            if (arr.length > 2) {
              arr.length = 2;
            }
            if (arr[0] == '') {
              //防止第一位输入的是 点
              arr[0] = '0';
            }
            //整数部分最多输10位
            if(arr[0].length>10){
              arr[0]=arr[0].substr(0,10);
            }
            if (arr[1].length > point) {
              //清除多余的小数部分
              arr[1] = arr[1].substr(0, point);
            }
            value = arr.join('.');
          }else{
            if(value.length>10){
              value=value.substr(0,10);
            }
          }
        }
        return value;
      },
      //预计总投资额上限判断
      checkMax:function () {
        if(this.buildInvest>5000){
          mui.alert('请再次确定当前冷库投资金额是否超过伍仟万元整', '提示', '知道了', null, 'div');
          setTimeout(function () {
            document.activeElement.blur();
          },301);
        }
      },
      //贷款金额上限判断
      checkAmount:function () {
        if(this.amount>10000){
          mui.alert('不支持预计贷款金额大于1亿', '提示', '知道了', null, 'div');
          setTimeout(function () {
            document.activeElement.blur();
          },301);
        }
      }
    },
    filters:{
      //金额转大写
      toChinese:function (val) {
        return utils.convertCurrency(val);
      },
      //万元 转 元
      toYuan: function (val) {
        if(val==null || val==undefined){
          return '';
        }
        return utils.accMul(val,10000);
      },
    }
  });

  //监听自定义事件，选择品种后触发
  document.addEventListener('updateCoop', function(event) {
    var name = event.detail.subType;
    //var id = event.detail.id;
    //var unit = event.detail.unit?event.detail.unit:"";
    if (app.chooseFlag === 1) {
      app.coldVarieties['type' + app.coldVarieties.currentType].data[app.coldVarieties.currentIndex].variety = name;
    } else if (app.chooseFlag === 2) {
      app.coldProducts['type' + app.coldProducts.currentType].data[app.coldProducts.currentIndex].variety = name;
    }
  });

  //只能输入整数
  // $(".js-intonly").keydown(function (e) {
  //   console.log(e.keyCode);
  //   var keyCode = e.keyCode;
  //   // 数字
  //   if (keyCode >= 48 && keyCode <= 57)
  //     return true
  //   // 小数字键盘
  //   if (keyCode >= 96 && keyCode <= 105)
  //     return true
  //   // Backspace键
  //   if (keyCode == 8)
  //     return true
  //   return false
  // })
});

