var index=(function () {

    var app=new Vue({
        el:"#datalist",
        data:{
            loaded:false,
            checktryarea:false,// 当前用户是否在试点城市。只有在试点城市才可以申请
            list:[]
        }
    });
    /**
     * 加载banner图片
     */
    function loadbanner() {
        var url = prUrl+"insuranceForBuyAndSale?type=3";
        mui.ajax(url, {
            data: {},
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            //headers: {"Authorization": "Bearer " + token},
            success: function(data) {
                //[{"id":1,"img":"http://pic23.nipic.com/20120808/4801598_171151221374_2.jpg","link":"http://www.baidu.com","isProduct":true,"recordStatus":true,"product":true},
                //绑定数据
                //绑定数据
                var html = template('js-slidertemp',{ slider: data});
                document.getElementById('js-slider-wrapper').innerHTML = html;
                mui('.mui-slider').slider();
            },
            error: function(xhr, type, errorThrown) {
                mui.toast("网络繁忙，请稍后重试！");
            }
        });
    }
    /**
     * 加载数据
     */
    function loaddata() {
        var url = prUrl+"subsidy/subsidyinfolist";
        var token = plus.storage.getItem('token');
        var data = {
            //token:"eyJhbGciOiJIUzI1NiJ9.eyJqdGkiOiI3OTUyYjkwMWY1MjE0NTM2YjEyOTY3NTJmNjE5YjVlOCIsImlhdCI6MTU1MjU2MTI0Mywic3ViIjoidG9rZW5JbmZvIiwiaXNzIjoiYXV0aENlbnRlciIsInByb3ZpbmNlIjoi5rGf6IuP55yBIiwiY2l0eSI6IuiLj-W3nuW4giIsImRpc3RyaWN0Ijoi6JmO5LiY5Yy6IiwidXNlcklkIjoiOTQ3MDA3In0.ZdP8k_RBy15RwZckSSrWZuhlugkMMIwymCH0-JebE5c"
            token: token
        };
        mui.ajax(url, {
            data: data,
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            //headers: {"Authorization": "Bearer " + token},
            success: function(data) {
                app.loaded=true;
                document.getElementById("js-loadingbg").style.display = 'none';
                if(data.code!=0){
                    mui.toast("数据获取失败！"+data.msg);
                    return;
                }
                app.checktryarea=data.data.checktryarea;
                app.list=data.data.list;
            },
            error: function(xhr, type, errorThrown) {
                app.loaded=true;
                document.getElementById("js-loadingbg").style.display = 'none';
                mui.toast("网络繁忙，请稍后重试！");
            }
        })
    }

    function bindEvent() {
        //banner点击
        mui("#js-slider-wrapper").on('tap','.mui-slider-item',function(){
            //获取是否是产品标识
            var isp = this.getAttribute("isp");
            var link = this.getAttribute("link");
            if(isp==1){
                //传值给详情页面，
                // mui.openWindow({
                //     url: "detail.html",
                //     id: "subsidy-detail",
                //     extras: {"entity":app.list[index]}
                // });
            }
            else {
                if(link){
                    //跳转到浏览界面
                    mui.openWindow({
                        url: "../support/pages/common/webbrowse.html",
                        id: "webbrowse",
                        extras: {url:link}
                    });
                }
            }
        });
        //列表项点击
        mui(".listbox").on('tap','.item',function(){
            //获取id
            var sid = this.dataset.sid;
            //传值给详情页面，
            mui.openWindow({
                url: "detail.html",
                id: "subsidy-detail",
                extras: {"sid":sid}
            });
        });
        //立即申请点击
        // mui(".listbox").on('tap','.right-b',function() {
        //     //获取id
        //     var id = this.dataset.sid;
        //     checklastyeardata(id)
        //     event.stopPropagation();
        // });
    }
    //检查去年直报是否已填写
    function checklastyeardata(id) {
        var now=new Date();
        var lastyear=now.getFullYear()-1;
        var url = xnzbUrl+"/api-report/form/queryByCategory.json";
        mui.ajax(url, {
            data: {
                'token':token,
                'category':2,
                'year':lastyear
            },
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            //headers: {"Authorization": "Bearer " + token},
            success: function(d) {
                //{"code":0,"msg":"","data":{"isFormData":1},"timestamp":1502874048775}
                if(d.code!=0){
                    //获取失败
                    mui.toast("获取直报信息失败，请稍后重试");
                    return;
                }
                if(d.data.isFormData!=1){
                    //没有去年的直报数据，则跳转到填写页面
                    mui.alert("您填写的内容将做为补贴/项目重要审核依据，请如实填写！");
                    var obj= {
                        'particularYear': lastyear,
                        'currentMonth': now.getMonth() + 1,
                        'currentDay': now.getDate(),
                        'num': 1
                    };
                    window.showLoadedPage({
                        url: "../directReport/directReportLook.html",
                        id: "directReportLook",
                        extras: {
                            time: obj,
                            isfrombt:true,
                            subsidyid:id
                        },
                        delay: 500
                    });
                    return;
                }
                submit(id);
            },
            error: function(xhr, type, errorThrown) {
                mui.toast("网络繁忙，请稍后重试！");
            }
        });
    }
    //提交申请
    function submit(id) {
        var btnArray = ['确定','取消'];
        mui.confirm('确认申请补贴？', '提示', btnArray, function (e) {
            if (e.index == 0) {
                var url = prUrl + "subsidy/application";
                var data = {
                    //token:"eyJhbGciOiJIUzI1NiJ9.eyJqdGkiOiI3OTUyYjkwMWY1MjE0NTM2YjEyOTY3NTJmNjE5YjVlOCIsImlhdCI6MTU1MjU2MTI0Mywic3ViIjoidG9rZW5JbmZvIiwiaXNzIjoiYXV0aENlbnRlciIsInByb3ZpbmNlIjoi5rGf6IuP55yBIiwiY2l0eSI6IuiLj-W3nuW4giIsImRpc3RyaWN0Ijoi6JmO5LiY5Yy6IiwidXNlcklkIjoiOTQ3MDA3In0.ZdP8k_RBy15RwZckSSrWZuhlugkMMIwymCH0-JebE5c"
                    token: token,
                    subsidyid: id
                };
                mui.ajax(url, {
                    data: data,
                    dataType: 'json',
                    type: 'post',
                    timeout: 10000,
                    contentType: "application/json",
                    //headers: {"Authorization": "Bearer " + token},
                    success: function (data) {
                        if (data.code != 0) {
                            mui.toast(data.msg);
                            return;
                        }
                        mui.toast("申请成功");
                        mui.openWindow({
                            url: "mysubsidylist.html",
                            id: "mysubsidylist"
                        });
                    },
                    error: function (xhr, type, errorThrown) {
                        mui.toast("网络繁忙，请稍后重试！");
                    }
                })
            }
        });
    }

    //刷新页面数据
    document.addEventListener("reload",function (event) {
        //loadbanner();
        loaddata();
    })

    function init() {
        //loadbanner();
        loaddata();
        bindEvent();
    }
    return{
        init:init
    }
})();
mui.plusReady(function() {
    index.init();
});

