/**
 * Created by tian on 2018/06/13
 */

var buydetail = (function () {

    var currentWebview;
	var isok=false;//标志是否需要隐藏加载状态
    var mid;
    var token;//用户id
    var canclick=true;

    function bindEvent() {
		//立即洽谈弹层
        document.getElementById("btnshowmask").addEventListener("tap",function () {
            token = plus.storage.getItem("token");
            //token='eyJhbGciOiJIUzI1NiJ9.eyJqdGkiOiIxMjM0ZDI2MjZhMmQ0NGMwODY3ZThiYWI5ZjI0MGZhYSIsImlhdCI6MTUwMDI2ODMzNywic3ViIjoidG9rZW5JbmZvIiwiaXNzIjoiYXV0aENlbnRlciIsInVzZXJJZCI6IjI1NjU1MiIsImV4cCI6MTUwMTE2OTUxNH0.KDc4wVHNfO65e-axOyX97P9Xmaq1IRw0t60R1fw92II';
            if (!!!token) {
                window.appealurl="../../../userCenter/appeal.html";//配置登录弹框中的“找回账号”链接地址
                window.easyurl="../../../userCenter/createsubjectEasy.html";//配置登录成功弹框中的“快速”链接地址
                login();
                return;
            }
            applib.showLoadingBg();
            //根据token获取用户权限
            var url = applib.REQUEST_DOMAIN_SY+"api-account/getUserByToken?token="+token;
            mui.ajax(url, {
                data: {},
                dataType: 'json',
                type: 'get',
                timeout: 10000,
                //headers: {"Authorization": "Bearer " + token},
                success: function (d) {
                    //最新返回值：{"code":0,"msg":"","data":{"farmName":null,"city":null,"photo":null,"isHzs":null,"isAuthed":"0","userId":256552,"score":0,"province":"其它",
                    // "contact":"15051581257","district":null,"farmer":null,"addr":null,"idNum":null,"uniqueId":null},"timestamp":1500441862286}
                    applib.hideLoadingBg();
                    if (d.code != 0) {
                        //获取失败
                        mui.toast("获取用户信息失败，请稍后重试");
                        return;
                    }
                    var user = d.data;//用户对象
                    if(user.isAuthed!=7){
                        mui.toast("您的主体信息未通过认证，暂不能发起洽谈！");
                        return;
                    }
                    $("#farmname").text(user.farmer);
                    $("#farmcontact").text(user.contact);
                    mui('#sheet1').popover('show');
                },
                error: function (xhr, type, errorThrown) {
                    mui.toast("网络繁忙，请稍后重试！");
                    applib.hideLoadingBg();
                }
            });
        });

        //提交洽谈
        document.getElementById("btnsubmit").addEventListener("tap",function () {
            document.activeElement.blur();
            if(!canclick){
                return;
            }
            var number=$.trim($("#txtnumber").val());
            var price=$.trim($("#txtprice").val());
            if(number==""){
                mui.toast("请输入供应量");
                return;
            }
            if(isNaN(number)||number<=0){
                mui.toast("供应量输入不正确");
                return;
            }
            if(price==""){
                mui.toast("请输入出价");
                return;
            }
            if(isNaN(price)||price<=0){
                mui.toast("出价输入不正确");
                return;
            }
            canclick=false;
            //验证
            var url = applib.REQUEST_DOMAIN+"category/confirmationRelease";
            var data = {
                token:token,
                ischeck:1,
                buyId:mid,
                price:price,
                acount:number
            };
            mui.ajax(url, {
                data: data,
                dataType: 'json',
                type: 'post',
                timeout: 10000,
                success: function(data) {
                    canclick=true;
                    if(data.code!=1){
                        mui.toast(data.message);
                        return;
                    }
                    mui.toast("提交成功，请等待对方响应");
                    applib.openWindow("mybusiness.html", "mybusiness", {});
                    setTimeout(function () {
                        currentWebview.close();
                    },500)
                },
                error: function(xhr, type, errorThrown) {
                    mui.toast("网络繁忙，请稍后重试！");
                    canclick=true;
                }
            });
        });
    }
    /**
     * 加载我要买数据
     */
    function loaddata() {
        var url = applib.REQUEST_DOMAIN+"category/getBuyDetailById";
        var data = {
            id:mid
        };
        applib.ajax(url, {
            data: data,
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            success: function(data) {
                //console.log(JSON.stringify(data));
                applib.hideLoadingBg();
                if(data.code!=1){
                    mui.toast("获取数据失败，请稍后重试!");
                    return;
                }

                //绑定数据
                var html = template('js-datatemp',data.data);
                if(data.data.unit){
                    $("#unit").text(data.data.unit);
                    $("#priceunit").text("元/"+data.data.unit);
                }
                $("#maininfo").html(html);
            },
            error: function(xhr, type, errorThrown) {
                mui.toast("网络繁忙，请稍后重试！");
                applib.hideLoadingBg();
            }
        });
    }


    function init() {
    	mui.init();
        currentWebview = plus.webview.currentWebview();
        mid=currentWebview.mid;
        loaddata();
        bindEvent();
    }

    return {
        init: init
    }
})();

mui.plusReady(function() {
	if(plus.os.name == "iOS"){
		$(".fixtopheader").addClass("fixtopheader-bouncebox");
	}
    buydetail.init();
});
