/**
 * Created by tian on 2018/06/11
 */

var businessindex = (function () {

	var isok=false;//标志是否需要隐藏加载状态

	var province='';//用户省
	var city='';//用户市
	var district='';//用户区
    var ssdata;//省市级联数据
    var typedata;//品类级联数据
    var pageindex=0;//加载的数据页数,第一页为0
    var areacode='';//地区code
    var cityIdentity="";//标识地区code是省级code还是市级code，当为“全部”时表示 省级code
    var catename='';//品类名

    function bindEvent() {
    	//banner点击
		mui(".slider-wrapper").on('tap','.mui-slider-item',function(){
			//获取是否是产品标识
			var isp = this.getAttribute("isp");
			var link = this.getAttribute("link");
			if(isp==1){
				//传值给详情页面，
				applib.openWindow("detail.html","insurancedetail",{code:link});
			}
			else {
			    if(link){
                    //跳转到浏览界面
                    applib.openWindow("../common/webbrowse.html","webbrowse",{url:link});
                }
			}
		});
		//我要买列表项点击
        mui("#buydata").on('tap','.item_layout',function(){
		  //获取id
		  var mid = this.getAttribute("mid");
		  //传值给详情页面，
			applib.openWindow("buydetail.html","buydetail",{mid:mid});
		});
        //我要卖列表项点击
        mui("#saledata").on('tap','.item_layout',function(){
            //获取id
            var mid = this.getAttribute("mid");
            //传值给详情页面，
            applib.openWindow("saledetail.html","saledetail",{mid:mid});
        });

		//我要买点击
		document.getElementById("btnbuy").addEventListener("tap",function () {
		    if($("#btnbuy").hasClass("active")){
		        return;
            }
			$("#btnbuy").addClass("active");
			$("#btnsale").removeClass("active");
            $(".allpro-label").hide();
            $(".f-item").show();
            //数据显示
            $("#saledata").hide();
            $("#buydata").show();

		});
		// 我要卖点击
		document.getElementById("btnsale").addEventListener("tap",function () {
            if($("#btnsale").hasClass("active")){
                return;
            }
			$("#btnsale").addClass("active");
			$("#btnbuy").removeClass("active");
            $(".allpro-label").show();
            $(".f-item").hide();
            //数据显示
            $("#buydata").hide();
            $("#saledata").show();
		});
        //地区选择点击
        document.getElementById("selectarea").addEventListener("tap",function () {
            if(!ssdata){
                return;
            }
            var picker = new mui.PopPicker({
                layer: 2
            });
            picker.setData(ssdata);
            //mui('#buydata').pullRefresh().setStopped(true);//禁止用下拉刷新组件，防止下拉与 picker 组件冲突
            picker.show(function(selectItems) {
                //mui.toast(selectItems[0].text + " " + selectItems[1].text);
                var seltext=selectItems[1].text;
                areacode=selectItems[1].value;
                if(!seltext||!areacode){
                    seltext=selectItems[0].text;
                }
                $("#selectarea span").text(seltext);

                if(!areacode){
                    areacode=selectItems[0].value;
                    cityIdentity="全部";
                }
                else {
                    cityIdentity="";
                }
                pageindex=0;
                province="";
                city="";
                loadbuydata();
            })
        });
        //品种选择点击
        document.getElementById("selectcate").addEventListener("tap",function () {
            if(!typedata){
                return;
            }
            var picker = new mui.PopPicker({
                layer: 2
            });
            picker.setData(typedata);
            //mui('#buydata').pullRefresh().setStopped(true);//禁止用下拉刷新组件，防止下拉与 picker 组件冲突
            picker.show(function(selectItems) {
                //mui.toast(selectItems[0].text + " " + selectItems[1].text);
                var seltext=selectItems[1].text
                if(!seltext){
                    seltext=selectItems[0].text
                }
                $("#selectcate span").text(seltext);
                catename=seltext;
                if(selectItems[0].value==0){
                    //选择的是“所有品类”
                    catename='';
                }
                pageindex=0;
                loadbuydata();
            })
        });
        //跳转到我要卖发布页面
        document.getElementById("btngosale").addEventListener("tap",function () {
            var token = plus.storage.getItem("token");
            if (!!!token) {
                window.appealurl="../../../userCenter/appeal.html";//配置登录弹框中的“找回账号”链接地址
                window.easyurl="../../../userCenter/createsubjectEasy.html";//配置登录成功弹框中的“快速”链接地址
                login();
                return;
            }
            //根据token获取用户权限
            var url = applib.REQUEST_DOMAIN_SY+"api-account/getUserByToken?token="+token;
            mui.ajax(url, {
                data: {},
                dataType: 'json',
                type: 'get',
                timeout: 10000,
                //headers: {"Authorization": "Bearer " + token},
                success: function (d) {
                    //最新返回值：{"code":0,"msg":"","data":{"farmName":null,"city":null,"photo":null,"isHzs":null,"isAuthed":"0","userId":256552,"score":0,"province":"其它",
                    // "contact":"15051581257","district":null,"farmer":null,"addr":null,"idNum":null,"uniqueId":null},"timestamp":1500441862286}
                    if (d.code != 0) {
                        //获取失败
                        mui.toast("获取用户信息失败，请稍后重试");
                        return;
                    }
                    var user = d.data;//用户对象
                    if(user.isAuthed!=7){
                        mui.toast("您的主体信息未通过认证，暂不能发布信息");
                        return;
                    }
                    applib.openWindow("addsale.html", "addsale",{
                        userid:user.userId,
                        farmer:user.farmer,
                        contact:user.contact
                    });
                },
                error: function (xhr, type, errorThrown) {
                    mui.toast("网络繁忙，请稍后重试！");
                }
            });
        });

        //点击picker 遮罩层时重启下拉刷新
        mui('body').on('tap','.mui-backdrop',function(){
            //mui('#buydata').pullRefresh().setStopped(false);//重新启用下拉刷新组件
        })
        //点击picker 按钮时，重启下拉刷新
        mui('body').on('tap','.mui-poppicker-header',function(e){
            var target = e.target;
            if(target.tagName === 'BUTTON'){
                //mui('#buydata').pullRefresh().setStopped(false);//重新启用下拉刷新组件
            }
        })
    }

	/**
	 * 加载banner图片
	 */
	function loadbanner() {
		var url = applib.REQUEST_DOMAIN+"insuranceForBuyAndSale?type=2";
        applib.ajax(url, {
			data: {},
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			//headers: {"Authorization": "Bearer " + token},
			success: function(data) {
				//[{"id":1,"img":"http://pic23.nipic.com/20120808/4801598_171151221374_2.jpg","link":"http://www.baidu.com","isProduct":true,"recordStatus":true,"product":true},
				// {"id":2,"img":"http://pic.qiantucdn.com/58pic/18/23/47/55f146574eae9_1024.jpg","link":"http://www.baidu.com","isProduct":true,"recordStatus":true,"product":true}]

				//绑定数据
				var html = template('js-slidertemp',{ slider: data});
				document.getElementById('js-slider-wrapper').innerHTML = html;
				mui('.mui-slider').slider();

				if(isok){
					applib.hideLoadingBg();
				}
				else {
					isok=true;
				}
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("网络繁忙，请稍后重试！");
			}
		});
	}

    /**
     * 加载我要买数据
     */
	function loadbuydata() {
		var url = applib.REQUEST_DOMAIN+"category/getBuyProductListByAreaAndCategory";
		var data = {
		    code:areacode,
            categoryName:catename,
            provinceName:province,
            cityName:city,
            pageindex:pageindex,
            cityIdentity:cityIdentity
            //pagesize:20
		};
        applib.ajax(url, {
			data: data,
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			//headers: {"Authorization": "Bearer " + token},
			success: function(data) {
				 //console.log(JSON.stringify(data));
                if(isok){
                    applib.hideLoadingBg();
                }
                else {
                    isok=true;
                }
                mui('#refreshContainer').pullRefresh().endPulldownToRefresh();
                if(data.code!=1){
                    if(pageindex==0){
                        //第一页就没有数据
                        mui('#refreshContainer').pullRefresh().disablePullupToRefresh();//禁止上拉加载
                        $("#buydata").html('<div class="nodata">暂无数据</div>');
                    }
                    //mui('#buydata').pullRefresh().endPullupToRefresh(true);//true表示没有更多数据了：
                    return;
                }
                if(data.data.length<=0){
                    if(pageindex==0){
                        //第一页就没有数据
                        mui('#refreshContainer').pullRefresh().disablePullupToRefresh();
                        $("#buydata").html('<div class="nodata">暂无数据</div>');
                    }
                    return;
                }
                if(pageindex==0) {
                    mui('#refreshContainer').pullRefresh().enablePullupToRefresh();
                }


				//绑定数据
                data["isbuy"]=1;//标识是我要买数据，用于模板数据判断
				var html = template('js-datatemp',data);
                if(pageindex > 0) {
                    $("#buydata").append(html);
                } else {
                    $("#buydata").html(html);
                }
                if(data.haveNext){
                    //还有下一页数据
                    mui('#refreshContainer').pullRefresh().endPullupToRefresh(false);
                    //mui('#buydata').pullRefresh().enablePullupToRefresh();
                }
                else {
                    //mui('#buydata').pullRefresh().endPullupToRefresh(true);//true表示没有更多数据了：
                    mui('#refreshContainer').pullRefresh().disablePullupToRefresh();
                }
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("网络繁忙，请稍后重试！");
                mui('#refreshContainer').pullRefresh().endPulldownToRefresh();
                mui('#refreshContainer').pullRefresh().endPullupToRefresh(false);
			}
		});
	}

    /**
     * 加载我要卖数据
     */
    function loadsaledata() {
        var url = applib.REQUEST_DOMAIN+"category/getSaleProductList";
        var data = {
        };
        applib.ajax(url, {
            data: data,
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            success: function(data) {
                if(data.code!=1){
                    $("#saledata10").html('<div class="nodata" style="padding: 50px 0;">暂无数据</div>');
                    return;
                }
                if(data.data.length<=0){
                    $("#saledata10").html('<div class="nodata" style="padding: 50px 0;">暂无数据</div>');
                    return;
                }
                //绑定数据
                data["isbuy"]=0;
                var html = template('js-datatemp',data);
                $("#saledata10").html(html);
            },
            error: function(xhr, type, errorThrown) {
                mui.toast("网络繁忙，请稍后重试！");
            }
        });
    }
    /**
     * 加载我的我要卖数据
     */
    function loadmysaledata(token) {
        var url = applib.REQUEST_DOMAIN+"category/getMyProductsByUserId";
        var data = {
            token:token,
            ischeck:1
        };
        mui.ajax(url, {
            data: data,
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            success: function(data) {
                if(data.code!=1){
                    $("#mysaledata").html('<div class="nodata" style="padding: 50px 0;">暂无数据</div>');
                    return;
                }
                if(data.data.length<=0){
                    $("#mysaledata").html('<div class="nodata" style="padding: 50px 0;">暂无数据</div>');
                    return;
                }
                //绑定数据
                data["isbuy"]=0;
                var html = template('js-datatemp',data);
                $("#mysaledata").html(html);
            },
            error: function(xhr, type, errorThrown) {
                mui.toast("网络繁忙，请稍后重试！");
            }
        });
    }

    /**
     * 加载省市级联
     */
	function loadareainfo() {
        var url = applib.REQUEST_DOMAIN+"area/twoLevelArea";
        applib.ajax(url, {
            data: {},
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            success: function(data) {
                if(data.code==1){
                    ssdata=data.data;
                }
            },
            error: function(xhr, type, errorThrown) {
                //mui.toast("网络繁忙，请稍后重试！");
            }
        });
    }

    /**
     * 加载品类级联
     */
    function loadtypeinfo() {
        var url = applib.REQUEST_DOMAIN+"category/getCategoryList";
        applib.ajax(url, {
            data: {},
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            success: function(data) {
                if(data.code==1){
                    var tdata=data.data;
                    tdata.unshift({"text":"所有品类","value":0,"children":[]});
                    typedata=tdata;
                }
            },
            error: function(xhr, type, errorThrown) {
                //mui.toast("网络繁忙，请稍后重试！");
            }
        });
    }

    function accMul(arg1,arg2){
        var m=0,s1=arg1.toString(),s2=arg2.toString();
        try{m+=s1.split(".")[1].length}catch(e){}
        try{m+=s2.split(".")[1].length}catch(e){}
        return Number(s1.replace(".",""))*Number(s2.replace(".",""))/Math.pow(10,m)
    }

	function formatamount(amount) {
		if (amount>10000){
			if(amount%10000==0){
				return amount/10000+"万元";
			}
			// if(amount%1000==0){
			// 	return amount/10000+"万元";
			// }
		}
		return amount+"元";
	}

	function loaduser() {
		var token = plus.storage.getItem("token");
		//token='eyJhbGciOiJIUzI1NiJ9.eyJqdGkiOiIxMjM0ZDI2MjZhMmQ0NGMwODY3ZThiYWI5ZjI0MGZhYSIsImlhdCI6MTUwMDI2ODMzNywic3ViIjoidG9rZW5JbmZvIiwiaXNzIjoiYXV0aENlbnRlciIsInVzZXJJZCI6IjI1NjU1MiIsImV4cCI6MTUwMTE2OTUxNH0.KDc4wVHNfO65e-axOyX97P9Xmaq1IRw0t60R1fw92II';
		if (!!!token) {
            loadbuydata();
            $("#mysaledatalabel").hide();//隐藏我的产品字
			return;
		}
		//根据token获取用户
		var url = applib.REQUEST_DOMAIN_SY+"api-account/getUserByToken?token="+token;
		mui.ajax(url, {
			data: {},
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			success: function(d) {

				//最新返回值：{"code":0,"msg":"","data":{"farmName":null,"city":null,"photo":null,"isHzs":null,"isAuthed":"0","userId":256552,"score":0,"province":"其它",
				// "contact":"15051581257","district":null,"farmer":null,"addr":null,"idNum":null,"uniqueId":null},"timestamp":1500441862286}
				if(d.code!=0){
					//获取失败
                    loadbuydata();
                    $("#mysaledatalabel").hide();//隐藏我的产品字
					return;
				}
				var user=d.data;//用户对象

				// province=nulltoempty(user.province);
				// city=nulltoempty(user.city);
				// district=nulltoempty(user.district);
				// plus.storage.setItem('province',province);
				// plus.storage.setItem('city',city);
				// plus.storage.setItem('district',district);
                loadbuydata();
                loadmysaledata(token);
                if(city!=""){
                    //$("#selectarea span").text(city);
                }
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("网络繁忙，请稍后重试！");
                loadbuydata();
                $("#mysaledatalabel").hide();//隐藏我的产品字
			}
		});
	}

	function nulltoempty(val) {
		if(val==undefined||val==null||val=='null'||val=="Null"){
			return "";
		}
		return val;
	}

	//下拉刷新调用
	function pulldownRefresh() {
	    pageindex=0;//第一页为0
        loadbuydata();
	}
	//上拉加载调用
	function pullupRefresh() {
        pageindex++;
        loadbuydata();
	}
	
    function init() {
    	mui.init({
			pullRefresh : {
				container:"#refreshContainer",//下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
				down : {
					//style:'circle',//必选，下拉刷新样式，目前支持原生5+ ‘circle’ 样式
					//offset:window.immersed+44+'px', //可选 默认0px,下拉刷新控件的起始位置
					callback :pulldownRefresh //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				},
                up : {
                    callback :pullupRefresh //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
                }
			}
		});
    	loadbanner();
		loaduser();
        loadsaledata();
        loadareainfo();
        loadtypeinfo();
        bindEvent();
    }

    return {
        init: init
    }
})();

mui.plusReady(function() {
	if(plus.os.name == "iOS"){
		//$(".fixtopheader").addClass("fixtopheader-bouncebox");
	}
    businessindex.init();
});
