/**
 * Created by tian on 2018/06/14
 */

var saledetail = (function () {

	var isok=false;//标志是否需要隐藏加载状态

    /**
     * 加载我要买数据
     */
    function loaddata(mid) {
        var url = applib.REQUEST_DOMAIN+"category/getSaleDetailById";
        var data = {
            id:mid
        };
        applib.ajax(url, {
            data: data,
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            success: function(data) {
                //console.log(JSON.stringify(data));
                applib.hideLoadingBg();
                if(data.code!=1){
                    mui.toast("获取数据失败，请稍后重试!");
                    return;
                }

                //绑定数据
                var html = template('js-datatemp',data.data);
                $("#maininfo").html(html);
            },
            error: function(xhr, type, errorThrown) {
                mui.toast("网络繁忙，请稍后重试！");
                applib.hideLoadingBg();
            }
        });
    }

    function templatehelper() {
        template.helper("farmlevel",function(level,ishzs){
            console.log("level:"+level+",isa:"+ishzs);
            var returnvalue="";
            switch (parseInt(level)){
                case 1:
                    returnvalue="区县级";
                    break;
                case 2:
                    returnvalue="市级";
                    break;
                case 3:
                    returnvalue="省级";
                    break;
                case 4:
                    returnvalue="国家级";
                    break;
                default:
                    returnvalue="普通级";
                    break;
            }
            switch (parseInt(ishzs)){
                case 0:
                    returnvalue+="家庭农场";
                    break;
                case 1:
                    returnvalue+="农民合作社";
                    break;
                case 3:
                    returnvalue+="农业企业";
                    break;
                case 4:
                    returnvalue+="种养户";
                    break;
                default:
                    break;
            }
            return returnvalue;
        });
    }

    function init() {
    	mui.init();
        var currentWebview = plus.webview.currentWebview();
        var mid=currentWebview.mid;
        templatehelper();
        loaddata(mid);
    }

    return {
        init: init
    }
})();

mui.plusReady(function() {
	if(plus.os.name == "iOS"){
		$(".fixtopheader").addClass("fixtopheader-bouncebox");
	}
    saledetail.init();
});
