var appIndex = (function(){

    var subpages = ['pages/home/index.html', '', 'pages/mine/index.html'];
    var subpage_style = {
      top: (window.immersed + 42) + 'px',
      bottom: '50px',
      bounce: 'none',
      bounceBackground: '#efeff4'
    };

    var bounce_style = {
      top: (window.immersed + 42) + 'px',
      bottom: '50px',
      bounce: 'vertical',
      scrollIndicator: 'none',
      bounceBackground: '#efeff4'
    };

    //初始化页面
    function tabpageInit(){
      var self = plus.webview.currentWebview();
      var viewStyle;
      for (var i = 0, length = subpages.length; i < length; i++) {
//       if(subpages[i] == 'pages/home/index.html' ){
//           viewStyle = bounce_style;
//         }else{
          	viewStyle = subpage_style;
//        }
        var sub = plus.webview.create(subpages[i], subpages[i], viewStyle);
        if (i > 0) {
          sub.hide();
        }
        self.append(sub);
      }
    }

    //绑定底部导航链接
    function tabEvent(){
      //当前激活选项，默认为第一个；
      var activeTab = subpages[0];
      var title = document.getElementById("js-title");
      var aniShow = {};
      //选项卡点击事件
      mui('.mui-bar-tab').on('tap', 'a', function(e) {
        var targetTab = this.getAttribute('href');
        if (targetTab == activeTab) {
          return;
        }
        // if (targetTab == 'pages/mine/index.html') {
		// 	//document.getElementById("btnsetting").style.display = 'block';
         //    document.getElementById("btnsearch").style.display = 'none';
		// } else {
		// 	//document.getElementById("btnsetting").style.display = 'none';
         //    document.getElementById("btnsearch").style.display = 'block';
		// }

      // if (targetTab == 'pages/delivery/index.html') {
      //   var deliveryPage = plus.webview.getWebviewById('pages/delivery/index.html');
      //   mui.fire(deliveryPage, 'refresh');
      // }

        //更换标题
        var titleStr = this.innerHTML;
           if (titleStr == '首页') {
             titleStr = '新农人直报平台';
           }
        title.innerHTML = titleStr;
        //若为iOS平台或非首次显示，则直接显示
        if(mui.os.ios||aniShow[targetTab]){
            plus.webview.show(targetTab);
        }else{
            //否则，使用fade-in动画，且保存变量
            var temp = {};
            temp[targetTab] = "true";
            mui.extend(aniShow,temp);
            plus.webview.show(targetTab);
        }
        //隐藏当前;
        plus.webview.hide(activeTab);
        //更改当前活跃的选项卡
        activeTab = targetTab;
      });
    }


    //切换页面
    function swithPageEvent(){
      window.addEventListener('switchTapPage',function(event){
        var tabId = event.detail.tabId;
        var targetElement = document.getElementById(tabId);
        mui.trigger( targetElement, "tap" );
        $(".ep-bottom_inner > a").removeClass('mui-active');
        $(targetElement).addClass('mui-active');
      });
    }

    //初始化app
    function init(){
    	tabpageInit();
      tabEvent();
      swithPageEvent();
    }

    return {
        init: init
    }
})();

//appIndex.init();
mui.plusReady(function () {
    mui.init();

		mui(".ep-bottom_inner").on('tap', '.bottom_insure', function() {
			plus.nativeUI.toast('购买保险功能暂未开放',{'verticalAlign':'center','align':'center'});
			return;
		});

    if (mui.os.android) {
        var backButtonPress = 0;
        mui.back = function (event) {
            backButtonPress++;
            if (backButtonPress > 1) {
                plus.runtime.quit();
            } else {
                plus.nativeUI.toast('再按一次退出应用');
            }
            setTimeout(function () {
                backButtonPress = 0;
            }, 2000);
            return false;
        };
    }

    //增加首次启动的引导页，
    //读取本地存储，检查是否为首次启动
    var showGuide = 1;//plus.storage.getItem("lauched");
    if (showGuide == 1) {
        //说明已经启动过了
        plus.navigator.closeSplashscreen();
        appIndex.init();
        
    }
    else {
        //显示启动导航
        mui.openWindow({
            id: 'guide',
            url: 'pages/common/guide.html',
            show: {
                aniShow: 'none'
            },
            waiting: {
                autoShow: false
            }
        });
        setTimeout(function () {
            appIndex.init();
        }, 200);
    }
});

//自定义事件
// window.addEventListener('hidloading',function(event){
//     applib.hideLoadingBg();
// });