var deliveryIndex = (function(){
    var currentWebview;

    function processData(data) {
      var nowProcess = false;
      for(var i=0; i< data.length; i++) {
        if (!nowProcess && data[i].isFinish === false) {
          data[i].nowState = 'processing';
          nowProcess = true;
          steps = i + 1;
        } else if (data[i].isFinish === true) {
          data[i].nowState = 'done';
        } else {
          data[i].nowState = 'normal';
        }
        if(i === data.length-1) {
          data[i].isLastStep = true;
        } else {
          data[i].isLastStep = false;
        }
      }
    }

    function formateDatetime(data){
      for(var i=0;i< data.length; i++) {
        var sdate = data[i].startDate
        if(sdate !== '' && sdate!== null){
          data[i].startDate = applib.formateTime(sdate);
        }
      }
    }

    function fetchData () {
      var folio = currentWebview.folio;
      var url;
      if(window.STEP_TYPE == 2) {
				url= applib.REQUEST_DOMAIN + 'loan/application/statuspsbc?folio=' + folio + '&type=' + window.STEP_TYPE;
        // url= applib.REQUEST_DOMAIN + 'loan/application/status?folio=' + folio + '&type=' + window.STEP_TYPE;
        //url= 'http://192.168.199.135:8989/loan/application/status?folio=' + folio + '&type=' + window.STEP_TYPE;
      } else if (window.STEP_TYPE == 6) {
        url= applib.REQUEST_DOMAIN + 'service/application/status?folio=' + folio + '&type=' + window.STEP_TYPE;
      } else {
        url= applib.REQUEST_DOMAIN + 'insurance/application/status?folio=' + folio + '&type=' + window.STEP_TYPE;
      }
      applib.showLoadingBg();
        applib.ajax(url,{
          dataType:'json',
          type:'get',
          timeout:10000,
          success:function(data){
              applib.hideLoadingBg();
              formateDatetime(data);
             // console.log(data)
              processData(data);
              // console.log(JSON.stringify(data, null, 4));
              var info = template('js-steptemp', { list: data });
              document.getElementById('js-step').innerHTML = info;
          },
          error:function(xhr,type,errorThrown){
            applib.hideLoadingBg();
              //异常处理；
            //  console.log("error:"+type+"，errorThrown"+errorThrown);
          }
      });
    }
    function init(){
      currentWebview = plus.webview.currentWebview();
      fetchData();
    }

    return {
        init: init
    };

})();

// deliveryIndex.init();

mui.plusReady(function () {
    deliveryIndex.init();
});
