/**
 * Created by tian on 2017/7/5
 */

var comment = (function () {

	var self;//当前webview
	var folio='';//评价保险的标识
	var status=0;//评价内容，1评价保险，2评价理赔 3评价保险和理赔
	var cansubmit=true;//防止提交按钮多次提交
    function bindEvent() {
    	//提交点击
		document.getElementById("btnsubmit").addEventListener("tap",function () {

			document.activeElement.blur();
			cansubmit=false;
			var data=[];
			if(status==1||status==3){
				var bxremark=$("#txtbxremark").val();
				$("#cbx").find(".star").each(function (i,n) {
					var type= $(n).data("type");
					var score= $(n).data("value");
					data.push({folio:folio,typeId:type,scroe:score,remark:bxremark});
				});
			}
			else if(status==2||status==3){
				var lpremark=$("#txtlpremark").val();
				$("#clp").find(".star").each(function (i,n) {
					var type= $(n).data("type");
					var score= $(n).data("value");
					data.push({folio:folio,typeId:type,scroe:score,remark:lpremark});
				});
			}
			else {
				cansubmit=true;
				return;
			}
			if(!!!folio||data.length==0){
				cansubmit=true;
				return;
			}

			//console.log(JSON.stringify(data));return;

			var url = applib.REQUEST_DOMAIN+"insurance/scroe/add";
			mui.ajax(url,{
				data: JSON.stringify(data),
				dataType:'text',
				type:'POST',
				headers:{'Content-Type':'application/json'},
				timeout:10000,
				success: function(data) {
					cansubmit=true;
					mui.toast("评价成功！");
					var listpage = plus.webview.getWebviewById('myinsurancelist');
					mui.fire(listpage, 'query');
					self.close();
				},
				error: function(xhr, type, errorThrown) {
					cansubmit=true;
					mui.toast("网络繁忙，请稍后重试！");
				}
			});

		})
    }

	/**
	 * 加载评价项
	 */
	function loadcommititem() {
		var url = applib.REQUEST_DOMAIN+"insurance/scroe/types";
		var data = {
		};
		applib.ajax(url, {
			data: data,
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			//headers: {"Authorization": "Bearer " + token},
			success: function(data) {
				//绑定数据
				var html = template('cbxtemp',{ list: data});
				$('#cbx').append(html);
				var html1 = template('clptemp',{ list: data});
				$('#clp').append(html1);
				initstar();
				applib.hideLoadingBg();
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("网络繁忙，请稍后重试！");
			}
		});
	}

	function initstar() {
		$('.star').raty({
			path:'../../images/common',
			//half: true,
			score:4,
			click: function(score, evt) {
				//alert('ID: ' + this.id + "\nscore: " + score + "\nevent: " + evt);
				var that=$(this);
				setTimeout(function () {
					var sc= that.children("input:last-child").val();
					that.prev("p").children("span").text(sc*20);
					that.data("value",sc);
					//alert(that.data("value"));
				},100);
			}
		});
	}

    function init() {
    	applib.showLoadingBg();
		// 获取当前窗口对象
		self = plus.webview.currentWebview();
		// 读取传递过来的参数
		folio = self.folio;
		status =self.commentstatus;
		if(status==1){
			$("#cbx").show();
		}
		else if(status==2){
			$("#clp").show();
		}
		else if(status==3){
			$("#cbx").show();
			$("#clp").show();
		}

		loadcommititem();
        bindEvent();
    }

    return {
        init: init
    }

})();

mui.plusReady(function() {
    mui.init();
	comment.init();
});