var deliveryIndex = (function(){
  var currentWebview;
  // 产品信息
  var pinfo;
  window.addEventListener('closedetail',function(event){
    currentWebview.close();
  });
  function tapActions() {
    mui('#js-tab').on('tap', 'li', function () {
      var target = "#" + this.dataset.target;
      $(".tab_cell").removeClass('is-active');
      $(".target_cell").hide();
      $(this).addClass('is-active');
      $(target).show();
    });
  }

  function accMul (arg1, arg2) {
    var m = 0
    var s1 = arg1.toString()
    var s2 = arg2.toString()
    try { m += s1.split('.')[1].length } catch (e) {}
    try { m += s2.split('.')[1].length } catch (e) {}
    return Number(s1.replace('.', '')) * Number(s2.replace('.', '')) / Math.pow(10, m)
  }

  function fetchData () {
    var code =currentWebview.code;
    var url= applib.REQUEST_DOMAIN + 'insurance/product/' + code;
    applib.showLoadingBg();
    applib.ajax(url,{
      dataType:'json',
      type:'get',
      timeout:10000,
      success:function(data){
        applib.hideLoadingBg();
        pinfo=data;
        var allowance = data.allowance;
        data.allowance = accMul(data.allowance, 100);
        var info = template('js-contenttemp', { info: data });
        document.getElementById('js-content').innerHTML = info;
        mui('.mui-slider').slider();
        $('#js-telphone').attr('href','tel:' + data.servicePhone);

        // 购买按钮
        document.getElementById("btnbuy").addEventListener("tap", function () {
          //判断登陆
          var token = plus.storage.getItem("token");
          //token='eyJhbGciOiJIUzI1NiJ9.eyJqdGkiOiIxMjM0ZDI2MjZhMmQ0NGMwODY3ZThiYWI5ZjI0MGZhYSIsImlhdCI6MTUwMDI2ODMzNywic3ViIjoidG9rZW5JbmZvIiwiaXNzIjoiYXV0aENlbnRlciIsInVzZXJJZCI6IjI1NjU1MiIsImV4cCI6MTUwMTE2OTUxNH0.KDc4wVHNfO65e-axOyX97P9Xmaq1IRw0t60R1fw92II';
          if (!!!token) {
            window.appealurl="../../../userCenter/appeal.html";//配置登录弹框中的“找回账号”链接地址
            window.easyurl="../../../userCenter/createsubjectEasy.html";//配置登录成功弹框中的“快速”链接地址
            login();
            return;
          }
          //根据token获取用户权限
          var url = applib.REQUEST_DOMAIN_SY+"api-account/getUserByToken?token="+token;
          mui.ajax(url, {
            data: {},
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            //headers: {"Authorization": "Bearer " + token},
            success: function (d) {
              //最新返回值：{"code":0,"msg":"","data":{"farmName":null,"city":null,"photo":null,"isHzs":null,"isAuthed":"0","userId":256552,"score":0,"province":"其它",
              // "contact":"15051581257","district":null,"farmer":null,"addr":null,"idNum":null,"uniqueId":null},"timestamp":1500441862286}
              if (d.code != 0) {
                //获取失败
                mui.toast("获取用户信息失败，请稍后重试");
                return;
              }
              var user = d.data;//用户对象

              //user.isHzs 主体类型  0-家庭农场  1-合作社  2-其他农业经营主体 3-农民企业
              //user.isAuthed	是否审核(0：否 5 待初审、 6 、待终审、7 审核通过)
              if (user.isHzs == 2) {
                mui.toast("您的主体类型不是家庭农场、农民合作社及农业企业，暂时无法申请当前服务，为了获得更好的服务，请您到当地农业主管部门申请相关资质。");
                return;
              }

              //判断主体认证状态
              // if(user.isAuthed==0){
              //     //未填写，跳转到完善主体页面
              //     mui.toast("请先完善经营主体信息");
              //     applib.openWindow("../../../userCenter/createsubjectOne.html","createsubjectOne",{});
              //     return;
              // }
              // if(user.isAuthed==0){
              //     //未填写，跳转到完善主体页面
              //     mui.toast("请先填写主体认证信息");
              //     applib.openWindow("../../../userCenter/createsubjectOne.html","createsubjectOne",{});
              //     return;
              // }
              // if(user.isAuthed!=7){
              //     mui.toast("您的主体信息未通过认证，请等待审核！");
              //     return;
              // }

              var infodata = {
                'contact': user.farmer,//农场主姓名
                'contactPhone': user.contact,//农场主手机号
                'userid': user.userId, //用户id
                'uniqueId': user.userId, //主体唯一号
                'farmName': user.farmName, //农场名称
                'idNum': user.idNum, //身份证号
                'address': nulltoempty(user.province) + "" + nulltoempty(user.city) + "" + nulltoempty(user.district) + "" + nulltoempty(user.viliage) + "" + nulltoempty(user.addr), //地址
                'source':user.source,

                'unit': data.unit,
                'allowance': allowance,
                'premium': data.premium,
                'productCode': data.code,
                'name': data.name,
                "orgcode": data.orgCode
              };
              checkcreatesubject(token, infodata, user);
            },
            error: function (xhr, type, errorThrown) {
              mui.toast("网络繁忙，请稍后重试！");
            }
          });
        });
      },
      error:function(xhr,type,errorThrown){
        applib.hideLoadingBg();
        //异常处理；
        //  console.log("error:"+type+"，errorThrown"+errorThrown);
      }
    });
  }

  //检查是否已创建主体
  function checkcreatesubject(token,infodata,user) {
    var url = applib.REQUEST_DOMAIN_SY+"api-account/getUserStatus?token="+token;
    mui.ajax(url, {
      data: {
      },
      dataType: 'json',
      type: 'get',
      timeout: 10000,
      //headers: {"Authorization": "Bearer " + token},
      success: function(d) {
        // {"code":0,"msg":"","data":{"score":0,"isFarm":"0","isAuthed":"0","isForm":0},"timestamp":1513600829675}
        if(d.code!=0){
          //获取失败
          mui.toast("获取主体状态信息失败，请稍后重试");
          return;
        }
        if(d.data.isFarm!=1){
          //没有创建主体，则跳转到创建主体页面
          mui.toast("请您先完善经营主体信息！");
          applib.openWindow("../../../userCenter/createsubjectEasy.html","createsubjectOne",{});
          return;
        }
        if(user.isAuthed==0){
          //未提交认证，则跳转到提交认证页面
          mui.toast("请您先提交主体认证");
          applib.openWindow("../../../userCenter/mySubject.html","mySubject",{});
          return;
        }
        if(user.isAuthed==5){
          //待初审，则判断2016直报
          //checklastyeardata(token,user.isAuthed,infodata);
          //return;
        }
        if(user.isAuthed==8){
          mui.toast("当前审核已被驳回！");
          applib.openWindow("../../../userCenter/mySubject.html","mySubject",{});
          return;
        }
        if(user.isAuthed!=7){
          mui.toast("您的主体信息未通过认证，请等待审核！");
          return;
        }
        //判断地区
        if (pinfo.province_name != '全国' && pinfo.province_name != user.province ) {
          mui.toast("您当前所在区域无法预约此产品，请选择其他产品");
          return;
        }
        if(pinfo.city_name!=''&&pinfo.city_name != user.city){
          mui.toast("您当前所在区域无法预约此产品，请选择其他产品");
          return;
        }
        if(pinfo.district_name!=''&& pinfo.district_name != user.district){
          mui.toast("您当前所在区域无法预约此产品，请选择其他产品");
          return;
        }
        if(user.source==9){
          //自建白名单的不需要验证直报
          applib.openWindow("insurerinfo.html", "insurerinfo", {infodata: infodata});
        }
        else {
          checklastyeardata(token, user.isAuthed, infodata);
        }
      },
      error: function(xhr, type, errorThrown) {
        mui.toast("网络繁忙，请稍后重试！");
      }
    });
  }

  //检查去年直报是否已填写
  function checklastyeardata(token,isauthed,infodata) {
    var now=new Date();
    var lastyear=now.getFullYear()-1;
    var url = applib.REQUEST_DOMAIN_SY+"api-report/form/queryByCategory.json";
    mui.ajax(url, {
      data: {
        'token': token,
        'category': 2,
        'year': lastyear
      },
      dataType: 'json',
      type: 'get',
      timeout: 10000,
      //headers: {"Authorization": "Bearer " + token},
      success: function (d) {
        //{"code":0,"msg":"","data":{"isFormData":1},"timestamp":1502874048775}

        if (d.code != 0) {
          //获取失败
          mui.toast("获取直报信息失败，请稍后重试");
          return;
        }
        if (d.data.isFormData != 1) {
          //没有去年的直报数据，则跳转到填写页面
          mui.toast("请您先去完善上年度直报信息！");
          var obj = {
            'particularYear': lastyear,
            'currentMonth': now.getMonth() + 1,
            'currentDay': now.getDate(),
            'num': 1
          };
          applib.openWindow("../../../directReport/directReportLook.html", "directReportLook", {'time': obj});
          return;
        }
        //checkcurrentyeardata(token,isauthed,infodata);
        if(isauthed==5){
          //已完善，则提示审核中，因为是is_authed=5进来的
          mui.toast("您的主体信息未通过认证，请等待审核！");
        }
        else if(isauthed==7){
          applib.openWindow("insurerinfo.html", "insurerinfo", {infodata: infodata});
        }
      },
      error: function (xhr, type, errorThrown) {
        mui.toast("网络繁忙，请稍后重试！");
      }
    });
  }

  //检查今年直报是否已填写
  function checkcurrentyeardata(token,isauthed,infodata) {
    var now=new Date();
    var year=now.getFullYear();
    var url = applib.REQUEST_DOMAIN_SY+"api-report/form/queryByCategory.json";
    mui.ajax(url, {
      data: {
        'token': token,
        'category': 2,
        'year': year
      },
      dataType: 'json',
      type: 'get',
      timeout: 10000,
      //headers: {"Authorization": "Bearer " + token},
      success: function (d) {
        //{"code":0,"msg":"","data":{"isFormData":1},"timestamp":1502874048775}
        if (d.code != 0) {
          //获取失败
          mui.toast("获取直报信息失败，请稍后重试");
          return;
        }
        if (d.data.isFormData != 1) {
          //没有去年的直报数据，则跳转到填写页面
          mui.toast("请您先去完善今年度直报信息！");
          var obj = {
            'particularYear': year,
            'currentMonth': now.getMonth() + 1,
            'currentDay': now.getDate(),
            'num': 2
          };
          applib.openWindow("../../../directReport/directReportLook.html", "directReportLook", {'time': obj});
          return;
        }
        if(isauthed==5){
          //已完善，则提示审核中，因为是is_authed=5进来的
          mui.toast("您的主体信息未通过认证，请等待审核！");
        }
        else if(isauthed==7){
          applib.openWindow("insurerinfo.html", "insurerinfo", {infodata: infodata});
        }
      },
      error: function (xhr, type, errorThrown) {
        mui.toast("网络繁忙，请稍后重试！");
      }
    });
  }

  function nulltoempty(val) {
    if(val==undefined||val==null||val=='null'||val=="Null"){
      return "";
    }
    return val;
  }

  function init(){
    currentWebview = plus.webview.currentWebview();
    fetchData();
    tapActions();
  }

  return {
    init: init
  };

})();

// deliveryIndex.init();

mui.plusReady(function () {
  if(plus.os.name == "iOS"){
    $(".fixtopheader").addClass("fixtopheader-bouncebox");
  }
  deliveryIndex.init();
});
