/**
 * Created by wangzhen on 2017/7/4.
 */
var myinsurance=(function(){
    var pageSize=1000;
    var pageIndex=1;
    var token;
    var cancelclickenable=true;
    function initdata() {
        applib.pullRefresh( "both", "#pullrefresh", pulldownRefresh, loadmore);
        loaddata();
    }
    /**
     * 下拉刷新具体业务实现
     */
    function pulldownRefresh() {
        pageIndex = 1;
        loaddata();
        applib.pullReshAction( "#pullrefresh", "refresh");
    }
    /**
     * 加载更多
     */
    function loadmore() {
        loaddata();
    }
    /**
     * 加载数据
     */
    function loaddata(){
        //var userId="257076";
        var url = applib.REQUEST_DOMAIN+"insurance/applications/getlist";
        var data = {
            token:token,
            ischeck:1
        };
        mui.ajax(url, {
            data: data,
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            success: function(data) {
                console.log(JSON.stringify(data));
                if(data.length<=0){
                    $(".indicate-tip").show();
                    applib.hideLoadingBg();
                    return;
                }
                // 绑定数据
                var html = template('insurancedata',{ list: data});
                $(".mui-content").html(html);
                applib.hideLoadingBg();
                $('.ratyli').raty({
                    path:'../../images/common',
                    score:function () {
                        return $(this).attr('data-score');
                    },
                    readOnly:true
                });

            },
            error: function(xhr, type, errorThrown) {
                mui.toast("网络繁忙，请稍后重试！");
                applib.hideLoadingBg();
            }
        });
    }

    function bindEvent() {
        //投保查询
        mui(".mui-content").on('tap','.Insurequery',function(){
            //获取folio
            var folio = this.dataset.folio;
            applib.openWindow("insurancestep.html","insurancestep",{folio:folio});
        });
        //我要报案
        mui(".mui-content").on('tap','.RequirementReport',function(){
            //获取folio
            var folio = this.dataset.folio;
            applib.openWindow("myreport.html","myreport",{folio:folio});
        });
        //理赔查询
        mui(".mui-content").on('tap','.Claimchecking',function(){
            //获取folio
            var folio = this.dataset.folio;
            applib.openWindow("claimstep.html","claimstep",{folio:folio});
        });
        //评价
        mui(".mui-content").on('tap','.Evaluate',function(){

            var folio = this.dataset.folio;
            var enableScroe=this.dataset.enablescroe;
            var processType=this.dataset.processtype;
            var claimScoreCount=this.dataset.claimscorecount;
            var inScoreCount=this.dataset.inscorecount;
            var commentstatus=1;

            if(processType==0||processType==3){
                if(inScoreCount==0&&enableScroe==1){
                    commentstatus=1;
                }
            }else{
                if(claimScoreCount<1&&enableScroe==1) {
                    if(inScoreCount==0)
                    {
                        commentstatus=3;
                    }else{
                        commentstatus=2;
                    }
                }else{
                    commentstatus=1;
                }
            }
            applib.openWindow("comment.html","commentEvaluate",{folio:folio,commentstatus:commentstatus});
        });

        //取消预约保险
        mui(".mui-content").on('tap','.btncancel',function(){
            if(!cancelclickenable){
                return;
            }
            var folio = this.dataset.folio;
            if(folio.length==0){
                return;
            }
            var btnArray = ['否', '是'];
            mui.confirm('是否取消预约？', '提示', btnArray, function (e) {
                console.log("e.index:"+e.index);
                if (e.index == 1) {
                    var url = applib.REQUEST_DOMAIN+"/insurance/application/cancel?folio="+folio;
                    applib.showLoadingBg();
                    cancelclickenable=false;
                    applib.ajax(url, {
                        data: {},
                        dataType: 'json',
                        type: 'get',
                        timeout: 10000,
                        success: function(data) {
                            //{"code": 0,"data": 21,"message": "预约已响应，取消失败"}
                            applib.hideLoadingBg();
                            cancelclickenable=true;
                            //console.log(JSON.stringify(data));
                            if(data.code==1){
                                mui.toast("取消成功");
                                loaddata();
                            }
                            else if(data.code==0){
                                mui.toast(data.message);
                                loaddata();
                            }
                            else {
                                mui.toast("取消失败，请稍后重试！");
                            }
                        },
                        error: function(xhr, type, errorThrown) {
                            mui.toast("网络繁忙，请稍后重试！");
                            applib.hideLoadingBg();
                            cancelclickenable=true;
                        }
                    });
                }
            });
        });

        //取消报案
        mui(".mui-content").on('tap','.btncancelclaim',function(){
            if(!cancelclickenable){
                return;
            }
            var folio = this.dataset.folio;
            if(folio.length==0){
                return;
            }
            var btnArray = ['否', '是'];
            mui.confirm('是否取消报案？', '提示', btnArray, function (e) {
                if (e.index == 1) {
                    var url = applib.REQUEST_DOMAIN+"/insurance/claim/cancel?folio="+folio;
                    applib.showLoadingBg();
                    cancelclickenable=false;
                    applib.ajax(url, {
                        data: {},
                        dataType: 'json',
                        type: 'get',
                        timeout: 10000,
                        success: function(data) {
                            applib.hideLoadingBg();
                            cancelclickenable=true;
                            //console.log(JSON.stringify(data));
                            if(data.code==1){
                                mui.toast("取消成功");
                                loaddata();
                            }
                            else if(data.code==0){
                                mui.toast(data.message);
                                loaddata();
                            }
                            else {
                                mui.toast("取消失败，请稍后重试！");
                            }
                        },
                        error: function(xhr, type, errorThrown) {
                            mui.toast("网络繁忙，请稍后重试！");
                            applib.hideLoadingBg();
                            cancelclickenable=true;
                        }
                    });
                }
            });
        });
    }
    function init() {
        token = plus.storage.getItem("token");
        if (!!!token) {
            //无用户身份
            return;
        }
        initdata();
        bindEvent();

        //获取用户信息。
        // var url = applib.REQUEST_DOMAIN_SY+"api-account/getUserByToken?token="+token;
        // mui.ajax(url, {
        //     data: {},
        //     dataType: 'json',
        //     type: 'get',
        //     timeout: 10000,
        //     //headers: {"Authorization": "Bearer " + token},
        //     success: function(d) {
        //         //最新返回值：{"code":0,"msg":"","data":{"farmName":null,"city":null,"photo":null,"isHzs":null,"isAuthed":"0","userId":256552,"score":0,"province":"其它",
        //         // "contact":"15051581257","district":null,"farmer":null,"addr":null,"idNum":null,"uniqueId":null},"timestamp":1500441862286}
        //         if(d.code!=0){
        //             //获取失败
        //             mui.toast("获取用户信息失败，请稍后重试");
        //             return;
        //         }
        //         var user=d.data;//用户对象
        //
        //     },
        //     error: function(xhr, type, errorThrown) {
        //         mui.toast("网络繁忙，请稍后重试！");
        //     }
        // });

    }
    //供外部调用的查询方法
    function query() {
        //var userId="aryan";
        var url = applib.REQUEST_DOMAIN+"insurance/applications/getlist";
        var data = {
            token:token,
            ischeck:1
        };
        mui.ajax(url, {
            data: data,
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            success: function(data) {
                //console.log(JSON.stringify(data));
                if(data.length<=0){
                    $(".indicate-tip").show();
                    applib.hideLoadingBg();
                    return;
                }
                // 绑定数据
                var html = template('insurancedata',{ list: data});
                $(".mui-content").html(html);
                applib.hideLoadingBg();
                $('.ratyli').raty({
                    path:'../../images/common',
                    score:function () {
                        return $(this).attr('data-score');
                    },
                    readOnly:true
                });

            },
            error: function(xhr, type, errorThrown) {
                mui.toast("网络繁忙，请稍后重试！");
                applib.hideLoadingBg();
            }
        });
    }
    window.addEventListener('query', function(event) {
        query();
    })
    return {
        init: init
    }

})();

mui.plusReady(function() {
    myinsurance.init();

});