var loan_subsidy_step = (function(){
    var currentWebview;

    function fetchData () {
      var folio =currentWebview.folio;
      var token = plus.storage.getItem("token");
      var url=applib.REQUEST_DOMAIN+"loanInterestSubsidy/queryStatus?token="+token+"&loanFolio="+folio;
      applib.showLoadingBg();
        applib.ajax(url,{
          dataType:'json',
          type:'get',
          timeout:10000,
          success:function(data){
              applib.hideLoadingBg();
              if(data.code!=0){
                  mui.toast(data.msg);
                  return;
              }
              //processData(data);
              // console.log(JSON.stringify(data, null, 4));
              var info = template('js-steptemp', { list: data.data.loanInterestSubsidyStatus });
              document.getElementById('js-step').innerHTML = info;
          },
          error:function(xhr,type,errorThrown){
            applib.hideLoadingBg();
              //异常处理；
            //  console.log("error:"+type+"，errorThrown"+errorThrown);
          }
      });
    }
    function init(){
      currentWebview = plus.webview.currentWebview();
      fetchData();
    }

    return {
        init: init
    };

})();

// deliveryIndex.init();

mui.plusReady(function () {
    loan_subsidy_step.init();
});
