/**
 * Created by wangzhen on 2017/8/24.
 */
var step1 = (function () {
    var relationpick;
    //省，市，区
    var sheng, shi, qu;
    //省，市，区的数据，当前级别
    var shengdata, shidata, qudata, jing = 0;
    var areacode;
    var scoreType=1;
    var phone='13222444554';

    //省、市、区、镇code值
    var shengcode,shicode,qucode;
    /**
     * 加载信息
     */
    function loaddatainfo() {
        var url = applib.REQUEST_DOMAIN+'farm/info?phone='+phone;
        mui.ajax(url, {
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            success: function(data) {
                plus.storage.setItem("business",JSON.stringify(data.business));
                plus.storage.setItem("corporation",JSON.stringify(data.corporation));
                plus.storage.setItem("relation",JSON.stringify(data.relation));
                plus.storage.setItem("license",JSON.stringify(data.license));

            },
            error: function(xhr, type, errorThrown) {
                mui.toast("网络繁忙，请稍后重试！");
                applib.hideLoadingBg();
            }
        });
    }

    /**
     *加载养殖种类
     */
    function getdatatype() {
        var url = applib.REQUEST_DOMAIN+'datatype/'+scoreType;

        mui.ajax(url, {
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            success: function(data) {
                //处理数据
                var pickdata=[];
                for (var i=0;i<data.length;i++){
                    pickdata.push({value:data[i].id,text:data[i].name})
                }
                relationpick = new mui.PopPicker();
                relationpick.setData(pickdata);

            },
            error: function(xhr, type, errorThrown) {
                mui.toast("网络繁忙，请稍后重试！");
                applib.hideLoadingBg();
            }
        });
    }

    //截取路径值
    function getUrlParam(name) {
        var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
        var r = window.location.search.substr(1).match(reg);
        if (r != null) return decodeURI(r[2]); return null;
    };

    //返回上一级
    function goback(val) {

        $(".detail-load").show();
        $("#mybody").show();
        qucode = val
        qu = getqy(qudata, val);
        $(".dqld_div ul").html("");
        $("#js-delivaddr").val(sheng+' '+shi+' '+qu);
        areacode =shengcode+'|'+shicode+'|'+qucode;
        $('#js-delivaddr').attr('data-id',areacode);
        $(".detail-load").hide();
        $(".area-list").hide();

        return;

    };
    //返回上级
    function goback2() {
        $("#mybody").show();
        $('.area-list').hide();
    };
    //得到地址
    function getqy(arr, ind) {
        console.log(JSON.stringify(arr));
        for (var i = 0; i < arr.length; i++) {
            if (arr[i].id == ind) {
                return arr[i].areaname;
            };
        };
    };
    /**
     * 获取地址列表
     */
    function getProvinceBuy(ji, val) {

        $(".dqld_div").show();
        $(".detail-load").show();
        $("#mybody").hide();
        jing = ji;
        if (ji == 1) {
            $(".gm-div").hide();
            $(".gm-fpsdz").show();
            var url=applib.REQUEST_DOMAIN+'area/'+0;

            //一级地址查询
            mui.ajax(url,{
                type: "get",
                dataType: "json",
                timeout: 10000,
                success: function (da) {
                    //console.log(JSON.stringify(da));
                    var dlength = da.length;
                    $(".detail-load").hide();
                    $(".dqld_div ul").html("");
                    shengdata = da;
                    for (var i = 0; i < dlength; i++) {
                        var option = $("<li value='" + da[i].code + "' data-id='"+da[i].id+"'>" + da[i].areaname + "</ul>");
                        $(".dqld_div ul").append(option);
                    };

                },
                error: function(xhr, type, errorThrown) {
                    $(".detail-load").hide();
                    console.log(JSON.stringify(xhr));
                    mui.toast("网络繁忙，请稍后重试！");
                }
            });
        };

        if (ji == 2) {
            shengcode = val;
            sheng = getqy(shengdata, val);
            var url=applib.REQUEST_DOMAIN+'area/'+val;
            //二级地址查询
            mui.ajax(url,{
                type: "get",
                dataType: "json",
                timeout: 10000,
                success: function (da) {
                   // console.log(JSON.stringify(da));
                    $(".detail-load").hide();
                    $(".dqld_div ul").html("");
                    shidata = da;
                    for (var i = 0; i < da.length; i++) {
                        var option = $("<li value='" + da[i].code + "' data-id='"+da[i].id+"'>" + da[i].areaname + "</ul>");
                        $(".dqld_div ul").append(option);
                    }
                },
                error: function(xhr, type, errorThrown) {
                    $(".detail-load").hide();
                    console.log(JSON.stringify(xhr));
                    mui.toast("网络繁忙，请稍后重试！");
                }
            });
        };

        if (ji == 3) {
            shicode = val
           
            shi = getqy(shidata, val);
            var url=applib.REQUEST_DOMAIN+'area/'+val;
            //三级地址查询
            mui.ajax(url,{
                type: "get",
                dataType: "json",
                timeout: 10000,
                success: function (da) {
                    $(".detail-load").hide();
                    $(".dqld_div ul").html("");
                    qudata = da;
                    for (var i = 0; i < da.length; i++) {
                        var option = $("<li value='" + da[i].code + "' data-id='"+da[i].id+"'>" + da[i].areaname + "</ul>");
                        $(".dqld_div ul").append(option);
                    }
                },
                error: function(xhr, type, errorThrown) {
                    $(".detail-load").hide();
                    console.log(JSON.stringify(xhr));
                    mui.toast("网络繁忙，请稍后重试！");
                }
            });
        };
    }
    //关闭处理
    function handleclose() {
        var current=plus.webview.currentWebview();
        current.addEventListener('close', function(e){
            //console.log('Webview closed!');
            plus.storage.removeItem("business");
            plus.storage.removeItem("corporation");
            plus.storage.removeItem("relation");
            plus.storage.removeItem("license");
        }, false );
    }

    /**
     * 加载
     */
    function init()
    {
        document.getElementById("delivaddr").addEventListener("tap",function () {
        $('.area-list').show();
        getProvinceBuy(1)
    });
        document.getElementById("gmfht").addEventListener("tap",function () {
            goback2();
        });
        document.getElementById("divfarmType").addEventListener("tap",function () {
            document.activeElement.blur();
            if(!relationpick){
                return;
            }
            relationpick.show(function (selectItems) {
                console.log(selectItems[0].text);
                console.log(selectItems[0].value);
                $("#farmType").val(selectItems[0].text);
                $("#farmType").data("code",selectItems[0].value)
            })
        });
        mui(".dqld_div").on('tap','li',function(){
            var id=this.dataset.id;
            if(jing==3)
            {
                goback(id);
            }else{
                var ji=jing+1;
                getProvinceBuy(ji,id);
            }

        })
        /**
         * 下一步
         */
        document.getElementById("btnNextStep").addEventListener("tap",function () {
            document.activeElement.blur();
            var name=$("#name").val();
            if(name == null || name == undefined || name == '')
            {
                mui.toast("请输入养殖场名称！");
                return;
            }
            var province=shengcode;//省
            var city=shicode;//市
            var country=qucode;//区县
            if(province<=0||city<=0||country<=0)
            {
                mui.toast("请选择农场地址！");
                return;
            }
            var address=$("#address").val();
            if(address == null || address == undefined || address == '')
            {
                mui.toast("请输入农场详细地址！");
                return;
            }
            var farmLivestockBreeding=$("#farmLivestockBreeding").val();
            if(farmLivestockBreeding == null || farmLivestockBreeding == undefined || farmLivestockBreeding == '')
            {
                mui.toast("请输入养殖畜种！");
                return;
            }
            var farmType=$("#farmType").data('code');
             
            if(farmType == null || farmType == undefined || farmType == '')
            {
                mui.toast("请选择养殖种类！");
                return;
            }
            var farmPrimaryType=$("#farmPrimaryType").val();
            if(farmPrimaryType == null || farmPrimaryType == undefined || farmPrimaryType == '')
            {
                mui.toast("请输入主要品种！");
                return;
            }
            var farmStockScale=$("#farmStockScale").val();
            if(name == null || name == undefined || name == '')
            {
                mui.toast("请输入存栏规模！");
                return;
            }
            console.log("存栏规模"+farmStockScale);
            var data={name:name,province:province,city:city,country:country,address:address,farmLivestockBreeding:farmLivestockBreeding,farmType:farmType,farmPrimaryType:farmPrimaryType,farmStockScale:farmStockScale};
            plus.storage.setItem("business",JSON.stringify(data));
            console.log(JSON.stringify(data));
            applib.openWindow("step2.html","step2");
        });
        getdatatype();
       // loaddatainfo();
        handleclose();
    }

    window.addEventListener('fclose',function(event){
        shoudsavedata=0;
        plus.storage.removeItem("business");
        plus.webview.currentWebview().close();
    });

    return {
        init: init
    }
})();

mui.plusReady(function() {
    mui.init();
    step1.init();
});