/**
 * Created by tian on 2017/8/9.
 */

var serviceindex = (function () {

	var isok=false;//标志是否需要隐藏加载状态


	var province='';//用户省
	var city='';//用户市
	var district='';//用户区
    function bindEvent() {
    	//banner点击
		mui(".slider-wrapper").on('tap','.mui-slider-item',function(){
			//获取是否是产品标识
			var isp = this.getAttribute("isp");
			var link = this.getAttribute("link");
			if(isp==1){
				//传值给详情页面，
				//打开服务详情
				applib.openWindow("detail.html","servicedetail",{code:link});
			}
			else {
				if(link) {
					//跳转到浏览界面
					applib.openWindow("../common/webbrowse.html", "webbrowse", {url: link});
				}
			}

		});
		//列表项点击
        mui(".itemcontain").on('tap','.in_item',function(){
		  //获取id
		  var code = this.getAttribute("code");
		  //传值给详情页面，
		  //打开保险详情
			applib.openWindow("detail.html","servicedetail",{code:code});
		});

    }

	/**
	 * 加载banner图片
	 */
	function loadbanner() {
		var url = applib.REQUEST_DOMAIN+"service/ad";
		var data = {
		};
		applib.ajax(url, {
			data: data,
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			//headers: {"Authorization": "Bearer " + token},
			success: function(data) {
				//[{"id":1,"img":"http://pic23.nipic.com/20120808/4801598_171151221374_2.jpg","link":"http://www.baidu.com","isProduct":true,"recordStatus":true,"product":true},
				// {"id":2,"img":"http://pic.qiantucdn.com/58pic/18/23/47/55f146574eae9_1024.jpg","link":"http://www.baidu.com","isProduct":true,"recordStatus":true,"product":true}]

				//绑定数据
				var html = template('js-slidertemp',{ slider: data});
				document.getElementById('js-slider-wrapper').innerHTML = html;
				mui('.mui-slider').slider();

				if(isok){
					applib.hideLoadingBg();
				}
				else {
					isok=true;
				}
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("网络繁忙，请稍后重试！");
			}
		});
	}

	function loaddata() {
		province = nulltoempty(plus.storage.getItem("geo_province"));
		city = nulltoempty(plus.storage.getItem("geo_city"));
		district = nulltoempty(plus.storage.getItem("geo_district"));
		var url = applib.REQUEST_DOMAIN+"service/products?province="+province+"&city="+city+"&district="+district;
		//console.log(url);
		var data = {
			//userid:'0'
		};
		applib.ajax(url, {
			data: data,
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			//headers: {"Authorization": "Bearer " + token},
			success: function(data) {
				//[{"id":1,"name":"生猪大灾保险","code":"inp0001","detailCode":"17168088-737a-11e7-9ee7-00163e043fcb","orgCode":"aaic","orgName":"安信农业保险股份有限公司",
				// "orgLogo":"http://pic.xnzb.org.cn/2017/07/29/1549953005286421.png","des":"<p>生猪大灾保险</p>","thumb":"http://yanshi.bedrock.com.cn/images/smallpig.png",
				// "img":"http://pic-dev.xnzb.org.cn/2017/07/28/1453112506438023.png","amount":2.0,"unit":"亩","servicePhone":"4008085078","contact":"李四","contactPhone":"18767546574",
				// "contactEmail":"lemon.deng@bedrock.com.cn","scope":"死亡率超过50%进行赔付","serviceObject":null,"fareStandard":null,"other":"<p>暂无</p>","saledCount":1750,"isHot":false,
				// "listingDate":"2017-07-24 00:00:00.0","recordDate":"2017-07-04 15:45:03.0","serviceTypeName":"农机植保","serviceTypeCode":"0","recordStatus":true,"hot":false}]

				var pdata=[];

				//处理数据，处理成按照公司进行分组
				 for (var i=0;i<data.length;i++){

				 	//data[i].amount=formatamount(data[i].amount);
					 //data[i].allowance=accMul(data[i].allowance,100);//data[i].allowance*100;

                     //add by tianchao 2017-7-29 按照服务类型进行分组
                     var serviceTypeCode=data[i].serviceTypeCode;//服务代码
                     var serviceTypeName=data[i].serviceTypeName;//服务名称

                     var ispush=false;//表示是否在服务类型分组数据中找到对应分组并添加了数据
                     for(var j=0;j<pdata.length;j++){
                         if(serviceTypeCode==pdata[j].serviceTypeCode){
                             //根据公司代码查找匹配项
                             pdata[j].list.push(data[i]);
                             ispush=true;
                             break;
                         }
                     }
                     if(!ispush){
                         //没有找到匹配项，则新增加一个新公司数据
                         pdata.push({
                             'serviceTypeCode':serviceTypeCode,
                             'serviceTypeName':serviceTypeName,
                             'list':[data[i]]
                         });
                     }
                     //end add
				 }
				 console.log(JSON.stringify(pdata));
				//绑定数据
				var html = template('zcdatatemp',{ list: pdata});
				document.getElementById('zcdata').innerHTML = html;

				// var html1 = template('sydatatemp',{ list: data});
				// document.getElementById('sydata').innerHTML = html1;

				$('.ratyli').raty({
					path:'../../images/common',
					score:function () {
						return $(this).attr('data-score');
					},
					readOnly:true
				});
				//展开和收缩
				$(".itemtitle").click(function () {
					//$(this).next().animate({height: 'toggle', opacity: 'toggle'}, 200);
					$(this).next().slideToggle(200);
					$(this).toggleClass("itemtitle_down");
				});
				if(isok){
					applib.hideLoadingBg();
				}
				else {
					isok=true;
				}
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("网络繁忙，请稍后重试！");
			}
		});
	}

    function accMul(arg1,arg2){
        var m=0,s1=arg1.toString(),s2=arg2.toString();
        try{m+=s1.split(".")[1].length}catch(e){}
        try{m+=s2.split(".")[1].length}catch(e){}
        return Number(s1.replace(".",""))*Number(s2.replace(".",""))/Math.pow(10,m)
    }

	function formatamount(amount) {
		if (amount>10000){
			if(amount%10000==0){
				return amount/10000+"万元";
			}
			// if(amount%1000==0){
			// 	return amount/10000+"万元";
			// }
		}
		return amount+"元";
	}

	function loaduser() {
		var token = plus.storage.getItem("token");
		//token='eyJhbGciOiJIUzI1NiJ9.eyJqdGkiOiIxMjM0ZDI2MjZhMmQ0NGMwODY3ZThiYWI5ZjI0MGZhYSIsImlhdCI6MTUwMDI2ODMzNywic3ViIjoidG9rZW5JbmZvIiwiaXNzIjoiYXV0aENlbnRlciIsInVzZXJJZCI6IjI1NjU1MiIsImV4cCI6MTUwMTE2OTUxNH0.KDc4wVHNfO65e-axOyX97P9Xmaq1IRw0t60R1fw92II';
		if (!!!token) {
			loaddata();
			return;
		}
		//根据token获取用户
		var url = applib.REQUEST_DOMAIN_SY+"api-account/getUserByToken?token="+token;
		mui.ajax(url, {
			data: {},
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			//headers: {"Authorization": "Bearer " + token},
			success: function(d) {

				//最新返回值：{"code":0,"msg":"","data":{"farmName":null,"city":null,"photo":null,"isHzs":null,"isAuthed":"0","userId":256552,"score":0,"province":"其它",
				// "contact":"15051581257","district":null,"farmer":null,"addr":null,"idNum":null,"uniqueId":null},"timestamp":1500441862286}
				if(d.code!=0){
					//获取失败
					//mui.toast("获取用户信息失败，请稍后重试");
					loaddata();
					return;
				}
				var user=d.data;//用户对象

				province=nulltoempty(user.province);
				city=nulltoempty(user.city);
				district=nulltoempty(user.district);
				plus.storage.setItem('province',province);
				plus.storage.setItem('city',city);
				plus.storage.setItem('district',district);
				loaddata();
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("网络繁忙，请稍后重试！");
				loaddata();
			}
		});
	}

	function nulltoempty(val) {
		if(val==undefined||val==null||val=='null'||val=="Null"){
			return "";
		}
		return val;
	}

    function init() {
    	applib.showLoadingBg();
    	loadbanner();
		loaddata();
		//loaduser();
        bindEvent();
    }

    return {
        init: init
    }
})();

mui.plusReady(function() {
    mui.init();
	if(plus.os.name == "iOS"){
		$(".fixtopheader").addClass("fixtopheader-bouncebox");
	}
	serviceindex.init();
});
