mui.init();
var beforeIsAuth, a, realNameval, idNumberval;
var aniShow = "pop-in";
var businessType, city, district, farmName, idNumber, industryType, licenseNo, licensePic, province, realNames, registeredAddress, registerCapital, registerTime;
var realName = document.getElementById("realName");
var idNumber = document.getElementById("idNumber");
var mark = document.getElementById("mark");
var btn = document.getElementById("btn");
//验证身份证号
idNumber.onblur = function() {
	authentication();
}
realName.onblur = function() {
	nameVerification();
}

function nameVerification() {
	var relVal = realName.value;
	if(relVal == "") {
		mui.toast('请输入姓名');
	} else {
		//var reg = /[^\u0000-\u00FF]/; //中文汉字正则表达式
		var reg = /^[\u4e00-\u9fa5]+[·•]?[\u4e00-\u9fa5]+$/; //中文汉字正则表达式(包含少数民族的姓名)
		if(reg.test(relVal)) {
			return true;
		} else {
			mui.toast('请输入正确的姓名');
			return false;
		}
	}
	return;
}

function authentication() {
	var idNval = idNumber.value;
	if(idNval == "") {
		mui.toast('请输入身份证号');
	} else {
		var reg = /^(\d{15}$|^\d{18}$|^\d{17}(\d|X|x))$/; //身份证号正则表达式（大陆）
		var reg_hongkong = /^[A-Z][0-9]{6}\([0-9A]\)$/; //身份证号正则表达式（香港）
		var reg_taiwan = /^[A-Z][0-9]{9}$/; //身份证号正则表达式（台湾）
		var reg_macao = /^[157][0-9]{6}\([0-9]\)$/; //身份证号正则表达式（澳门）
		if(reg.test(idNval)||reg_hongkong.test(idNval)||reg_taiwan.test(idNval)||reg_macao.test(idNval)) {
			return true;
		} else {
			mui.toast('请输入正确的身份证号');
			return false;
		}
		return;
	}

}
var sf;
mui.plusReady(function() {
	window.refillCashInput('.js-refill');
	sf = function() {
		window.setCachInput('.js-refill')
		var obj = new Object();
		var href = 'createsubjectThree.html';
		var id = 'createsubjectThree';
		realNameval = realName.value;
		idNumberval = idNumber.value;
		realName.value = realName.value;
		idNumber.value = idNumber.value;
		if(realNameval == "") {
			mui.toast('请输入姓名');
			return false;
		} else {
			//var reg = /[^\u0000-\u00FF]/; //中文汉字正则表达式
			var reg = /^[\u4e00-\u9fa5]+[·•]?[\u4e00-\u9fa5]+$/; //中文汉字正则表达式(包含少数民族的姓名)
			if(reg.test(realNameval)) {
				obj.realName = realNameval;
			} else {
				mui.toast('请输入正确的姓名');
				return false;
			}
		}
		if(idNumberval == "") {
			mui.toast('请输入身份证号');
			return false;
		} else {

			var reg = /^(^[1-9]\d{7}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}$)|(^[1-9]\d{5}[1-9]\d{3}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])((\d{4})|\d{3}[Xx])$)$/;
			var reg_hongkong = /^[A-Z][0-9]{6}\([0-9A]\)$/; //身份证号正则表达式（香港）
			var reg_taiwan = /^[A-Z][0-9]{9}$/; //身份证号正则表达式（台湾）
			var reg_macao = /^[157][0-9]{6}\([0-9]\)$/; //身份证号正则表达式（澳门）

			if(reg.test(idNumberval)||reg_hongkong.test(idNumberval)||reg_taiwan.test(idNumberval)||reg_macao.test(idNumberval)) {
				obj.idNumber = idNumberval;
			} else {
				mui.toast('请输入正确的身份证号');
				return false;
			}
		}
		//调用接口判断身份证格式
		mui.ajax(xnzbUrl + "/api-report/report/checkIdNum", {
			data: {
				token: token,
				idnum:idNumberval
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'GET', //HTTP请求类型
			success: function(data) {
				//console.log(JSON.stringify(data));
				//{"code":0,"msg":"","data":{"checkresult":false},"timestamp":1524827234913}
				if(data.code!=0){
					mui.toast(data.msg);
					return;
				}
				var checkresult=data.data.checkresult;
				if(!checkresult){
					mui.toast('请输入正确的身份证号');
					return;
				}
				var href = 'createsubjectChooseType.html';
				var id = 'createsubjectThree';
				mui.openWindow({
					url: href,
					id: id,
					styles: {
						top: 0, //新页面顶部位置
						bottom: 0 //新页面底部位置
					},
					extras: { //自定义扩展参数，可以用来处理页面间传值
						name: obj //扩展参数
					}
				});
			},
			error: function(xhr, type, errorThrown) {
				console.log(JSON.stringify(xhr))
				mui.toast("网络繁忙，请稍后重试！");
			}
		})

		return;
		/*$("input").blur();*/
		ajax(xnzbUrl + '/api-report/report/verifyAndBindFarm.json', {
			data: {
				token: token,
				realName: realNameval,
				idNumber: idNumberval
			},
			dataType: 'json',
			type: 'GET',
			timeout: 10000,
			success: function(data) {
				/*if(data.code === 10125) {
					
				}*/
				if(data.code === 0) {
					var haveFarm = data.data.haveFarm;
					var isAuth = data.data.isAuth;
					var isExist = data.data.isExist;
					var beforeIsAuth = data.data.beforeIsAuth;
					tokens = data.data.token;
					plus.storage.setItem('token', data.data.token);
					if(haveFarm) {
						if(beforeIsAuth) {
							var href = 'mySubject.html';
							var id = 'mySubject.html';
							var webview = mui.openWindow({
								url: href,
								id: id,
								styles: {
									top: 0, //新页面顶部位置
									bottom: 0 //新页面底部位置
								},
								extras: { //自定义扩展参数，可以用来处理页面间传值
									name: obj //扩展参数
								}
							});

						} else {
							qurery();
							mark.style.display = "block";
							$(".text").text(data.data.remark)
							if(isExist) {
								$("#qx").show();
							} else {
								$("#btn").show();
							}
						}
					} else {
						var href = 'createsubjectThree.html';
						var id = 'createsubjectThree';
						mui.openWindow({
							url: href,
							id: id,
							styles: {
								top: 0, //新页面顶部位置
								bottom: 0 //新页面底部位置
							},
							extras: { //自定义扩展参数，可以用来处理页面间传值
								name: obj //扩展参数
							}
						});

					}

				}
				
				
				else{
					mui.toast(data.msg);
					
				}

			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				mui.toast("网络繁忙，请稍后重试！");
			}
		});

	}

	function qurery() {
		ajax(xnzbUrl + '/api-report/report/queryFarm.json', {
			data: {
				token: token,
				realName: realNameval,
				idNumber: idNumberval
			},
			dataType: 'json',
			type: 'GET',
			timeout: 10000,
			success: function(data) {
				businessType = data.data.businessType;
				city = data.data.city;
				district = data.data.district;
				farmName = data.data.farmName;
				idNumber = data.data.idNumber;
				industryType = data.data.industryType;
				licenseNo = data.data.licenseNo;
				licensePic = data.data.licensePic;
				province = data.data.province;
				realName = data.data.realName;
				registeredAddress = data.data.registerAddress;
				registerCapital = data.data.registerCapital;
				registerTime = data.data.registerTime;

			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				mui.toast("网络繁忙，请稍后重试！");
			}
		});

	}

	function sub() {
		if(businessType === null || businessType === undefined) {
			businessType = "";
		} else {
			businessType = businessType;
		}
		if(city === null || city === undefined) {
			city = "";
		} else {
			city = city;
		}
		if(district === null || district === undefined) {
			district = "";
		} else {
			district = district;
		}
		if(farmName === null || farmName === undefined) {
			farmName = "";
		} else {
			farmName = farmName;
		}
		if(idNumber === null || idNumber === undefined) {
			idNumber = "";
		} else {
			idNumber = idNumber;
		}
		if(industryType === null || industryType === undefined) {
			industryType = "";
		} else {
			industryType = industryType;
		}
		if(licenseNo === null || licenseNo === undefined) {
			licenseNo = "";
		} else {
			licenseNo = licenseNo;
		}
		if(licensePic === null || licensePic === undefined) {
			licensePic = "";
		} else {
			licensePic = licensePic;
		}
		if(province === null || province === undefined) {
			province = "";
		} else {
			province = province;
		}
		if(realName === null || realName === undefined) {
			realName = "";
		} else {
			realName = realName;
		}
		if(registeredAddress === null || registeredAddress === undefined) {
			registeredAddress = "";
		} else {
			registeredAddress = registeredAddress;
		}
		if(registerCapital === null || registerCapital === undefined) {
			registerCapital = "";
			console.log(9)
		} else {
			registerCapital = registerCapital;
			console.log(10)
		}
		console.log(registerTime)
		if(registerTime === null || registerTime === undefined) {
			registerTime = "";
		} else {
			registerTime = registerTime;
		}
		chuancan(businessType, city, district, farmName, idNumber, industryType, licenseNo, licensePic, province, realNames, registeredAddress, registerCapital, registerTime)
	}

	function chuancan(businessType, city, district, farmName, idNumber, industryType, licenseNo, licensePic, province, realNames, registeredAddress, registerCapital, registerTime) {
		ajax(xnzbUrl + '/api-report/report/createFarm.json', {
			data: {
				token: tokens,
				businessType: businessType,
				realName: realName,
				idNumber: idNumber,
				farmName: farmName,
				registerCapital: registerCapital,
				licenseNo: licenseNo,
				registerTime: registerTime,
				industryType: industryType,
				province: province,
				city: city,
				isHzsExpand: '',
				isApply: true,
				district: district,
				licensePic: licensePic,
				registerAddress: registeredAddress,
				education: ''

			},
			dataType: 'json',
			type: 'POST',
			timeout: 10000,
			success: function(data) {
				plus.storage.setItem('token', data.data.token);
				if(data.code == 10100) {
					mui.toast(data.msg);
				}
				if(!data.code) {
					if(data.data.result == true) {
						var href = 'mySubject.html';
						var id = "mySubject";
						var webview = mui.openWindow({
							url: href,
							id: id,
							styles: {
								top: 0, //新页面顶部位置
								bottom: 0 //新页面底部位置
							},
							extras: {
								tag: 1
							}
						});
					}
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				mui.toast("网络繁忙，请稍后重试！");
			}
		})
	}
	muiid("btn").addEventListener("tap", function() {
		sub();
		/*dataInquiry();*/
	})

	function dataInquiry() {
		var myDate = new Date(); //获取系统当前时间
		var currentYear = myDate.getFullYear(); //获取完整的年份
		var lastYear = myDate.getFullYear() - 1; //获取去年的年份
		var currentMonth = myDate.getMonth() + 1; //获取当前月份
		var currentDay = myDate.getDate(); //获取当前日(1-31)
		ajax(xnzbUrl + '/api-report/form/queryByCategory.json', {
			data: {
				token: token,
				year: lastYear,
				category: 2
			},
			dataType: 'json',
			type: 'GET',
			timeout: 10000,
			success: function(data) {
				if(data.data.isFormData == 0) {
					obj.particularYear = lastYear;
					obj.currentMonth = currentMonth;
					obj.currentDay = currentDay;
					obj.num = 1;
					mui.openWindow({
						url: '../directReport/directReportLook.html',
						id: 'directReportLook',
						styles: {
							top: 0,
							bottom: 0
						},
						extras: {
							time: obj
						}
					});
				} else {
					obj.particularYear = currentYear;
					obj.currentMonth = currentMonth;
					obj.currentDay = currentDay;
					obj.num = 2;
				}
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("网络繁忙，请稍后重试！");
			}
		});
	}
	muiid("qx").addEventListener("tap", function() {
		var uc = plus.webview.getWebviewById('mySubject');
		mui.fire(uc, 'sfz', {
			sfz: 5
		});
		var href = 'mySubject.html';
		var id = 'mySubject.html';
		var webview = mui.openWindow({
			url: href,
			id: id,
			styles: {
				top: 0, //新页面顶部位置
				bottom: 0 //新页面底部位置
			}
			/*,
						extras: {
							name: obj
						}*/
		});
	})
	btn.onclick = function() {
		mark.style.display = "none";
	};
});