mui.init();
var type = 1;
// 初始化vue实例
var collection = new Vue({
	el: '#collection',
	data: {
		collectionData: [],
		noCollection: false
	}
});
var uls=document.getElementById("uls");
var lis=uls.getElementsByTagName("li");
for(var i=0;i<lis.length;i++){
	lis[i].index=i;
	lis[i].onclick=function(){
		for(var j=0;j<lis.length;j++){
			lis[j].className="";
		}
		lis[this.index].className="myCollection_nav_bg";
		if(this.index==0){
			getCollection(1);
			type = 1;
		}else if(this.index==1){
			getCollection(4);
			type = 4;
		}else{
			collection.collectionData = [];
			collection.noCollection = true;
		}
	}
}

function getCollection(type){
	ajax(xnzbUrl + '/api-content/newsFavorite/page', {
		data:{
			token: token,
			type: type
		},
		dataType:'json',
		type:'get',
		timeout:10000,
		success:function(data){
			if(!data.code){
				var list =  data.data.newsList;
				if(list.length > 0){
					for(var i=0;i<list.length;i++){
						list[i].createTime = list[i].createTime.substring(5); 
					}
//					setTimeout(function(){
						collection.collectionData = list;
//					},100);
					collection.noCollection = false;
				}else{
					for(var i=0;i<list.length;i++){
						list[i].createTime = list[i].createTime.substring(5); 
					}
					setTimeout(function(){
						collection.collectionData = list;
					},100);
					collection.noCollection = true;
				}
			}
		},
		error:function(xhr,type,errorThrown){
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
}
//plusReady事件
mui.plusReady(function() {
/*	token = plus.storage.getItem('token');*/
	getCollection(1);
	//预加载详情页
	webview_detail = mui.preload({
		url: 'policyDetail.html',
		id: 'policyDetail',
		styles: {
			"render": "always",   //窗口渲染模式
			"popGesture": "hide",
			"bounce": "vertical" //窗口遇到边框是否有反弹效果 vertical表示垂直方向反弹
		}
	});
	
});

//滑动删除收藏
var btnArray = [ '取消','确认'];
mui('#OA_task_1').on('tap', '.mui-btn', function(event) {
	var elem = this;
	var li = elem.parentNode.parentNode;
	var id = li.getAttribute('title');
	mui.confirm('确认删除该条记录？','', btnArray, function(e) {
		if (e.index == 1) {
			li.parentNode.removeChild(li);
			ajax(xnzbUrl + '/api-content/newsFavorite/delete', {
				data:{
					token: token,
					id: id
				},
				type:'GET',
				dataType: 'json',
				timeout: 10000,
				success: function(data) {
					if(!data.code){
						mui.toast('已取消收藏！');
					}
					var liLength = document.querySelectorAll('.mui-table-view-cell').length;
					if(liLength == 0){
						collection.noCollection = true;
					}
				},
				error: function(xhr, type, errorThrown) {
					mui.toast('网络繁忙，请稍后重试！');
				}
			});
		} else {
			setTimeout(function() {
				mui.swipeoutClose(li);
			}, 0);
		}
	});
});
//点击列表，打开详情
mui('.myCollection_list').on('tap', 'li', function(){
	this.querySelector("#read").innerHTML ++;
	var detailId = this.getAttribute('id');
	var title = this.querySelector(".zczx-title").innerHTML;
	var author = this.querySelector("#author").innerHTML;
	var time = this.querySelector("#time").innerHTML;
	var read = this.querySelector("#read").innerHTML;
	var cover = this.querySelector(".zczx-num-img")?this.querySelector(".zczx-num-img").getAttribute("src"):'';
	var type = type;
	open_detail(detailId, title, author, time, read, cover, type);
});
//打开资讯详情
function open_detail(detailId, title, author, time, read, cover, type) {
	//若详情页尚未预加载完成，则延时等待再执行
	if(!webview_detail) {
		setTimeout(function() {
			open_detail(detailId);
		}, 100);
	}
	//触发子窗口变更新闻详情  触发自定义事件
	mui.fire(webview_detail, 'get_detail', {
		detailId: detailId,
		title:title,
		author:author,
		time:time,
		read:read,
		cover:cover,
		type:type
	});
	setTimeout(function () {
		webview_detail.show("slide-in-right", 300);
	},150);
}