mui.init({
  beforeback: function() {　　　　
    var list = plus.webview.currentWebview().opener();　　　　
    //refresh是A页面自定义事件
    mui.fire(list, 'refresh');
    //返回true,继续页面关闭逻辑
    return true;
  }
})
mui.plusReady(function() {

  var overflowStatus = ''
  var token = plus.storage.getItem('token')
  // var xnzbUrl = 'http://192.168.199.237:8980'

  var app = new Vue({
    el: '#app',
    data: function() {
      return {
        xnzbImg: xnzbImg,
        ruleDialog: false,
        ads: [],  // 广告
        ads2: [],
        integral: 0,
        productList: [],
        rule: ''  // 积分规则
      }
    },
    created: function() {
      this.getAds()
      this.getAds2()
      this.getIntegral()
      this.getProduct()
      this.getRules()
    },
    methods: {
      getRules: function() {
        var self = this
        var url = xnzbUrl + '/api-admin/commonRules/queryByKeycode?keycode=share_integral_rule'
        mui.ajax(url, {
          data: {},
          type: 'get',
          timeout: 20000,
          success: function(data) {
            var res = JSON.parse(data)
            self.rule = res.valuetext
          },
          error: function(xhr, type, errorThrown) {
          }
        })
      },
      getAds: function() {  // 广告位
        var self = this
        mui.ajax(xnzbUrl + '/account-service/pageAds/queryAds?pageCode=wodejifenye&position=a001&token=' + token, {
          dataType: 'json',
          type: 'get',
          success: function(res) {
            if (res.code === 0) {
              var temp = res.data
              var ads = []
              temp.forEach(function(item) {
                if (item.imgUrl.indexOf('http') > -1) {
                  ads.push(item)
                } else {
                  item.imgUrl = self.xnzbImg + item.imgUrl
                  ads.push(item)
                }
              })
              // if (ads.length > 2) {
              //   ads.length = 2
              // }
              self.ads = ads
              console.log(JSON.stringify(ads))
            }
          },
          error: function(xhr, type, errorThrown) {}
        })
      },
      getAds2: function() {  // 广告位
        var self = this
        mui.ajax(xnzbUrl + '/account-service/pageAds/queryAds?pageCode=wodejifenye&position=a002&token=' + token, {
          dataType: 'json',
          type: 'get',
          success: function(res) {
            if (res.code === 0) {
              var temp = res.data
              var ads = []
              temp.forEach(function(item) {
                if (item.imgUrl.indexOf('http') > -1) {
                  ads.push(item)
                } else {
                  item.imgUrl = self.xnzbImg + item.imgUrl
                  ads.push(item)
                }
              })
              self.ads2 = ads
            }
          },
          error: function(xhr, type, errorThrown) {}
        })
      },
      getIntegral: function() {  // 我的积分
        var self = this
        mui.ajax(xnzbUrl + '/account-service/pageAds/getIntegral?token=' + token, {
          dataType: 'json',
          type: 'get',
          success: function(res) {
            if (res.code === 0) {
              if (res.data.integral !== undefined && res.data.integral !== null) {
								self.integral = res.data.integral
							}
            }
          },
          error: function(xhr, type, errorThrown) {}
        })
      },
      getProduct: function() {  // 积分产品
        var self = this
        mui.ajax(xnzbUrl + '/account-service/pageAds/queryProduct?pageCode=wodejifenye&position=a002', {
          dataType: 'json',
          type: 'get',
          success: function(res) {
            if (res.code === 0) {
              var temp = res.data
              var productList = []
              temp.forEach(function(item) {
                if (item.imgUrl.indexOf('http') > -1) {
                  productList.push(item)
                } else {
                  item.imgUrl = self.xnzbImg + item.imgUrl
                  productList.push(item)
                }
              })
              self.productList = productList
            }
          },
          error: function(xhr, type, errorThrown) {}
        })
      },
      actionCreator: function(item, actionName) {
        var params = {
          title: '我的积分',
          token: token,
          actionName: actionName,
          data: item.id
        }
        buryPoint(params, function() {
          console.log(JSON.stringify(item))
          var action = {
            type: item.actionCode,
            value: item.actionValue
          }
          store.dispatch(action)
        })
      },
      showRuleModal: function() {
        overflowStatus = document.body.style.overflow

        document.body.style.overflow = 'hidden'
        this.ruleDialog = true
      },
      closeRuleModal: function() {
        this.ruleDialog = false
        document.body.style.overflow = overflowStatus
      },
      linkTo: function() {
        window.showLoadedPage({
					url: 'integraldetail.html',
					id: 'integraldetail',
					styles: {
						top: 0,
						bottom: 0
					},
					delay:500
				})
      }
    }
  })

  var currentWebview = plus.webview.currentWebview();
	currentWebview.addEventListener('show', function() {  
		app.getIntegral()
	})

	window.addEventListener('refresh', function(e){//执行刷新
		app.getIntegral()
	})
})