mui.init();
mui.plusReady(function() {
	var nums;
	function words_deal(obj, nums) {
		var curLength = obj.value.length;
		if(curLength > nums) {
			var num = obj.value.substr(0, nums);
			muiid("num").innerHTML = curLength + "/" + nums;
			muiid("courseTitle").value = num;
			mui.toast("最多只能输入100字！");
		} else {
			muiid("num").innerHTML = curLength + "/" + nums;
			muiid("courseTitle").value = obj.value;
		}
	}
	//监听文本域的字数变化
	muiid("courseTitle").addEventListener("input", function() {
		nums = 100;
		words_deal(this, nums);
	});
	//提交
	muiid('getSub').addEventListener('tap', function() {
		var title = muiid('courseTitle').value;
		var tel = muiid('ipone').value;
		var ipone = /^1[3-9]\d{9}$/;
		if(title.length == 0) {
			mui.toast('请输入您对我们意见');
		} else if(tel.length == 0) {
			mui.toast('请输入您手机号');
		} else if(!ipone.test(tel)) {
			mui.toast('请您输入正确的手机号');
		} else {
			ajax(xnzbUrl + '/api-account/suggestion/add', {
				data: {
					mobile: tel,
					suggestion: title
				},
				dataType: 'json',
				type: 'get',
				timeout: 10000,
				success: function(data) {
					if(data.code == 0) {
						mui.toast('您已提交成功');
					} else {
						mui.toast(data.msg);
					}
				},
				error: function(xhr, type, errorThrown) {
					mui.toast('网络繁忙，请稍后重试！');
				}
			});
		}
	})
})
