mui.init();
//var token = '';
var verifyCode, oldmobile;
mui.plusReady(function() {
/*	token = plus.storage.getItem('token');*/
	var webview = plus.webview.currentWebview();
	verifyCode = webview.verifyCode;
	oldmobile = plus.storage.getItem('mobile');
	//自动弹出软键盘 input自动获取焦点
	var nativeWebview, imm, InputMethodManager;
	if(mui.os.android) {
		var main = plus.android.runtimeMainActivity();
		var Context = plus.android.importClass("android.content.Context");
		InputMethodManager = plus.android.importClass("android.view.inputmethod.InputMethodManager");
		imm = main.getSystemService(Context.INPUT_METHOD_SERVICE);
	} else {
		nativeWebview = plus.webview.currentWebview().nativeInstanceObject();
	}
	if(mui.os.android) {
		imm.toggleSoftInput(0, InputMethodManager.SHOW_FORCED);
	} else {
		nativeWebview.plusCallMethod({
			"setKeyboardDisplayRequiresUserAction": false
		});
	}
	setTimeout(function() {
		muiid('newMobile').focus();
	}, 800);
});

//监听手机号输入
muiid('newMobile').addEventListener('input', function() {
	if(this.value.length == 11) {
		document.querySelector('.main_four').classList.add('green-bg');
	} else {
		document.querySelector('.main_four').classList.remove('green-bg');
	}
});
//监听提交按钮
muiid('submitMod').addEventListener('tap', function() {
	var telphone = muiid('newMobile').value;
	var re = /^1[3-9]\d{9}$/; //手机号码验证正则表达式
	if(re.test(telphone)) {
		ajax(xnzbUrl + '/api-account/modifyMobile', {
			data: {
				mobile: oldmobile,
				newMobile: telphone,
				token: token
			},
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			success: function(data) {
				if(data.code == 0) {
					plus.storage.setItem('mobile', telphone);
					var changeIphoneWVObj = plus.webview.getWebviewById("setUp_changeIphone");
					var setupWVObj = plus.webview.getWebviewById("setUp");
					if(changeIphoneWVObj) {
						changeIphoneWVObj.close();
					}
					if(setupWVObj) {
					    setupWVObj.evalJS('reload()');
					}
					setTimeout(function() {
						mui.back();
					}, 400);
				} else {
					mui.toast(data.msg);
				}

			},
			error: function(xhr, type, errorThrown) {
				mui.toast('网络繁忙，请稍后重试！');
			}
		});
	} else {
		document.querySelector('.main_three').innerText = '请输入正确的手机号';
	}
});
