mui.init();
var aniShow = "pop-in";
var nowVersion = '';
var ws=null,wc=null;
mui.plusReady(function() {
	//	var version = plus.os.name == "Android" ? androidVersion : iosVersion;
	//	muiid('version').innerText = version;
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		nowVersion=inf.version;
		ws=plus.webview.currentWebview();
		//muiid('version').innerText = nowVersion;
	});
	muiid('version').innerText = ResourceVersion;
	//点击最新版本
	muiid('downloadNew').onclick = function() {
		//checkAppVersion();
		//		var newVersion = '2.0.0';
		//		var url = 'itms-apps://itunes.apple.com/cn/app/hello-h5+/id682211190?l=zh&mt=8'; // HelloH5应用在appstore的地址
		//		if(version != newVersion) {
		//			confirmAction('有新的版本', '最新的版本2.1.0有很多更新！', url, 0);
		//		} else {
		//			muiid('newVersionText').style.display = 'block';
		//		}
		// checkAppVersion();
		update(nowVersion);
	}

	function update(version) {
    		var deviceType = plus.os.name == "Android" ? 0 : 1; //0 安卓，1 ios
    		ajax(xnzbUrl + '/api-report/version/queryVersionInfo', {
    			data: {
    				deviceType: deviceType,
    				version: version
    			},
    			dataType: 'json',
    			type: 'get',
    			timeout: 10000,
    			success: function(data) {
    				console.log('版本信息' + JSON.stringify(data));
    				if(!data.code) {
    					   appVersionInfo = data.data.appVersionInfo;
    					if(appVersionInfo != null) {
    						//如果服务器返回的版本号大于现有的则更新
    						if(compareVersion(version,appVersionInfo.version)) {
    							confirmAction('更新', appVersionInfo.changeLog, appVersionInfo.downUrl, appVersionInfo.forceUpdate,false);
    						}else{
    					        muiid('newVersionText').style.display = 'block';
    						}
    					}
    				} else {
    					mui.toast(data.msg);
    				}
    			},
    			error: function(xhr, type, errorThrown) {
    				mui.toast('网络繁忙，请稍后重试！');
    			}
    		});
    	}

    		function confirmAction(title, description, url, mustUpdate,isResource) {
        		var buttons;
        		if(mustUpdate == 1) {
        			buttons = ['立即更新'];
        		} else {
        			buttons = ['立即更新', '取消'];
        		}
        		plus.nativeUI.confirm(description, function(event) {
        			// var url='itms-apps://itunes.apple.com/cn/app/hello-h5+/id682211190?l=zh&mt=8';// HelloH5应用在appstore的地址
        			if(event.index == 0) {
        				if(plus.os.name == "Android"){
        					downWgt(true,url,isResource);
        				}else{
                            plus.runtime.openURL(url);
        				}
        			}
        			if(mustUpdate == 1 && plus.os.name == "Android" && event.index != 0) {
        				//安卓上的bug修复
        				plus.runtime.quit();
        			}
        		}, title, buttons);
        	}



	// 显示侧滑页面
	function showSide(key,url,isResource){
		// 防止快速点击可能导致多次创建
		if(wc){
			return;
		}
		// 开启遮罩
		ws.setStyle({mask:"rgba(0,0,0,0.5)"});
		// 创建侧滑页面
	//	wc=plus.webview.create("webview_mask_side.html","up_page",{width:'90%',height:'192px',left:'5%',top:'200px',bottom:'100px',border-radius:'4px'},{key:key,url:url,isResource:isResource});
		wc=plus.webview.create("../update/webview_update.html","up_page",{width:'90%',height:'192px',left:'5%',top:'200px',bottom:'100px'},{key:key,url:url,isResource:isResource});

		// 侧滑页面关闭后关闭遮罩
		wc.addEventListener('close',function(){
			ws.setStyle({mask:"none"});
			wc=null;
		},false);
		// 侧滑页面加载后显示（避免白屏）
		wc.addEventListener("loaded",function(){
			wc.show("slide-in-right",200);
		},false);
	}


 	function downWgt(key,url,isResource) {
 	    if(key){
 	        showSide(key,url,isResource);
 	    }else{
                var fileName = '';
                var options = {
                    filename: "_doc/update/"
                };

                var dtask = plus.downloader.createDownload(url, options, function(d, status) {
                    if (status == 200) {
                        if(isResource){
                                fileName = d.filename.substring(1, d.filename.length);
                                console.log(fileName);
                                upzip(fileName);
                        }
                    } else {
                        if (key) {
                            plus.nativeUI.alert("安装包下载失败！");
                        }
                    }
                });
                dtask.start();
 	    }
    }


        /**
         * 比较版本大小，如果新版本nv大于旧版本ov则返回true，否则返回false
         * @param {String} ov
         * @param {String} nv
         * @return {Boolean}
         */
    function compareVersion(ov, nv) {
        if (!ov || !nv || ov == "" || nv == "") {
            return false;
        }
        var b = false,
            ova = ov.split(".", 4),
            nva = nv.split(".", 4);
        for (var i = 0; i < ova.length && i < nva.length; i++) {
            var so = ova[i],
                no = parseInt(so),
                sn = nva[i],
                nn = parseInt(sn);
            if (nn > no || sn.length > so.length) {
                return true;
            } else if (nn < no) {
                return false;
            }
        }
        if (nva.length > ova.length && 0 == nv.indexOf(ov)) {
            return true;
        }
    }

});