var tiexlist=(function () {
    var token = '';
    var app=new Vue({
        el:"#datalist",
        data:{
            list:[]
        },
        methods: {
          tiexProgress:function (sid) {
            mui.openWindow({
              url: "tiexstep.html",
              id: "tiexstep",
              extras: {"sid":sid}
            });
          },
          tiexdetail:function (sid) {
            mui.openWindow({
              url: "tixApply.html",
              id: "tixApply",
              extras: {"sid":sid}
            });
          }
        },
        filters: {
          formatrate:function (val) {
            return parseFloat(val * 100)
          }
        }
    });
    /**
     * 加载数据
     */
    function loaddata() {
        var url = applib.REQUEST_DOMAIN+"/tiexi/getTiexiApplication?flag=1&token="+token;
        // var url = "http://192.168.199.135:8989/tiexi/getTiexiApplication?token="+token;
        var data = {};
        mui.ajax(url, {
            data: data,
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            //headers: {"Authorization": "Bearer " + token},
            success: function(data) {
                console.log(JSON.stringify(data))
                document.getElementById("js-loadingbg").style.display = 'none';
                if(data.code!=0){
                    mui.toast("数据获取失败！"+data.message);
                    return;
                }
                app.list=data.data;
                if(app.list.length==0) {
                    $("#nodata").show();
                }
                else {
                    $("#nodata").hide();
                }
            },
            error: function(xhr, type, errorThrown) {
                mui.toast("网络繁忙，请稍后重试！");
                document.getElementById("js-loadingbg").style.display = 'none';
            }
        })
    }
    function mySubjectFun(callback) {
        ajax(xnzbUrl + '/api-report/report/myFarm.json', {
          data: {
            token: token
          },
          dataType: 'json',
          type: 'POST',
          timeout: 10000,
          success: function(data) {
            console.log(JSON.stringify(data))
            var res = data.data;
            if(res.is_auth == 7 && res.district=="余杭区"){
              callback(true)
            }else {
              callback(false)
            }
          },
          error: function(xhr, type, errorThrown) {
            mui.toast("网络繁忙，请稍后重试！");
          }
        });
    }
    function bindEvent() {
      //打开贴息进度页面
      muiid('tiexProgress').addEventListener('tap',function(){
          mySubjectFun(function (val) {
            if(val == true){
              applib.openWindow("../directReport/tiexstep.html","tiexstep",{sid:1});
            }else {
              mui.toast("只有余杭区已认证的主体才能进行贴息申请");
            }
          })
      });
        //列表项点击
        mui("#datalist").on('tap','button',function(){
            //获取id
            var tag = this.dataset.tag;
            var sid = this.dataset.sid;
            if(tag==1){
                //进度查询，
                mui.openWindow({
                    url: "mysubsidystep.html",
                    id: "mysubsidystep",
                    extras: {"sid":sid}
                });
            }
            else if(tag==2) {
                //确认收到款
                var btnArray = ['确定','取消'];
                mui.confirm('确认已收到补贴款？', '提示', btnArray, function (e) {
                    if (e.index == 0) {
                        confirm(sid);
                    }
                });
            }
        });
        //
        mui("#datalist").on('tap','.info',function(){
            //获取id
            var sid = this.dataset.sid;
            //传值给详情页面，
            mui.openWindow({
                url: "detail.html",
                id: "subsidy-detail",
                extras: {
                    "sid":sid,
                    "nosave":1
                }
            });
        });
    }

    function init() {
        token = plus.storage.getItem('token');
        loaddata();
        bindEvent();
    }
    return{
        init:init
    }
})();
mui.plusReady(function() {
  tiexlist.init();
});

