mui.init();
var updateInsuranceNew,entrance,directReportHistoryFor,types;
var vm = new Vue({
	el: "#muiContent",
	data: {
		getJson: [],
		muiTitle: "",
		industryType: [],
		hint:""
	},
	methods: {
		inOutradio: function(e) { //单选项
			var  inputMode=e.currentTarget.getAttribute('inputMode');
			$('#selectShadow').hide();
			if(inputMode == 8) {
				window.showLoadedPage({
					url: 'selectProduceType.html',
					id: 'updateProduceType',
					styles: {
						top: 0,
						bottom: 0
					},
					extras: {
						getId: e.currentTarget.getAttribute('id'),
						inputMode: e.currentTarget.getAttribute('data'),
						types:types
					},
					delay:500
				});
			} else {
				this.industryType = e.currentTarget.getAttribute('data').split(',');
				if(this.industryType.length > 5) {
					this.thisId = e.currentTarget.getAttribute('id');
					mui.openWindow({
						url: 'directDataType.html',
						id: 'directDataType',
						styles: {
							top: 0,
							bottom: 0
						},
						extras: {
							industryType: this.industryType,
							muiTitle: vm.muiTitle,
							thisId: this.thisId
						}
					});
				} else {
					$('#selectShadow').show();
					this.thisId = e.currentTarget.getAttribute('id');
					muiid('selectShadow').className = "animation";
				}
			}
		},
		unitName: function(e) {
			this.industryType = e.currentTarget.getAttribute('data').split(',');
			this.thisId = e.currentTarget.getAttribute('id');
			muiid('selectShadow').className = "animation";
		},
		hideShadow: function() {
			muiid('selectShadow').className = "animation1";
		},
		selectedType: function(e) {
			var text = e.currentTarget.innerText;
			if(this.thisId.indexOf('filde') > -1) {
				muiid(this.thisId).value = text;
			} else {
				muiid("spans").innerText = text;
			}
			muiid('selectShadow').className = "animation1";
		},
		/*clearNoNum: function(e) {
			e.currentTarget.value = e.currentTarget.value.replace(/[^\d.]/g, "");//清除“数字”和“.”以外的字符
			e.currentTarget.value = e.currentTarget.value.replace(/^\./g, "");//验证第一个字符是数字而不是.
			e.currentTarget.value = e.currentTarget.value.replace(/\.{2,}/g, ".");//只保留第一个. 清除多余的.
			e.currentTarget.value = e.currentTarget.value.replace(".", "$#$").replace(/\./g,"").replace("$#$", ".");
		},*/
		clearNoNum: function(e) {
			var obj = e.currentTarget,
                point=e.currentTarget.getAttribute('data-point');
			if(point==0){
				e.currentTarget.value = e.currentTarget.value.replace(/[^\d]/g, "");
			}else{
				var pointStr = '';
				for (var i = 0;i<point;i++) {
	                pointStr += '\\d';
	            }
	            obj.value = obj.value.replace(/[^\d.]/g,"");
	            obj.value = obj.value.replace(/\.{2,}/g,".");
	            obj.value = obj.value.replace(/^\./g,"");
	            obj.value = obj.value.replace(".","$#$").replace(/\./g,"").replace("$#$",".");
	            var  reg = new RegExp('^(\\-)*(\\d+)\\.('+ pointStr +').*$');
	            obj.value = obj.value.replace(reg,'$1$2.$3');
			}
		},
		dateJson: function(e) {
			//this.thisId = e.currentTarget.getAttribute('id');
			var selectDate = $("#selectDate");
			var values = $("#info");
			var year, month, datas;
			// 初始化时间
			var now = new Date();
			var nowYear = now.getFullYear();
			var nowMonth = now.getMonth() + 1;
			var nowDate = now.getDate();
			values.attr('data-year', nowYear);
			values.attr('data-yonth', nowMonth);
			values.attr('data-date', nowDate);
			// 数据初始化
			function formatYear(nowYear) {
				var arr = [];
				for(var i = nowYear - 67; i <= nowYear; i++) {
					arr.push({
						id: i + '',
						value: i + ''
					});
				}
				return arr;
			}

			function formatMonth() {
				var arr = [];
				for(var i = 1; i <= 12; i++) {
					arr.push({
						id: i + '',
						value: i + ''
					});
				}
				return arr;
			}

			function formatDate(count) {
				var arr = [];
				for(var i = 1; i <= count; i++) {
					arr.push({
						id: i + '',
						value: i + ''
					});
				}
				return arr;
			}
			var yearData = function(callback) {

				callback(formatYear(nowYear))
			}
			var monthData = function(year, callback) {

				callback(formatMonth());
			};
			var dateData = function(year, month, callback) {
				if(/^1|3|5|7|8|10|12$/.test(month)) {
					callback(formatDate(31));
				} else if(/^4|6|9|11$/.test(month)) {
					callback(formatDate(30));
				} else if(/^2$/.test(month)) {
					if(year % 4 === 0 && year % 100 !== 0 || year % 400 === 0) {
						callback(formatDate(29));
					} else {
						callback(formatDate(28));
					}
				} else {
					throw new Error('month is illegal');
				}
			};
			var oneLevelId = values.attr('data-year');
			var twoLevelId = values.attr('data-yonth');
			var threeLevelId = values.attr('data-date');
			var iosSelect = new IosSelect(3, [yearData, monthData, dateData], {
				title: '选择日期',
				itemHeight: 35,
				relation: [1, 1],
				oneLevelId: oneLevelId,
				twoLevelId: twoLevelId,
				threeLevelId: threeLevelId,
				showLoading: true,
				callback: function(selectOneObj, selectTwoObj, selectThreeObj) {
					values.attr('data-year', selectOneObj.id);
					values.attr('data-yonth', selectTwoObj.id);
					values.attr('data-date', selectThreeObj.id);
					year = selectOneObj.value;
					month = selectTwoObj.value;
					datas = selectThreeObj.value;
					month = month.substr(0, month.indexOf(''));
					year = year.substr(0, year.indexOf(''));
					datas = datas.substr(0, datas.indexOf(''));
					var nowsyear = new Date().getFullYear();
					var nowmonth = new Date().getMonth() + 1;
					var nowdata = new Date().getDate();
					if(nowsyear == year) {
						if(month > nowmonth) {
							mui.toast("最晚选择不能超过当日")
							return false;
						} else if(month == nowmonth) {
							if(datas > nowdata) {
								mui.toast("最晚选择不能超过当日")
								return false;
							}
						}
					}
					values.val(selectOneObj.value + ' ' + selectTwoObj.value + ' ' + selectThreeObj.value);
				}
			});
		},
		saveRecord: function(num) {
			var obj = new Object();

			var myDate = new Date(); //获取系统当前时间
			var currentTime = myDate.getHours(); //获取当前时
			var currentBranch = myDate.getMinutes(); //获取当前分
			var currentSecond = myDate.getSeconds(); //获取当前秒
			getTime = particularYear + "-" + currentMonth + "-" + currentDay + " " + currentTime + ":" + currentBranch + ":" + currentSecond;
			if($('.update-input')) {
				var updateInput = $('.update-input');
				for(var i = 0; i < updateInput.length; i++) {
					var values = updateInput[i];
					var dataType = values.getAttribute('name');
					var updateText = values.getAttribute('fieldName');
					console.log(values.value)
					if(dataType == 1 && values.value == "") {
						mui.toast("请填写必填项！")
						return false;
					}
					if(values.value != "") {
						if(values.type == "number") {
							obj[updateText] = Number(values.value);
						} else {
							obj[updateText] = values.value;
						}
					}
				}
			}
			if($('#uploadBrandCard')) {
				var fieldsName = $('.indexImg');
				for(var i = 0; i < fieldsName.length; i++) {
					var TheInterception = fieldsName[i].getAttribute('src');
					var substrs = TheInterception.substr(23);
					var fieldNames = fieldsName[i].getAttribute('fieldName');
					obj[fieldNames] = substrs;
				}
			}
			var jsonInfo = JSON.stringify(obj);
			if(num == 0) {
				ajax(xnzbUrl + "/api-report/form/save.json", {
					data: {
						token: token,
						category: 2,
						dynamicFormId: numId.insuranceId.getId,
						json: jsonInfo,
						createTime: getTime,
						formName: vm.muiTitle,
						updateTime:getTime
					},
					dataType: 'json',
					type: 'post',
					success: function(data) {
						if(!data.code) {
							if(data.data.success) {
								if(entrance==1){
									mui.fire(directReportLook, 'reload', {
										reload: 1
									});
									mui.fire(directReportHistoryFor, 'reload', {
										reload: 1
									});
								}else{
									mui.fire(updateInsurance, 'reload', {
										reload: 1
									});
								}
								mui.back();
							}
						}
					},
					error: function(xhr, type, errorThrown) {
						mui.toast("网络繁忙，请稍后重试！")
					}
				});

			} else {
				ajax(xnzbUrl + "/api-report/form/save.json", {
					data: {
						token: token,
						category: 2,
						dynamicFormId: numId.insuranceId.getId,
						json: jsonInfo,
						createTime: getTime,
						formName: vm.muiTitle,
						updateTime:getTime
					},
					dataType: 'json',
					type: 'post',
					success: function(data) {
						if(!data.code) {
							if(data.data.success) {
								if(entrance==1){
									mui.fire(directReportLook, 'reload', {
										reload: 1
									});
									mui.fire(directReportHistoryFor, 'reload', {
										reload: 1
									});
								}else{
									mui.fire(updateInsurance, 'reload', {
										reload: 1
									});
								}
								numId.reload();
							}
						}
					},
					error: function(xhr, type, errorThrown) {
						mui.toast("网络繁忙，请稍后重试！")
					}
				});

			}

		},
        btnaddpic: function (e) {
            document.activeElement.blur();
            uploadimg.chagePop(function (imgurl, localurl) {
                var newimgurl = xnzbImg + imgurl;
                console.log(imgurl.substring(1,imgurl.length))
                $("#btnaddpic").attr("src", newimgurl);
                $("#imgInput").attr('value', imgurl.substring(1,imgurl.length))
            });
        }
	}
})
var obj = new Object();
var particularYear, currentMonth, currentDay, getTime, updateInsurance, unit, formName, numId,directReportLook;
mui.plusReady(function() {
	numId = plus.webview.currentWebview();
	console.log(numId);
	entrance=numId.insuranceId.entrance;
	directReportLook = plus.webview.getWebviewById("directReportLook");
	directReportHistoryFor = plus.webview.getWebviewById("directReportHistoryFor");
	updateInsurance = plus.webview.getWebviewById("updateInsurance");
	updateInsuranceNew = plus.webview.getWebviewById("updateInsuranceNew");
	particularYear = numId.insuranceId.time.particularYear;
	currentMonth = numId.insuranceId.time.currentMonth;
	currentDay = numId.insuranceId.time.currentDay;
	document.addEventListener('updateInsuranceNew', function(event) {
		subType = event.detail.subType;
		getId = event.detail.getId;
		muiid(getId).value = subType;
		//处理自动带出单位
		var unit=event.detail.unit;
		if(unit&&unit!="null"){
			$(".js-unit").each(function (i,e) {
				var attr=$(e).attr("fieldName");
				if(attr=='产量'||attr=='销售数量'||attr=='存栏数'||attr=='出栏数'){
					$(e).children("em").text(unit);
				}
				if(attr=='销售单价'){
					var tmp=$(e).children("em").text();
					var s2=tmp.indexOf('/');
					if(s2>0) {
						$(e).children("em").text(tmp.substring(0,s2+1)+unit);
					}
					else {
						$(e).children("em").text(unit);
					}
				}
			})
		}
	});
	document.addEventListener('getData', function(event) {
		var getData = event.detail.getData;
		var thisId = event.detail.thisId;
		muiid(thisId).value = getData;
	});
	ajax(xnzbUrl + "/api-report/dynamicForm/getInfo.json", {
		data: {
			token: token,
			category: 2,
			dynamicFormId: numId.insuranceId.getId
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'GET', //HTTP请求类型
		success: function(data) {
			console.log(data)
			types=data.data.industryType;
			console.log(types)
			vm.hint=data.data.hint;
			vm.muiTitle = data.data.name;
			muiTitle.innerHTML = data.data.name;
			vm.getJson = data.data.list;
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("网络繁忙，请稍后重试！")
		}
	});
});
