mui.init();
var getType,insuranceId,updateInsurance;
var vm=new Vue({
	el:"#muiContent",
	data:{},
	methods:{
		clearNoNum: function(e) {
			e.currentTarget.value = e.currentTarget.value.replace(/[^\d]/g, ""); //清除“数字”和“.”以外的字符
		},
		clearNoNum1: function(e) {
			e.currentTarget.value = e.currentTarget.value.replace(/[^\d.]/g, ""); //清除“数字”和“.”以外的字符
			e.currentTarget.value = e.currentTarget.value.replace(/^\./g, ""); //验证第一个字符是数字而不是.
			e.currentTarget.value = e.currentTarget.value.replace(/\.{2,}/g, "."); //只保留第一个. 清除多余的.
			e.currentTarget.value = e.currentTarget.value.replace(".", "$#$").replace(/\./g, "").replace("$#$", ".");
			e.currentTarget.value = e.currentTarget.value.replace(/^(\-)*(\d+)\.(\d\d{2}).*$/);
		}
	}
})
mui.plusReady(function() {
	updateInsurance = plus.webview.getWebviewById("updateInsurance");
	var numId=plus.webview.currentWebview();
	insuranceId=numId.name.insuranceId;
	mui('.mui-content').on('tap', 'a', function() {
		var href = this.getAttribute('href');
		var id = this.getAttribute('id');
		mui.openWindow({
			url: href,
			id: id,
			styles: {
				top: 0,
				bottom: 0
			},
			extras:{
				name:id
			}
		});
	});
	document.addEventListener('disasterType', function(event) {
		getType= event.detail.getType;
		if(getType==""){
			muiid('paymentClass').value="";
		}else{
			muiid('paymentClass').value=getType;
		}
	})
	muiid('addReportRecord').onclick=function(){

		if(muiid('paymentClass').value==""){
			mui.toast("请选择受灾类型！");
			return false;
		}
		if(muiid('paymentNum').value==""){
			mui.toast("请输入损害数量！");
			return false;
		}
		if(muiid('paymentPrice').value==""){
			mui.toast("请输入获赔金额！");
			return false;
		}
		ajax(xnzbUrl+"/api-report/payInsurance/save.json", {
	        data: {
	        	token:token,
				type:paymentClass.value,
				damageNum:paymentNum.value,
				amount:paymentPrice.value,
				insuranceId:insuranceId
	        },
	        dataType: 'json', //服务器返回json格式数据
	        type: 'GET', //HTTP请求类型
	        success: function(data) {
	        	if(!data.code){
	        		if(data.data.success==true){
	        			mui.toast("保存成功！");
						mui.fire(updateInsurance, 'reload', {
							reload: 1
						});
	        			mui.back();
	        		}
	        	}
	        },
	        error:function(xhr, type, errorThrown){
	        	mui.toast("网络繁忙，请稍后重试！");
	        }
	    })
	}
})