mui.init();
var numId;
var particularYear,currentMonth,currentDay,getTime,updateInsurance,unit,updateLoanNew,directReportLook,directReportHistoryFor;
var vm=new Vue({
	el:"#muiContent",
	data:{
		getJson:[],
		thisId: '',
		industryType: [],
		isMultiple:"",
		gridData: "",
		muiTitle:"",
		hint:""
	},
	methods:{
		inOutradio: function(e){ //单选项
			if(e.currentTarget.getAttribute('data')==null){
				mui.openWindow({
					url: 'loanCompany.html',
					id: 'loanCompany',
					styles: {
						top: 0,
						bottom: 0
					},
					extras: {
						getId: e.currentTarget.getAttribute('id')
					}
				});
			}else{
				this.industryType = e.currentTarget.getAttribute('data').split(',');
				this.thisId = e.currentTarget.getAttribute('id');
				muiid('selectShadow').className = "animation";
			}
		},
		unitName:function(e){
			this.industryType = e.currentTarget.getAttribute('data').split(',');
			this.thisId = e.currentTarget.getAttribute('id');
			muiid('selectShadow').className = "animation";
		},
		hideShadow: function(){
			muiid('selectShadow').className = "animation1";
		},
		selectedType: function(e){
			var text = e.currentTarget.innerText;
			if(this.thisId.indexOf('filde') > -1){
				muiid(this.thisId).value = text;
			}else{
				muiid("spans").innerText=text;
			}
			muiid('selectShadow').className = "animation1";
		},
		clearNoNum: function(e) {
			var obj = e.currentTarget,
                point=e.currentTarget.getAttribute('data-point');
			if(point==0){
				e.currentTarget.value = e.currentTarget.value.replace(/[^\d]/g, "");
			}else{
				var pointStr = '';
				for (var i = 0;i<point;i++) {
	                pointStr += '\\d';
	            }
	            obj.value = obj.value.replace(/[^\d.]/g,"");
	            obj.value = obj.value.replace(/\.{2,}/g,".");
	            obj.value = obj.value.replace(/^\./g,"");
	            obj.value = obj.value.replace(".","$#$").replace(/\./g,"").replace("$#$",".");
	            var  reg = new RegExp('^(\\-)*(\\d+)\\.('+ pointStr +').*$');
	            obj.value = obj.value.replace(reg,'$1$2.$3');
			}
		},
		dateJson: function(e) {
			var selectDate = $("#selectDate");
			var values = $("#info");
			var year, month, datas;
			// 初始化时间
			var now = new Date();
			var nowYear = now.getFullYear();
			var nowMonth = now.getMonth() + 1;
			var nowDate = now.getDate();
			values.attr('data-year', nowYear);
			values.attr('data-yonth', nowMonth);
			values.attr('data-date', nowDate);
			// 数据初始化
			function formatYear(nowYear) {
				var arr = [];
				for(var i = nowYear - 67; i <= nowYear; i++) {
					arr.push({
						id: i + '',
						value: i + ''
					});
				}
				return arr;
			}

			function formatMonth() {
				var arr = [];
				for(var i = 1; i <= 12; i++) {
					arr.push({
						id: i + '',
						value: i + ''
					});
				}
				return arr;
			}

			function formatDate(count) {
				var arr = [];
				for(var i = 1; i <= count; i++) {
					arr.push({
						id: i + '',
						value: i + ''
					});
				}
				return arr;
			}
			var yearData = function(callback) {

				callback(formatYear(nowYear))
			}
			var monthData = function(year, callback) {

				callback(formatMonth());
			};
			var dateData = function(year, month, callback) {
				if(/^1|3|5|7|8|10|12$/.test(month)) {
					callback(formatDate(31));
				} else if(/^4|6|9|11$/.test(month)) {
					callback(formatDate(30));
				} else if(/^2$/.test(month)) {
					if(year % 4 === 0 && year % 100 !== 0 || year % 400 === 0) {
						callback(formatDate(29));
					} else {
						callback(formatDate(28));
					}
				} else {
					throw new Error('month is illegal');
				}
			};
			var oneLevelId = values.attr('data-year');
			var twoLevelId = values.attr('data-yonth');
			var threeLevelId = values.attr('data-date');
			var iosSelect = new IosSelect(3, [yearData, monthData, dateData], {
				title: '选择日期',
				itemHeight: 35,
				relation: [1, 1],
				oneLevelId: oneLevelId,
				twoLevelId: twoLevelId,
				threeLevelId: threeLevelId,
				showLoading: true,
				callback: function(selectOneObj, selectTwoObj, selectThreeObj) {
					values.attr('data-year', selectOneObj.id);
					values.attr('data-yonth', selectTwoObj.id);
					values.attr('data-date', selectThreeObj.id);
					year = selectOneObj.value;
					month = selectTwoObj.value;
					datas = selectThreeObj.value;
					month = month.substr(0, month.indexOf(''));
					year = year.substr(0, year.indexOf(''));
					datas = datas.substr(0, datas.indexOf(''));
					var nowsyear = new Date().getFullYear();
					var nowmonth = new Date().getMonth() + 1;
					var nowdata = new Date().getDate();
					if(nowsyear == year) {
						if(month > nowmonth) {
							mui.toast("最晚选择不能超过当日")
							return false;
						} else if(month == nowmonth) {
							if(datas > nowdata) {
								mui.toast("最晚选择不能超过当日")
								return false;
							}
						}
					}
					if(selectTwoObj.value.length == 1) {
						selectTwoObj.value = "0" + selectTwoObj.value;
					} else {
						selectTwoObj.value = selectTwoObj.value;
					}
					values.val(selectOneObj.value + "-" + selectTwoObj.value + "-" + selectThreeObj.value);
				}
			});
		},
		updateData:function(){
			var obj=new Object();
			var myDate = new Date();//获取系统当前时间
			var currentTime=myDate.getHours();//获取当前时
			var currentBranch=myDate.getMinutes();//获取当前分
			var currentSecond=myDate.getSeconds();//获取当前秒
			getTime=particularYear+"-"+currentMonth+"-"+currentDay+" "+currentTime+":"+currentBranch+":"+currentSecond;

			if($('.update-input')){
				var updateInput=$('.update-input');
				for(var i=0;i<updateInput.length;i++){
					var values=updateInput[i];
					var dataType=values.getAttribute('name');
					var updateText=values.getAttribute('fieldName');
					if(dataType == 1 && values.value ==""){
						mui.toast("请填写必填项！")
						return false;
					}
					if(values.value!=""){
						if(values.type=="number"){
							obj[updateText] = Number(values.value);
						}else{
							obj[updateText] = values.value;
						}
					}
				}
			}
			if($('#uploadBrandCard')){
				var fieldsName = $('.indexImg');
				for(var i=0;i<fieldsName.length;i++){
					var TheInterception=fieldsName[i].getAttribute('src');
					var substrs=TheInterception.substr(23);
					var fieldNames=fieldsName[i].getAttribute('fieldName');
					obj[fieldNames]=substrs;
				}
			}
			var last=JSON.stringify(obj);
			ajax(xnzbUrl + "/api-report/form/save.json", {
				data: {
					token: token,
					category: 2,
					dynamicFormId: numId.insuranceId.getId,
					createTime:getTime,
					json: last,
					formName:vm.muiTitle
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'POST', //HTTP请求类型
				success: function(data) {
					if(!data.code){
						if(data.data.success==true){
							mui.toast("请继续添加新纪录！");
							//数据回显
							mui.fire(updateInsurance, 'reload', {
								reload: 1
							});
							mui.fire(directReportLook, 'reload', {
								reload: 1
							});
							mui.fire(directReportHistoryFor, 'reload', {
								reload: 1
							});
							updateLoanNew.reload();
						}
					}
				},
				error: function(xhr, type, errorThrown) {
					mui.toast("网络繁忙，请稍后重试！");
				}
			})
		},
		uploadPictures:function(){
			chagePop(this);
			//选择拍照或相册
			function chagePop(element) {
				var bts = [{
					title: "拍照",
					action: 'camera'
				}, {
					title: "从相册选取",
					action: 'gallery'
				}];
				plus.nativeUI.actionSheet({
						cancel: "取消",
						buttons: bts
					},
					function(e) {
						if(e.index > 0) {
							switch(bts[e.index - 1].action) {
								case 'camera':
									getImage(element);
									break;
								case 'gallery':
									galleryImg(element);
									break;
								default:
									break;
							}
						}
					}
				);
			}
			//点击拍照执行
			function getImage() {
				var cmr = plus.camera.getCamera();
				cmr.captureImage(function(p) {
					plus.io.resolveLocalFileSystemURL(p,
						function(entry) {
							plus.zip.compressImage({
								src: entry.toLocalURL(), //search.src, //src在这里是第一步Url里的src。也就是本地路径
								dst: '_doc/a.jpg',
								overwrite: true,
								clip: {
									top: toppos + "px",
									left: leftpos + "px",
									width: imgWidth + "px",
									height: imgWidth + "px"
								}
							}, function(e) {
								if(imgWidth > 320) {
									plus.zip.compressImage({
										src: e.target,
										dst: "_doc/a.jpg",
										overwrite: true,
										width: "320px" // 缩小到原来的一半
									}, function(e) {
										var evjs = getpath(e.target);
										evalJS(evjs);
									}, function(error) {
										alert("Compress error!");
									});
								} else {
									var fat = plus.webview.currentWebview();
									var evjs = getpath(e.target);
									fat.evalJS(evjs);
								}
							}, function(e) {
								console.log(JSON.stringify(e, null, ""));
							});
						},
						function(e) {
							plus.nativeUI.alert("读取拍照文件错误：" + e.message);
						});
				}, function(e) {
					alert("失败：" + e.message);
				}, {
					filename: "_doc/header/pic_" + new Date().getTime() + ".jpg",
					index: i
				});
			}
		
			// 从相册中选择图片
			function galleryImg(obj) {
				plus.gallery.pick(function(path) {
					plus.zip.compressImage({
						src: path, //search.src, //src在这里是第一步Url里的src。也就是本地路径
						dst: '_doc/a.jpg',
						overwrite: true,
						clip: {
							top: toppos + "px",
							left: leftpos + "px",
							width: imgWidth + "px",
							height: imgWidth + "px"
						}
					}, function(e) {
						if(imgWidth > 320) {
							plus.zip.compressImage({
								src: e.target,
								dst: "_doc/a.jpg",
								overwrite: true,
								width: "320px" // 缩小到原来的一半
							}, function(e) {
								var evjs = getpath(e.target);
								evalJS(evjs);
							}, function(error) {
								alert("Compress error!");
							});
						} else {
							var fat = plus.webview.currentWebview();
							var evjs = getpath(e.target);
							fat.evalJS(evjs);
						}
					}, function(e) {
						console.log(JSON.stringify(e, null, ""));
					});
				}, function(e) {}, {
					filter: "image",
					filename: '_doc/header/pic_' + new Date().getTime() + '.jpg'
				});
			}
			//获取图片路径
			function getpath(paths) {
				files = [];
				files.push({
					name: "files[]",
					path: paths
				});
				index++;
				uploadHeaderImg();
			}
			//上传图片
			function uploadHeaderImg() {
				var server = xnzbUrl + '/api-image/v1/uploadFileByH5Plus';
				wt = plus.nativeUI.showWaiting('上传中...', {
					width: '100px'
				});
				var task = plus.uploader.createUpload(server, {
						method: "POST"
					},
					function(t, status) { //上传完成
						if(status == 200) {
							var str = JSON.parse(t.responseText);
							vm.gridData = xnzbImg + str.data.path;
							imgpath();
							mui.toast("证书更新成功!");
							wt.close();
						} else {
							mui.toast("证书更新失败!");
							wt.close();
						}
					}
				);
				for(var i = 0; i < files.length; i++) {
					var f = files[i];
					userImgSrc = f.path;
					task.addFile(f.path, {
						key: f.name
					});
				}
				task.start();
				//图片上传成功替换
				function imgpath() {
					var imgs = document.getElementById("imgs");
					imgs.style.display = "block";
				}
			}
		}
	}
})


mui.plusReady(function(){
	numId = plus.webview.currentWebview();
	entrance=numId.insuranceId.entrance;
	directReportLook = plus.webview.getWebviewById("directReportLook");
	directReportHistoryFor = plus.webview.getWebviewById("directReportHistoryFor");
	updateInsurance = plus.webview.getWebviewById("updateInsurance");
	updateLoanNew = plus.webview.getWebviewById("updateLoanNew");
	particularYear=numId.insuranceId.time.particularYear;
	currentMonth=numId.insuranceId.time.currentMonth;
	currentDay=numId.insuranceId.time.currentDay;
	ajax(xnzbUrl + "/api-report/dynamicForm/getInfo.json", {
		data: {
			token: token,
			category: 2,
			dynamicFormId: numId.insuranceId.getId
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'GET', //HTTP请求类型
		success: function(data) {
			vm.hint=data.data.hint;
			muiTitle.innerHTML = data.data.name;
			vm.muiTitle=data.data.name;
			vm.getJson = data.data.list;
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("网络繁忙，请稍后重试！")
		}
	});
	//监听自定义事件
	document.addEventListener('updateInsuranceNew', function(event) {
		subType = event.detail.subType;
		getId = event.detail.getId;
		muiid(getId).value = subType;
	});
	//点击保存上传数据
	$('#addReportRecord').on('click', function() {
		var obj=new  Object();
		var myDate = new Date();//获取系统当前时间
		var currentTime=myDate.getHours();//获取当前时
		var currentBranch=myDate.getMinutes();//获取当前分
		var currentSecond=myDate.getSeconds();//获取当前秒
		getTime=particularYear+"-"+currentMonth+"-"+currentDay+" "+currentTime+":"+currentBranch+":"+currentSecond;

		if($('.update-input')){
				var updateInput=$('.update-input');
				for(var i=0;i<updateInput.length;i++){
					var values=updateInput[i];
					var dataType=values.getAttribute('name');
					var updateText=values.getAttribute('fieldName');
					if(dataType == 1 && values.value ==""){
						mui.toast("请填写必填项！")
						return false;
					}
					if(values.value!=""){
						if(values.type=="number"){
							obj[updateText] = Number(values.value);
						}else{
							obj[updateText] = values.value;
						}
					}
				}
			}
			if($('#uploadBrandCard')){
				var fieldsName = $('.indexImg');
				for(var i=0;i<fieldsName.length;i++){
					var TheInterception=fieldsName[i].getAttribute('src');
					var substrs=TheInterception.substr(23);
					var fieldNames=fieldsName[i].getAttribute('fieldName');
					obj[fieldNames]=substrs;
				}
			}
		var last=JSON.stringify(obj);
		ajax(xnzbUrl + "/api-report/form/save.json", {
			data: {
				token: token,
				category: 2,
				dynamicFormId: numId.insuranceId.getId,
				createTime:getTime,
				json: last,
				formName:vm.muiTitle,
				updateTime:getTime
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'POST', //HTTP请求类型
			success: function(data) {
				if(!data.code){
					if(data.data.success==true){
						if(entrance==1){
							mui.fire(directReportLook, 'reload', {
								reload: 1
							});
							mui.fire(directReportHistoryFor, 'reload', {
								reload: 1
							});
						}else{
							mui.fire(updateInsurance, 'reload', {
								reload: 1
							});
						}
						mui.toast("保存成功！");
						mui.back();
					}
				}
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("网络繁忙，请稍后重试！")
			}
		})
	})
});