mui.init();
var classid;
var myTran = new Vue({
    el:'#js-myTran-box',
    data:{
        list:[],
        contactsCount:0,//通讯录数
        trainingClass :{},
        classListCount:"",
        classList:[],
        classStartMonth:'',
        teacherList :[],
        trainingClassBooksTable :'',//课程数
        teacherCount : '',
        trainingClassBooks:[]
    },
    mounted:function(){
        // 跳转通讯录
        // myTran.getMyTranList()
       
    },
    methods :{
      gotoAddressBooks : function(){
        muiid('jsaddressBook').addEventListener('tap',function(){
            mui.openWindow({
                url: "addressBook.html",
                id:'myAddressbooks',
                extras: {
                    classid:classid
                },
            })
        })
      },
      gotoTranCourse : function(){
        muiid('tranCoutse').addEventListener('tap',function(){
            mui.openWindow({
                url: "courseTable.html",
                id:'courseTable',
                extras: {
                    classid:classid
                },
            })
        })
      },
        gotobooklist:function () {
            mui.openWindow({
                url: "trainingbooklist.html",
                id: 'trainingbooklist',
                extras: {
                    classid: classid
                },
            })
        }
    }
})
mui.plusReady(function(){
    var currentWebview = plus.webview.currentWebview();
    classid=currentWebview.classid;
    if(!classid){
        currentWebview.close();
        return;
    }
    getMyTranList(classid)
})

function getMyTranList (){
    var classID =  classid;
    mui.ajax(prUrl + 'train/myTraining',{
        data :{
            classId :classID
        },
        dataType:'json',
        type :'get',
        success :function(response){
            myTran.contactsCount=response.data.contactsCount;
            myTran.trainingClass = response.data.trainingClass
            myTran.classListCount = response.data.trainClassLessons.lessonsCount
            myTran.trainingClassBooksTable = response.data.trainClassLessons.lessonsCount;
            myTran.teacherCount = response.data.trainClassTeachers.teacherCount
            myTran.classList = response.data.trainClassLessons.lessons.splice(0,2) 
            myTran.trainingClassBooks = response.data.trainingClassBooks
            myTran.classList.forEach(function(item){
                item.getMonthNow = getMonthSelf(item.starttime)
                item.getDateNow = getDateSelf(item.starttime)
                item.getHoursNow = getHoursSelf(item.starttime)
            });
            if(myTran.teacherCount <= 3){
                myTran.teacherList = response.data.trainClassTeachers.teachers
            }else{
                myTran.teacherList = response.data.trainClassTeachers.teachers.splice(0,3)
            }
        },
        error: function(xhr, type, errorThrown) {
            mui.toast('网络繁忙，请稍后重试！');
        }
    })
}


// 获取月份
var getMonthSelf = function  ( time ){
    var data = new Date(time).getMonth()
    return data + 1
}
var getDateSelf = function  ( time ){
    var data = new Date(time).getDate()
    return data 
}
var getHoursSelf = function( time ){
    var data = new Date(time).getHours() 
    if(data < 12){
        return '上午'
    }else{
        return '下午'
    }
}




// window.onload = function(){
//    muiid('jsaddressBook').addEventListener('tap',function(){
//         mui.openWindow({
//             url : 'addressBook.html',
//             id:'addressBook'
//         })
//         // mui.toast('1111')
//     })
// }