mui.init();
var numId,reviews;
var vm = new Vue({
	el: '.mui-content',
	filters: {
             formatDatetwo: function (time) {
                 var re = /-?\d+/;
                 var m = re.exec(time);
                 var d = new Date(parseInt(m[0]));
                 var o = {
                     "M+": d.getMonth() + 1, //month
                   "d+": d.getDate(),    //day
                   "h+": d.getHours(),   //hour
                     "m+": d.getMinutes(), //minute
                    "s+": d.getSeconds(), //second
                     "q+": Math.floor((d.getMonth() + 3) / 3),  //quarter
                    "S": d.getMilliseconds() //millisecond
                 }
                 var format = "yyyy-MM-dd hh:mm:ss";
                 if (/(y+)/.test(format)) {
                    format = format.replace(RegExp.$1,(d.getFullYear() + "").substr(4 - RegExp.$1.length));
                }
                 for (var k in o) {
                     if (new RegExp("(" + k + ")").test(format)) {
                         format = format.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));
                    }
                }
                return format;
            }
       },
	data:{
		  course:[],
		  imglist: []
	}
});
mui.plusReady(function(){
	numId = plus.webview.currentWebview();
	console.log(numId.getId)
	ajax(xnzbUrl + '/api-content/feedback/getFeedbackById', {
		data: {
			 token:token,
			id:numId.getId
		},
		type: 'GET',
		dataType: 'json',
		timeout: 10000,
		success: function(data) {
			console.log(data)
			if(!data.code) {
				vm.course=data;
				vm.imglist=data.imgs.split(",");;
			
			}
		},
		error: function(xhr, type, errorThrown) {
			console.log(JSON.stringify(xhr))
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
	
	

})