var that = this;
var record = [
    {
        msgid:"-1",
      sender: "left",
      type: "text",
      content:
        "Hi~幺幺玲，在使用过程中遇到问题随时找农小问哦，您也可以点击底部快捷按钮或直接输入问题，农小问随时都陪伴着你!"
    }
  ];
(function($, doc) {
  var MIN_SOUND_TIME = 800;
  $.init({
    gestureConfig: {
      tap: true, //默认为true
      doubletap: true, //默认为false
      longtap: true, //默认为false
      swipe: true, //默认为true
      drag: true, //默认为true
      hold: true, //默认为false，不监听
      release: true //默认为false，不监听
    }
  });
  template.config("escape", false);
  if (mui.os.ios) {
    // 解决在ios上fixed元素focusin时位置出现错误的问题
    document.addEventListener("DOMContentLoaded", function() {
      var footerDom = document.querySelector("footer");
      document.addEventListener("focusin", function() {
        footerDom.style.position = "absolute";
      });
      document.addEventListener("focusout", function() {
        footerDom.style.position = "fixed";
      });
    });
  }

    $.plusReady(function() {
        var token = plus.storage.getItem("token");
        new Vue({
      el: "#vuel",
      data: {
        recq_list: [],
        recqTime: new Date().getTime()
      },
      created: function() {
        this.getmsgList()
      },
      methods: {
        jumpRecq: function(item) {
            mui.openWindow({
                url: "questionDetail.html",
                id: "questionDetail",
                extras: {
                    url_id: item.id
                }
            });
        },
        getmsgList:function(){
            var that1 = this;
            var json_data = Qs.stringify({
                token: token,
                msgid:0
            });
            ajax(xnzbUrl + '/api-content/faq/list', {
                data: json_data,
                dataType: "json",
                type: "GET",
                timeout: 10000,
                success: function(data) {
                    if (data.code === 1) {
                        that1.recq_list = data.data.question;
                    }
                },
                error: function(xhr, type, errorThrown) {
                }
            })
        }
      },
    });
//  plus.webview.currentWebview().setStyle({
//    softinputMode: "adjustResize"
//  });
    var showKeyboard = function() {
      if ($.os.ios) {
        var webView = plus.webview.currentWebview().nativeInstanceObject();
        webView.plusCallMethod({
          setKeyboardDisplayRequiresUserAction: false
        });
      } else {
        var Context = plus.android.importClass("android.content.Context");
        var InputMethodManager = plus.android.importClass(
          "android.view.inputmethod.InputMethodManager"
        );
        var main = plus.android.runtimeMainActivity();
        var imm = main.getSystemService(Context.INPUT_METHOD_SERVICE);
        imm.toggleSoftInput(0, InputMethodManager.SHOW_FORCED);
        //var view = ((ViewGroup)main.findViewById(android.R.id.content)).getChildAt(0);
        imm.showSoftInput(
          main.getWindow().getDecorView(),
          InputMethodManager.SHOW_IMPLICIT
        );
        //alert("ll");
      }
    };
    var that = this;
    var ui = {
      body: doc.querySelector("body"),
      footer: doc.querySelector("footer"),
      footerRight: doc.querySelector(".footer-right"),
      cameraIcon: doc.querySelector(".mui-icon-plusempty"),
      paperplaneIcon: doc.querySelector(".mui-icon-paperplane"),
      btnMsgType: doc.querySelector("#msg-type"),
      boxMsgText: doc.querySelector("#msg-text"),
      areaMsgList: doc.querySelector("#msg-list"),
      h: doc.querySelector("#h"),
      content: doc.querySelector(".mui-content"),
      nongQuestion: doc.querySelector(".nong-question"),
      msgItem: doc.querySelector(".msg-item")
    };
    ui.h.style.width = ui.boxMsgText.offsetWidth + "px";
    //alert(ui.boxMsgText.offsetWidth );
    var footerPadding = ui.footer.offsetHeight - ui.boxMsgText.offsetHeight;
    var imageViewer = new $.ImageViewer(".msg-content-image", {
      dbl: false
    });
    var bindMsgList = function() {
      ui.areaMsgList.innerHTML = template("msg-template", {
        record: record
      });

      // var msgItems = ui.areaMsgList.querySelectorAll(".msg-item");
      // [].forEach.call(msgItems, function(item, index) {
      //   item.addEventListener('tap', function(e) {
      //       	 //alert(e.target.innerHTML)
		// 	var reg=/(http|ftp|https):\/\/[\w\-_]+(\.[\w\-_]+)+([\w\-\.,@?^=%&:/~\+#]*[\w\-\@?^=%&/~\+#])?/;
		// 	if(reg.test(e.target.innerHTML)){
		// 		 mui.openWindow({
		//             url: "../support/pages/common/webbrowse.html",
		//             id: "webbrowse",
		//             extras: {
		//             		url: jQuery.trim(e.target.innerHTML)
		//             }
		//     		});
		// 	}
      //   }, false);
      // });
      imageViewer.findAllImage();
      
      ui.content.scrollTop = ui.areaMsgList.scrollHeight + ui.areaMsgList.offsetHeight;
    };
    var send_data1 = Qs.stringify({
      token: token,
        msgid:0
    });
    ajax(xnzbUrl + '/api-content/faq/list', {
      data: send_data1,
      type: "GET",
      timeout: 10000,
      success: function(data) {
        if (data.code === 1) {
          data.data.Ask_msg.forEach(function(item) {
            record.push({
              createtime: moment(item.createtime).format('YYYY-MM-DD HH:mm:ss'),
              msgid:item.id+"",
              sender: item.msg_type === 2 ? "left" : "right",
              type: item.is_img === 1 ? 'text' : 'image',
              content: item.is_img === 1 ? item.msg_body : xnzbImg + item.msg_body
            });
          });
          bindMsgList();
        }
      },
      error: function(xhr, type, errorThrown) {
      }
    });
    setInterval(function() {
        // add by tianchao 获取最后一条消息id
        //console.log(JSON.stringify(record));
        var lastid=0;
        for(var i=record.length-1;i>=0;i--) {
            var msg=record[i];
            //console.log("type:"+typeof msg.msgid+"，值："+msg.msgid);
            if(msg.msgid&&msg.msgid.toString().indexOf("msgid_")>0) {
                return;
            }
            if(msg.msgid>0){
                lastid =msg.msgid;
                break;
            }
        }
        //console.log("lastid："+lastid);
      ajax(xnzbUrl + '/api-content/faq/list', {
        data: Qs.stringify({
            token: token,
            msgid:lastid
        }),
        type: "GET",
        timeout: 10000,
        success: function(data) {
          if (data.code === 1) {
              if(data.data.Ask_msg.length>0) {
                  data.data.Ask_msg.forEach(function (item) {
                      record.push({
                          createtime: moment(item.createtime).format('YYYY-MM-DD HH:mm:ss'),
                          msgid: item.id + "",
                          sender: item.msg_type === 2 ? "left" : "right",
                          type: item.is_img === 1 ? 'text' : 'image',
                          content: item.is_img === 1 ? item.msg_body : xnzbImg + item.msg_body
                      });
                  });
                  bindMsgList();
              }
          }
        },
        error: function(xhr, type, errorThrown) {
        }
      });
    }, 30000);
    bindMsgList();
  
    function send(msg) {
      record.push(msg);
      bindMsgList();
    };

    function msgTextFocus() {
      ui.boxMsgText.focus();
      setTimeout(function() {
        ui.boxMsgText.focus();
      }, 150);
    }
    //解决长按“发送”按钮，导致键盘关闭的问题；
    // ui.footerRight.addEventListener("touchstart", function(event) {
    //   if (ui.btnMsgType.classList.contains("mui-icon-paperplane")) {
    //     msgTextFocus();
    //     event.preventDefault();
    //   }
    // });
    //解决长按“发送”按钮，导致键盘关闭的问题；
    // ui.footerRight.addEventListener("touchmove", function(event) {
    //   if (ui.btnMsgType.classList.contains("mui-icon-paperplane")) {
    //     msgTextFocus();
    //     event.preventDefault();
    //   }
    // });
    //					ui.footerRight.addEventListener('touchcancel', function(event) {
    //						if (ui.btnMsgType.classList.contains('mui-icon-paperplane')) {
    //							msgTextFocus();
    //							event.preventDefault();
    //						}
    //					});
    //					ui.footerRight.addEventListener('touchend', function(event) {
    //						if (ui.btnMsgType.classList.contains('mui-icon-paperplane')) {
    //							msgTextFocus();
    //							event.preventDefault();
    //						}
    //					});
    var count = 1;
    ui.footerRight.addEventListener("tap",function(event) {
        if (ui.btnMsgType.classList.contains("mui-icon-paperplane")) {
//          showKeyboard();
          ui.boxMsgText.focus();
          setTimeout(function() {
            ui.boxMsgText.focus();
          }, 150);
          //							event.detail.gesture.preventDefault();
            var msgid="msgid_"+randomString(10);//标识唯一消息
          send({
            createtime: moment(new Date().getTime()).format('YYYY-MM-DD HH:mm:ss'),
            msgid:msgid,
            sender: "right",
            type: "text",
            content: ui.boxMsgText.value.replace(new RegExp("\n", "gm"),"<br/>")
          });
          if (count < 2) {
            send({
              createtime: moment(new Date().getTime()).format('YYYY-MM-DD HH:mm:ss'),
              msgid:"-1",
              sender: "left",
              type: "text",
              content: "请耐心等待客服人员回复"
            });
          }
          count++;
          var send_data = Qs.stringify({
            msg_body: ui.boxMsgText.value.replace(new RegExp("\n", "gm"),"<br/>"),
            is_img: 1,
            token: token,
            msgid:msgid
          });
          ajax(xnzbUrl + '/api-content/faq/addAskMsg', {
            data: send_data,
            type: "post",
            timeout: 10000,
            success: function(data) {
                // add by tianchao 更新消息id，采用倒循环，更容易找到，一般是最后一条
                for(var i=record.length-1;i>=0;i--) {
                    var msg = record[i];
                    if (msg.msgid == data.data.msgid) {
                        msg.msgid = data.data.insert+"";//更新成数据库新增Id
                        break;
                    }
                }
            },
            error: function(xhr, type, errorThrown) {
            }
          });
          ui.boxMsgText.value = "";
          $.trigger(ui.boxMsgText, "input", null);
          ui.boxMsgText.blur();
        } else {
            var msgid="msgid_"+randomString(10);//标识唯一消息
          uploadimg.chagePop(function (imgurl,localurl) {
            send({
              createtime: moment(new Date().getTime()).format('YYYY-MM-DD HH:mm:ss'),
              msgid:msgid,
              sender: "right",
              type: "image",
              content: localurl+"?v="+new Date().getTime()
            });
            var send_data2 = Qs.stringify({
              is_img: 2,
              msg_body: imgurl,
              token: token,
                msgid:msgid
            });
            ajax(xnzbUrl + '/api-content/faq/addAskMsg', {
              data: send_data2,
              type: "post",
              timeout: 10000,
              success: function(data) {
                  // add by tianchao 更新消息id，采用倒循环，更容易找到，一般是最后一条
                  for(var i=record.length-1;i>=0;i--) {
                      var msg = record[i];
                      if (msg.msgid == data.data.msgid) {
                          msg.msgid = data.data.insert+"";//更新成数据库新增Id
                          break;
                      }
                  }
              },
              error: function(xhr, type, errorThrown) {
              }
            });
          },false);
        }
      },
      false
    );
    ui.nongQuestion.addEventListener("tap", function (e) {
      // setTimeout(function() {
        // ui.areaMsgList.innerHTML = ui.areaMsgList.innerHTML + doc.querySelector(".recq-pos").innerHTML;
        send({
          createtime: moment(new Date().getTime()).format('YYYY-MM-DD HH:mm:ss'),
          msgid:"-1",
          sender: "left",
          type: "text",
          content: doc.querySelector(".recq-pos").innerHTML
        });
      // },300)
    });
        $('#msg-list').on('tap','li',function(e){
            mui.openWindow({
                url: "questionDetail.html",
                id: "questionDetail",
                extras: {
                    url_id: e.target.getAttribute('data_id')
                }
            });
        })
        $('#msg-list').on('tap','.js-msg',function(e){
            var text=this.innerHTML;
            //mui.toast(text);
            var reg=/(http|ftp|https):\/\/[\w\-_]+(\.[\w\-_]+)+([\w\-\.,@?^=%&:/~\+#]*[\w\-\@?^=%&/~\+#])?/;
            if(reg.test(text)){
                mui.openWindow({
                    url: "../support/pages/common/webbrowse.html",
                    id: "webbrowse",
                    extras: {
                        url: jQuery.trim(text)
                    }
                });
            }
        })
    ui.boxMsgText.addEventListener("input", function(event) {
      ui.btnMsgType.classList[ui.boxMsgText.value == "" ? "remove" : "add"]("mui-icon-paperplane");
      ui.btnMsgType.classList[ui.boxMsgText.value == "" ? "add" : "remove"]("mui-icon-plusempty");
      ui.btnMsgType.setAttribute(
        "for",
        ui.boxMsgText.value == "" ? "" : "msg-text"
      );
      ui.h.innerText = ui.boxMsgText.value.replace(new RegExp("\n", "gm"), "\n-") || "-";
      ui.footer.style.height = ui.h.offsetHeight + footerPadding + "px";
      ui.content.style.paddingBottom = ui.footer.style.height;
    });
    var focus = false;
    ui.boxMsgText.addEventListener("tap",function(event) {
      console.log("click");
        ui.boxMsgText.focus();
        if (mui.os.ios) {
          // ui.footer.style.top = '400px'
        }
        setTimeout(function() {
          ui.boxMsgText.focus();
        }, 0);
        
        focus = true;
        setTimeout(function() {
          focus = false;
        }, 1000);
        //event.detail.gesture.preventDefault();
      },
      false
    );
   
    window.addEventListener("resize", function() {
        ui.areaMsgList.scrollTop = ui.areaMsgList.scrollHeight + ui.areaMsgList.offsetHeight;
        if (focus) {
          ui.footer.style.bottom = window.immersed + 'px';
        } else {
          ui.footer.style.bottom = '0px';
        }
      },
      false
    );
    //点击消息列表，关闭键盘
    ui.areaMsgList.addEventListener("click", function(event) {
      if (!focus) { 
        ui.boxMsgText.blur();
      }
    });
  });
})(mui, document);
