mui.init();
var shares = null;
var vm = new Vue({
	el: '.mui-content',
	data: {
		title: '',
		author: '',
		time: '',
		read: '',
		cover: '',
		content: '',
		type: '',
		detailId: '',
		summary:''
	}
});

mui.plusReady(function() {
	var currentWebview = plus.webview.currentWebview();
	var type =currentWebview.type;
	var mid =currentWebview.mid;

	mui.ajax(xnzbUrl + '/api-message/message/getMessageDetail', {
		data: {
			id: mid,
			token: token
		},
		type: 'GET',
		dataType: 'json',
		timeout: 10000,
		success: function(data) {
			console.log(JSON.stringify(data));
			if(!data.success) {
				mui.toast("内容不存在或已经删除");
				mui.back();
				return;
			}
			vm.title=data.data.title;
			vm.content=data.data.content;
			vm.time=data.data.createTimeStr;
			vm.cover=data.data.image;

		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
});
