mui.init({
	pullRefresh: {
		container: '#policyList',
		down: {
			//style: 'circle',
			callback: pulldownRefresh
		},
		up: {
			//auto: false,
			//contentrefresh: '正在加载...',
			callback: pullupRefresh
		}
	}
});
// 初始化vue实例
var news = new Vue({
	el: '#policyList',
	data: {
		policyList: [],
		sect: [],
		sects: ''
	},
	methods: {
		selest: function(e) {
			var text = e.currentTarget.innerText;
			console.log(text);
			//choose.innerHTML = text;
			parent.evalJS("initchoose('"+last+"')");
			if(text == "全国") {
				last = '';
				pageNo = 1;
			} else {
				last = text;
				pageNo = 1;
			}
			this.policyList = [];
			pullupRefresh()
		}
	}
});
var shadow = new Vue({
	el: '#selectShadow',
	data: {
		sect: []
	}
});

var province = '';
var city = '';
var district = '';
var pro = '';
var cit = '';
var dis = '';
var sheng = '';
var shi = '';
var xian = '';
//var choose = document.getElementById("choose");
var nomore = false;
var pageNo = 1;
var selectShadow = document.getElementById("selectShadow");
var sectList = document.getElementById("sectList");
var parent;//父窗口

function pullupRefresh() {
	//mui('#policyList').pullRefresh().endPullup(nomore); //参数为true代表没有更多数据了。
	mui('#policyList').pullRefresh().endPullupToRefresh(nomore);
	mui.ajax(xnzbUrl + '/api-content/news/page', {
		data: {
			pageNo: pageNo,
			pageSize: 10,
			keyword: '',
			type: 1,
			select: last,
			token:token
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(data) {
			//			console.log('资讯列表' + JSON.stringify(data));
			if(!data.code) {
				var list = data.data.newsList;
				for(var i=0;i<list.length;i++){
					list[i].createTime = list[i].createTime.substring(5);
				}
				//				setTimeout(function(){
				news.policyList = news.policyList.concat(list);
				document.getElementById("loading").style.display="none";
				//				},100);
				if(data.data.newsList.length < 10) {
					pageNo++;
					nomore = true;
				} else {
					nomore = false;
					pageNo++;
				}
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
}

function pulldownRefresh() {
	setTimeout(function() {
		mui('#policyList').pullRefresh().endPulldownToRefresh();
	}, 1000);
}
//plusReady事件
mui.plusReady(function() {
	//预加载详情页
	webview_detail = mui.preload({
		url: 'policyDetail.html',
		id: 'policyDetail',
		styles: {
			"render": "always", //窗口渲染模式
			"popGesture": "hide",
			"bounce": "vertical" //窗口遇到边框是否有反弹效果 vertical表示垂直方向反弹
		}
	});

	var list = sectList.getElementsByTagName("li");

	//当前选择的省市县
	var self = plus.webview.currentWebview();
	parent=self.parent();
	province = self.province;
	district = self.district;
	city = self.city;
	//主体所在的省市县
	pro = self.pro;
	console.log(pro)
	cit = self.cit;
	dis = self.dis;
	if(province) {
		mui.ajax(xnzbUrl + '/api-content/news/getSelect', {
			data: {
				city: city,
				province: province,
				district: district,
				type: '1',
				keyword: ''
			},
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			success: function(data) {
				if(!data.code) {
					shadow.sect = data.data.selectList;
					var arr = data.data.selectList;
					console.log(arr)
					last = arr[arr.length - 1];
					//choose.innerHTML = last;
					parent.evalJS("initchoose('"+last+"')");
					if(last == '全国') {
						last = ''
					}
					pullupRefresh(last);
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				mui.toast("网络繁忙，请稍后重试！");
			}
		});
	} else if(pro) {
		mui.ajax(xnzbUrl + '/api-content/news/getSelect', {
			data: {
				city: cit,
				province: pro,
				district: dis,
				type: '1',
				keyword: ''
			},
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			success: function(data) {
				if(!data.code) {
					shadow.sect = data.data.selectList;
					var arr = data.data.selectList;
					console.log(arr)
					last = arr[arr.length - 1];
					//choose.innerHTML = last;
					parent.evalJS("initchoose('"+last+"')");
					if(last == '全国') {
						last = ''
					}
					pullupRefresh(last);
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				mui.toast("网络繁忙，请稍后重试！");
			}
		});
	} else {
		mui.ajax(xnzbUrl + '/api-content/news/getSelect', {
			data: {
				city: '',
				province: '',
				district: '',
				type: '1',
				keyword: ''
			},
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			success: function(data) {
				if(!data.code) {
					shadow.sect = data.data.selectList;
					var arr = data.data.selectList;
					console.log(arr)
					last = arr[arr.length - 1];
					//choose.innerHTML = last;
					parent.evalJS("initchoose('"+last+"')");
					if(last == '全国') {
						last = ''
					}
					pullupRefresh(last);
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				mui.toast("网络繁忙，请稍后重试！");
			}
		});
	}
});
selectShadow.addEventListener("tap",function() {
	selectShadow.className = "animation1";
	sectList.style.display = "none";
});

//点击列表，打开详情
mui('.xnzb-zczx-cont').on('tap', 'a', function() {
	this.querySelector("#read").innerHTML++;
	var detailId = this.getAttribute('id');
	var title = this.querySelector(".zczx-title").innerHTML;
	var author = this.querySelector("#author").innerHTML;
	var time = this.querySelector("#time").innerHTML;
	var read = this.querySelector("#read").innerHTML;
	var cover = this.querySelector(".zczx-num-img") ? this.querySelector(".zczx-num-img").getAttribute("src") : '';
	var type = 1;
  handleIntegral('009')
	open_detail(detailId, title, author, time, read, cover, type);
});
//打开资讯详情
function open_detail(detailId, title, author, time, read, cover, type) {
	//若详情页尚未预加载完成，则延时等待再执行
	if(!webview_detail) {
		setTimeout(function() {
			open_detail(detailId);
		}, 100);
	}
	//触发子窗口变更新闻详情  触发自定义事件
	mui.fire(webview_detail, 'get_detail', {
		detailId: detailId,
		title: title,
		author: author,
		time: time,
		read: read,
		cover: cover,
		type: type
	});
	setTimeout(function() {
		webview_detail.show("slide-in-right", 300);
	}, 150);
}
//点击搜索
document.getElementById('goSearch').addEventListener('tap', function() {
	var href = 'search.html';
	var id = 'search';
	mui.openWindow({
		url: href,
		id: id,
		styles: {
			top: 0,
			bottom: 0
		},
		extras: {
			type: 1
		}
	});
});

//供父页面调用的方法
function chooseclick() {
	selectShadow.className = "animation";
	sectList.style.display = "block";
}
mui('#selectShadow').on('tap', 'li', function() {
	var text = this.innerText;
	console.log(text);
	//choose.innerHTML = text;
	parent.evalJS("initchoose('"+text+"')");
	if(text == "全国") {
		last = '';
		pageNo = 1;
	} else {
		last = text;
		pageNo = 1;
	}
	news.policyList = [];
	document.getElementById("loading").style.display="block";
	pullupRefresh()
});
