mui.back = function() {
	if(document.getElementById("pop-box").style.display!="none"){
		closepop();
		return;
	}
	var btnArray = ['是', '否'];
	mui.confirm('是否退出应用', '新农直报', btnArray, function(e) {
		if (e.index == 0) {
			plus.runtime.quit();
		}
	})
};
var province = '';
var city = '';
var district = '';
var first = '';
var second = '';
var third = '';
var sheng = '';
var shi = '';
var xian = '';
var self;
mui.plusReady(function() {
	mui.init();
	self = plus.webview.currentWebview();
	var aniShow = "pop-in";
	var ajaxLoadCount = 0;
	if (mui.os.android) {
		if (parseFloat(mui.os.version) < 4.4) {
			aniShow = "slide-in-right";
		}
	}
	function closeSplash() {
		var count = 5;
		ajaxLoadCount++;
		if (count === ajaxLoadCount && plus.storage.getItem("lauchFlag_26")) {
			plus.navigator.closeSplashscreen();
		}
	}

	$('#sub_index').trigger("click");
	var num;
	//var token, isFarm, first, second, third;
	var time, myDate, currentYear, lastYear, currentMonth, currentDay;
	var obj = new Object();
	ajax(xnzbUrl + '/api-account/getCurrentTime', {
		data: {},
		dataType: 'json',
		type: 'GET',
		timeout: 10000,
		success: function (data) {
			closeSplash()
			console.log(JSON.stringify(data));
			if (data.code == 0) {
				time = data.data.time;
				myDate = new Date(time); //获取系统当前时间
				currentYear = myDate.getFullYear(); //获取完整的年份
				lastYear = myDate.getFullYear() - 1; //获取去年的年份
				currentMonth = myDate.getMonth() + 1; //获取当前月份
				currentDay = myDate.getDate(); //获取当前日(1-31)
			}
		},
		error: function (xhr, type, errorThrown) {
			closeSplash()
			mui.toast("网络繁忙，请稍后重试！");
		}
	});

	token = plus.storage.getItem('token') != null ? plus.storage.getItem('token') : '';

	//监听自定义事件，弹出登录框
	document.addEventListener('noLogin', function (event) {
		var islogin = event.detail.islogin;
		if (islogin == 0) {
			login();
		} else {
			closeLogin();
		}
	});
	document.addEventListener('refreshtoken', function (event) {
		token = plus.storage.getItem('token') != null ? plus.storage.getItem('token') : '';
	});
	getinfo();

	function getinfo() {
		if (token) {
			ajax(xnzbUrl + '/api-report/report/myFarm.json', {
				data: {
					token: token
				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000,
				success: function (data) {
					var is_auth = data.data.is_auth;
					plus.storage.setItem('is_auth', is_auth);
					//add by tianchao 提示去认证
					if(!data.data.idNumber){
						//showloginsuccess();
					}
					//end
				},
				error: function (xhr, type, errorThrown) {
					//异常处理；
					mui.toast("网络繁忙，请稍后重试！");
				}
			});
		}
	}

	// ios判断是否显示金融模块信息
	if (mui.os.ios) {
		ajax(xnzbUrl + '/api-account/commonConfig/getConfigInfo', {
			dataType: 'json',
			data: {
				v: iosVersion
			},
			type: 'get',
			timeout: 10000,
			success: function (data) {
				console.log(JSON.stringify(data));
				var isShow = data.data.isShow;
				if (isShow == 'false') {
					document.querySelector('.xnzb-nydk').style.display = 'none';
					document.querySelector('.xnzb-nybx').style.display = 'none';
					document.getElementById('WYDK').style.display = 'none';
					document.getElementById('WYBX').style.display = 'none';
				} else {
					document.querySelector('.xnzb-nydk').style.display = 'block';
					document.querySelector('.xnzb-nybx').style.display = 'block';
					document.getElementById('WYDK').style.display = 'block';
					document.getElementById('WYBX').style.display = 'block';
				}
			}
		});
	}
	if (token) {
		//未读消息数量
		// ajax(xnzbUrl + '/api-message/message/unreadAmount', {
		// 	data: {
		// 		token: token
		// 	},
		// 	dataType: 'json',
		// 	type: 'get',
		// 	timeout: 10000,
		// 	success: function (data) {
		// 		console.log(JSON.stringify(data));
		// 		if (!data.code) {
		// 			var amount = data.data.amount;
		// 			if (amount == 0) {
		// 				var msz = document.getElementById('mnews');
		// 				msz.style.display = 'none';
		// 			} else {
		// 				var msz = document.getElementById('mnews');
		// 				msz.style.display = 'block';
		// 				msz.innerHTML = amount;
		// 			}
		// 		}
		// 	},
		// 	error: function (xhr, type, errorThrown) {
		// 	}
		// });
		loadunread();
	}

	//监听未读消息数量刷新自定义事件
	document.addEventListener('JFreload', function (event) {
		var JFreload = event.detail.JFreload;
		if (JFreload == 1) {
			loadunread();
		}
	});
	//加载未读消息数量
	function loadunread() {
		ajax(xnzbUrl + '/api-message/message/unAmount', {
			data: {
				token: token
			},
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			success: function (data) {
				console.log(JSON.stringify(data));
				if (!data.code) {
					var amount = data.data.amount;
					if (amount == 0) {
						var msz = document.getElementById('mnews');
						msz.style.display = 'none';

						$("#goMessage").data("loan",0);
						$("#goMessage").data("innum",0);
						$("#goMessage").data("service",0);
						$("#goMessage").data("advice",0);
					} else {
						var msz = document.getElementById('mnews');
						msz.style.display = 'block';
						msz.innerHTML = amount;
						//设置其他类型消息数
						$("#goMessage").data("loan",data.data.loan);
						$("#goMessage").data("innum",data.data.in);
						$("#goMessage").data("service",data.data.service);
						$("#goMessage").data("advice",data.data.advice);
					}
				}
			},
			error: function (xhr, type, errorThrown) {
			}
		});
	}
	/**
	 * 分享模块
	 */
	updateSerivces();
	document.querySelector('#xnzbShare').addEventListener('tap', function () {
		shareHref();
		sendmarklog("标题","分享");
	});
	//我的消息
	muiid('goMessage').addEventListener('tap', function () {
		if (isLogin()) {
			var loan= $("#goMessage").data("loan");
			var innum= $("#goMessage").data("innum");
			var service= $("#goMessage").data("service");
			var advice= $("#goMessage").data("advice");
			window.showLoadedPage({
				url: 'myNews_new.html',
				id: 'myNews',
				styles: {
					top: 0,
					bottom: 0
				},
				extras: {
					loan:loan,
					innum:innum,
					service:service,
					advice:advice
				},
				delay: 500
			});
		}
		sendmarklog("标题","我的消息");
	});
	//信息直报
	muiid('XXZB').addEventListener('tap', function () {
		xxzbclick();
		sendmarklog("功能区","信息直报");
	});
	//记账本
	muiid('WYJZ').addEventListener('tap', function () {
		var directReportWV = plus.webview.getWebviewById('directReport');
		mui.fire(directReportWV, 'directReportreload', {
			directReportreload: 1
		});
		/*var indexWebviews = plus.webview.getWebviewById("directReport");
		 console.log(indexWebviews);
		 if(indexWebviews) {
		 plus.webview.close(indexWebviews,"none");
		 }*/
		var WYJZ = function () {
			var indexWebviewId = plus.storage.getItem('indexWebviewId');
			var indexWebview = plus.webview.getWebviewById(indexWebviewId);
			mui.fire(indexWebview, 'jizhang', {
				click_WYJZ: 1
			});
		}
		isCreatSubject(WYJZ);
		sendmarklog("功能区","记账本");
	});
	// 我要培训
	muiid('WYPX').addEventListener('tap', function () {
		token = plus.storage.getItem('token') != null ? plus.storage.getItem('token') : '';
		console.log(token);
		/*if(token == null || token == '' || token == undefined) {
		 console.log(22)
		 login();

		 } */
		if (token == null || token == '' || token == undefined) {
			var sub_index = plus.webview.getWebviewById('sub_index');
			mui.fire(sub_index, 'noLogin', {
				islogin: 0
			});
		} else {
			window.showLoadedPage({
				url: 'myTrain.html',
				id: 'myTrain',
				styles: {
					top: 0,
					bottom: 0
				},
				delay: 500
			})
		}
		sendmarklog("功能区","我要培训");
	});
	// 补贴政策
	muiid('BTZC').addEventListener('tap', function () {
		token = plus.storage.getItem('token') != null ? plus.storage.getItem('token') : '';
		if (token == null || token == '' || token == undefined) {
			var sub_index = plus.webview.getWebviewById('sub_index');
			mui.fire(sub_index, 'noLogin', {
				islogin: 0
			});
		} else {
			ajax(xnzbUrl + '/api-report/form/queryByCategory.json', {
				data: {
					token: token,
					year: lastYear,
					category: 2
				},
				dataType: 'json',
				type: 'get',
				timeout: 10000,
				success: function (data) {
					if (data.data.isFormData == 0) {
						obj.particularYear = lastYear;
						obj.currentMonth = currentMonth;
						obj.currentDay = currentDay;
						obj.num = 1;
						window.showLoadedPage({
							url: 'zfSubsidy.html',
							id: 'zfSubsidy',
							styles: {
								top: 0,
								bottom: 0
							},
							extras: {
								province: sheng,
								city: shi,
								district: xian,
								pro: first,
								cit: second,
								dis: third,
								time: obj
							},
							delay: 500
						});
					} else {
						obj.particularYear = currentYear;
						obj.currentMonth = currentMonth;
						obj.currentDay = currentDay;
						obj.num = 2;
						window.showLoadedPage({
							url: 'zfSubsidy.html',
							id: 'zfSubsidy',
							styles: {
								top: 0,
								bottom: 0
							},
							extras: {
								province: sheng,
								city: shi,
								district: xian,
								pro: first,
								cit: second,
								dis: third,
								time: obj
							},
							delay: 500
						});
					}
				},
				error: function (xhr, type, errorThrown) {
					//					mui.toast("网络繁忙，请稍后重试！");
				}
			});
		}
		sendmarklog("功能区","我的补贴");
	});
	// 我要贷款
	muiid('WYDK').addEventListener('tap', function () {
		window.showLoadedPage({
			url: '../support/pages/loan/index.html',
			id: 'loanindex',
			styles: {
				top: 0,
				bottom: 0
			},
			delay: 500
		});
		sendmarklog("功能区","我要贷款");
	});
	// 我要保险
	muiid('WYBX').addEventListener('tap', function () {
		window.showLoadedPage({
			url: '../support/pages/insurance/index.html',
			id: 'insuranceindex',
			styles: {
				top: 0,
				bottom: 0
			},
			delay: 500
		});
		sendmarklog("功能区","我要保险");
	});
	//我要服务
	muiid('WYFW').addEventListener('tap', function () {
		window.showLoadedPage({
			url: '../support/pages/service/index.html',
			id: 'serviceindex',
			styles: {
				top: 0,
				bottom: 0
			},
			delay: 500
		});
		sendmarklog("功能区","我要服务");
	});
	//我要买卖
	muiid('DZJY').addEventListener('tap', function () {
		mui.openWindow({
			url: '../support/pages/business/index.html',
			id: 'businessindex',
			styles: {
				top: 0,
				bottom: 0
			}
		});
		sendmarklog("功能区","我要买卖");
	});

	function xxzbclick() {
		var directReportLook = function () {
			console.log(JSON.stringify({
				token: token,
				year: lastYear,
				category: 2
			}));
			ajax(xnzbUrl + '/api-report/form/queryByCategory.json', {
				data: {
					token: token,
					year: lastYear,
					category: 2
				},
				dataType: 'json',
				type: 'get',
				timeout: 10000,
				success: function (data) {
					if (data.data.isFormData == 0) {
						obj.particularYear = lastYear;
						obj.currentMonth = currentMonth;
						obj.currentDay = currentDay;
						obj.num = 1;
						window.showLoadedPage({
							url: '/src/directReport/directReportLook.html',
							id: 'directReportLook',
							styles: {
								top: 0,
								bottom: 0
							},
							extras: {
								time: obj
							},
							delay: 500
						});
					} else {
						obj.particularYear = currentYear;
						obj.currentMonth = currentMonth;
						obj.currentDay = currentDay;
						obj.num = 2;
						window.showLoadedPage({
							url: '/src/directReport/directReportLook.html',
							id: 'directReportLook',
							styles: {
								top: 0,
								bottom: 0
							},
							extras: {
								time: obj
							},
							delay: 500
						});
					}
				},
				error: function (xhr, type, errorThrown) {
					console.log(JSON.stringify(xhr));
					mui.toast("网络繁忙，请稍后重试！");
				}
			});
		}
		isCreatSubject(directReportLook);
	}
	//点击more跳转到补贴列表
	/*muiid('xnzb-nybt-more').addEventListener('tap', function(){
	 mui.openWindow({
	 url: 'subsityList.html',
	 id: 'subsityList',
	 styles: {
	 top: 0,
	 bottom: 0
	 }
	 });
	 });*/
	//点击more跳转到农业贷款
	muiid('xnzb-nydk-more').addEventListener('tap', function () {
		window.showLoadedPage({
			url: '../support/pages/loan/index.html',
			id: 'loanindex',
			styles: {
				top: 0,
				bottom: 0
			},
			delay: 500
		});
		sendmarklog("农业贷款","农业贷款-更多");
	});
	//点击more跳转到农业保险
	muiid('xnzb-nybx-more').addEventListener('tap', function () {
		window.showLoadedPage({
			url: '../support/pages/insurance/index.html',
			id: 'insuranceindex',
			styles: {
				top: 0,
				bottom: 0
			},
			delay: 500
		});
		sendmarklog("农业保险","农业保险-更多");
	});
	//预加载政策资讯详情页
	webview_detail = mui.preload({
		url: 'policyDetail.html',
		id: 'policyDetail',
		styles: {
			"render": "always", //窗口渲染模式
			"popGesture": "hide",
			"bounce": "vertical" //窗口遇到边框是否有反弹效果 vertical表示垂直方向反弹
		}
	});
	//检查本版更新
	//checkAppVersion();
	//banner跳转
	function bannerclick() {
		mui('#bannerIndex').on('tap', '.mui-slider-item', function () {
			var zhannei = this.querySelector("#zhannei");
			var zhanwai = this.querySelector("#zhanwai");
			if (zhannei == null && zhanwai == null) {
				return false;
			}
			if (zhannei == null) {
				var bannerUrl = this.querySelector("#bannerUrl").value;
				plus.runtime.openURL(bannerUrl);
			} else {
				var detailId = this.querySelector("#bannerId").value;
				var type = this.querySelector("#bannerType").value;
				;
				var title = this.querySelector("#bannerTitle").value;
				var author = this.querySelector("#bannerSource").value;
				var time = this.querySelector("#bannerTime").value;
				var read = this.querySelector("#bannerRead").value;
				var cover = this.querySelector("#bannerImg").value;
				open_detail(detailId, title, author, time, read, cover, type);
				sendmarklog("banner","bannerid："+detailId);
			}
		});
	}

	//点击more跳转到政策资讯
	muiid('xnzb-zczx-more').addEventListener('tap', function () {
		// console.log(JSON.stringify({
		// 	province: sheng,
		// 	city: shi,
		// 	district: xian,
		// 	pro: first,
		// 	cit: second,
		// 	dis: third
		// }))
		window.showLoadedPage({
			url: 'policyList.html',
			id: 'policyList',
			styles: {
				top: 0,
				bottom: 0
			},
			extras: {
				province: sheng,
				city: shi,
				district: xian,
				pro: first,
				cit: second,
				dis: third
			},
			delay: 500
		});
		sendmarklog("政策资讯","政策资讯-更多");
	});


	/*
	 * 首页banner
	 * */
	var banner = new Vue({
		el: '#bannerIndex',
		data: {
			bannerIndexData: []
		}
	});
	ajax(xnzbUrl + '/api-content/picture/list', {
		data: {
			position: '1'
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function (data) {
			closeSplash()
			if (!data.code) {
				var pics = data.data.pictureList;
				var initNum = 0;
				// for (var i = 0, length = pics.length; i < length; i++) {
				// 	var url = pics[i].pictureUrl;
				// 	(function (index) {
				// 		common.cache.getFile(url, function (loadUrl) {
				// 			initNum++;
				// 			pics[index].pictureUrl = loadUrl
				// 			if (initNum == pics.length) {
				// 				init();
				// 			}
				// 		})
				// 	}(i))
				// }
				init();
				function init() {
					banner.bannerIndexData = pics;
					document.getElementById('firstBanner').setAttribute('src', pics[0].pictureUrl);
					document.getElementById('lastBanner').setAttribute('src', pics[pics.length - 1].pictureUrl);
					for (var i = 0; i < pics.length - 1; i++) {
						var div = document.createElement("div");
						div.className = 'mui-indicator';
						document.getElementById('bannerPointer').appendChild(div);
					}
					$('#lastBanner, #firstBanner').css('visibility', 'visible');
					mui("#slider").slider({
						interval: 4000
					});
					bannerclick();
				}
			}
		},
		error: function (xhr, type, errorThrown) {
			closeSplash()
			mui.toast('网络繁忙，请稍后重试！');
		}
	});

	/*
	 * 首页广告位
	 * */
	var indexAD = new Vue({
		el: '#indexAD',
		data: {
			indexAD: []
		}
	});
	ajax(xnzbUrl + '/api-content/picture/list', {
		data: {
			position: '2'
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function (data) {
			closeSplash()
			if (!data.code) {
				indexAD.indexAD = data.data.pictureList[0];
			}
		},
		error: function (xhr, type, errorThrown) {
			closeSplash()
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
	document.querySelector('#indexAD').addEventListener('tap', function () {
		token = plus.storage.getItem('token');
		if (token) {
			mui.openWindow({
				url: 'adviceAdd.html',
				id: 'adviceAdd',
				styles: {
					top: 0,
					bottom: 0
				}
			});
		}
		else {
			login(3);
		}
		sendmarklog("意见反馈","意见反馈");
	});
	//点击列表，打开详情
	mui('.xnzb-zcjd').on('tap', 'li', function () {
		// var detailId = this.getAttribute('id');
		// var type = 1;
		// var title = this.querySelector("#zxTitle").value;
		// var author = this.querySelector("#zxAuthor").value;
		// var time = this.querySelector("#zxTime").value;
		// var read = this.querySelector("#zxRead").value;
		// var cover = this.querySelector("#zxImage").value;
		// open_detail(detailId, title, author, time, read, cover, type);
		var type=this.dataset.type;
		var code=this.dataset.code;
		gopage(type,code);
		sendmarklog("用户动态","用户动态id："+code);
	});

	/*
	 * 首页补贴模块 根据需求暂时注释掉短期不展示
	 * */
	/*var butieIndex = new Vue({
	 el: '#butieIndex',
	 data: {
	 butieIndexData: []
	 }
	 });
	 ajax(xnzbUrl + '/api-content/news/page', {
	 data:{
	 pageNo: 1,
	 pageSize: 2,
	 keyword: '',
	 type: 4
	 },
	 dataType:'json',
	 type:'get',
	 timeout:10000,
	 success:function(data){
	 butieIndex.butieIndexData = data.data.newsList;
	 },
	 error:function(xhr,type,errorThrown){
	 mui.toast('网络繁忙，请稍后重试！');
	 }
	 });*/
	//点击列表，打开详情
	mui('#butieIndex').on('tap', 'a', function () {
		var detailId = this.getAttribute('id');
		var type = 4;
		var title = this.querySelector("#btTitle").value;
		var author = this.querySelector("#btAuthor").value;
		var time = this.querySelector("#btTime").value;
		var read = this.querySelector("#btRead").value;
		var cover = this.querySelector("#butieImg") ? this.querySelector("#butieImg").getAttribute("src") : '';
		open_detail(detailId, title, author, time, read, cover, type);
	});

	/*
	 * 首页贷款模块
	 * */
	var loanIndex = new Vue({
		el: '#loanIndex',
		data: {
			loanIndexData: [],
			loanIndexData1: {},
			loanIndexData2: {},
			loanIndexData3: {}
		}
	});
	ajax(prUrl + '/loan/products/top', {
		data: {
			province: province,
			city: city,
			district: district
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function (data) {
			closeSplash()
			loanIndex.loanIndexData = data;
			loanIndex.loanIndexData1 = data[0];
			loanIndex.loanIndexData2 = data[1];
			loanIndex.loanIndexData3 = data[2];
		},
		error: function (xhr, type, errorThrown) {
			closeSplash()
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
	//跳转贷款详情
	mui('#loanIndex').on('tap', 'a', function () {
		var detailCode = this.getAttribute('id');
		window.showLoadedPage({
			url: '/src/support/pages/loan/detail.html',
			id: 'loandetail',
			styles: {
				top: 0,
				bottom: 0
			},
			extras: {
				code: detailCode
			},
			delay: 500
		});
		sendmarklog("农业贷款","贷款产品code："+detailCode);
	});
	/*
	 * 首页保险模块
	 * */
	var insuranceIndex = new Vue({
		el: '#insuranceIndex',
		data: {
			insuranceIndexData: []
		}
	});
	ajax(prUrl + '/insurance/products/top', {
		data: {
			province: province,
			city: city,
			district: district
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function (data) {
			closeSplash()
			insuranceIndex.insuranceIndexData = data;
		},
		error: function (xhr, type, errorThrown) {
			closeSplash()
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
	//跳转保险详情
	mui('#insuranceIndex').on('tap', 'a', function () {
		var detailCode = this.getAttribute('id');
		window.showLoadedPage({
			url: '/src/support/pages/insurance/detail.html',
			id: 'insurancedetail',
			styles: {
				top: 0,
				bottom: 0
			},
			extras: {
				code: detailCode
			},
			delay: 500
		});
		sendmarklog("农业保险","保险产品code："+detailCode);
	});
	//点击首页下方资讯列表，打开详情
	mui('.xnzb-zczx-cont').on('tap', 'a', function () {
		this.querySelector("#read").innerHTML++;
		var detailId = this.getAttribute('id');
		var type = 1;
		var title = this.querySelector(".zczx-title").innerHTML;
		var author = this.querySelector("#author").innerHTML;
		var time = this.querySelector("#time").innerHTML;
		var read = this.querySelector("#read").innerHTML;
		var cover = this.querySelector(".zczx-num-img") ? this.querySelector(".zczx-num-img").getAttribute("src") : '';
		open_detail(detailId, title, author, time, read, cover, type);
		sendmarklog("政策资讯","政策资讯id："+detailId);
	});
	//打开资讯详情
	function open_detail(detailId, title, author, time, read, cover, type) {
		//若详情页尚未预加载完成，则延时等待再执行
		if (!webview_detail) {
			setTimeout(function () {
				open_detail(detailId);
			}, 100);
		}
		//触发子窗口变更新闻详情  触发自定义事件
		mui.fire(webview_detail, 'get_detail', {
			detailId: detailId,
			type: type,
			title: title,
			author: author,
			time: time,
			read: read,
			cover: cover
		});
		setTimeout(function () {
			webview_detail.show("slide-in-right", 300);
		}, 150);
	}

	//更新分享服务
	function updateSerivces() {
		plus.share.getServices(function (s) {
			shares = {};
			for (var i in s) {
				var t = s[i];
				shares[t.id] = t;
			}
		}, function (e) {
			mui.toast('获取分享服务列表失败');
		});
	}

	/**
	 * 发送分享消息
	 * @param {JSON} msg
	 * @param {plus.share.ShareService} s
	 */
	function shareMessage(msg, s) {
		s.send(msg, function () {
			mui.toast('分享成功！');
			//加积分接口
			ajax(xnzbUrl + '/api-account/shareAddScore', {
				data: {
					token: token
				},
				dataType: 'json',
				type: 'get',
				timeout: 10000,
				success: function (data) {
				},
				error: function (xhr, type, errorThrown) {
					//				mui.toast('网络繁忙，请稍后重试！');
				}
			});
		}, function (e) {
			mui.toast('分享失败!');
		});
	}

	/**
	 * 分享操作
	 * @param {JSON} sb 分享操作对象s.s为分享通道对象(plus.share.ShareService)
	 * @param {Boolean} bh 是否分享链接
	 */
	function shareAction(sb, bh) {
		if (!sb || !sb.s) {
			mui.toast('无效的分享服务！');
			return;
		}
		if (plus.os.name == "Android") {
			var msg = {
				href: 'http://static.xnzb.org.cn/InvitingFriendsTwos.html',
				thumbs: '_www/static/img/shareLogo.png',
				pictures: '_www/static/img/shareLogo.png',
				title: '新型农业经营主体信息直报系统',
				content: '由农业农村部开发建设并提供信息直报、补贴政策、贷款保险等服务的公益性平台。',
				extra: {
					scene: sb.x
				}
			}
		} else {
			var msg = {
				href: 'http://static.xnzb.org.cn/InvitingFriendsTwos.html',
				thumbs: ['_www/static/img/shareLogo.png'],
				pictures: ['_www/static/img/shareLogo.png'],
				title: '新型农业经营主体信息直报系统',
				content: '由农业农村部开发建设并提供信息直报、补贴政策、贷款保险等服务的公益性平台。',
				extra: {
					scene: sb.x
				}
			}
		}
		// 发送分享
		if (sb.s.authenticated) {
			shareMessage(msg, sb.s); //已授权
		} else {
			sb.s.authorize(function () { //未授权
				shareMessage(msg, sb.s);
			}, function (e) {
				mui.toast('认证授权失败');
			});
		}
	}

	//分享链接
	function shareHref() {
		var shareBts = [];
		// 更新分享列表
		var ss = shares['weixin'];
		ss && ss.nativeClient && (shareBts.push({
			title: '微信朋友圈',
			s: ss,
			x: 'WXSceneTimeline',
			color: '#2DBF77'
		}),
			shareBts.push({
				title: '微信好友',
				s: ss,
				x: 'WXSceneSession',
				color: '#2DBF77'
			}));
		ss = shares['qq'];
		ss && ss.nativeClient && shareBts.push({
			title: 'QQ',
			s: ss,
			color: '#2DBF77'
		});
		// 弹出分享列表
		shareBts.length > 0 ? plus.nativeUI.actionSheet({
			title: '邀请好友',
			cancel: '取消',
			buttons: shareBts
		}, function (e) {
			(e.index > 0) && shareAction(shareBts[e.index - 1], true);
		}) : plus.nativeUI.alert('当前环境无法支持分享链接操作!');
	}

	function shuaxin() {
		location.reload();
	}

	//点击动态跳页逻辑 type 跳页类型。 id 跳页参数
	function gopage(type,id) {
		if(!id){
			return;
		}
		if(type==0){
			//新闻推送，跳转到新闻详情页
			mui.ajax(xnzbUrl + '/api-content/news/get', {
				data: {
					id: id,
					token: token
				},
				type: 'GET',
				dataType: 'json',
				timeout: 10000,
				success: function(data) {
					if(!data.code) {
						var news = data.data.news;
						var policyDetail = plus.webview.getWebviewById("policyDetail");
						if (!policyDetail) {
							//如果没有获取到，则可能是应用退出再打开后，还没来得及预加载新闻详细页面，需要等待一会
							//每间半秒获取一次。最多执行10次就自动停止，获取到了也立即停止
							var i = 0;
							var t = setInterval(function () {
								if (i >= 9) {
									window.clearInterval(t);
								}
								policyDetail = plus.webview.getWebviewById("policyDetail");
								if (!policyDetail) {
									i++;
									return;
								}
								window.clearInterval(t);
								//触发子窗口变更新闻详情  触发自定义事件
								mui.fire(policyDetail, 'get_detail', {
									detailId: id,
									type: news.type,
									title: news.title,
									author: news.source,
									time: news.createTimeStr,
									read: news.accessNum,
									cover: news.image
								});
								setTimeout(function () {
									policyDetail.show("slide-in-right", 300);
								}, 150);

							}, 500);
							return;
						}
						//触发子窗口变更新闻详情  触发自定义事件
						mui.fire(policyDetail, 'get_detail', {
							detailId: id,
							type: news.type,
							title: news.title,
							author: news.source,
							time: news.createTimeStr,
							read: news.accessNum,
							cover: news.image
						});
						setTimeout(function () {
							policyDetail.show("slide-in-right", 300);
						}, 150);
					}
				},
				error: function(xhr, type, errorThrown) {
					//mui.toast('网络繁忙，请稍后重试！');
				}
			});
		}
		else if(type==1){
			//保险信息，跳转到保险详情页
			mui.openWindow({
				url: '../support/pages/insurance/detail.html',
				id: 'insurancedetail',
				extras: {
					code:id
				}
			});
		}
		else if(type==2){
			//贷款信息，跳转到贷款详情页
			// mui.openWindow({
			// 	url: '../support/pages/loan/detail.html',
			// 	id: 'loandetail',
			// 	extras: {
			// 		code:id
			// 	}
			// });
		}
		else if(type==3){
			//服务信息推送，跳转到保险详情页
			mui.openWindow({
				url: '../support/pages/service/detail.html',
				id: 'servicedetail',
				extras: {
					code:id
				}
			});
		}
		else {
		}
	}

	//弹框上的按钮点击
	mui('#pop-box').on('tap', 'button', function () {
		var id=this.dataset.id;
		var type=this.dataset.type;//弹框类型，1:问卷调查、2：直报提醒、3：简讯
		var source=this.dataset.source;//简讯来源，1：站内、2：站外
		var newsid=this.dataset.newsid;//站内新闻id
		var linkurl=this.dataset.linkurl;//站外url
		if(type==1){
			if(linkurl){
				plus.runtime.openURL(linkurl);//打开站外地址
			}
			//将问卷调查弹框设置为 已经填写过
			plus.storage.setItem('pop_iswrite'+id, "1");
		}
		else if(type==2){
			xxzbclick();
		}
		else if(type==3){
			if(source==1){
				gopage(0,newsid);
			}
			else if(source==2){
				if(linkurl){
					plus.runtime.openURL(linkurl);//打开站外地址
				}
			}
		}
		//点击后关闭弹框
		closepop();
	});

	//关闭弹出框
	document.querySelector(".mui-backdrop").addEventListener("tap",function () {
		closepop();
	})
	//关闭弹出框
	document.querySelector(".pop-close").addEventListener("tap",function () {
		closepop();
	});

	//监听滚动事件，实现滚动到底部加载下一页资讯
	if (mui.os.ios) {
		$('.mui-content').scroll(function () {
			var scrollTop = $(this)[0].scrollTop;
			var scrollHeight = $(this)[0].scrollHeight;
			var windowHeight = $(this).height();
			//console.log("scrollTop" + scrollTop + ",scrollHeight" + scrollHeight + ",windowHeight" + windowHeight);
			if (scrollTop + windowHeight == scrollHeight) {
				//滚动到底部了
				if (loadeddata && hasnextpage) {
					//console.log("触发加载下一页");
					$("#bottomloading").show();//显示正在加载
					$(this)[0].scrollTop(scrollTop + 40);//自动滚动到底部显示正在加载
					loadeddata = false;//控制数据正在加载
					pageindex++;//当前页数
					isreload = 1;//控制弹框不显示
					creatsubject();
				}
			}
		});
	}
	else {
		$(window).scroll(function () {
			var scrollTop = $(this).scrollTop();
			var scrollHeight = $(document).height();
			var windowHeight = $(this).height();
			if (scrollTop + windowHeight == scrollHeight) {
				//console.log("滚动到底部了。"+Math.random());
				//滚动到底部了
				if (loadeddata && hasnextpage) {
					//console.log("触发加载下一页");
					$("#bottomloading").show();//显示正在加载
					$(window).scrollTop(scrollTop + 40);//自动滚动到底部显示正在加载
					loadeddata = false;//控制数据正在加载
					pageindex++;//当前页数
					isreload = 1;//控制弹框不显示
					creatsubject();
				}
			}
		});
	}
});
//关闭弹框
function closepop() {
	$("#pop-box").hide();
	$(".mui-backdrop").hide();
	var parent=self.parent();
	if(parent){
		parent.evalJS("popishow()");
	}
}
document.addEventListener('popclose', function(event) {
	closepop();
});