var btns = document.getElementById("btns");
var btn = document.getElementById("btn");
var mark = document.getElementById("mark");
btns.onclick = function() {
	mark.style.display = "none";
};
btn.onclick = function() {
	ajax(xnzbUrl + '/api-content/discovery/follow', {
		data: {
			token: token,
			category: category,
			variety: variety,
			type: 0,
			tradeMarket:tradeMarket
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(data) {
			if(data.data.flag) {
				mui.toast('取消关注成功');
				mark.style.display = "none";
				mui.back();
			}else{
			  mui.toast('取消关注失败');
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
};
mui.init({
	beforeback: function() {
		var subIndexWebview = plus.webview.getWebviewById('service');
		mui.fire(subIndexWebview, 'JFreload', {
			status: 1
		});
	}
	
});
var category, variety,tradeMarket;
var vm = new Vue({
	el: "#muiContent",
	data: {
		connect:[]
	},
	methods: {
		noAttention: function(e) {
			mark.style.display = "block";
		},
		attention: function(e) {
			ajax(xnzbUrl + '/discovery/follow', {
				data: {
					token: token,
					category: category,
					variety: variety,
					type: 1
				},
				dataType: 'json',
				type: 'get',
				timeout: 10000,
				success: function(data) {
					if(data.data.flag) {
						mui.toast('关注成功');
					}
				},
				error: function(xhr, type, errorThrown) {
					mui.toast('网络繁忙，请稍后重试！');
				}
			});
		},
		shows: function(e) {
			if(e.currentTarget.getAttribute('title')) {
			  var mar = e.currentTarget.getAttribute('title');
			 mui.toast(mar)
			  
			}
		}
	}
})
mui.plusReady(function() {
	var viewes = plus.webview.getWebviewById("service");
	category = plus.webview.currentWebview().category;
	if(category == undefined) {
		category = '';
	}
	variety = plus.webview.currentWebview().variety;
	if(variety == undefined) {
		variety = '';
	}
	tradeMarket= plus.webview.currentWebview().tradeMarket;
	if(tradeMarket == undefined) {
		tradeMarket = '';
	}
	console.log(tradeMarket);
	$("#varietys").text(variety);
	ajax(xnzbUrl + '/api-content/discovery/priceList', {
		data: {
			areaName: '',
			pageNo: 1,
			pageSize: 100,
			token: token,
			category: category,
			market:tradeMarket,
			variety: variety

		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(data) {
			console.log(data)
			vm.connect = data.data.page.result;
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
})


