var detail=(function () {

    var entity;
    var canclick=true;
    var sid,nosave;
    function bindEvent() {
        //申请
        document.getElementById("btnsubmit").addEventListener("tap",function () {
            if (!canclick) {
                return;
            }
            changebtn();
            //根据token获取用户权限
            var url = xnzbUrl + "/api-account/getUserByToken?token=" + token;
            mui.ajax(url, {
                data: {},
                dataType: 'json',
                type: 'get',
                timeout: 10000,
                //headers: {"Authorization": "Bearer " + token},
                success: function (d) {
                    //最新返回值：{"code":0,"msg":"","data":{"farmName":null,"city":null,"photo":null,"isHzs":null,"isAuthed":"0","userId":256552,"score":0,"province":"其它",
                    // "contact":"15051581257","district":null,"farmer":null,"addr":null,"idNum":null,"uniqueId":null},"timestamp":1500441862286}
                    if (d.code != 0) {
                        //获取失败
                        mui.toast("获取用户信息失败，请稍后重试");
                        changebtn(1);
                        return;
                    }
                    var user = d.data;//用户对象
                    if (!user.idNum) {
                        //没有创建主体
                        mui.toast("请您先完善经营主体信息！");
                        mui.openWindow({
                            url: '/src/userCenter/createsubjectEasy.html',
                            id: 'createsubjectOne'
                        });
                        changebtn(1);
                        return;
                    }
                    if (user.isAuthed == 0) {
                        //未提交认证，则跳转到提交认证页面
                        // mui.toast("请您先提交主体认证");
                        // mui.openWindow({
                        //     url: '/src/userCenter/mySubject.html',
                        //     id: 'mySubject'
                        // });
                        // changebtn(1);
                        // return;
                    }
                    if (user.isAuthed != 7) {
                        // mui.toast("您的主体信息未通过认证，暂不能申请！");
                        // changebtn(1);
                        // return;
                    }
                    checklastyeardata();
                },
                error: function (xhr, type, errorThrown) {
                    mui.toast("网络繁忙，请稍后重试！");
                    changebtn(1);
                }
            })
        })
    }

    //检查去年直报是否已填写
    function checklastyeardata() {
        var now=new Date();
        var lastyear=now.getFullYear()-1;
        var url = xnzbUrl+"/api-report/form/queryByCategory.json";
        mui.ajax(url, {
            data: {
                'token':token,
                'category':2,
                'year':lastyear
            },
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            //headers: {"Authorization": "Bearer " + token},
            success: function(d) {
                //{"code":0,"msg":"","data":{"isFormData":1},"timestamp":1502874048775}
                if(d.code!=0){
                    //获取失败
                    mui.toast("获取直报信息失败，请稍后重试");
                    changebtn(1);
                    return;
                }
                if(d.data.isFormData!=1){
                    //没有去年的直报数据，则跳转到填写页面
                    mui.alert("您填写的内容将做为补贴/项目重要审核依据，请如实填写！");
                    var obj= {
                        'particularYear': lastyear,
                        'currentMonth': now.getMonth() + 1,
                        'currentDay': now.getDate(),
                        'num': 1
                    };
                    window.showLoadedPage({
                        url: "/src/directReport/directReportLook.html",
                        id: "directReportLook",
                        extras: {
                            time: obj,
                            isfrombt:true,
                            subsidyid:entity.id
                        },
                        delay: 500
                    });
                    changebtn(1);
                    return;
                }
                submit();
            },
            error: function(xhr, type, errorThrown) {
                mui.toast("网络繁忙，请稍后重试！");
                changebtn(1);
            }
        });
    }

    //提交申请
    function submit() {
        var btnArray = ['确定','取消'];
        mui.confirm('确认申请补贴？', '提示', btnArray, function (e) {
            if (e.index == 0) {
                var url = prUrl + "subsidy/application";
                var data = {
                    //token:"eyJhbGciOiJIUzI1NiJ9.eyJqdGkiOiI3OTUyYjkwMWY1MjE0NTM2YjEyOTY3NTJmNjE5YjVlOCIsImlhdCI6MTU1MjU2MTI0Mywic3ViIjoidG9rZW5JbmZvIiwiaXNzIjoiYXV0aENlbnRlciIsInByb3ZpbmNlIjoi5rGf6IuP55yBIiwiY2l0eSI6IuiLj-W3nuW4giIsImRpc3RyaWN0Ijoi6JmO5LiY5Yy6IiwidXNlcklkIjoiOTQ3MDA3In0.ZdP8k_RBy15RwZckSSrWZuhlugkMMIwymCH0-JebE5c"
                    token: token,
                    subsidyid: sid
                };
                mui.ajax(url, {
                    data: data,
                    dataType: 'json',
                    type: 'post',
                    timeout: 10000,
                    contentType: "application/json",
                    //headers: {"Authorization": "Bearer " + token},
                    success: function (data) {
                        changebtn(1);
                        if (data.code != 0) {
                            mui.toast(data.msg);
                            return;
                        }
                        mui.toast("申请成功");
                        mui.openWindow({
                            url: "mysubsidylist.html",
                            id: "mysubsidylist"
                        });
                        setTimeout(function () {
                            plus.webview.currentWebview().close("none");
                        }, 500)
                    },
                    error: function (xhr, type, errorThrown) {
                        mui.toast("网络繁忙，请稍后重试！");
                        changebtn(1);
                    }
                })
            }
            else {
                changebtn(1);
            }
        });
    }

    function changebtn(enable) {
        if(enable){
            canclick=true;
            $("#btnsubmit").removeClass("disable");
        }else {
            canclick=false;
            $("#btnsubmit").addClass("disable");
        }
    }

    //界面数据
    function initdata() {
        var url = prUrl+"subsidy/getById";
        //var url = "http://192.168.199.136:8989/subsidy/getById";
        var data = {
            //token:"eyJhbGciOiJIUzI1NiJ9.eyJqdGkiOiI3OTUyYjkwMWY1MjE0NTM2YjEyOTY3NTJmNjE5YjVlOCIsImlhdCI6MTU1MjU2MTI0Mywic3ViIjoidG9rZW5JbmZvIiwiaXNzIjoiYXV0aENlbnRlciIsInByb3ZpbmNlIjoi5rGf6IuP55yBIiwiY2l0eSI6IuiLj-W3nuW4giIsImRpc3RyaWN0Ijoi6JmO5LiY5Yy6IiwidXNlcklkIjoiOTQ3MDA3In0.ZdP8k_RBy15RwZckSSrWZuhlugkMMIwymCH0-JebE5c"
            id: sid,
            token:token
        };
        mui.ajax(url, {
            data: data,
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            //headers: {"Authorization": "Bearer " + token},
            success: function(data) {
                document.getElementById("js-loadingbg").style.display = 'none';
                if(data.code!=0){
                    mui.toast("数据获取失败！"+data.msg);
                    return;
                }
                entity=data.data.mngSubsidyinfo;
                document.getElementById("s-logo").src=entity.logo;
                document.getElementById("s-title").innerText=entity.subsidyname?entity.subsidyname:'';
                // document.getElementById("s-date").innerText="有效期："+entity.starttime+" - "+entity.endtime;
                document.getElementById("s-contact").innerText="联系电话:"+entity.phone?entity.phone:'';
                document.getElementById("s-linkman").innerHTML="联&ensp;系&ensp;人:"+entity.contacts?entity.contacts:'';
                document.getElementById("s-date").innerText=entity.subsidytypestr?entity.subsidytypestr:'';
                document.getElementById("s-content").innerHTML=entity.subsidycontent?entity.subsidycontent:'';

                if(nosave){
                    //从我的页面进来的，不需要有申请按钮
                    $("#btnsubmit").hide();
                }
                else {
                    //只有在试点城市才可以申请
                    if(data.data.checktryarea){
                        $("#btnsubmit").show();
                    }
                    else {
                        $("#btnsubmit").hide();
                    }
                }
            },
            error: function(xhr, type, errorThrown) {
                document.getElementById("js-loadingbg").style.display = 'none';
                mui.toast("网络繁忙，请稍后重试！");
            }
        })

    }

    document.addEventListener("closepage",function (event) {
        plus.webview.currentWebview().close("none");
    })

    function init() {
        var currentWebview = plus.webview.currentWebview();
        // entity=currentWebview.entity;
        sid=currentWebview.sid;
        nosave=currentWebview.nosave;
        initdata();
        bindEvent();
    }
    return{
        init:init
    }
})();
mui.plusReady(function() {
    detail.init();
});

