var mysubsidylist=(function () {

    var app=new Vue({
        el:"#datalist",
        data:{
            list:[]
        }
    });
    /**
     * 加载数据
     */
    function loaddata() {
        var url = prUrl+"subsidy/applicationlist";
        var data = {
            //token:"eyJhbGciOiJIUzI1NiJ9.eyJqdGkiOiI3OTUyYjkwMWY1MjE0NTM2YjEyOTY3NTJmNjE5YjVlOCIsImlhdCI6MTU1MjU2MTI0Mywic3ViIjoidG9rZW5JbmZvIiwiaXNzIjoiYXV0aENlbnRlciIsInByb3ZpbmNlIjoi5rGf6IuP55yBIiwiY2l0eSI6IuiLj-W3nuW4giIsImRpc3RyaWN0Ijoi6JmO5LiY5Yy6IiwidXNlcklkIjoiOTQ3MDA3In0.ZdP8k_RBy15RwZckSSrWZuhlugkMMIwymCH0-JebE5c"
            token: token
        };
        mui.ajax(url, {
            data: data,
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            //headers: {"Authorization": "Bearer " + token},
            success: function(data) {
                document.getElementById("js-loadingbg").style.display = 'none';
                if(data.code!=0){
                    mui.toast("数据获取失败！"+data.msg);
                    return;
                }
                app.list=data.data.list;
                if(app.list.length==0) {
                    $("#nodata").show();
                }
                else {
                    $("#nodata").hide();
                }
            },
            error: function(xhr, type, errorThrown) {
                mui.toast("网络繁忙，请稍后重试！");
                document.getElementById("js-loadingbg").style.display = 'none';
            }
        })
    }
    //确认收款
    function confirm(id) {
        var url = prUrl+"subsidy/confirm";
        var data = {
            //token:"eyJhbGciOiJIUzI1NiJ9.eyJqdGkiOiI3OTUyYjkwMWY1MjE0NTM2YjEyOTY3NTJmNjE5YjVlOCIsImlhdCI6MTU1MjU2MTI0Mywic3ViIjoidG9rZW5JbmZvIiwiaXNzIjoiYXV0aENlbnRlciIsInByb3ZpbmNlIjoi5rGf6IuP55yBIiwiY2l0eSI6IuiLj-W3nuW4giIsImRpc3RyaWN0Ijoi6JmO5LiY5Yy6IiwidXNlcklkIjoiOTQ3MDA3In0.ZdP8k_RBy15RwZckSSrWZuhlugkMMIwymCH0-JebE5c"
            token: token,
            id:id
        };
        mui.ajax(url, {
            data: data,
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            //headers: {"Authorization": "Bearer " + token},
            success: function(data) {
                if(data.code!=0){
                    mui.toast(data.msg);
                    return;
                }
                mui.toast("确认成功");
                loaddata();
            },
            error: function(xhr, type, errorThrown) {
                mui.toast("网络繁忙，请稍后重试！");
            }
        })
    }

    function bindEvent() {
        //列表项点击
        mui("#datalist").on('tap','button',function(){
            //获取id
            var tag = this.dataset.tag;
            var sid = this.dataset.sid;
            if(tag==1){
                //进度查询，
                mui.openWindow({
                    url: "mysubsidystep.html",
                    id: "mysubsidystep",
                    extras: {"sid":sid}
                });
            }
            else if(tag==2) {
                //确认收到款
                var btnArray = ['确定','取消'];
                mui.confirm('确认已收到补贴款？', '提示', btnArray, function (e) {
                    if (e.index == 0) {
                        confirm(sid);
                    }
                });
            }
        });
        //
        mui("#datalist").on('tap','.info',function(){
            //获取id
            var sid = this.dataset.sid;
            //传值给详情页面，
            mui.openWindow({
                url: "detail.html",
                id: "subsidy-detail",
                extras: {
                    "sid":sid,
                    "nosave":1
                }
            });
        });
    }

    function init() {
        loaddata();
        bindEvent();
    }
    return{
        init:init
    }
})();
mui.plusReady(function() {
    mysubsidylist.init();
});

