var mysubsidylist=(function () {
  var token;
  var current;
  var app=new Vue({
    el:"#datalist",
    data:{
      actSubsidy:'',
      item:{},
      list:[],
      maxtips:''
    },
    created:function(){
      this.initMaxTips();
    },
    methods: {
      goapplybank:function(item){
        if(item.realStatus==13){
          //项目当前处于 省级退回状态
          $('#wxts').show();
          return;
        }
        applib.openWindow("applybank.html", "applybank", {
          pid: item.projectId,
        })
        // var btnArray = ['取消', '确定'];
        // mui.confirm('请仔细核对银行账户信息，如填写有误，会导致补贴无法到账', '提示', btnArray, function (e) {
        //   if (e.index == 1) {
        //
        //   } else {
        //
        //   }
        // })
      },
      gocoldapply:function(item,isview){
        applib.openWindow("coldapply.html", "coldapply", {
          pid: item.projectId,
          isview: isview ? isview : 0
        });
        if(!isview){
          setTimeout(function () {
            current.close("none");
          },1000)
        }

      },
      goprossFn:function(id){
        mui.openWindow({
          url: "mysubsidystepcangc.html",
          id: "mysubsidystepcangc",
          extras: {"sid":id}
        });
      },
      gostep: function (item, type) {
        this.item = item;
        // 1=重新申请，5=申请验收，21=确认补贴金额
        if (type == 21) {
          mui.prompt('实际补助资金(万元)', '请输入实际补助资金', '', function (e) {
            if(e.index == 1){
                if(e.value){
                  app.actSubsidy = accMul(e.value,10000);
                  app.ajaxstep(item,type)
                }else {
                  mui.toast("请输入实际补助资金");
                  return false
                }
            }
          },'div')
        }else {
          var btnArray = ['取消', '确定'];
          mui.confirm('是否确定操作？', '提示', btnArray, function (e) {
            if (e.index == 1) {
              app.ajaxstep(item,type)
            } else {

            }
          });
        }

      },
      ajaxstep: function(item, type) {
        var url = xnzbUrl+"/account-service/coldproject/insertProjectActSubsidy";
        var data = {
          token: token,
          projectId: item.projectId,
          status: type
        };
        if(type==1 || type==21){
            data.actSubsidy = app.actSubsidy
        }
        mui.ajax(url, {
          data: data,
          dataType: 'json',
          type: 'post',
          timeout: 10000,
          //headers: {"Authorization": "Bearer " + token},
          success: function (data) {
            if (data.code != 0) {
              mui.toast(data.msg || data.message);
              return;
            }
            mui.toast("操作成功");
            loaddata();
          },
          error: function (xhr, type, errorThrown) {
            mui.toast("网络繁忙，请稍后重试！");
          }
        })
      },
      //初始化获取提示信息
      initMaxTips: function () {
        ajax(prUrl + '/train/getProtocolText?keycode=cold_apply_max_tip', {
          type: 'GET',
          data: {},
          datatype: 'json',
          success: function (res) {
            res = JSON.parse(res);
            if (res.code === 1) {
              var data = res.data;
              if (data) {
                app.maxtips = data;
              }
            }
          }
        });
      }
    }
  });
  function divNumber (arg1, arg2) {
    if (!arg1) {
      return ''
    }
    var t1 = 0
    var t2 = 0
    var r1
    var r2
    try { t1 = arg1.toString().split('.')[1].length } catch (e) { }
    try { t2 = arg2.toString().split('.')[1].length } catch (e) { }
    r1 = Number(arg1.toString().replace('.', ''))
    r2 = Number(arg2.toString().replace('.', ''))
    return (r1 / r2) * Math.pow(10, t2 - t1)
  }
  function accMul(arg1,arg2){
    var m=0,s1=arg1.toString(),s2=arg2.toString();
    try{m+=s1.split(".")[1].length}catch(e){}
    try{m+=s2.split(".")[1].length}catch(e){}
    return Number(s1.replace(".",""))*Number(s2.replace(".",""))/Math.pow(10,m)
  }
  /**
   * 加载数据
   */
  function loaddata() {
    var url = xnzbUrl+"/account-service/coldproject/getProjectStatus";
    var data = {
      token: token
    };
    mui.ajax(url, {
      data: data,
      dataType: 'json',
      type: 'get',
      timeout: 10000,
      //headers: {"Authorization": "Bearer " + token},
      success: function(data) {
        document.getElementById("js-loadingbg").style.display = 'none';
        if(data.code!=0){
          mui.toast("数据获取失败！"+data.message);
          return;
        }
        var itemarry = [];
        if(data.data.length>0) {
          for (var i = 0; i < data.data.length; i++) {
            //由于后端给的数据问题，才有此判断，筛选过滤掉重复的数据
            var item=data.data[i];
            var isExist=false;
            for(var j=0;j<itemarry.length;j++){
              if(item.projectId==itemarry[j].projectId){
                isExist=true;
                break;
              }
            }
            if(isExist){
              continue;
            }
            if (item.buildInvest > 0) {
              item.buildInvest = divNumber(item.buildInvest, 10000);
            }
            if (item.buildSubsidy > 0) {
              item.buildSubsidy = divNumber(item.buildSubsidy, 10000);
            }
            if (item.actSubsidy > 0) {
              item.actSubsidy = divNumber(item.actSubsidy, 10000);
            }
            if (item.applySubsidy > 0) {
              item.applySubsidy = divNumber(item.applySubsidy, 10000);
            }
            if (item.checkSubsidy > 0) {
              item.checkSubsidy = divNumber(item.checkSubsidy, 10000);
            }
            itemarry.push(item);
          }
        }
        app.list=itemarry;
        if(app.list.length==0) {
          $("#nodata").show();
        }
        else {
          $("#nodata").hide();
        }
      },
      error: function(xhr, type, errorThrown) {
        mui.toast("网络繁忙，请稍后重试！");
        document.getElementById("js-loadingbg").style.display = 'none';
      }
    })
  }
  function bindEvent() {
  }

  function init() {
    current = plus.webview.currentWebview();
    token = plus.storage.getItem('token')
    loaddata();
    bindEvent();
    //监听自定义事件，选择品种后触发
    document.addEventListener('updateList', function(event) {
      loaddata();
    });
  }
  return{
    init:init
  }
})();
mui.plusReady(function() {
mysubsidylist.init();
});

