window.AgriculturePlatform = {};
(function($, a) {
	$.extend(true, a, {
		init: function() {
			this.initConfig();
			this.setImmersedStatusbar();
			var deceleration = mui.os.ios ? 0.003 : 0.0009;
			mui('.mui-scroll-wrapper').scroll({
				indicators: true, //是否显示滚动条
				deceleration: deceleration
			});
		},
		initConfig: function() {
//			this.currentWebview = plus.webview.currentWebview();
//			this.APIServer='http://oa.bedrock.com.cn:8000/SHLibraryAPPAPI/api/';
//			this.HomeBanner=this.APIServer+'Home/GetFlashImg';
//			this.HomeNews=this.APIServer+'Home/GetNewTitle';
//			this.GetNewsdetail=this.APIServer+'News/GetNewAll?id=';
//			this.GetNewsAll=this.APIServer+'News/GetNewAll';
//			this.GetNewsBanner=this.APIServer+'News/GetNewsBanner';
//			this.GetHomeLocalMovie=this.APIServer+'Home/GetLocalMovie';
//			this.GetHomeSpaceMovie=this.APIServer+'Home/GetMovieIndex';
//			this.GetLocalVideodetail=this.APIServer+'MovieList/GetMovieLound?id=';
//			this.GetLocalVideodetailMore=this.APIServer+'MovieList/GetMovieMost?Cid=';
//			this.GetLocalVideoMore=this.APIServer+'MovieList/GetLocalMost?Cid=';
//			this.GetTabLocalVideo=this.APIServer+'MovieList/GetLocalMovie';
//			this.GetVideoSpaceSpecial=this.APIServer+'Video/GetVideoSeminar';
//			this.GetVideoSpaceOpera=this.APIServer+'Video/GetVideoDrama';
//			this.GetVideoSpaceTheatre=this.APIServer+'Video/GetVideoFilm';
//			this.GetVideoSpacedetail=this.APIServer+'Video/GetMovieVideo?id=';
//			this.GetVideoSpacedetailMore=this.APIServer+'Video/GetVideoMost?parentId=';
//			this.GetSpecial=this.APIServer+'Subject/GetSubject';
//			this.GetSpecialListTop=this.APIServer+'Subject/GetSubjectListtop?id=';
//			this.GetSpecialList=this.APIServer+'Subject/GetSubjectListbutton?id=';
//			this.GetSpecialdetail=this.APIServer+'Subject/GetSubjectVideo?';
		},
		getwebviewheight: function() {
			if(!plus.navigator.isImmersedStatusbar()){
				return plus.screen.resolutionHeight-plus.navigator.getStatusbarHeight();
			}
			else{
				return plus.screen.resolutionHeight;
			}
		},
		setImmersedStatusbar: function() {
			
			var deceleration = mui.os.ios ? 0.003 : 0.0009;
			mui('.mui-scroll-wrapper').scroll({
				indicators: true, //是否显示滚动条
				deceleration: deceleration
			});
			
			if(plus.navigator.isImmersedStatusbar()){// 兼容immersed状态栏模式
				var old_back = mui.back;
				mui.back = function(){
					if(plus.webview.currentWebview().opener().id=='home'){
						a.setStatus_Black();
					}
					else{
						a.setStatus_White();
					}
		    	  	old_back();
				}
		        document.getElementById('header').style.height=document.getElementById('header').offsetHeight+plus.navigator.getStatusbarHeight()+'px';
		        document.getElementById('header').style.paddingTop=plus.navigator.getStatusbarHeight()+'px';
		    }
		},
		
		setScrollHeight: function(scrollHeight) {
			var carditem = document.getElementsByClassName("mui-scroll-wrapper");
			var carditem = document.getElementsByClassName("mui-scroll-wrapper")
			var carditemheight = (SHLibrary.getwebviewheight() - 44 - scrollHeight - 20) + 'px';
			for(var i = 0; i < carditem.length; i++) {
				carditem[i].style.height = carditemheight;
				carditem[i].children[0].style.minHeight=carditemheight;
				carditem[i].children[0].style.paddingBottom='41px';
			}
			return carditemheight;
		},
		setStatus_White: function() {
			plus.navigator.setStatusBarStyle('UIStatusBarStyleBlackOpaque');
		},
		setStatus_Black: function() {
			plus.navigator.setStatusBarStyle('UIStatusBarStyleDefault');
		},
		toast: function(msg) {
			plus.nativeUI.toast(msg, {
				verticalAlign: 'center'
			});
		},
		openWindow: function(url, id, extras) {
			$.openWindow({
				url: url,
				id: id,
				extras: extras,
				show: {
					autoShow: true, //页面loaded事件发生后自动显示，默认为true,
					aniShow: 'slide-in-right',
					duration: 300 //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
				},
				waiting: {
					autoShow: false
				}
			});
		},
		ajax: function(url, successCallback, errorCallback, method, dataParams) {
			var ajaxParams = {
				dataType: 'json', //服务器返回json格式数据
				type: method, //HTTP请求类型
				contentType: 'application/json; charset=utf-8',
				timeout: 10000, //超时时间设置为10秒；
				success: function(data) {
					//服务器返回响应，根据响应结果，分析是否获取成功；
					successCallback(data);
				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
					errorCallback(xhr, type, errorThrown);
				}
			};
			if (dataParams) {
				ajaxParams.data = dataParams;
			}
			$.ajax(url, ajaxParams);
		},
		get: function(url, successCallback, errorCallback, dataParams) {
			this.ajax(url, successCallback, errorCallback, 'GET', dataParams);
		},
		post: function(url, successCallback, errorCallback, dataParams) {
			this.ajax(url, successCallback, errorCallback, 'POST', dataParams);
		},
		showPage: function(tag) {
			tag.classList.remove('page-hidden');
		},
		hidePage: function(tag) {
			tag.classList.add('page-hidden');
		},
		setPullToRefresh: function(ws, callback) {
			ws.setPullToRefresh({
				support: true,
				height: "50px",
				range: "200px",
				contentdown: {
					caption: "下拉可以刷新"
				},
				contentover: {
					caption: "释放立即刷新"
				},
				contentrefresh: {
					caption: "正在刷新..."
				}
			}, function() {
				callback();
			});
		},
		updateMyinfo: function() {
			var myWV = plus.webview.getWebviewById('pages/my/main.html');
			$.fire(myWV, 'checkpage', {});
		},
		updateRoomList: function() {
			var myWV = plus.webview.getWebviewById('pages/findroom/main.html');
			$.fire(myWV, 'reload', {});
		},
		updateActivity: function() {
			var wv = plus.webview.getWebviewById('neighbour_content');
			if (wv) {
				wv.evalJS('Neighbour.reloadActivitiesData();');
			}
		},
		getsurplusDay: function(depdate) {
			if (depdate == '') {
				return '已到期';
			}
			var depDate = new Date(depdate);
			var nowDate = new Date();
			if (depDate <= nowDate) {
				return '已到期';
			}
			var surplusDay = parseInt((depDate.getTime() - nowDate.getTime()) / 1000 / 60 / 60 / 24) + '天';
			return surplusDay;
		},
		updateHomePage: function() {
			var roomcardWV = plus.webview.getWebviewById('pages/roomcard/main.html');
			if (roomcardWV) {
				mui.fire(roomcardWV, 'checkpage', {});
			}
		},
		updateFindRoom: function() {
			var wv = plus.webview.getWebviewById('pages/findroom/main.html');
			if (wv) {
				mui.fire(wv, 'reload', {});
			}
		},
		updateFavoriteList: function() {
			var wv = plus.webview.getWebviewById('favorite_content');
			if (wv) {
				mui.fire(wv, 'reload', {});
			}
		},
		updateFilterRoom: function() {
			var wv = plus.webview.getWebviewById('filteroom_content');
			if (wv) {
				mui.fire(wv, 'reload', {});
			}
		},
		updateUserInfoPage: function() {
			var wv = plus.webview.getWebviewById('userinfo_content');
			if (wv) {
				mui.fire(wv, 'reload', {});
			}
		},
		getCurrentDateStr: function() {
			var currentDate = new Date();
			var hours = '';
			var min = '';
			if (currentDate.getHours() < 10) {
				hours = '0' + currentDate.getHours().toString();
			} else {
				hours = currentDate.getHours().toString();
			}
			if (currentDate.getMinutes() < 10) {
				min = '0' + currentDate.getMinutes().toString();
			} else {
				min = currentDate.getMinutes().toString();
			}
			var dateStr = hours + ":" + min;
			return dateStr;
		},
		getQueryString: function(str,name) {
			var reg = new RegExp('(^|&)' + name + '=([^&]*)(&|$)', 'i');
			var r = str.match(reg);
			if (r != null) {
				return unescape(r[2]);
			}
			return null;
		}
	});
})(mui, AgriculturePlatform);