var applib = applib || {};

//通用值

(function(E) {

  //E.REQUEST_DOMAIN = "http://47.97.24.115:8989/";//金融APP接口测试环境（IP）
  //E.REQUEST_DOMAIN_SY = "http://47.97.24.115:8980/";//社员网接口（测试环境）

  E.REQUEST_DOMAIN_SY = "http://api.xnzb.org.cn/";//社员网接口（正式环境）
  E.REQUEST_DOMAIN = "http://api.xnzb.org.cn/finance-api/";//金融APP接口正式环境
  E.APIKEY = "7be6c79964b6fda74777abf98df706fc";//接口加密密钥
}(applib));

//通用方法
(function(E){
  E.setRetinaBorder = function(){
    if (window.devicePixelRatio && devicePixelRatio > 1) {
        var testEle = document.createElement('div');
        testEle.style.border = '.5px solid transparent';
        document.body.appendChild(testEle);
        if (testEle.offsetHeight == 1) {
            document.querySelector('html').classList.add('hairlines');
        }
        document.body.removeChild(testEle);
    }
  };

  //沉浸式样式跳转
  E.immersedApp = function(){
    var immersed = 0;
    window.immersed = 0;
    var ms=(/Html5Plus\/.+\s\(.*(Immersed\/(\d+\.?\d*).*)\)/gi).exec(navigator.userAgent);
    if(ms&&ms.length>=3){
      immersed = Math.ceil(ms[2]);
    }

    if(!immersed){
      return;
    }

    window.immersed = immersed;
    var css = '.ep-hd { padding-top: '+ immersed +'px; } .nd-back,.nd-share,.back-album,.share-album{ margin-top: '+ immersed +'px; } html .fixtopheader{ padding-top: '+ (44 + immersed) +'px;}';
    var head = document.head || document.getElementsByTagName('head')[0];
    var style = document.createElement('style');

    style.type = 'text/css';
    if (style.styleSheet){
      style.styleSheet.cssText = css;
    } else {
      style.appendChild(document.createTextNode(css));
    }
    head.appendChild(style);
  };

  /* 上拉下拉刷新优化ios使用原生滚动条， 兼容android
  *** direction: [both | down | up]
  */
  E.pullRefresh = function( direction, containerId, downCallback, upCallback){
    if( plus.os.name == "iOS" ){
    //if( true ){
      var pulldown,pullup;
      document.querySelector('html').classList.add('ios-app');
      window[containerId] = {};
      if( direction == "both" ){
        pulldown = pulldown_refresh({
          container: containerId,
          callback: downCallback
        });
        pullup = pullup_load({
          container: containerId,
          callback: upCallback
        });
      }else if (direction == "down"){
        pulldown = pulldown_refresh({
          container: containerId,
          callback: downCallback
        });
      }else{
        pullup = pullup_load({
          container: containerId,
          callback: upCallback
        });
      }
      window[containerId].pulldown = pulldown;
      window[containerId].pullup = pullup;
    }else{
      var options = {
        container: containerId
      };
      if( direction == "both" ){
        options.down = {
              callback: downCallback
        };
        options.up = {
            contentrefresh: '正在加载...',
            callback: upCallback
        };
      }else if (direction == "down"){
        options.down = {
              callback: downCallback
        };
      }else{
        options.up = {
            contentrefresh: '正在加载...',
            callback: upCallback
        };
      }

      mui.init({
        pullRefresh: options
      });
    }

  };

  E.pullReshAction = function( containerId, direction, act){
    if( plus.os.name == "iOS" ){
    //if( true ){
      if( direction == "down" ){
        window[containerId].pulldown.endPullDownToRefresh();
      }else if(direction == "up"){
        if( act == "disable"){
          window[containerId].pullup.disablePullupToRefresh();
        }else{
          window[containerId].pullup.endPullupToRefresh();
        }
      }else if(direction == "refresh"){
        window[containerId].pulldown.endPullDownToRefresh();
        window[containerId].pullup.endPullupToRefresh();
        window[containerId].pullup.enablePullupToRefresh();
      }
    }else{
      if( direction == "down" ){
        mui(containerId).pullRefresh().endPulldownToRefresh();
      }else if(direction == "up"){
        if( act == "disable"){
          mui(containerId).pullRefresh().disablePullupToRefresh();
        }else{
          mui(containerId).pullRefresh().endPullupToRefresh(false);
        }
      }else if(direction == "refresh"){
      	mui(containerId).pullRefresh().endPullupToRefresh();
      	mui(containerId).pullRefresh().endPulldownToRefresh();
        mui(containerId).pullRefresh().refresh(true);
      }
    }
  }
  //加载公用模
  /*url 模板html路径
    temContain 加载完成放入某个script容器中，准备后续调用
    callback 回调函数
  */
  E.loadTemp = function( url, tempContainId, callback){
      mui.ajax(url,{
          dataType:'html',
          type:'get',
          timeout:10000,
        //headers:{'Authorization':openid},
          success:function(data){

             document.getElementById(tempContainId).innerHTML = data;
             callback();

          },
          error:function(xhr,type,errorThrown){
              //异常处理；
            //  console.log("error:"+type+"，errorThrown"+errorThrown);
          }
      });
  };

  //隐藏加载动画
  E.hideLoadingBg = function(){
    document.getElementById("js-loadingbg").style.display = 'none';
  };

  E.showLoadingBg = function(){
    document.getElementById("js-loadingbg").style.display = '';
  };

  //打开窗口
  E.openWindow = function(url, id, extras) {
        mui.openWindow({
            url: url,
            id: id,
            extras: extras,
            show: {
                autoShow: true, //页面loaded事件发生后自动显示，默认为true,
                aniShow: 'slide-in-right',
                duration: 200 //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
            },
            waiting: {
                autoShow: false
            }
        });
    };

  //模板filter 多长时间以前
  E.tempTimegoHelper = function(){
    template.helper('timeGo', function (date, format) {
        var result;
        var minute = 1000 * 60;
        var hour = minute * 60;
        var day = hour * 24;
        var month = day * 30;
        var year = day * 365;
        var now = new Date().getTime();
        var diffValue = now - date*1000;//获取毫秒数差
        if (diffValue < 0) {
            //今天以后的日期，一般不存在此情况
            return "--";
        }
        var yearC=diffValue/year;
        var monthC = diffValue / month;
        var weekC = diffValue / (7 * day);
        var dayC = diffValue / day;
        var hourC = diffValue / hour;
        var minC = diffValue / minute;
        if(yearC>=1){
            result = parseInt(yearC) + "年前";
        }else if (monthC >= 1) {
            result = parseInt(monthC) + "个月前";
        }
        else if (weekC >= 1) {
            result = parseInt(weekC) + "周前";
        }
        else if (dayC >= 1) {
            result =  parseInt(dayC) + "天前";
        }
        else if (hourC >= 1) {
            result = parseInt(hourC) + "小时前";
        }
        else if (minC >= 1) {
            result =parseInt(minC) + "分钟前";
        } else {
            result = "刚刚";
        }
        return result;
    });

  };

  //设置状态栏颜色
  E.setStatus_White = function() {
      if( window.immersed !== 0 && plus.os.name == "iOS"){
        plus.navigator.setStatusBarStyle('UIStatusBarStyleBlackOpaque');
      }
    };

  E.setStatus_Black = function() {
      if( window.immersed !== 0 && plus.os.name == "iOS"){
         plus.navigator.setStatusBarStyle('UIStatusBarStyleDefault');
      }
    };

  // 时间格式化
  E.formateTime = function(sdate) {
    var fdate = sdate.split(' ')[0];
    var fhour = sdate.split(' ')[1].split(':')[0];
    var fmin = sdate.split(' ')[1].split(':')[1];
    return fdate + '  ' + fhour + ':' + fmin;
  };

  E.ajax=function (url,settings) {
      var para=settings.data;//获取参数
      var nonce_str=randomString(10);//随机数
      var timestamp=Math.floor(new Date().getTime()/1000);//当前时间戳
      if(para) {
          if(typeof para=="object"){
              if (!para.token) {
                  //没有token的接口需要加安全验证
                  var str = timestamp + nonce_str + E.APIKEY;
                  var sign = MD5.hex_md5(str).toUpperCase();
                  para["timestamp"] = timestamp;
                  para["noncestr"] = nonce_str;
                  para["signature"] = sign;
                  para["ischeck"]=1;
              }
          }
          else if(typeof para=="string"){

          }

      }
      else {
          var str = timestamp + nonce_str + E.APIKEY;
          var sign = MD5.hex_md5(str).toUpperCase();
          settings["data"] = {"noncestr": nonce_str, "timestamp": timestamp, "signature": sign};
      }
      mui.ajax(url, settings);
  };

    function randomString(len) {
        len = len || 32;
        var $chars = 'ABCDEFGHJKMNPQRSTWXYZabcdefhijkmnprstwxyz2345678';    /****默认去掉了容易混淆的字符oOLl,9gq,Vv,Uu,I1****/
        var maxPos = $chars.length;
        var pwd = '';
        for (i = 0; i < len; i++) {
            pwd += $chars.charAt(Math.floor(Math.random() * maxPos));
        }
        return pwd;
    }
}(applib));

applib.setRetinaBorder();
applib.immersedApp();

var MD5=(function () {
    /*
     * A JavaScript implementation of the RSA Data Security, Inc. MD5 Message
     * Digest Algorithm, as defined in RFC 1321.
     * Version 2.1 Copyright (C) Paul Johnston 1999 - 2002.
     * Other contributors: Greg Holt, Andrew Kepert, Ydnar, Lostinet
     * Distributed under the BSD License
     * See http://pajhome.org.uk/crypt/md5 for more info.
     */

    /*
     * Configurable variables. You may need to tweak these to be compatible with
     * the server-side, but the defaults work in most cases.
     */
    var hexcase = 0;  /* hex output format. 0 - lowercase; 1 - uppercase        */
    var b64pad  = ""; /* base-64 pad character. "=" for strict RFC compliance   */
    var chrsz   = 8;  /* bits per input character. 8 - ASCII; 16 - Unicode      */

    /*
     * These are the functions you'll usually want to call
     * They take string arguments and return either hex or base-64 encoded strings
     */
    function hex_md5(s){ return binl2hex(core_md5(str2binl(s), s.length * chrsz));}
    function b64_md5(s){ return binl2b64(core_md5(str2binl(s), s.length * chrsz));}
    function str_md5(s){ return binl2str(core_md5(str2binl(s), s.length * chrsz));}
    function hex_hmac_md5(key, data) { return binl2hex(core_hmac_md5(key, data)); }
    function b64_hmac_md5(key, data) { return binl2b64(core_hmac_md5(key, data)); }
    function str_hmac_md5(key, data) { return binl2str(core_hmac_md5(key, data)); }

    /*
     * Calculate the MD5 of an array of little-endian words, and a bit length
     */
    function core_md5(x, len)
    {
        /* append padding */
        x[len >> 5] |= 0x80 << ((len) % 32);
        x[(((len + 64) >>> 9) << 4) + 14] = len;

        var a =  1732584193;
        var b = -271733879;
        var c = -1732584194;
        var d =  271733878;

        for(var i = 0; i < x.length; i += 16)
        {
            var olda = a;
            var oldb = b;
            var oldc = c;
            var oldd = d;

            a = md5_ff(a, b, c, d, x[i+ 0], 7 , -680876936);
            d = md5_ff(d, a, b, c, x[i+ 1], 12, -389564586);
            c = md5_ff(c, d, a, b, x[i+ 2], 17,  606105819);
            b = md5_ff(b, c, d, a, x[i+ 3], 22, -1044525330);
            a = md5_ff(a, b, c, d, x[i+ 4], 7 , -176418897);
            d = md5_ff(d, a, b, c, x[i+ 5], 12,  1200080426);
            c = md5_ff(c, d, a, b, x[i+ 6], 17, -1473231341);
            b = md5_ff(b, c, d, a, x[i+ 7], 22, -45705983);
            a = md5_ff(a, b, c, d, x[i+ 8], 7 ,  1770035416);
            d = md5_ff(d, a, b, c, x[i+ 9], 12, -1958414417);
            c = md5_ff(c, d, a, b, x[i+10], 17, -42063);
            b = md5_ff(b, c, d, a, x[i+11], 22, -1990404162);
            a = md5_ff(a, b, c, d, x[i+12], 7 ,  1804603682);
            d = md5_ff(d, a, b, c, x[i+13], 12, -40341101);
            c = md5_ff(c, d, a, b, x[i+14], 17, -1502002290);
            b = md5_ff(b, c, d, a, x[i+15], 22,  1236535329);

            a = md5_gg(a, b, c, d, x[i+ 1], 5 , -165796510);
            d = md5_gg(d, a, b, c, x[i+ 6], 9 , -1069501632);
            c = md5_gg(c, d, a, b, x[i+11], 14,  643717713);
            b = md5_gg(b, c, d, a, x[i+ 0], 20, -373897302);
            a = md5_gg(a, b, c, d, x[i+ 5], 5 , -701558691);
            d = md5_gg(d, a, b, c, x[i+10], 9 ,  38016083);
            c = md5_gg(c, d, a, b, x[i+15], 14, -660478335);
            b = md5_gg(b, c, d, a, x[i+ 4], 20, -405537848);
            a = md5_gg(a, b, c, d, x[i+ 9], 5 ,  568446438);
            d = md5_gg(d, a, b, c, x[i+14], 9 , -1019803690);
            c = md5_gg(c, d, a, b, x[i+ 3], 14, -187363961);
            b = md5_gg(b, c, d, a, x[i+ 8], 20,  1163531501);
            a = md5_gg(a, b, c, d, x[i+13], 5 , -1444681467);
            d = md5_gg(d, a, b, c, x[i+ 2], 9 , -51403784);
            c = md5_gg(c, d, a, b, x[i+ 7], 14,  1735328473);
            b = md5_gg(b, c, d, a, x[i+12], 20, -1926607734);

            a = md5_hh(a, b, c, d, x[i+ 5], 4 , -378558);
            d = md5_hh(d, a, b, c, x[i+ 8], 11, -2022574463);
            c = md5_hh(c, d, a, b, x[i+11], 16,  1839030562);
            b = md5_hh(b, c, d, a, x[i+14], 23, -35309556);
            a = md5_hh(a, b, c, d, x[i+ 1], 4 , -1530992060);
            d = md5_hh(d, a, b, c, x[i+ 4], 11,  1272893353);
            c = md5_hh(c, d, a, b, x[i+ 7], 16, -155497632);
            b = md5_hh(b, c, d, a, x[i+10], 23, -1094730640);
            a = md5_hh(a, b, c, d, x[i+13], 4 ,  681279174);
            d = md5_hh(d, a, b, c, x[i+ 0], 11, -358537222);
            c = md5_hh(c, d, a, b, x[i+ 3], 16, -722521979);
            b = md5_hh(b, c, d, a, x[i+ 6], 23,  76029189);
            a = md5_hh(a, b, c, d, x[i+ 9], 4 , -640364487);
            d = md5_hh(d, a, b, c, x[i+12], 11, -421815835);
            c = md5_hh(c, d, a, b, x[i+15], 16,  530742520);
            b = md5_hh(b, c, d, a, x[i+ 2], 23, -995338651);

            a = md5_ii(a, b, c, d, x[i+ 0], 6 , -198630844);
            d = md5_ii(d, a, b, c, x[i+ 7], 10,  1126891415);
            c = md5_ii(c, d, a, b, x[i+14], 15, -1416354905);
            b = md5_ii(b, c, d, a, x[i+ 5], 21, -57434055);
            a = md5_ii(a, b, c, d, x[i+12], 6 ,  1700485571);
            d = md5_ii(d, a, b, c, x[i+ 3], 10, -1894986606);
            c = md5_ii(c, d, a, b, x[i+10], 15, -1051523);
            b = md5_ii(b, c, d, a, x[i+ 1], 21, -2054922799);
            a = md5_ii(a, b, c, d, x[i+ 8], 6 ,  1873313359);
            d = md5_ii(d, a, b, c, x[i+15], 10, -30611744);
            c = md5_ii(c, d, a, b, x[i+ 6], 15, -1560198380);
            b = md5_ii(b, c, d, a, x[i+13], 21,  1309151649);
            a = md5_ii(a, b, c, d, x[i+ 4], 6 , -145523070);
            d = md5_ii(d, a, b, c, x[i+11], 10, -1120210379);
            c = md5_ii(c, d, a, b, x[i+ 2], 15,  718787259);
            b = md5_ii(b, c, d, a, x[i+ 9], 21, -343485551);

            a = safe_add(a, olda);
            b = safe_add(b, oldb);
            c = safe_add(c, oldc);
            d = safe_add(d, oldd);
        }
        return Array(a, b, c, d);

    }

    /*
     * These functions implement the four basic operations the algorithm uses.
     */
    function md5_cmn(q, a, b, x, s, t)
    {
        return safe_add(bit_rol(safe_add(safe_add(a, q), safe_add(x, t)), s),b);
    }
    function md5_ff(a, b, c, d, x, s, t)
    {
        return md5_cmn((b & c) | ((~b) & d), a, b, x, s, t);
    }
    function md5_gg(a, b, c, d, x, s, t)
    {
        return md5_cmn((b & d) | (c & (~d)), a, b, x, s, t);
    }
    function md5_hh(a, b, c, d, x, s, t)
    {
        return md5_cmn(b ^ c ^ d, a, b, x, s, t);
    }
    function md5_ii(a, b, c, d, x, s, t)
    {
        return md5_cmn(c ^ (b | (~d)), a, b, x, s, t);
    }

    /*
     * Calculate the HMAC-MD5, of a key and some data
     */
    function core_hmac_md5(key, data)
    {
        var bkey = str2binl(key);
        if(bkey.length > 16) bkey = core_md5(bkey, key.length * chrsz);

        var ipad = Array(16), opad = Array(16);
        for(var i = 0; i < 16; i++)
        {
            ipad[i] = bkey[i] ^ 0x36363636;
            opad[i] = bkey[i] ^ 0x5C5C5C5C;
        }

        var hash = core_md5(ipad.concat(str2binl(data)), 512 + data.length * chrsz);
        return core_md5(opad.concat(hash), 512 + 128);
    }

    /*
     * Add integers, wrapping at 2^32. This uses 16-bit operations internally
     * to work around bugs in some JS interpreters.
     */
    function safe_add(x, y)
    {
        var lsw = (x & 0xFFFF) + (y & 0xFFFF);
        var msw = (x >> 16) + (y >> 16) + (lsw >> 16);
        return (msw << 16) | (lsw & 0xFFFF);
    }

    /*
     * Bitwise rotate a 32-bit number to the left.
     */
    function bit_rol(num, cnt)
    {
        return (num << cnt) | (num >>> (32 - cnt));
    }

    /*
     * Convert a string to an array of little-endian words
     * If chrsz is ASCII, characters >255 have their hi-byte silently ignored.
     */
    function str2binl(str)
    {
        var bin = Array();
        var mask = (1 << chrsz) - 1;
        for(var i = 0; i < str.length * chrsz; i += chrsz)
            bin[i>>5] |= (str.charCodeAt(i / chrsz) & mask) << (i%32);
        return bin;
    }

    /*
     * Convert an array of little-endian words to a string
     */
    function binl2str(bin)
    {
        var str = "";
        var mask = (1 << chrsz) - 1;
        for(var i = 0; i < bin.length * 32; i += chrsz)
            str += String.fromCharCode((bin[i>>5] >>> (i % 32)) & mask);
        return str;
    }

    /*
     * Convert an array of little-endian words to a hex string.
     */
    function binl2hex(binarray)
    {
        var hex_tab = hexcase ? "0123456789ABCDEF" : "0123456789abcdef";
        var str = "";
        for(var i = 0; i < binarray.length * 4; i++)
        {
            str += hex_tab.charAt((binarray[i>>2] >> ((i%4)*8+4)) & 0xF) +
                hex_tab.charAt((binarray[i>>2] >> ((i%4)*8  )) & 0xF);
        }
        return str;
    }

    /*
     * Convert an array of little-endian words to a base-64 string
     */
    function binl2b64(binarray)
    {
        var tab = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
        var str = "";
        for(var i = 0; i < binarray.length * 4; i += 3)
        {
            var triplet = (((binarray[i   >> 2] >> 8 * ( i   %4)) & 0xFF) << 16)
                | (((binarray[i+1 >> 2] >> 8 * ((i+1)%4)) & 0xFF) << 8 )
                |  ((binarray[i+2 >> 2] >> 8 * ((i+2)%4)) & 0xFF);
            for(var j = 0; j < 4; j++)
            {
                if(i * 8 + j * 6 > binarray.length * 32) str += b64pad;
                else str += tab.charAt((triplet >> 6*(3-j)) & 0x3F);
            }
        }
        return str;
    }

    return{
        hex_md5:hex_md5
    }
})();
