/**
 * Created by tian on 2018/06/15
 */

var addsale = (function () {

    var currentWebview;
	var isok=false;//标志是否需要隐藏加载状态
    var ssdata;//省市级联数据
    var userid;//用户id
    var farmer;//主体法人
    var contact;//主体联系方式
    var canclick=true;
    var sid=0;//要修改数据的主键ID

    function bindEvent() {
		//产品类型选择点击
        document.getElementById("choosetype").addEventListener("tap",function () {
            document.activeElement.blur();
            applib.openWindow("../../../directReport/selectProduceType.html","updateProduceType",{
                inputMode: '经营业务',
                types:'其他,种植,畜禽养殖,水产养殖'
            });
        });

        //价格面议
        document.getElementById("js-agreecheck").addEventListener("tap",function () {
            document.activeElement.blur();
            if($(this).hasClass("agree_tip-checked")){
                $(this).removeClass('agree_tip-checked');
                $("#txtprice").removeAttr("readonly");
            } else {
                $(this).addClass('agree_tip-checked');
                $("#txtprice").val('');
                $("#txtprice").attr("readonly","readonly");
            }
        });

        //日期选择
        document.getElementById("choosedate").addEventListener("tap",function () {
            document.activeElement.blur();
            var now=new Date();
            var dtpicker = new mui.DtPicker({
                type: "date",//设置日历初始视图模式
                beginDate: new Date(now.getFullYear(), now.getMonth(), now.getDate()+3)//设置开始日期
            });
            dtpicker.show(function(items) {
                /* * items.value 拼合后的 value
                 * items.text 拼合后的 text
                 * items.y 年，可以通过 rs.y.vaue 和 rs.y.text 获取值和文本
                 * items.m 月，用法同年
                 * items.d 日，用法同年
                 * items.h 时，用法同年
                 * items.i 分（minutes 的第二个字母），用法同年
                 */
                $("#enddate").text(items.text);
                $("#enddate").data("date",items.value);
            });
        });

        //采购区域选择
        document.getElementById("choosearea").addEventListener("tap",function () {
            document.activeElement.blur();
            if(!ssdata){
                return;
            }
            var picker = new mui.PopPicker({
                layer: 2
            });
            picker.setData(ssdata);
            picker.show(function(selectItems) {
                //mui.toast(selectItems[0].text + " " + selectItems[1].text);
                var pcode=selectItems[0].value;
                var ccode=nulltoempty(selectItems[1].value);
                var areaname= selectItems[0].text+" "+nulltoempty(selectItems[1].text);
                $("#area").text(areaname);
                $("#area").data("pcode",pcode);
                $("#area").data("ccode",ccode);
            })
        });

        //上传图片
        mui(".addMachine_pics").on("tap",".addMachine_file_upload",function () {
            document.activeElement.blur();
            chagePop(this);
        })

        //单位改变
        document.getElementById("txtunit").addEventListener("input",function () {
            var unit=$("#txtunit").val();
            $("#lblunit").text(unit);
        });

        //发布按钮
        document.getElementById("btnsubmit").addEventListener("tap",function () {
            document.activeElement.blur();
            if(!canclick){
                return;
            }
            if(userid<=0){
                mui.toast("获取用户信息失败，请稍后重试");
                return;
            }
            var title=$.trim($("#txttitle").val());
            var typeid=$.trim($("#kindtype").data("tid"));
            var typename=$.trim($("#kindtype").text());
            var price=$.trim($("#txtprice").val());
            var isdiscuss= ($("#js-agreecheck").hasClass("agree_tip-checked"))?1:0;
            var unit=$.trim($("#txtunit").val());
            var enddate= $("#enddate").data("date");
            var pcode= $("#area").data("pcode");
            var ccode= $("#area").data("ccode");
            var number=$.trim($("#txtnum").val());
            // var linkman=$.trim($("#txtlinkman").val());
            // var phone=$.trim($("#txtphone").val());
            var desc=$.trim($("#txtdesc").val());

            if(title==""){
                mui.toast("请输入产品名称");
                return;
            }
            if(typename==""){
                mui.toast("请选择产品类型");
                return;
            }
            if(!typeid){
                typeid=-1;
            }
            if(isdiscuss==1){
                //价格面议
                price=0;
            }
            else {
                if(price==""){
                    mui.toast("请输入产品价格");
                    return;
                }
                if(isNaN(price)||price<=0){
                    mui.toast("产品价格输入不正确");
                    return;
                }
            }

            if(unit==""){
                mui.toast("请输入单位");
                return;
            }
            if(!enddate){
                mui.toast("请选择截至日期");
                return;
            }
            if(!pcode){
                mui.toast("请选择采购区域");
            }
            if(number==""){
                mui.toast("请输入供应量");
                return;
            }
            if(isNaN(number)||number<=0){
                mui.toast("供应量输入不正确");
                return;
            }
            var imglist=[];
            //图片
            $(".addMachine_file_upload").each(function (index,element) {
                var imgurl= $(element).data("src");
                if(imgurl){
                    imglist.push({img:imgurl});
                }
            });
            if(imglist.length==0){
                mui.toast("请至少上传一张产品图片");
                return;
            }
            if(desc==""){
                mui.toast("请输入商品描述");
                return;
            }
            canclick=false;
            var postdata={
                name:title,
                //userId:userid,
                description:desc,
                price:price,
                endtime:enddate,
                province:pcode,
                city:ccode,
                district:"",
                count:number,
                category4Id:typeid,
                category4:typename,
                unit:unit,
                isDiscuss:isdiscuss,
                imglist:imglist
            };
            if(sid>0){
                postdata["id"]=sid;
            }
            var token = plus.storage.getItem("token");
            //console.log(JSON.stringify(postdata));return;
            var url = applib.REQUEST_DOMAIN+"category/addSaleProduct";
            mui.ajax(url, {
                data: postdata,
                dataType: 'json',
                type: 'post',
                headers: {'Content-Type': 'application/json',"token":token,"ischeck":1},
                contentType: "application/json",
                timeout: 10000,
                success: function(data) {
                    canclick=true;
                    if(data.code!=1){
                        mui.toast(data.message);
                        return;
                    }
                    mui.toast("发布成功，请等待审核");
                    if(sid>0){
                        //修改操作
                        currentWebview.close();
                    }
                    else
                    {
                        //新增操作
                        applib.openWindow("myproduct.html", "myproduct", {});
                        setTimeout(function () {
                            currentWebview.close();
                        },500)
                    }

                },
                error: function(xhr, type, errorThrown) {
                    mui.toast("网络繁忙，请稍后重试！");
                    canclick=true;
                }
            });

        });
    }

    //上传图片
    var wt;
    var chagePop = function(element) {
        var bts = [{
            title: "拍照",
            action: 'camera'
        }, {
            title: "从相册选取",
            action: 'gallery'
        }];
        plus.nativeUI.actionSheet({
                cancel: "取消",
                buttons: bts
            },
            function(e) {
                if(e.index > 0) {
                    switch(bts[e.index - 1].action) {
                        case 'camera':
                            getImage(element);
                            break;
                        case 'gallery':
                            galleryImg(element);
                            break;
                        default:
                            break;
                    }
                }
            }
        );
    }

    //点击拍照执行
    function getImage(element) {
        var cmr = plus.camera.getCamera();
        cmr.captureImage(function(p) {
            plus.io.resolveLocalFileSystemURL(p,
                function(entry) {
                    wt = plus.nativeUI.showWaiting('上传中...', {
                        width: '100px'
                    });
                    compressImage(entry.toLocalURL(),element);
                },
                function(e) {
                    wt.close();
                    //plus.nativeUI.alert("读取拍照文件错误：" + e.message);
                });
        }, function(e) {
            //		alert("失败：" + e.message);
            //mui.toast("上传失败");
            wt.close();
        }, {
            filename: "_doc/header/pic_" + new Date().getTime() + ".jpg",
            //拍照默认使用的摄像头
            index: 1,
            maximum: 1
        });
    }

    //选择相册
    function galleryImg(element) {
        plus.gallery.pick(function(e) {
            wt = plus.nativeUI.showWaiting('上传中...', {
                width: '100px'
            });
            compressImage(e, element);
        }, function(e) {
            //mui.toast("上传失败");
            //wt.close();
        }, {
            filter: "image",
            //		filename: "_doc/header/pic_" + new Date().getTime() + ".jpg"
            multiple: false,
            system: false,
            maximum: 1,
            onmaxed: function() {
                plus.nativeUI.alert('每次最多只能选择1张图片');
            }
        });
    }

    /*
     压缩图片
     * */
    function compressImage(path, element) {
        var currentp = "_doc/" + new Date().getTime() + ".jpg";
        plus.zip.compressImage({
            src: path, //search.src, //src在这里是第一步Url里的src。也就是本地路径
            dst: currentp,
            quality: 80,
            overwrite: true,
            width: '950px'
        }, function(i) {
            //getpath(i.target,element);
            upLoad(currentp,element)
        }, function(e) {
            mui.toast("上传失败");
            wt.close();
        });
    }

    //上传图片
    function upLoad(file, element) {
        var server = applib.REQUEST_DOMAIN_SY + 'api-image/v1/uploadFileByH5Plus';
        //var server = 'http://api-dev.xnzb.org.cn/api-image/v1/uploadFileByH5Plus';
        var task = plus.uploader.createUpload(server, {
                method: "POST"
            },
            function(res, status) { //上传完成
                wt.close();
                console.log("res:" + JSON.stringify(res));
                if(!res.responseText) {
                    mui.toast("文件太大上传失败");
                    wt.close();
                    return false;
                }
                if(status == 200) {
                    var str = JSON.parse(res.responseText);
                    var imgpaths = str.data.path;
                    if(imgpaths.charAt(0)!="/"){
                        imgpaths="/"+imgpaths;
                    }
                    $(element).css("background","url("+plus.io.convertLocalFileSystemURL(file)+") no-repeat center center");
                    $(element).css("background-size","52px 52px");
                    $(element).data("src",imgpaths);
                    $(element).next().show();
                    mui.toast("上传成功!");
                } else {
                    mui.toast("上传失败!");
                }
            }
        );
        task.addFile(file, {
            key: 'file'
        });
        task.start();
    }

    //end 上传图片

    /**
     * 加载数据
     */
    function loaddata(sid) {
        var url = applib.REQUEST_DOMAIN+"category/getSaleDetailById";
        var data = {
            id:sid
        };
        applib.ajax(url, {
            data: data,
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            success: function(data) {
                //console.log(JSON.stringify(data));
                applib.hideLoadingBg();
                if(data.code!=1){
                    mui.toast("获取数据失败，请稍后重试!");
                    return;
                }
                var saledata=data.data;
                //回填数据
                $("#txttitle").val(saledata.name);
                $("#kindtype").data("tid",-1);
                $("#kindtype").text(saledata.category4);
                if(saledata.isDiscuss==1){
                    $("#js-agreecheck").addClass('agree_tip-checked');
                    $("#txtprice").val('');
                    $("#txtprice").attr("readonly","readonly");
                }
                else {
                    $("#txtprice").val(saledata.price);
                }
                if(saledata.unit){
                    $("#txtunit").val(saledata.unit);
                    $("#txtunit").attr("readonly","readonly");
                    $("#lblunit").text(saledata.unit);
                }
                //日期处理
                if(saledata.endtime>0) {
                    //如果要编辑的数据截至日期已经超出当前最后允许的截至日期，则设置截至日期为当前允许的最后日期。
                    var enddate = new Date(parseInt(saledata.endtime));
                    //console.log(enddate.getFullYear()+"-"+enddate.getMonth()+"-"+enddate.getDate());
                    var now=new Date();//本地时间
                    var lastenddate=new Date(now.getFullYear(), now.getMonth(), now.getDate()+3);//最低允许设置的结束日期
                    if(enddate>lastenddate){
                        var enddateyear=enddate.getFullYear();
                        var enddatemonth=enddate.getMonth()+1;
                        var enddatedate=enddate.getDate();
                        $("#enddate").data("date",enddateyear+"-"+enddatemonth+"-"+enddatedate);
                        $("#enddate").text(enddateyear+"-"+enddatemonth+"-"+enddatedate);
                    }
                    else
                    {
                        var enddateyear=lastenddate.getFullYear();
                        var enddatemonth=lastenddate.getMonth()+1;
                        var enddatedate=lastenddate.getDate();
                        $("#enddate").data("date",enddateyear+"-"+enddatemonth+"-"+enddatedate);
                        $("#enddate").text(enddateyear+"-"+enddatemonth+"-"+enddatedate);
                    }
                }
                $("#area").data("pcode",saledata.province);
                $("#area").data("ccode",saledata.city);
                $("#area").text(saledata.provinceName+" "+nulltoempty(saledata.cityName));
                $("#txtnum").val(saledata.count);
                $("#txtlinkman").val(saledata.farmer);
                $("#txtphone").val(saledata.contact);
                $("#txtdesc").val(saledata.description);
                //图片
                var imglist=saledata.imglist;
                $(".addMachine_file_upload").each(function (index,element) {
                    if(imglist[index]){
                        $(element).data("src",imglist[index].imgOld);
                        $(element).css("background","url("+imglist[index].img+") no-repeat center center");
                        $(element).css("background-size","52px 52px");
                        $(element).next().show();
                    }
                });
            },
            error: function(xhr, type, errorThrown) {
                mui.toast("网络繁忙，请稍后重试！");
                applib.hideLoadingBg();
            }
        });
    }

    function nulltoempty(val) {
        if(val==undefined||val==null||val=='null'||val=="Null"){
            return "";
        }
        return val;
    }
    /**
     * 加载省市级联
     */
    function loadareainfo() {
        var url = applib.REQUEST_DOMAIN+"area/twoLevelArea";
        applib.ajax(url, {
            data: {},
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            success: function(data) {
                if(data.code==1){
                    ssdata=data.data;
                }
            },
            error: function(xhr, type, errorThrown) {
                //mui.toast("网络繁忙，请稍后重试！");
            }
        });
    }

    //监听自定义事件，选择产品类型后触发
    document.addEventListener('updateCoop', function(event) {
        var name = event.detail.subType;
        var id = event.detail.id;
        var unit = nulltoempty(event.detail.unit);

        $("#kindtype").text(name);
        $("#kindtype").data("tid",id);
        if(unit!=""){
            $("#txtunit").val(unit);
            $("#txtunit").attr("readonly","readonly");
            $("#lblunit").text(unit);
        }

    });

    function init() {
    	mui.init();
        currentWebview = plus.webview.currentWebview();
        userid=currentWebview.userid;
        farmer=currentWebview.farmer;
        contact=currentWebview.contact;
        sid =currentWebview.sid;
        if(sid>0){
            applib.showLoadingBg();
            loaddata(sid);
        }
        else {
            $("#txtlinkman").val(farmer);
            $("#txtphone").val(contact);
        }
        loadareainfo();
        bindEvent();
    }

    return {
        init: init
    }
})();

mui.plusReady(function() {
    addsale.init();
});
