var mybusiness=(function () {
    var page=1;
    var state=1;
    var token;
    var cancelclickenable=true;
    var windowheight=window.screen.height;
    var availHeight= window.screen.availHeight;
    var scrollHeight= document.body.scrollHeight;
    var minheight=window.screen.availHeight-70-window.immersed;
    function initdata() {
        applib.pullRefresh( "both", "#pullrefresh", pulldownRefresh, loadmore);
        loaddata();

    }
    /**
     * 下拉刷新具体业务实现
     */
    function pulldownRefresh() {
        page = 1;
        applib.pullReshAction( "#pullrefresh", "refresh");
        loaddata();
    }

    /**
     * 时间戳转换日期
     * @param <int> unixTime  待时间戳(毫秒)
     * @param <bool> isFull  返回完整时间(Y-m-d 或者 Y-m-d H:i:s)
     * @param <int> timeZone  时区
     */
    function UnixToDate (unixTime, isFull, timeZone) {
        if (typeof (timeZone) == 'number')
        {
            unixTime = parseInt(unixTime) + parseInt(timeZone) * 60 * 60;
        }
        var time = new Date(unixTime);
        var ymdhis = "";
        ymdhis += time.getUTCFullYear() + ".";
        ymdhis += (time.getUTCMonth()+1) + ".";
        ymdhis += time.getUTCDate();
        if (isFull === true)
        {
            ymdhis += "  " + time.getUTCHours() + ":";
            ymdhis += time.getUTCMinutes() + ":";
            ymdhis += time.getUTCSeconds();
        }
        return ymdhis;
    }
    /**
     * 加载更多
     */
    function loadmore() {
        page++;
        loaddata();
    }
    /**
     * 加载数据
     */
    function loaddata(){
        var pageSize=10;
        var pageIndex=page;
        var datavalue =state;
        var type=state;
        if(type==1)//我要买
        {
            var url = applib.REQUEST_DOMAIN+"/buyapplication/pagelist?pageindex="+pageIndex+"&pagesize="+pageSize+"&token="+token+"&ischeck=1";
            var data = {
            };
            mui.ajax(url, {
                data: data,
                dataType: 'json',
                type: 'get',
                timeout: 10000,
                success: function(data) {
                    console.log(JSON.stringify(data));
                    if(data.list==null){
                        if(page==1)
                        {
                            $(".indicate-tip").show();
                        }
                        applib.hideLoadingBg();
                        return;
                    }
                    // 绑定数据
                    var totalpage=data.pages;
                    console.log(page);
                    if(totalpage > page) {
                        //还有下一页数据
                        applib.pullReshAction( "#pullrefresh", "up" );
                    } else {
                        applib.pullReshAction( "#pullrefresh", "up", "disable" );
                    }
                    var html = template('buydata',data);
                    if(page > 1) {
                        $(".mui-scroll").append(html);
                    } else {
                        $(".mui-scroll").html(html);
                    }
                    applib.hideLoadingBg();

                },
                error: function(xhr, type, errorThrown) {
                    mui.toast("网络繁忙，请稍后重试！");
                    applib.hideLoadingBg();
                }
            });
        }else{//我要卖
            var url = applib.REQUEST_DOMAIN+"saleapplication/pagelist?pageindex="+pageIndex+"&pagesize="+pageSize+"&token="+token+"&ischeck=1";
            var data = {
            };
            mui.ajax(url, {
                data: data,
                dataType: 'json',
                type: 'get',
                timeout: 10000,
                success: function(data) {
                	console.log(JSON.stringify(data));
                    if(data.list==null){
                        if(page==1)
                        {
                            $(".indicate-tip").show();
                        }
                        applib.hideLoadingBg();
                        return;
                    }
                    var totalpage=data.pages;
                    if(totalpage > page) {
                        //还有下一页数据
                        applib.pullReshAction( "#pullrefresh", "up" );
                    } else {
                        applib.pullReshAction( "#pullrefresh", "up", "disable" );
                    }
                    var html = template('saledata',data);

                    if(page > 1) {
                        $(".mui-scroll").append(html);
                    } else {
                        $(".mui-scroll").html(html);
                    }
                    applib.hideLoadingBg();

                },
                error: function(xhr, type, errorThrown) {
                    mui.toast("网络繁忙，请稍后重试！");
                    applib.hideLoadingBg();
                }
            });
        }
    }

    function bindEvent() {
        //我要买完成交易
        mui(".mui-content").on('tap','.buygreenbutton',function(){
            //获取basestatusid
            var buystatus = parseInt(this.dataset.basestatusid)+1;
            if(!cancelclickenable){
                return;
            }
            var id = this.dataset.id;
            var url = applib.REQUEST_DOMAIN+"/buyapplication/updateState";
            applib.showLoadingBg();
            cancelclickenable=false;
            data={
                status:buystatus,
                id:id
            };
            applib.ajax(url, {
                data:data,
                dataType: 'json',
                type: 'post',
                timeout: 10000,
                success: function(data) {
                    applib.hideLoadingBg();
                    cancelclickenable=true;

                    if(data){
                        mui.toast("操作成功");
                        loaddata();
                    }
                    else {
                        mui.toast("操作失败，请稍后重试！");
                        loaddata();
                    }
                },
                error: function(xhr, type, errorThrown) {
                    console.log(errorThrown
                    );
                    mui.toast("网络繁忙，请稍后重试！");
                    applib.hideLoadingBg();
                    cancelclickenable=true;
                }
            });
        });
        //我要卖修改状态
        mui(".mui-content").on('tap','.saleorangebutton',function(){
            //获取basestatusid
            var salestatus = parseInt(this.dataset.basestatusid)+1;
            if(!cancelclickenable){
                return;
            }
            var id = this.dataset.id;
            var url = applib.REQUEST_DOMAIN+"saleapplication/updateState";
            applib.showLoadingBg();
            cancelclickenable=false;
            data={
                status:salestatus,
                id:id
            };
            applib.ajax(url, {
                data: data,
                dataType: 'json',
                type: 'post',
                timeout: 10000,
                success: function(data) {
                    applib.hideLoadingBg();
                    cancelclickenable=true;
                    if(data){
                        mui.toast("操作成功");
                        loaddata();
                    }
                    else {
                        mui.toast("操作失败，请稍后重试！");
                        loaddata();
                    }
                },
                error: function(xhr, type, errorThrown) {
                    mui.toast("网络繁忙，请稍后重试！");
                    applib.hideLoadingBg();
                    cancelclickenable=true;
                }
            });
        });
    }

    //供外部调用的查询方法
    function query(sta) {
        $(".mui-scroll").html("");
        $(".indicate-tip").hide();
        state=sta;
        page=1;
        loaddata();
    }
    function init() {
        $('.mui-scroll').css("min-height",minheight+"px");
        token = plus.storage.getItem("token");
        if (!!!token) {
            //无用户身份
            return;
        }
        initdata();
        bindEvent();

        //获取用户信息。
        // var url = applib.REQUEST_DOMAIN_SY+"api-account/getUserByToken?token="+token;
        // mui.ajax(url, {
        //     data: {},
        //     dataType: 'json',
        //     type: 'get',
        //     timeout: 10000,
        //     success: function(d) {
        //         if(d.code!=0){
        //             //获取失败
        //             mui.toast("获取用户信息失败，请稍后重试");
        //             return;
        //         }
        //         var user=d.data;//用户对象
        //         userId=user.userId;//用户唯一标识
        //         initdata();
        //         bindEvent();
        //     },
        //     error: function(xhr, type, errorThrown) {
        //         mui.toast("网络繁忙，请稍后重试！");
        //     }
        // });
    }

    return {
        init: init,
        query:query
    }
})();

mui.plusReady(function() {
    mybusiness.init();

});