var myproduct=(function () {
    var page=1;
    var userId=0;
    var token;
    var cancelclickenable=true;
    var farmer='';
    var contact='';
    var windowheight=window.screen.height;
    var availHeight= window.screen.availHeight;
    var scrollHeight= document.body.scrollHeight;
    var minheight=window.screen.availHeight-44-window.immersed;

    function initdata() {
        console.log("pulldownRefresh:"+page);
        applib.pullRefresh( "both", "#pullrefresh", pulldownRefresh, loadmore);
        loaddata();
    }
    /**
     * 下拉刷新具体业务实现
     */
    function pulldownRefresh() {
        page = 1;
        applib.pullReshAction( "#pullrefresh", "refresh");

        loaddata();
    }
    /**
     * 加载更多
     */
    function loadmore() {
        page++;
        loaddata();
    }
    /**
     * 加载数据
     */
    function loaddata(){
        var pageSize=10;
        var url = applib.REQUEST_DOMAIN+"saleproduct/pagelist?pageindex="+page+"&pagesize="+pageSize+"&token="+token+"&ischeck=1";
        var data = {
        };
        mui.ajax(url, {
            data: data,
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            success: function(data) {
                if(data.list==null){
                    if(page==1)
                    {
                        $(".indicate-tip").show();
                    }
                    applib.hideLoadingBg();
                    return;
                }
                console.log(url);
                 console.log(JSON.stringify(data));
                var totalpage=data.pages;
                if(totalpage > page) {
                    //还有下一页数据
                    applib.pullReshAction( "#pullrefresh", "up" );
                } else {
                    applib.pullReshAction( "#pullrefresh", "up", "disable" );
                }
                var html = template('productdata',data);
                if(page > 1) {
                    $(".mui-scroll").append(html);
                } else {
                    $(".mui-scroll").html(html);
                }
                applib.hideLoadingBg();

            },
            error: function(xhr, type, errorThrown) {
                mui.toast("网络繁忙，请稍后重试！");
                applib.hideLoadingBg();
            }
        });


    }
    /**
     * 时间戳转换日期
     * @param <int> unixTime  待时间戳(毫秒)
     * @param <bool> isFull  返回完整时间(Y-m-d 或者 Y-m-d H:i:s)
     * @param <int> timeZone  时区
     */
    function UnixToDate (unixTime, isFull, timeZone) {
        if (typeof (timeZone) == 'number')
        {
            unixTime = parseInt(unixTime) + parseInt(timeZone) * 60 * 60;
        }
        var time = new Date(unixTime);
        var ymdhis = "";
        ymdhis += time.getUTCFullYear() + ".";
        ymdhis += (time.getUTCMonth()+1) + ".";
        ymdhis += time.getUTCDate();
        if (isFull === true)
        {
            ymdhis += "  " + time.getUTCHours() + ":";
            ymdhis += time.getUTCMinutes() + ":";
            ymdhis += time.getUTCSeconds();
        }
        return ymdhis;
    }

    function bindEvent() {
        //编辑
        mui(".mui-content").on('tap','.edit',function(){

            var sid = this.dataset.sid;
            var contact
            applib.openWindow("addsale.html", "addsale",{
                userid:userId,
                farmer:farmer,
                sid:sid,
                contact:contact
            });

        });
        //下架
        mui(".mui-content").on('tap','.undercarriage',function(){
            if(!cancelclickenable){
                return;
            }
            var id = this.dataset.id;
            var btnArray = ['否', '是'];
            mui.confirm('是否确定下架？', '提示', btnArray, function (e) {
                if (e.index == 1) {
                    var url = applib.REQUEST_DOMAIN+"saleproduct/unshelve";
                    applib.showLoadingBg();
                    cancelclickenable=false;
                    //console.log(url);
                    data={
                        token:token,
                        id:id,
                        ischeck:1
                    };
                    mui.ajax(url, {
                        data: data,
                        dataType: 'json',
                        type: 'post',
                        timeout: 10000,
                        success: function(data) {
                            applib.hideLoadingBg();
                            cancelclickenable=true;
                            if(data){
                                mui.toast("下架成功");
                                loaddata();
                            }
                            else {
                                mui.toast("下架失败，请稍后重试！");
                                loaddata();
                            }
                        },
                        error: function(xhr, type, errorThrown) {
                            mui.toast("网络繁忙，请稍后重试！");
                            applib.hideLoadingBg();
                            cancelclickenable=true;
                        }
                    });
                }
            });
        });
    }

    function init() {
        $('.mui-scroll').css("min-height",minheight+"px");
        token = plus.storage.getItem("token");
        if (!!!token) {
            //无用户身份
            return;
        }
        //获取用户信息。
        var url = applib.REQUEST_DOMAIN_SY+"api-account/getUserByToken?token="+token;
        mui.ajax(url, {
            data: {},
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            success: function(d) {
                if(d.code!=0){
                    //获取失败
                    mui.toast("获取用户信息失败，请稍后重试");
                    return;
                }
                var user=d.data;//用户对象
                userId=user.userId;//用户唯一标识
                contact=user.contact;
                farmer=user.farmer;
                initdata();
                bindEvent();
            },
            error: function(xhr, type, errorThrown) {
                mui.toast("网络繁忙，请稍后重试！");
            }
        });
    }
    return {
        init: init
    }
})();

mui.plusReady(function() {
    myproduct.init();

});