/**
 * Created by tian on 2017/11/22.
 */

var message = (function () {

	var msgtype=0;//0 返回全部数据 1 返回所有保险消息 3 返回所有贷款消息 4 返回所有服务消息
	function loadmessage(userid) {

		var url = applib.REQUEST_DOMAIN+"notice?userid="+userid+"&msgtype="+msgtype;
		//var url = "http://120.27.25.245:8989/notice?userid=256728";
		//console.log(url);
		var data = {
			//userid:'0'
		};
		mui.ajax(url, {
			data: data,
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			//headers: {"Authorization": "Bearer " + token},
			success: function(data) {
				if(!data||data.length<=0){
					$("#nodata").show();
					applib.hideLoadingBg();
					return;
				}
				for(var i=0;i<data.length;i++){
					var date=data[i].noticedate;
					if(date){
						var date=new Date(Date.parse(date.substring(0,date.lastIndexOf('.')).replace(/-/g, "/")));
						data[i].noticedate=date.getMonth()+1+"-"+date.getDate()+" "+date.getHours()+":"+date.getMinutes()
					}
				}
				console.log(JSON.stringify(data));
				//绑定数据
				var html = template('datatmp',{ list: data});
				$(".fixtopheader").html(html);
				applib.hideLoadingBg();
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("网络繁忙，请稍后重试！");
				$("#nodata").show();
				applib.hideLoadingBg();
			}
		});
	}

	function loaduser() {
		var token = plus.storage.getItem("token");
		//token='eyJhbGciOiJIUzI1NiJ9.eyJqdGkiOiIxMjM0ZDI2MjZhMmQ0NGMwODY3ZThiYWI5ZjI0MGZhYSIsImlhdCI6MTUwMDI2ODMzNywic3ViIjoidG9rZW5JbmZvIiwiaXNzIjoiYXV0aENlbnRlciIsInVzZXJJZCI6IjI1NjU1MiIsImV4cCI6MTUwMTE2OTUxNH0.KDc4wVHNfO65e-axOyX97P9Xmaq1IRw0t60R1fw92II';
		if (!!!token) {
			//用户未登录
			$("#nodata").show();
			applib.hideLoadingBg();
			return;
		}
		//根据token获取用户
		var url = applib.REQUEST_DOMAIN_SY+"api-account/getUserByToken?token="+token;
		mui.ajax(url, {
			data: {},
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			//headers: {"Authorization": "Bearer " + token},
			success: function(d) {
				//最新返回值：{"code":0,"msg":"","data":{"farmName":null,"city":null,"photo":null,"isHzs":null,"isAuthed":"0","userId":256552,"score":0,"province":"其它",
				// "contact":"15051581257","district":null,"farmer":null,"addr":null,"idNum":null,"uniqueId":null},"timestamp":1500441862286}
				if(d.code!=0){
					//获取失败
					//mui.toast("获取用户信息失败，请稍后重试");
					$("#nodata").show();
					applib.hideLoadingBg();
					return;
				}
				var user=d.data;//用户对象

				loadmessage(user.userId);
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("网络繁忙，请稍后重试！");
				$("#nodata").show();
				applib.hideLoadingBg();
			}
		});
	}

    function init() {
    	applib.showLoadingBg();
		var currentWebview = plus.webview.currentWebview();
		msgtype=currentWebview.msgtype;
		loaduser();
    }
    return {
        init: init
    }
})();

mui.plusReady(function() {
    mui.init();
	if(plus.os.name == "iOS"){
		$(".fixtopheader").addClass("fixtopheader-bouncebox");
	}
	message.init();
});
