/**
 * Created by zhuping on 2017/7/4.
 */
var insurerinfo = (function () {

    var username;
    var unit;
    var totalPremium=0;
    var selfPremium=0;
    var allowancePremium=0;
    var userId;
    /* 新增字段 add by tianchao 2017-7-20*/
    var userCode;//用户标识
    var farmname;//主体名称
    var idcardno;//法人身份证号
    var address;//主体地址
    /*end 新增字段*/
    var productCode;
    var contactPhone;
    var allowance;
    var premium;
    var clicknow = 0;
    var self;
    var orgcode;

    //初始化app
    function init() {
        // 获取当前窗口对象
        self = plus.webview.currentWebview();
        // 读取传递过来的参数
        username = self.infodata.contact;
        unit = self.infodata.unit;
        contactPhone = self.infodata.contactPhone;
        allowance = self.infodata.allowance;
        premium = self.infodata.premium;

        productCode = self.infodata.productCode;

        console.log(JSON.stringify(self.infodata));

        userId = self.infodata.userid;//"aryan";
        userCode = self.infodata.uniqueId;
        farmname=self.infodata.farmName;
        idcardno=self.infodata.idNum;
        address=self.infodata.address;
        orgcode=self.infodata.orgcode;

        if(!isNaN(premium)){
            jisuan(1);//界面上默认值为购买数量为 1
        }
        document.getElementById("username").innerText = username;
        document.getElementById("unit").innerText = unit;
        // document.getElementById("js-title").innerText = self.infodata.name;

        document.getElementById("danjia").innerText = "每" + unit + "保费";
        document.getElementById("danjia1").value = premium;
        if(isNaN(premium)){
            //保费不是数字
            $("#danjia").next().text("");
            $("#premiuminfo").hide();
        }

        // 选择同一条款
        document.getElementById("js-agreecheck").addEventListener("tap",function () {
            if ($(this).hasClass("agree_tip-checked")) {
                $(this).removeClass('agree_tip-checked');
                $("#btnbuy").addClass('o_btnbox-gray');
            } else {
                $(this).addClass('agree_tip-checked');
                $("#btnbuy").removeClass('o_btnbox-gray');
            }
        });
        document.getElementById("btnbuy").addEventListener('tap', function () {

            if (!$("#js-agreecheck").hasClass("agree_tip-checked")) {
                return;
            }
            var number = document.getElementById("number").value;
            if (number == "") {
                mui.toast("请输入正确的投保数量！");
                return;
            }
            //var regnumber = /^[0-9]*[1-9][0-9]*$/;
            if (isNaN(number)) {
                mui.toast("请输入正确的投保数量！");
                return;
            }
            if (number <= 0) {
                mui.toast("请输入正确的投保数量！");
                return;
            }
            var btnArray = ['取消', '确定'];
            mui.confirm('是否预约保险？', '提示', btnArray, function (e) {
                if (e.index == 1) {
                    yuyue(number);
                } else {

                }
            });


        }, false);


        document.getElementById("o_phone").addEventListener('tap', function () {

            console.log(Date.now() + "click");
            var now = Date.now();

            if ((now - clicknow) > 2000) {
                plus.device.dial(contactPhone, false);
                clicknow = now;
                console.log(Date.now() + "clickin");
            }
        });

        $("#number").on('input', function () {
            var currentnumber = $(this).val();
            if(!isNaN(premium)){
                jisuan(currentnumber);
            }
        });
    }

    function jisuan(currentnumber) {
        totalPremium = currentnumber * premium;
        //console.log(totalPremium);
        allowancePremium = totalPremium * allowance;
        //console.log(allowancePremium);
        selfPremium = totalPremium - allowancePremium;
        //console.log(selfPremium);

        $("#total").val(totalPremium.toFixed(2));
        $("#allowance").val(allowancePremium.toFixed(2));
        $("#self").val(selfPremium.toFixed(2));
    }

    function yuyue(number) {
        applib.showLoadingBg();
        var url = applib.REQUEST_DOMAIN + "insurance/application/add";
        var data = {
            //"userId": "" + userId + "",
            "productCode": "" + productCode + "",
            "count": "" + number + "",
            "totalPremium": "" + totalPremium.toFixed(2) + "",
            "selfPremium": "" + selfPremium.toFixed(2) + "",
            "allowancePremium": "" + allowancePremium.toFixed(2) + "",
            "applicantname":farmname,
            "applicantcorporation":username,
            "applicantcardno":idcardno,
            "applicantaddress":address,
            "applicantcontact":contactPhone,
            "userCode":userCode,
            "orgCode":orgcode
        };

        console.log(JSON.stringify(data));
        var token = plus.storage.getItem("token");
        mui.ajax(url, {
            data: JSON.stringify(data),
            dataType: 'text',
            type: 'POST',
            headers: {'Content-Type': 'application/json',"token":token,"ischeck":1},
            timeout: 10000,
            success: function (data) {
                applib.hideLoadingBg();
                mui.toast("预约成功");

                //self.close();
                // var detailPage = plus.webview.getWebviewById('insurancedetail');
                // mui.fire(detailPage, 'closedetail', {});

                applib.openWindow("myinsurance.html", "myinsurance", {});

                setTimeout(function () {
                    self.close("none");
                },500);
            },
            error: function (xhr, type, errorThrown) {
                applib.hideLoadingBg();
                console.log(JSON.stringify(xhr));
                mui.toast("网络繁忙，请稍后重试！");
            }
        });
    }

    return {
        init: init
    }

})();

//insurerinfo.init();
mui.plusReady(function () {
    mui.init();
    insurerinfo.init();
});

//自定义事件
// window.addEventListener('hidloading',function(event){
//     applib.hideLoadingBg();
// });
