/**
 * Created by zhuping on 2017/7/4.
 */
var myreport = (function () {
    var folio;
    var picker = new mui.PopPicker();
    var self;
    //初始化app
    function init() {
        // 获取当前窗口对象
        self = plus.webview.currentWebview();
        // 读取传递过来的参数
        folio = self.folio;

        document.getElementById("btnbuy").addEventListener('tap', function () {
            submitreport();
        }, false);

        document.getElementById("reason").addEventListener('tap', function () {

            picker.show(function (selectItems) {
                console.log(selectItems[0].text);
                console.log(selectItems[0].value);
                document.getElementById("reason").value = selectItems[0].text;
                document.getElementById("reason").dataset.valueid = selectItems[0].value;
            })
        }, false);
        getreason();
    }

    function getreason() {
        applib.showLoadingBg();
        var url = applib.REQUEST_DOMAIN + "insurance/claim/reasons";
        applib.ajax(url, {
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            success: function (data) {
                applib.hideLoadingBg();

//[{"id":1,"value":2,"text":"fdfdf","recordStatus":true}]
               var pickdata = data;

                picker.setData(pickdata);

            },
            error: function (xhr, type, errorThrown) {
                applib.hideLoadingBg();
                console.log(JSON.stringify(xhr));
                mui.toast("网络繁忙，请稍后重试！");
            }
        });
    }

    function submitreport() {


        var reasonid = document.getElementById("reason").dataset.valueid;
        var content = document.getElementById("reportinfo").value;
        if(reasonid == 0){
            mui.toast("请选择灾害原因");
            return;
        }
        if(content == ""){
            mui.toast("请输入灾害描述");
            return;
        }

        applib.showLoadingBg();
        var url = applib.REQUEST_DOMAIN + "insurance/claim/add";
        console.log(url);

        var data = {
            "folio": ""+ folio +"",
            "reasonId": reasonid,
            "content": "" + content + ""
        };
        console.log(JSON.stringify(data));
        mui.ajax(url, {
            data: JSON.stringify(data),
            dataType: 'text',
            type: 'POST',
            headers: {'Content-Type': 'application/json'},
            timeout: 10000,
            success: function (data) {
                applib.hideLoadingBg();
                mui.toast("报案成功");


                var listpage = plus.webview.getWebviewById('myinsurancelist');
                mui.fire(listpage, 'query');

                //applib.openWindow("myinsurance.html", "myinsurance", {});

                setTimeout(function () {
                    self.close();
                },500);

            },
            error: function (xhr, type, errorThrown) {
                applib.hideLoadingBg();
                console.log(JSON.stringify(xhr));
                mui.toast("网络繁忙，请稍后重试！");
            }
        });
    }

    return {
        init: init
    }

})();

//appIndex.init();
mui.plusReady(function () {
    mui.init();

    myreport.init();
});

//自定义事件
// window.addEventListener('hidloading',function(event){
//     applib.hideLoadingBg();
// });