var evaluationIndex = (function(){
    var currentWebview;
	var infodata;
	var getFillname;
    function bindEvent() {
		document.getElementById("nextStepFn").addEventListener("tap",function () {
                var fill1 = $("input[name='fill1']").val();
                var fill2 = $("input[name='fill2']").val();
                var fill3 = $("input[name='fill3']").val();
                var fill4 = $("input[name='fill4']").val();
                var fill5 = $("input[name='fill5']").val();
				var fill6 = $("input[name='fill6']").val();
				var bttype_1 = $('#bttype_1').hasClass("checked") ? 1 : 0
				var bttype_2 = $('#bttype_2').hasClass("checked") ? 1 : 0
				var bttype_3 = $('#bttype_3').hasClass("checked") ? 1 : 0
				var bttype_4 = $('#bttype_4').hasClass('checked') ? 1 : 0
				var bttype_5 = $('#bttype_5').hasClass("checked") ? 1 : 0
				var bttype_6 = $('#bttype_6').hasClass("checked") ? 1 : 0
				var bttype_7 = $('#bttype_7').hasClass("checked") ? 1 : 0
                if(!fill1){
                    mui.toast('请填写上一年度营业收入')
                    return
                }
                if(!fill2){
                    mui.toast('请填写营业成本')
                    return
                }
                if(!fill3){
                    mui.toast('请填写年度家庭支出')
                    return
                }
                if(!fill4){
                    mui.toast('请填写期间其他应偿还本金')
                    return
                }
                if(!fill5){
                    mui.toast('请填写三年内获得的政府涉农补贴金额')
                    return
                }
				if(!fill6){
				    mui.toast('请填写固定资产总额')
				    return
				}
				var isnum = /^[1-9][0-9]*([\.][0-9]{1,2})?$/.test(fill6)
				if(!isnum){
					mui.toast('请输入整数或者小数')
					return
				}
				if(parseFloat(fill6) < 0 || parseFloat(fill6) >= 10000){
					mui.toast('请输入大于或等于0小于10000(万元)')
					return
				}
                var fillnameobj = {
					'fill1':fill1,
					'fill2':fill2,
					'fill3':fill3,
					'fill4':fill4,
					'fill5':fill5,
					'fill6':fill6,
					'bttype_1':bttype_1,
					'bttype_2':bttype_2,
					'bttype_3':bttype_3,
					'bttype_4':bttype_4,
					'bttype_5':bttype_5,
					'bttype_6':bttype_6,
					'bttype_7':bttype_7,
					};
                plus.storage.setItem('fillname',JSON.stringify(fillnameobj));
				applib.openWindow("options.html","optionsIndex",{infodata: infodata});
                // location.href= 'options.html'
        });
		//问题一点击
		mui("#flag").on('tap', '.typebox-btype', function () {
		  document.activeElement.blur();
		  $(this).toggleClass("checked");
		});
		//问题2点击
		mui("#buyMore").on('tap', '.typebox-btype', function () {
		  document.activeElement.blur();
		  $(this).toggleClass("checked");
		});
		$('#tips').on('tap',function(event){ 
			$('#tips_pop').toggle()
			 $('.trigon').toggle()
			 event.stopPropagation()
		})
		$('body').on('tap',function(event){
			$('#tips_pop').css('display','none')
		    $('.trigon').css('display','none')
			event.stopPropagation()
		})
		$(".checknum").on('input', function(){
			checknum(this)
		});
		$("#businesstype .typebox-btype").each(function (i, dom) {
		  if ($(dom).hasClass("checked")) {
		    if (industry_type == "") {
		      industry_type = $(dom).text();
		    }
		    else {
		      industry_type += "," + $(dom).text();
		    }
		  }
		});
    }
	function checknum(obj){
		//如果输入非数字，则替换为''
		obj.value = obj.value.replace(/[^\d\.]/g, '');
		//必须保证第一个为数字而不是.
		obj.value = obj.value.replace(/^\./g,'');
		//前两位不能是0加数字
		obj.value = obj.value.replace(/^0\d[0-9]*/g,'');
		//保证只有出现一个.而没有多个.
		obj.value = obj.value.replace(/\.{2,}/g,'.');
		//保证.只出现一次，而不能出现两次以上
		obj.value = obj.value.replace('.','$#$').replace(/\./g,'').replace('$#$','.');
		//只能输入两位小数
		obj.value = obj.value.replace(/^(\-)*(\d+)\.(\d\d).*$/,'$1$2.$3');
		if(obj.value.length>9){
			obj.value = obj.value.slice(0, 9)
		}
    }

    function init(){
        currentWebview = plus.webview.currentWebview();
        infodata = currentWebview.infodata;
		getFillname = JSON.parse(plus.storage.getItem('fillname'))
		if(getFillname !=null || getFillname != undefined){
		    $("input[name='fill1']").val(getFillname.fill1);
		    $("input[name='fill2']").val(getFillname.fill2);
		    $("input[name='fill3']").val(getFillname.fill3);
		    $("input[name='fill4']").val(getFillname.fill4);
			$("input[name='fill5']").val(getFillname.fill5);
			$("input[name='fill6']").val(getFillname.fill6);
			for(let key in getFillname) {
				if(key.indexOf('bttype') != -1){
					var newClass = "#" + key 
					$(newClass).addClass('checked')
				}
			}
		}
        bindEvent();
    }

    return {
        init: init
    };

})();

mui.plusReady(function () {
    if(plus.os.name == "iOS"){
        $(".fixtopheader").addClass("fixtopheader-bouncebox");
    }
    evaluationIndex.init();
});
