/**
 * Created by tian on 2017/7/6.
 */

var loanindex = (function () {

	var isok=false;//标志是否需要隐藏加载状态
	var province='';//用户省
	var city='';//用户市
	var district='';//用户区
	var idnum='';//身份证id

    function bindEvent() {
		//banner点击
		mui(".slider-wrapper").on('tap','.mui-slider-item',function(){
			//获取是否是产品标识
			var isp = this.getAttribute("isp");
			var link = this.getAttribute("link");
			if(isp==1){
				//传值给详情页面，
				//打开贷款详情
				applib.openWindow("detail.html","loandetail",{code:link});
			}
			else {
				if(link) {
					//跳转到浏览界面
					applib.openWindow("../common/webbrowse.html", "webbrowse", {url: link});
				}
			}
		});

        //列表项点击
        mui(".itemcontain").on('tap','.in_item',function(){
		  //获取id
		  var code = this.getAttribute("code");
		  //传值给详情页面，
		  //打开贷款详情
			applib.openWindow("detail.html","loandetail",{code:code});
		});


    }

	/**
	 * 加载banner图片
	 */
	function loadbanner() {
		var url = applib.REQUEST_DOMAIN+"loan/ad";
		var data = {
		};
		applib.ajax(url, {
			data: data,
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			//headers: {"Authorization": "Bearer " + token},
			success: function(data) {
				//[{"id":1,"img":"http://pic23.nipic.com/20120808/4801598_171151221374_2.jpg","link":"http://www.baidu.com","isProduct":true,"recordStatus":true,"product":true},
				// {"id":2,"img":"http://pic.qiantucdn.com/58pic/18/23/47/55f146574eae9_1024.jpg","link":"http://www.baidu.com","isProduct":true,"recordStatus":true,"product":true}]

				//绑定数据
				var html = template('js-slidertemp',{ slider: data});
				document.getElementById('js-slider-wrapper').innerHTML = html;
				mui('.mui-slider').slider();

				if(isok){
					applib.hideLoadingBg();
				}
				else {
					isok=true;
				}
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("网络繁忙，请稍后重试！");
			}
		});
	}

	function loaddata() {
        province = nulltoempty(plus.storage.getItem("geo_province"));
        city = nulltoempty(plus.storage.getItem("geo_city"));
        district = nulltoempty(plus.storage.getItem("geo_district"));
		idnum = nulltoempty(plus.storage.getItem("idnum"));
        var token = plus.storage.getItem('token');
        token = token ? token : "";
        var url = applib.REQUEST_DOMAIN + "loan/products?province=" + province + "&city=" + city + "&district=" + district + "&token="+token + "&idnum="+idnum;
        var data = {
            //userid:'0'
        };
        applib.ajax(url, {
            data: data,
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            //headers: {"Authorization": "Bearer " + token},
            success: function (data) {

                var pdata = [];
                //处理数据 ,处理成按照公司进行分组
                for (var i = 0; i < data.length; i++) {
                    //data[i].amount=formatamount(data[i].amount);
                    data[i].rate = accMul(data[i].rate, 100);

                    //add by tianchao 2017-7-29 按照公司进行分组
                    var orgcode = data[i].orgCode;//公司代码
                    var orgname = data[i].orgName;//公司名称
                    var orglogo = data[i].orgLogo;//公司logo
                    var banktype = data[i].banktype;//银行类型
                    var banktypename = data[i].banktypename;//银行类型名称

                    var ispush = false;//表示是否在公司分组数据中找到对应公司并添加了数据
                    for (var j = 0; j < pdata.length; j++) {
                        if (orgcode == pdata[j].orgcode) {
                            //根据公司代码查找匹配项
                            pdata[j].list.push(data[i]);
                            ispush = true;
                            break;
                        }
                    }
                    if (!ispush) {
                        //没有找到匹配项，则新增加一个新公司数据
                        pdata.push({
                            'orgcode': orgcode,
                            'orgname': orgname,
                            'orglogo': orglogo,
                            'banktype': banktype,
                            'banktypename': banktypename,
                            'list': [data[i]]
                        });
                    }
                    //end add
                }
                //add by tianchao 2019-2-25，增加先按照银行机构类型分组（国有、商业、村镇等。）
                var lastdata = [];
                for (var i = 0; i < pdata.length; i++) {
                    var banktype = pdata[i].banktype ? pdata[i].banktype : 1000;
                    var banktypename = pdata[i].banktypename;

                    var ispush = false;
                    for (var j = 0; j < lastdata.length; j++) {
                        if (banktype == lastdata[j].banktype) {
                            //根据公司代码查找匹配项
                            lastdata[j].list.push(pdata[i]);
                            ispush = true;
                            break;
                        }
                    }
                    if (!ispush) {
                        //没有找到匹配项，则新增加一个新公司数据
                        lastdata.push({
                            'banktype': banktype,
                            'banktypename': banktypename,
                            'list': [pdata[i]]
                        });
                    }
                }
				// 增加创新排序
				// for(var i=0; i<lastdata.length; i++) {
				// 	var item = lastdata[i].list  // 银行数组
				// 	for(var j=0; j<item.length; j++) {
				// 		// console.log(item[j].list)
				// 		item[j].list.sort(createComparisonFunction('isInnovate')).reverse()
				// 	}
				// }
                //按照银行机构类型排序
                lastdata.sort(function (a, b) {
                    return a.banktype - b.banktype;
                });
				console.log(JSON.stringify(lastdata))

                //end
                //绑定数据
                var html = template('zcdatatemp', {list: lastdata});
                document.getElementById('zcdata').innerHTML = html;

                //展开和收缩
                $(".itemtitle").click(function () {
                    //$(this).next().animate({height: 'toggle', opacity: 'toggle'}, 200);
                    $(this).next().slideToggle(200);
                    $(this).toggleClass("itemtitle_down");
                });

                if (isok) {
                    applib.hideLoadingBg();
                } else {
                    isok = true;
                }
            },
            error: function (xhr, type, errorThrown) {
                mui.toast("网络繁忙，请稍后重试！");
            }
        });
    }

    function accMul(arg1,arg2){
        var m=0,s1=arg1.toString(),s2=arg2.toString();
        try{m+=s1.split(".")[1].length}catch(e){}
        try{m+=s2.split(".")[1].length}catch(e){}
        return Number(s1.replace(".",""))*Number(s2.replace(".",""))/Math.pow(10,m)
    }

	function formatamount(amount) {
		if (amount>10000){
			if(amount%10000==0){
				return amount/10000+"万元";
			}
			// if(amount%1000==0){
			// 	return amount/10000+"万元";
			// }
		}
		return amount+"元";
	}

	function loaduser() {
		var token = plus.storage.getItem("token");
		//token='eyJhbGciOiJIUzI1NiJ9.eyJqdGkiOiIxMjM0ZDI2MjZhMmQ0NGMwODY3ZThiYWI5ZjI0MGZhYSIsImlhdCI6MTUwMDI2ODMzNywic3ViIjoidG9rZW5JbmZvIiwiaXNzIjoiYXV0aENlbnRlciIsInVzZXJJZCI6IjI1NjU1MiIsImV4cCI6MTUwMTE2OTUxNH0.KDc4wVHNfO65e-axOyX97P9Xmaq1IRw0t60R1fw92II';
		if (!!!token) {
			loaddata();
			return;
		}
		//根据token获取用户
		var url = applib.REQUEST_DOMAIN_SY+"api-account/getUserByToken?token="+token;
		mui.ajax(url, {
			data: {},
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			//headers: {"Authorization": "Bearer " + token},
			success: function(d) {
				console.log(d)

				//最新返回值：{"code":0,"msg":"","data":{"farmName":null,"city":null,"photo":null,"isHzs":null,"isAuthed":"0","userId":256552,"score":0,"province":"其它",
				// "contact":"15051581257","district":null,"farmer":null,"addr":null,"idNum":null,"uniqueId":null},"timestamp":1500441862286}
				if(d.code!=0){
					//获取失败
					//mui.toast("获取用户信息失败，请稍后重试");
					loaddata();
					return;
				}
				var user=d.data;//用户对象

				// province=nulltoempty(user.province);
				// city=nulltoempty(user.city);
				// district=nulltoempty(user.district);
    //             plus.storage.setItem('province',province);
    //             plus.storage.setItem('city',city);
    //             plus.storage.setItem('district',district);
				idnum=nulltoempty(user.idNum);
				plus.storage.setItem('idnum',idnum);
				loaddata();
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("网络繁忙，请稍后重试！");
				loaddata();
			}
		});
	}

	function nulltoempty(val) {
		if(val==undefined||val==null||val=='null'||val=="Null"){
			return "";
		}
		return val;
	}
	// 数组排序
	function createComparisonFunction(propertyName){		//数组元素由对象组成，根据对象属性来排序
		return function(object1, object2){
			var value1 = object1[propertyName];
			var value2 = object2[propertyName];

			if (value1 < value2){
				return -1;
			} else if (value1 > value2){
				return 1;
			} else {
				return 0;
			}
		}
	}

    function init() {
    	applib.showLoadingBg();
    	loadbanner();
		// loaddata();
		loaduser();
        bindEvent();
    }
    return {
        init: init
    }

})();

mui.plusReady(function() {
    mui.init();
	if(plus.os.name == "iOS"){
		$(".fixtopheader").addClass("fixtopheader-bouncebox");
	}
    loanindex.init();
});
