/**
 * Created by tian on 2019/04/03
 */
var loan_sub_apply = (function () {

    var currentWebview;
    var folio;//要申请的贷款单号
    var canclick=false;
    var picker_relatin = new mui.PopPicker();//关系选择组件
    var areadata;//省市区三级联动数据

    function bindEvent() {
        //选择关系
        document.getElementById("relationbox").addEventListener("tap",function () {
            document.activeElement.blur();
            // if(!relationdata){
            //     return;
            // }
            // var picker = new mui.PopPicker();
            // picker.setData(relationdata);
            picker_relatin.show(function(selectItems) {
                var rvalue=selectItems[0].value;
                var rtext=selectItems[0].text;
                $("#relation").val(rtext);
                $("#relation").data("rid",rvalue);
            })
        });

        //上传图片
        mui(".photowall").on("tap",".file_upload",function () {
            document.activeElement.blur();
            var me=$(this);
            uploadimg.chagePop(function (imgpaths,localpath) {
                me.css("background","url("+localpath+"?v="+new Date().getTime()+") no-repeat center center");
                me.css("background-size",".6rem .6rem");
                me.data("src",imgpaths);
                //me.next().show();
            });
        });
        //地区选择点击
        document.getElementById("choosearea").addEventListener("tap", function () {
            document.activeElement.blur();
            var disable = $("#choosearea").attr("disable");
            if (disable) {
                return;
            }
            if (!areadata) {
                loadareainfo();//重新获取数据
                return;
            }
            var picker = new mui.PopPicker({
                layer: 3
            });
            picker.setData(areadata);
            picker.show(function (SelectedItem) {
                var province = SelectedItem[0].text;
                var city = SelectedItem[1].text;
                var county = SelectedItem[2].text;
                $("#bankarea").val(province + city + county);
                $("#bankarea").data("province", province);
                $("#bankarea").data("city", city);
                $("#bankarea").data("county", county);
            })
        });
        //提交
        document.getElementById("btnsubmit").addEventListener("tap",function () {
            document.activeElement.blur();
            if(!canclick){
                return;
            }
            var farmer=$.trim($("#farmer").val());
            var farm_act=$.trim($("#farm_act").val());
            var rid= $("#relation").data("rid");
            var contractNO=$.trim($("#contractNO").val());
            var bankNO=$.trim($("#bankNO").val());
            var bankname=$.trim($("#bankname").val());
            var province = $("#bankarea").data("province");
            var city = $("#bankarea").data("city");
            var county = $("#bankarea").data("county");

            if(farmer==""){
                mui.toast("未能获取当前用户信息，请返回后重试！");
                return;
            }
            if(farm_act==""){
                mui.toast("请输入实际获贷主体名称");
                return;
            }
            if(rid==0){
                mui.toast("请选择实际获贷主体与直报系统认证主体关系");
                return;
            }
            if(contractNO==""){
                mui.toast("请输入贷款合同编号");
                return;
            }
            // if(bankNO==""){
            //     mui.toast("请输入接收贴息资金的银行账号");
            //     return;
            // }
            // if (!province || !city || !county) {
            //     mui.toast("请选择开户行所在地");
            //     return;
            // }
            // if(bankname==""){
            //     mui.toast("请输入接收贴息资金的银行账户开户行名称");
            //     return;
            // }
            //图片
            var imglist='';
            //图片
            $(".file_upload").each(function (index,element) {
                var imgurl= $(element).data("src");
                if(imgurl){
                    if(imglist==''){
                        imglist=imgurl;
                    }
                    else {
                        imglist += "," + imgurl;
                    }
                }
            });
            if(imglist=='') {
                mui.toast("请上传两页合同附件");
                return;
            }
            var imgs=imglist.split(',');
            if(imgs.length==1){
                mui.toast("请上传第二页合同附件");
                return;
            }
            var btnArray = ['取消', '确定'];
            mui.confirm('请再次确认信息是否正确？', '提示', btnArray, function (e) {
                if (e.index == 1) {
                    canclick=false;
                    var postdata={
                        loanFolio:folio,
                        farmer:farmer,
                        actFarmer:farm_act,
                        relation:rid,
                        contractNO:contractNO,
                        bankNO:bankNO,
                        bankname:bankname,
                        imgs:imgs[0],
                        imgs2:imgs[1],
                        bankprovince:province,
                        bankcity:city,
                        bankdistrict:county
                    };
                    //console.log(JSON.stringify(postdata));return;
                    var url = applib.REQUEST_DOMAIN+"loanInterestSubsidy/add?token="+token;
                    mui.ajax(url, {
                        data: postdata,
                        dataType: 'json',
                        type: 'post',
                        headers: {'Content-Type': 'application/json'},
                        contentType: "application/json",
                        timeout: 10000,
                        success: function(data) {
                            canclick = true;
                            if (data.code != 0) {
                                mui.toast(data.msg);
                                return;
                            }
                            mui.toast("申请已提交，请等待审核");
                            var myloanlist = plus.webview.getWebviewById('myloanlist');
                            mui.fire(myloanlist, 'query');
                            setTimeout(function () {
                                currentWebview.close();
                            }, 500);
                        },
                        error: function(xhr, type, errorThrown) {
                            mui.toast("网络繁忙，请稍后重试！");
                            canclick=true;
                        }
                    })
                }
            },"div");
        });
        // 勾选同意条款1
        document.getElementById("js-agree").addEventListener("tap",function () {
            if ($(this).hasClass("agree_tip-checked")) {
                $(this).removeClass('agree_tip-checked');
                $("#btnsubmit").removeClass('o_btn_ok');
                canclick=false;
            } else {
                $(this).addClass('agree_tip-checked');
                if($("#js-agreecheck").hasClass("agree_tip-checked")){
                    $("#btnsubmit").addClass('o_btn_ok');
                    canclick=true;
                }
            }
        });
        // 勾选同意条款2
        document.getElementById("js-agreecheck").addEventListener("tap",function () {
            if ($(this).hasClass("agree_tip-checked")) {
                $(this).removeClass('agree_tip-checked');
                $("#btnsubmit").removeClass('o_btn_ok');
                canclick=false;
            } else {
                $(this).addClass('agree_tip-checked');
                if($("#js-agree").hasClass("agree_tip-checked")){
                    $("#btnsubmit").addClass('o_btn_ok');
                    canclick=true;
                }
            }
        });
    }

    function nulltoempty(val) {
        if(val==undefined||val==null||val=='null'||val=="Null"){
            return "";
        }
        return val;
    }

    function loaduser() {
        //获取用户信息。
        //var token = plus.storage.getItem("token");
        var url = applib.REQUEST_DOMAIN_SY+"api-account/getUserByToken?token="+token;
        mui.ajax(url, {
            data: {},
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            //headers: {"Authorization": "Bearer " + token},
            success: function(d) {
                //最新返回值：{"code":0,"msg":"","data":{"farmName":null,"city":null,"photo":null,"isHzs":null,"isAuthed":"0","userId":256552,"score":0,"province":"其它",
                // "contact":"15051581257","district":null,"farmer":null,"addr":null,"idNum":null,"uniqueId":null},"timestamp":1500441862286}
                if(d.code!=0){
                    //获取失败
                    mui.toast("获取用户信息失败，请稍后重试");
                    return;
                }
                var user=d.data;//用户对象
                //userId=user.userId;//用户唯一标识
                $("#farmer").val(user.farmer);
                //$("#farm_act").val(user.farmer);
                bindEvent();
                applib.hideLoadingBg();
            },
            error: function(xhr, type, errorThrown) {
                mui.toast("网络繁忙，请稍后重试！");
            }
        });
    }

    //加载下拉选择数据
    function loadtypes() {
        var url = applib.REQUEST_DOMAIN + "commonTypes/getCommonTypesByType?type=2";
        applib.ajax(url, {
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            success: function (data) {
                //var data={code:0,msg:'',data:[{"id":7,"code":null,"name":"房产","icon":"","type":null,"status":1,"sort":0,"createtime":1553244565000}]};
                //[{"id":7,"code":null,"name":"房产","icon":"","type":null,"status":1,"sort":0,"createtime":1553244565000}]
                if (data.code != 0) {
                    mui.toast(data.msg);
                    return;
                }
                var resdata = data.data.commonType;
                if (resdata) {
                    //resdata.push({"id": 0, "name": "其他"});
                }
                var pickdata = [];
                //数据转化成组件需要的数据
                for (var i = 0; i < resdata.length; i++) {
                    //[{"value":"1","text":"是"},{"value":"0","text":"否"}];
                    pickdata.push({
                        "value": resdata[i].id,
                        "text": resdata[i].name
                    });
                }
                picker_relatin.setData(pickdata);
            },
            error: function (xhr, type, errorThrown) {
                console.log(JSON.stringify(xhr));
                mui.toast("网络繁忙，请稍后重试！");
            }
        });
    }

    //加载地区信息
    function loadareainfo() {
        ajax(xnzbUrl + '/api-account/account/getAllArea', {
            data: {
                token: token
            },
            dataType: 'json',
            type: 'get',
            timeout: 10000,
            success: function (data) {
                if (data.code == 200) {
                    areadata = data.data.result;
                }
            },
            error: function (xhr, type, errorThrown) {
            }
        });
    }

    function init() {
        currentWebview = plus.webview.currentWebview();
        folio=currentWebview.folio;
        loaduser();
        loadtypes();
        //loadareainfo();
    }

    return {
        init: init
    }
})();

mui.plusReady(function() {
    mui.init();
    loan_sub_apply.init();
});
