/**
 * Created by wangzhen on 2017/8/24.
 */
var step2 = (function () {
    var shoudsavedata=1;//当页面关闭时，标识是否需要保存数据
    /*上传相关*/
    function change(dom) {
        if (mui.os.plus) {
            var a = [{
                title: "拍照"
            }, {
                title: "相册选取"
            }];
            plus.nativeUI.actionSheet({
                cancel: "取消",
                buttons: a
            }, function (b) {
                switch (b.index) {
                    case  0:
                        break;
                    case  1:
                        getImage(dom);  //调用摄像头  
                        break;
                    case  2:
                        galleryImg(dom);//相册选择
                        break;
                    default:
                        break
                }
            })
        }
    }

    function getImage(dom) {
        var cmr = plus.camera.getCamera();
        cmr.captureImage(function (p) {
            plus.io.resolveLocalFileSystemURL(p, function (entry) {
                var path = entry.toLocalURL();
                appendFile(path,dom);
            }, function (e) {
                //mui.toast("读取拍照文件错误：" + e.message);
                plus.nativeUI.toast("读取拍照文件错误：" + e.message,{'verticalAlign':'center','align':'center'});
            });
        }, function (e) {
        }, {
            filename: "_doc/camera/",
            index: 1
        });
    }

    function galleryImg(dom) {
        plus.gallery.pick(function (e) {
            appendFile(e,dom);
        }, function (e) {
            //console.log("取消选择图片");
        }, {
            filter: "image",
            system: true
        });
    }

    function appendFile(p,dom) {
        var currentp = "_doc/" + new Date().getTime() + ".jpg";
        plus.zip.compressImage({
            src: p,
            dst: currentp,
            quality: 40,
            overwrite: true
        }, function () {
            $(dom).attr("src",plus.io.convertLocalFileSystemURL(currentp));

            //原生bitmap对象
            var bitmap = new plus.nativeObj.Bitmap("test"); //test标识谁便取
            // 从本地加载Bitmap图片
            bitmap.load(currentp,function(){
                var base64=bitmap.toBase64Data();
                console.log('加载图片：'+base64);
                var wt = plus.nativeUI.showWaiting("正在上传", {
                    width: '100px'
                });

                var url = applib.REQUEST_DOMAIN+"upload";
                //发送数据
                var data = {
                    imageFile: base64 //base64数据
                };
                mui.ajax(url, {
                    data: data,
                    dataType: 'text',
                    type: 'post',
                    timeout: 30000,
                    success: function(data) {
                        wt.close();
                        console.log(JSON.stringify(data));
                        //绑定数据
                        $(dom).data("url",data);
                    },
                    error: function(xhr, type, errorThrown) {
                        wt.close();
                        mui.toast("网络繁忙，请稍后重试！");
                    }
                });

            },function(e){
                console.log('加载图片失败：'+JSON.stringify(e));
            });

        }, function (error) {
            console.log("compress error");
        });
    }
    /*上传相关end*/

    function savedata() {
        var lrName=$("#lrName").val().trim();
        var lrMobilePhone=$("#lrMobilePhone").val().trim();
        var lrFiXPhone=$("#lrFiXPhone").val().trim();
        var lrIDNO=$("#lrIDNO").val().trim();
        var lrIdCardFornt=$("#lrIdCardFornt").data("url");
        var lrIdCardRear=$("#lrIdCardRear").data("url");
        var rdata={
            "lrName": lrName,
            "lrMobilePhone": lrMobilePhone,
            "lrFiXPhone": lrFiXPhone,
            "lrIDNO": lrIDNO,
            "lrIdCardFornt": lrIdCardFornt,
            "lrIdCardRear": lrIdCardRear
        };
        plus.storage.setItem("corporation",JSON.stringify(rdata));
    }

    //关闭处理
    function handleclose() {
        var current=plus.webview.currentWebview();
        current.addEventListener('close', function(e){
            //console.log('Webview closed!');
            if(shoudsavedata==1){
                savedata();
                console.log('savedata ok');
            }
        }, false );
    }

    //将保存的数据还原到界面
    function initview(jsonstr) {
        var jsonobj=JSON.parse(jsonstr);
        var lrName=jsonobj.lrName;//关系code
        var lrMobilePhone=jsonobj.lrMobilePhone;
        var lrFiXPhone=jsonobj.lrFiXPhone;
        var lrIDNO=jsonobj.lrIDNO;
        var lrIdCardFornt=jsonobj.lrIdCardFornt;
        var lrIdCardRear=jsonobj.lrIdCardRear;

        if(lrName){
            $("#lrName").val(lrName);
        }
        if(lrMobilePhone){
            $("#lrMobilePhone").val(lrMobilePhone);
        }
        if(lrFiXPhone){
            $("#lrFiXPhone").val(lrFiXPhone);
        }
         if(lrIDNO){
            $("#lrIDNO").val(lrIDNO);
        }
        if(lrIdCardFornt){
            $("#lrIdCardFornt").data("url",lrIdCardFornt);
            $("#lrIdCardFornt").attr('src',lrIdCardFornt);
        }
        if(lrIdCardRear){
            $("#lrIdCardRear").data("url",lrIdCardRear);
            $("#lrIdCardRear").attr('src',lrIdCardRear);
        }
    }

    function init()
    {
        /**
         * 下一步
         */
        document.getElementById("btnNextStep").addEventListener("tap",function () {
            document.activeElement.blur();
            var lrName=$("#lrName").val().trim();
            if(lrName == null || lrName == undefined || lrName == '')
            {
                mui.toast("请输入姓名！");
                return;
            }
            var lrMobilePhone=$("#lrMobilePhone").val().trim();
            if(lrMobilePhone == null || lrMobilePhone == undefined || lrMobilePhone == '')
            {
                mui.toast("请输入移动电话！");
                return;
            }
            var lrFiXPhone=$("#lrFiXPhone").val().trim();
            if(lrFiXPhone == null || lrFiXPhone == undefined || lrFiXPhone == '')
            {
                mui.toast("请输入固定电话！");
                return;
            }
            var lrIDNO=$("#lrIDNO").val().trim();
            if(lrIDNO == null || lrIDNO == undefined || lrIDNO == '')
            {
                mui.toast("请输入身份证号码！");
                return;
            }
            var lrIdCardFornt=$("#lrIdCardFornt").data("url").trim();
            if(lrIdCardFornt == null || lrIdCardFornt == undefined || lrIdCardFornt == '')
            {
                mui.toast("请上传身份证照片正面！");
                return;
            }
            var lrIdCardRear=$("#lrIdCardRear").data("url");
            if(lrIdCardRear == null || lrIdCardRear == undefined || lrIdCardRear == '')
            {
                mui.toast("请上传身份证照片反面！");
                return;
            }
            var data={lrName:lrName,lrMobilePhone:lrMobilePhone,lrFiXPhone:lrFiXPhone,lrIDNO:lrIDNO,lrIdCardFornt:lrIdCardFornt,lrIdCardRear:lrIdCardRear};
            // console.log("data:"+JSON.stringify(data));
            plus.storage.setItem("corporation",JSON.stringify(data));
            applib.openWindow("step3.html","step3");
        });
        //绑定点击事件
        document.getElementById("lrIdCardFornt").addEventListener("tap",function () {
            document.activeElement.blur();
            change(this);
        });
        //绑定点击事件
        document.getElementById("lrIdCardRear").addEventListener("tap",function () {
            document.activeElement.blur();
            change(this);
        });
        /**
         * 点击上一步
         */
        document.getElementById("btnPreviousStep").addEventListener("tap",function () {
            document.activeElement.blur();
            mui.back();
        });
        handleclose();

    //初始化界面
        var corporation=plus.storage.getItem("corporation");
        console.log("re:"+corporation);
        if(corporation){
            initview(corporation);
        }
    }
    window.addEventListener('fclose',function(event){
        shoudsavedata=0;
        plus.storage.removeItem("corporation");
        plus.webview.currentWebview().close();
    });
    return {
        init: init
    }
})();

mui.plusReady(function() {
    mui.init();
    step2.init();
});