/**
 * Created by tian on 2017/8/9.
 */

var step3 = (function () {

	var isok=false;//标志是否需要隐藏加载状态
	var yw=1;//有无证照

	var shoudsavedata=1;//当页面关闭时，标识是否需要保存数据

    function bindEvent() {
		$('input[name="rdocard"]').change(function(){
			if($(this).val()==1){
				$("#main").show();
				yw=1;
			}
			else {
				$("#main").hide();
				yw=0;
			}
		});

		//上一步
		document.getElementById("btnpre").addEventListener("tap",function () {
			document.activeElement.blur();
			mui.back();
		});
		//下一步
		document.getElementById("btnnext").addEventListener("tap",function () {
			document.activeElement.blur();
			//判断选择有无证照
			if(yw==0){
				plus.storage.setItem("license","[]");
				console.log("无证照");
				applib.openWindow("step4.html","step4");
				return;
			}

			var data=[];
			var stop=0;//标志是否要继续执行循环代码，防止多次弹出提示
			//验证
			$('.dvitem').each(function (index,element) {
				if(stop==1){
					return;
				}
				var chkgo= $(element).find("input[name='chkgo']");

				if(!chkgo.is(':checked')){
					// 没有选中
					return;
				}
				var typeid=chkgo.val();
				var typename=chkgo.next().text();
				var codename=$(element).find(".codename").text();
				var code=$(element).find("input[name='txtname']").val().trim();
				if(code.length==0) {
					mui.toast('请输入'+codename);
					stop=1;
					return;
				}
				var datename=$(element).find(".datename").text();
				var sdate=$(element).find("input[name='txtdate']").data("svalue");
				var edate=$(element).find("input[name='txtdate']").data("evalue");
				if(!sdate||!edate) {
					mui.toast('请选择' + datename);
					stop = 1;
					return;
				}
				var imagename=$(element).find(".imagename").text();
				var imageurl=$(element).find(".upload").data("url");
				if(!imageurl){
					mui.toast('请'+imagename);
					stop=1;
					return;
				}

				data.push({typeId:typeid,typeName:typename,codeName:codename,code:code,dateName:datename,validityStart:sdate,validityEnd:edate,imageName:imagename,imageUrl:imageurl});
			});
			if(stop==1){
				return;
			}
			console.log("dd:"+JSON.stringify(data));
			plus.storage.setItem("license",JSON.stringify(data));
			applib.openWindow("step4.html","step4");
		});
    }

	function loaddata() {
		var url = applib.REQUEST_DOMAIN+"license/input";
		var data = {
			//userid:'0'
		};
		mui.ajax(url, {
			data: data,
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			//headers: {"Authorization": "Bearer " + token},
			success: function(data) {
				console.log(JSON.stringify(data));
				//绑定数据
				var html = template('datatmp',data);
				document.getElementById('main').innerHTML = html;

				//绑定点击事件
				$(".upload").click(function () {
					document.activeElement.blur();
					if(this.dataset.clickable!=1){
						return;
					}
					change(this);
				});
				//绑定有效期点击
				$('input[name="txtdate"]').click(function () {
					document.activeElement.blur();
					if(this.dataset.clickable!=1){
						return;
					}
					var that=$(this);

					var dtPicker = new mui.DtPicker({
						type: "date",//设置日历初始视图模式
						//beginDate: new Date(2015, 04, 25),//设置开始日期
						endYear: new Date().getFullYear()+50,//设置结束日期
					});
					dtPicker.show(function (selectItems) {
						var y=selectItems.y.value;
						var m=selectItems.m.value;
						var d=selectItems.d.value;
						setTimeout(showenddate(that,y,m,d),300);
						//that.val(selectItems.y.value+"年"+selectItems.m.value+"月"+selectItems.d.value+"日");
						//that.data("value",selectItems.y.value+"-"+selectItems.m.value+"-"+selectItems.d.value+" 00:00:00");
					});
					$(".mui-tian-title").text("选择生效日期");
				});
				//绑定项的勾选事件
				$('input[name="chkgo"]').change(function () {
					var pdom = $(this).parent().parent().parent();//。。。
					var txtname=pdom.find("input[name='txtname']");//名称
					var txtdate=pdom.find("input[name='txtdate']");//有效期
					var upload=pdom.find(".upload");//上传图片
					if(this.checked) {
						txtname.removeAttr("readonly");
						txtdate.data("clickable","1");
						upload.data("clickable","1");
					}
					else {
						txtname.val("");
						txtdate.val("");
						upload.attr("src","../../images/reporting/addpic.png");

						txtname.attr("readonly","readonly");
						txtdate.data("clickable","0");
						txtdate.data("svalue","");
						txtdate.data("evalue","");
						upload.data("clickable","0");
						upload.data("url","");
					}
				});

                var sdata= plus.storage.getItem("license");
                if(sdata){
                    initview(sdata);
                }
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("网络繁忙，请稍后重试！");
			}
		});
	}

	function showenddate(dom,sy, sm, sd) {
		//console.log(sy+"-"+sm+"-"+sd);
		var dtPicker = new mui.DtPicker({
			type: "date",//设置日历初始视图模式
			beginDate: new Date(sy, sm-1, sd),//设置开始日期
			endYear: sy+50,//设置结束日期
		});
		dtPicker.show(function (selectItems) {
			//console.log(selectItems.y);//{text: "2016",value: 2016}
			//console.log(selectItems.m);//{text: "05",value: "05"}
			dom.val(sy+"年"+sm+"月"+sd+"日 - "+selectItems.y.value+"年"+selectItems.m.value+"月"+selectItems.d.value+"日");
			dom.data("svalue",sy+"-"+sm+"-"+sd+" 00:00:00");//生效日期
			dom.data("evalue",selectItems.y.value+"-"+selectItems.m.value+"-"+selectItems.d.value+" 00:00:00");//失效日期
		});
		$(".mui-tian-title").text("选择失效日期");
	}

	/*上传相关*/
	function change(dom) {
		if (mui.os.plus) {
			var a = [{
				title: "拍照"
			}, {
				title: "相册选取"
			}];
			plus.nativeUI.actionSheet({
				cancel: "取消",
				buttons: a
			}, function (b) {
				switch (b.index) {
					case  0:
						break;
					case  1:
						getImage(dom);  //调用摄像头  
						break;
					case  2:
						galleryImg(dom);//相册选择
						break;
					default:
						break
				}
			})
		}
	}

	function getImage(dom) {
		var cmr = plus.camera.getCamera();
		cmr.captureImage(function (p) {
			plus.io.resolveLocalFileSystemURL(p, function (entry) {
				var path = entry.toLocalURL();
				appendFile(path,dom);
			}, function (e) {
				//mui.toast("读取拍照文件错误：" + e.message);
				plus.nativeUI.toast("读取拍照文件错误：" + e.message,{'verticalAlign':'center','align':'center'});
			});
		}, function (e) {
		}, {
			filename: "_doc/camera/",
			index: 1
		});
	}

	function galleryImg(dom) {
		plus.gallery.pick(function (e) {
			appendFile(e,dom);
		}, function (e) {
			//console.log("取消选择图片");
		}, {
			filter: "image",
			system: true
		});
	}

	function appendFile(p,dom) {
		var currentp = "_doc/" + new Date().getTime() + ".jpg";
		plus.zip.compressImage({
			src: p,
			dst: currentp,
			quality: 40,
			overwrite: true
		}, function () {
			$(dom).attr("src",plus.io.convertLocalFileSystemURL(currentp));

			//原生bitmap对象
			var bitmap = new plus.nativeObj.Bitmap("test"); //test标识谁便取
			// 从本地加载Bitmap图片
			bitmap.load(currentp,function(){
				var base64=bitmap.toBase64Data();
				console.log('加载图片：'+base64);
				var wt = plus.nativeUI.showWaiting("正在上传", {
					width: '100px'
				});

				var url = applib.REQUEST_DOMAIN+"upload";
				//发送数据
				var data = {
					imageFile: base64 //base64数据
				};
				mui.ajax(url, {
					data: data,
					dataType: 'text',
					type: 'post',
					timeout: 30000,
					success: function(data) {
						wt.close();
						console.log(JSON.stringify(data));
						//绑定数据
						$(dom).data("url",data);
					},
					error: function(xhr, type, errorThrown) {
						wt.close();
						mui.toast("网络繁忙，请稍后重试！");
					}
				});

			},function(e){
				console.log('加载图片失败：'+JSON.stringify(e));
			});

		}, function (error) {
			console.log("compress error");
		});
	}
	/*上传相关end*/


	//缓存页面数据
	function savedata() {
        if(yw==0){
            plus.storage.setItem("license","[]");
            return;
        }
        var data=[];
        $('.dvitem').each(function (index,element) {
            var chkgo= $(element).find("input[name='chkgo']");

            if(!chkgo.is(':checked')){
                // 没有选中
                return;
            }
            var typeid=chkgo.val();
            var typename=chkgo.next().text();
            var codename=$(element).find(".codename").text();
            var code=$(element).find("input[name='txtname']").val().trim();

            var datename=$(element).find(".datename").text();
            var sdate=$(element).find("input[name='txtdate']").data("svalue");
            var edate=$(element).find("input[name='txtdate']").data("evalue");

            var imagename=$(element).find(".imagename").text();
            var imageurl=$(element).find(".upload").data("url");

            data.push({typeId:typeid,typeName:typename,codeName:codename,code:code,dateName:datename,validityStart:sdate,validityEnd:edate,imageName:imagename,imageUrl:imageurl});
        });
        plus.storage.setItem("license",JSON.stringify(data));
	}

	//将保存的数据还原到界面
	function initview(jsonstr) {
		var jsonobj=JSON.parse(jsonstr);
        if(jsonobj.length==0){
            return;
        }

        $('.dvitem').each(function (index,element) {
            var chkgo= $(element).find("input[name='chkgo']");
            var typeid=chkgo.val();
            for (var i=0;i<jsonobj.length;i++){
                var obj=jsonobj[i];
                if(typeid==obj.typeId){
                    chkgo.attr("checked","checked");
                    $(element).find("input[name='txtname']").removeAttr("readonly");
                    $(element).find("input[name='txtdate']").data("clickable","1");
                    $(element).find(".upload").data("clickable","1");

                    //界面赋值
                    if(obj.code){
                        $(element).find("input[name='txtname']").val(obj.code);
                    }

                    var sdate=obj.validityStart;
                    var edate=obj.validityEnd;
                    if(sdate&&edate){
                        $(element).find("input[name='txtdate']").data("svalue",sdate);
                        $(element).find("input[name='txtdate']").data("evalue",edate);
                        sdate=sdate.substring(0,sdate.indexOf(' ')).split("-");
                        edate=edate.substring(0,edate.indexOf(' ')).split("-");
                        $(element).find("input[name='txtdate']").val(sdate[0]+"年"+sdate[1]+"月"+sdate[2]+"日 - "+edate[0]+"年"+edate[1]+"月"+edate[2]+"日");
                    }
                    if(obj.imageUrl){
                        $(element).find(".upload").data("url",obj.imageUrl);
                        $(element).find(".upload").attr("src",obj.imageUrl);
                    }
                    break;
                }
            }
        });
	}

	//关闭处理
	function handleclose() {
		var current=plus.webview.currentWebview();
		current.addEventListener('close', function(e){
			//console.log('Webview closed!');
			if(shoudsavedata==1){
				savedata();
				console.log('savedata ok');
			}
		}, false );
	}
    window.addEventListener('fclose',function(event){
        shoudsavedata=0;
        plus.storage.removeItem("license");
        plus.webview.currentWebview().close();
    });


	function init() {
		loaddata();
        bindEvent();
        handleclose();
    }

    return {
        init: init
    }
})();

mui.plusReady(function() {
    mui.init();
    step3.init();
});
