/**
 * Created by tian on 2017/8/9.
 */

var step4 = (function () {

	var isok=false;//标志是否需要隐藏加载状态
	var relationpick;
	var pickdata=[];

	//省，市，区
	var sheng, shi, qu;
	//省，市，区的数据，当前级别
	var shengdata, shidata, qudata, jing = 0;
	var areacode;

	//省、市、区、镇code值
	var shengcode,shicode,qucode;

	var shoudsavedata=1;//当页面关闭时，标识是否需要保存数据

    function bindEvent() {
		//关系选择
		document.getElementById("txtrelation").addEventListener("tap",function () {
			document.activeElement.blur();
			if(!relationpick){
				return;
			}
			relationpick.show(function (selectItems) {
				console.log(selectItems[0].text);
				console.log(selectItems[0].value);
				$("#txtrelation").val(selectItems[0].text);
				$("#txtrelation").data("code",selectItems[0].value);
			})
		});
		document.getElementById("txtarea").addEventListener("tap",function () {
			$('.area-list').show();
			getProvinceBuy(1)
		});

		//地区列表项点击
		mui(".dqld_div").on('tap','li',function(){
			var id=this.dataset.id;
			if(jing==3)
			{
				goback(id);
			}else{
				var ji=jing+1;
				getProvinceBuy(ji,id);
			}
		});
		document.getElementById("gmfht").addEventListener("tap",function () {
			goback2();
		});

		//上一步
		document.getElementById("btnpre").addEventListener("tap",function () {
			document.activeElement.blur();
			mui.back();
		});
		//下一步
		document.getElementById("btnnext").addEventListener("tap",function () {
			document.activeElement.blur();
			var rcode=$("#txtrelation").data("code");
			if(!rcode){
				mui.toast("请选择合作或隶属关系");
				return;
			}
			var cname=$("#txtcname").val().trim();
			if(cname.length==0){
				mui.toast("请输入企业名称");
				return;
			}
			var ecode=$("#txtecode").val().trim();
			if(ecode.length==0){
				mui.toast("请输入社会代码");
				return;
			}
			if(!sheng||!shi||!qu){
				mui.toast("请选择企业所在地区");
				return;
			}
			var address=$("#txtaddress").val().trim();
			if(address.length==0){
				mui.toast("请输入详细地址");
				return;
			}
			var rdata={
				"farmRelation": rcode,
				"eName": cname,
				"eCode": ecode,
				"eProvince": sheng,
				"eCity": shi,
				"eDistrict": qu,
				"eAddress": address
			};
			plus.storage.setItem("relation",JSON.stringify(rdata));

			//读取各个步骤缓存的数据
			var business=plus.storage.getItem("business");
			var corporation=plus.storage.getItem("corporation");
			var license=plus.storage.getItem("license");
			var relation=plus.storage.getItem("relation");
			if(!business||!corporation||!license||!relation){
				mui.toast("数据不完整，请重新填写");
				return;
			}
			var postdata='{"business":'+business+',"corporation":'+corporation+',"license":'+license+',"relation":'+relation+'}';

			console.log("postdata"+postdata);

			var wt = plus.nativeUI.showWaiting("正在提交", {
				width: '100px'
			});
			var url = applib.REQUEST_DOMAIN+"farm/register";
			mui.ajax(url, {
				data: postdata,
				dataType: 'text',
				type: 'post',
				contentType: "application/json",
				timeout: 30000,
				success: function(data) {
					wt.close();
					console.log(JSON.stringify(data));

					if(data=='success'){
						applib.openWindow("step5.html","step5");
					}
					else {
						mui.toast("请稍后重试！");
					}
				},
				error: function(xhr, type, errorThrown) {
					wt.close();
					mui.toast("网络繁忙，请稍后重试！");
					console.log(JSON.stringify(xhr))
				}
			});


		});
    }

	function loaddata() {
		var url = applib.REQUEST_DOMAIN+"relation";
		var data = {
			//userid:'0'
		};
		mui.ajax(url, {
			data: data,
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			//headers: {"Authorization": "Bearer " + token},
			success: function(data) {
				console.log(JSON.stringify(data));
				//处理数据
				for (var i=0;i<data.length;i++){
					pickdata.push({value:data[i].code,text:data[i].name});
				}
				relationpick = new mui.PopPicker();
				relationpick.setData(pickdata);

				//初始化界面
				var relation=plus.storage.getItem("relation");
				console.log("re:"+relation);
				if(relation){
					initview(relation);
				}
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("网络繁忙，请稍后重试！");
			}
		});
	}

	function loadaddress() {
		var url = applib.REQUEST_DOMAIN+"area/0";
		var data = {
			//userid:'0'
		};
		mui.ajax(url, {
			data: data,
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			//headers: {"Authorization": "Bearer " + token},
			success: function(data) {
				console.log(JSON.stringify(data));
				//处理数据
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("网络繁忙，请稍后重试！");
			}
		});
	}

	function savedata() {
		var rcode=$("#txtrelation").data("code");
		var cname=$("#txtcname").val().trim();
		var ecode=$("#txtecode").val().trim();
		var address=$("#txtaddress").val().trim();
		var rdata={
			"farmRelation": rcode,
			"eName": cname,
			"eCode": ecode,
			"eProvince": sheng,
			"eCity": shi,
			"eDistrict": qu,
			"eAddress": address
		};
		plus.storage.setItem("relation",JSON.stringify(rdata));
	}

	//将保存的数据还原到界面
	function initview(jsonstr) {
		var jsonobj=JSON.parse(jsonstr);
		var rcode=jsonobj.farmRelation;//关系code
		var cname=jsonobj.eName;
		var ecode=jsonobj.eCode;
		sheng=jsonobj.eProvince;
		shi=jsonobj.eCity;
		qu=jsonobj.eDistrict;
		var address=jsonobj.eAddress;

		if(rcode){
			var rtext="";
			for (var i=0;i<pickdata.length;i++){
				if(rcode==pickdata[i].value){
					rtext=pickdata[i].text;
					break;
				}
			}
			$("#txtrelation").data("code",rcode);
			$("#txtrelation").val(rtext);
		}
		if(cname){
			$("#txtcname").val(cname);
		}
		if(ecode){
			$("#txtecode").val(ecode);
		}
		if(sheng&&shi&&qu){
			$("#txtarea").val(sheng+" "+shi+" "+qu);
		}
		if(address){
			$("#txtaddress").val(address);
		}
	}

	//关闭处理
	function handleclose() {
		var current=plus.webview.currentWebview();
		current.addEventListener('close', function(e){
			//console.log('Webview closed!');
			if(shoudsavedata==1){
				savedata();
				console.log('savedata ok');
			}
		}, false );
	}


	//地区
	//返回上一级
	function goback(val) {

		$(".detail-load").show();
		$(".fui-page").show();
		qucode = val
		qu = getqy(qudata, val);
		$(".dqld_div ul").html("");
		$("#txtarea").val(sheng+' '+shi+' '+qu);
		areacode =shengcode+'|'+shicode+'|'+qucode;
		$('#txtarea').attr('data-id',areacode);
		$(".detail-load").hide();
		$(".area-list").hide();
		//$("#mybody").show();
		return;

	};
	//返回上级
	function goback2() {
		$(".fui-page").show();
		$('.area-list').hide();
	};
	//得到地址
	function getqy(arr, ind) {
		console.log(JSON.stringify(arr));
		for (var i = 0; i < arr.length; i++) {
			if (arr[i].id == ind) {
				return arr[i].areaname;
			};
		};
	};
	/**
	 * 获取地址列表
	 */
	function getProvinceBuy(ji, val) {

		$(".dqld_div").show();
		$(".detail-load").show();
		//$("#mybody").hide();
		jing = ji;
		if (ji == 1) {
			$(".gm-div").hide();
			$(".gm-fpsdz").show();
			var url=applib.REQUEST_DOMAIN+'area/'+0;

			//一级地址查询
			mui.ajax(url,{
				type: "get",
				dataType: "json",
				timeout: 10000,
				success: function (da) {
					//console.log(JSON.stringify(da));
					var dlength = da.length;
					$(".detail-load").hide();
					$(".dqld_div ul").html("");
					shengdata = da;
					for (var i = 0; i < dlength; i++) {
						var option = $("<li value='" + da[i].code + "' data-id='"+da[i].id+"'>" + da[i].areaname + "</ul>");
						$(".dqld_div ul").append(option);
					};

				},
				error: function(xhr, type, errorThrown) {
					$(".detail-load").hide();
					console.log(JSON.stringify(xhr));
					mui.toast("网络繁忙，请稍后重试！");
				}
			});
		};

		if (ji == 2) {
			shengcode = val;
			sheng = getqy(shengdata, val);
			var url=applib.REQUEST_DOMAIN+'area/'+val;
			//二级地址查询
			mui.ajax(url,{
				type: "get",
				dataType: "json",
				timeout: 10000,
				success: function (da) {
					// console.log(JSON.stringify(da));
					$(".detail-load").hide();
					$(".dqld_div ul").html("");
					shidata = da;
					for (var i = 0; i < da.length; i++) {
						var option = $("<li value='" + da[i].code + "' data-id='"+da[i].id+"'>" + da[i].areaname + "</ul>");
						$(".dqld_div ul").append(option);
					}
				},
				error: function(xhr, type, errorThrown) {
					$(".detail-load").hide();
					console.log(JSON.stringify(xhr));
					mui.toast("网络繁忙，请稍后重试！");
				}
			});
		};

		if (ji == 3) {
			shicode = val

			shi = getqy(shidata, val);
			var url=applib.REQUEST_DOMAIN+'area/'+val;
			//三级地址查询
			mui.ajax(url,{
				type: "get",
				dataType: "json",
				timeout: 10000,
				success: function (da) {
					$(".detail-load").hide();
					$(".dqld_div ul").html("");
					qudata = da;
					for (var i = 0; i < da.length; i++) {
						var option = $("<li value='" + da[i].code + "' data-id='"+da[i].id+"'>" + da[i].areaname + "</ul>");
						$(".dqld_div ul").append(option);
					}
				},
				error: function(xhr, type, errorThrown) {
					$(".detail-load").hide();
					console.log(JSON.stringify(xhr));
					mui.toast("网络繁忙，请稍后重试！");
				}
			});
		};
	}
	//地区end


	function init() {
		loaddata();
        bindEvent();
		handleclose();
    }
	window.addEventListener('fclose',function(event){
		shoudsavedata=0;
		plus.storage.removeItem("relation");
		plus.webview.currentWebview().close();
	});

    return {
        init: init
    }
})();

mui.plusReady(function() {
    mui.init();
	step4.init();
});
