var files = [];
var payRoof = [];
var proImgData = [];
var proVData = [];
var videoTrueData = [];
var index = 0;
var picNum;
var upId = '',
	fileType = '',
	wt = null;
var imgWidth, imgHeight, leftpos, toppos, imgpaths;
var thisUrl = window.location.href.split('/').pop();
var deleted = document.getElementById("delete");
var orderId = window.location.href.split('=')[1];

mui.plusReady(function() {
	token = plus.storage.getItem('token');
});
var personalInfo = new Vue({
	el: "#personalData",
	data: {
		gridData: '',
		personalData: []
	},
	methods: {
		uploadImg: function(e) {
			upId = e.currentTarget.id;
			chagePop(this, upId);
		},
		deleteImg: function(item, e) {
			upId = e.currentTarget.id;
			deleteImg(item, upId);
		}
	}
});

var chagePop = function(element, upId) {
	console.log(upId)
	var bts = [{
		title: "拍照",
		action: 'camera'
	}, {
		title: "从相册选取",
		action: 'gallery'
	}];
	plus.nativeUI.actionSheet({
			cancel: "取消",
			buttons: bts
		},
		function(e) {
			if(e.index > 0) {
				switch(bts[e.index - 1].action) {
					case 'camera':
						getImage(element);
						break;
					case 'gallery':
						galleryImg(element);
						break;
					default:
						break;
				}
			}
		}
	);
}

 /*function getImage() { 
            var c = plus.camera.getCamera(); 
            c.captureImage(function(e) { 
                plus.io.resolveLocalFileSystemURL(e, function(entry) { 
                    var s = entry.toLocalURL() + "?version=" + new Date().getTime();
                    console.log(s);
                    var evjs = getpath(e.target);
                    console.log(evjs)
					evalJS(evjs);
                   upLoad(s);
                }, function(e) { 
                    console.log("读取拍照文件错误：" + e.message); 
                }); 
            }, function(s) { 
                console.log("error" + s); 
            }, { 
                filename: "_doc/head.png" 
            }) 
        } */
//点击拍照执行
function getImage() {
	var cmr = plus.camera.getCamera();
	cmr.captureImage(function(p) {
		plus.io.resolveLocalFileSystemURL(p,
			function(entry) {
				wt = plus.nativeUI.showWaiting('上传中...', {
					width: '100px'
				});
				plus.zip.compressImage({
					src: entry.toLocalURL(), //search.src, //src在这里是第一步Url里的src。也就是本地路径
					dst: entry.toLocalURL(),
					overwrite: true,
					quality: 80,
					width: '950px',
					height: 'auto'
				}, function(e) {
					if(imgWidth > 320) {
						plus.zip.compressImage({
							src: e.target,
							dst: e.target,
							overwrite: true,
							quality: 100,
							width: "320px" // 缩小到原来的一半
						}, function(e) {
							picNum = 1;
							var evjs = getpath(e.target);
							evalJS(evjs);
						}, function(error) {
							//							alert("Compress error!");
							wt.close();
							mui.toast("压缩失败请重新上传");
						});
					} else {
						var fat = plus.webview.currentWebview();
						picNum = 1;
						var evjs = getpath(e.target);
						fat.evalJS(evjs);
					}
				}, function(e) {
					wt.close();
					mui.toast("上传失败");
					console.log(JSON.stringify(e, null, ""));
				});
			},
			function(e) {
				wt.close();
				//plus.nativeUI.alert("读取拍照文件错误：" + e.message);
			});
	}, function(e) {
		//		alert("失败：" + e.message);
		mui.toast("上传失败");
		wt.close();
	}, {
		filename: "_doc/header/pic_" + new Date().getTime() + ".jpg",
		//拍照默认使用的摄像头
		index: 1,
		maximum: 1
	});
}

function galleryImg(obj) {
	plus.gallery.pick(function(e) {
		wt = plus.nativeUI.showWaiting('上传中...', {
			width: '100px'
		});
		picNum = e.files.length;
		if(picNum > 0) {
			compressImage(e.files, index);
		} else {
			mui.toast("图片选择失败");
		}
		//		zipImg(e);
	}, function(e) {
		console.log("选择后回调函数：" + JSON.stringify(e));
	}, {
		filter: "image",
		//		filename: "_doc/header/pic_" + new Date().getTime() + ".jpg"
		multiple: true,
		system: false,
		maximum: 1,
		onmaxed: function() {
			plus.nativeUI.alert('每次最多只能选择1张图片');
		}

	});
}
/*
 压缩图片
 * */
function compressImage(files, index) {
	var path = files[index];
	plus.zip.compressImage({
		src: path, //search.src, //src在这里是第一步Url里的src。也就是本地路径
		dst: "_doc/a.jpg",
		quality: 80,
		overwrite: true,
		width: '950px'
	}, function(i) {
		getpath(i.target);
		index++;
		if(index < picNum) {
			compressImage(files, index);
		}
	}, function(e) {
	/*	mui.toast("压缩失败!");*/
		getpath(path);
		index++;
		if(index < picNum) {
			compressImage(files, index);
		}
	});
}

function getpath(paths) {
	files.push({
		name: "file",
		path: paths
	});
	if(files.length == picNum && files.length != 0) {
		for(i in files) {
			upLoad(files[i], upId);
		}
		picNum = 0;
		index = 0;
		files = [];
	}
}
//上传图片
function upLoad(file, upId) {
	console.log(upId)
	if(upId == 'videoCont' || upId == "pvTriger") {
		fileType = 'video';
	} else {
		fileType = 'img';
	}
	var server = 'http://api-dev.xnzb.org.cn/api-image/vl/uploadFileByH5Plus';
	var task = plus.uploader.createUpload(server, {
			method: "POST",
			blocksize: 204800,
			priority: 100
		},
		function(res, status) { //上传完成 
			console.log("res:" + JSON.stringify(res));
			if(!res.responseText) {
				mui.toast("文件太大上传失败");
				wt.close();
				return false;
			}
			if(status == 200) {
				var str = JSON.parse(res.responseText);
				$('#imgPhoto').attr('src','http://pic-dev.xnzb.org.cn/'+str.data.path);
				$('#imgurl').val('http://pic-dev.xnzb.org.cn/'+str.data.path);
				$('#imgPhoto').css('width','100%');$('#imgPhoto').css('height','100%');$('#imgPhoto').css('margin-top','0')
				// if(upId === 'photowall') {
				// 	imgpaths = str.data.path;
				// 	personalInfo.gridData = xnzbImg + str.data.path;
				// 	var imgs = document.getElementById("imgs");
				// 	imgs.style.display = "block";
				// 	var imgss = document.getElementById("imgPhoto");
				// 	imgss.style.display = "none";
				// } else {
				// 	imgpaths = str.data.path;
				// 	personalInfo.personalData.photo = xnzbImg + str.data.path;
				// 	var imgurl = imgpaths;
				// 	imgpath();
				// }

				mui.toast("上传成功!");
			} else {
				mui.toast("上传失败!");
				var imgs = document.getElementById("imgs");
				if(imgs){
					imgs.dataset.nocheck="1";
				}
			}
			wt.close();
		}
	);
	task.addFile(file.path, {
		key: file.name
	});
	task.start();
	if(wt) {
		setTimeout(function() {
			wt.close();
		}, 300000);
	}
}


function removeByValue(arr, val) {
	for(var i = 0; i < arr.length; i++) {
		if(arr[i] == val) {
			arr.splice(i, 1);
			break;
		}
	}
}


