mui.init();
//	获取验证码

var countdown = 60;

var imgpaths='';
function sendemail() {
	var obj = $("#getting");
	$.ajax({
		type: "post",
		url: xnzbUrl + "/api-account/tappeal/sendCode",
		dataType: "json",
		async: true,
		data: {
			'mobile_new': $("#newphone").val(),
		},
		success: function(e) {
			console.log(e.code)

			if(e.code == 0) {
				settime(obj);
			} else {
				mui.toast(e.msg);
			}

		},
		error: function(e) {
			//console.log(JSON.stringify(e));
			//mui.toast(JSON.stringify(e));
			mui.toast("发送失败，请稍后重试。");
		}
	})
}

function settime(obj) { //发送验证码倒计时
	if(countdown == 0) {
		obj.attr('disabled', false);
		obj.css({"background":"#2DBF77"});
		obj.html("重新发送");
		countdown = 60;
		flag = 1;
		return;
	} else {
		flag = 0;
		obj.attr('disabled', true);
		obj.css({"background":"#ccc"});
		obj.html(countdown+"s后重发");
		countdown--;
	}
	setTimeout(function() {
		settime(obj)
	}, 1000)
}

var flag = 1;

document.getElementById("getting").addEventListener("tap",function() {
	if(flag == 0) {
		return;
	}
	// 身份证号码为15位或者18位，15位时全为数字，18位前17位为数字，最后一位是校验位，可能为数字或字符X
	//		var sfreg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
	var myreg = /^1\d{10}$/;
	if($("#newphone").val().length == 0) {
		mui.toast('请输入新手机号');
	} else if(!myreg.test($("#newphone").val())) {
		mui.toast('手机号格式不正确');
	} else {
		sendemail()
	}

})
//上传图片
document.getElementById("photowall").addEventListener("tap", function () {
	document.activeElement.blur();
	uploadimg.chagePop(function (imgurl, localurl) {
		imgpaths=imgurl;
		$("#imgs").attr("src", localurl + "?v=" + new Date().getTime());
		$("#imgs").show();
		$("#imgPhoto").hide();
	});
});

document.getElementById("tijiao").addEventListener("tap",function() {
	var sfreg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
	var myreg = /^1\d{10}$/;

	if($("#jiuphone").val().length == 0) {
		mui.toast('请输入旧手机号');
	} else if(!myreg.test($("#jiuphone").val())) {
		mui.toast('旧手机号格式不正确');
	} else if($("#shenfen").val().length == 0) {
		mui.toast('请输入身份证号');
	} else if(!sfreg.test($("#shenfen").val())) {
		mui.toast('身份证输入不合法');
	} else if($("#zhuti").val().length == 0) {
		mui.toast('请输入主体名称');
	} else if($("#newphone").val().length == 0) {
		mui.toast('请输入新手机号');
	} else if(!myreg.test($("#newphone").val())) {
		mui.toast('新手机号格式不正确');
	} else if($("#yzm").val().length == 0) {
		mui.toast('请输入验证码');
	} else if(imgpaths == '') {
		mui.toast('请上传身份证照片');
	} else {
		$.ajax({
			type: "post",
			url: xnzbUrl + "/api-account/tappeal/addTappeal",
			dataType: "json",
			async: true,
			data: {
				'mobile_old': $("#jiuphone").val(),
				'id_num': $("#shenfen").val(),
				'farm_name': $("#zhuti").val(),
				'mobile_new': $("#newphone").val(),
				'id_num_pic': imgpaths,
				'verifyCode': $("#yzm").val(),
			},
			success: function(e) {
				var data = e;
				console.log(data)
				if (data.code == 1) {
					mui.toast('验证码不能为空');
				}  else if (data.code == 10103) {
					mui.toast('您输入的验证码不正确');
				}else if (data.code == 10104) {
					mui.toast('验证码已过期，请重新获取');
				}else if (data.code == 10100) {
					mui.toast('您输入的旧号码未注册，无法申诉');
				}
				else if (data.code == 10115) {
					mui.toast('您输入的新手机号已关联其他主体，您可以直接登录或输入其他号码');
				}
				else if (data.code == -1) {
					mui.confirm('您输入的号码已在申诉中，请您耐心等待。如有疑问，请联系客服:400-833-0922', '提示', ['呼叫', '取消'], function (e) {
						if (e.index == 0) {
							plus.device.dial("4008330922", false)
						}
					});
				}
				else if (data.code == 2) {
					mui.alert('您的申诉已提交，我们将在3-5个工作日内处理，请您耐心等待', '提示', function () {
						//回退到首页
						mui.back();
					})
				}
			},
			error: function(e) {
				mui.toast('网络繁忙，请稍后重试');
			}
		});
	}
})
//	禁止input光标
$('input[readonly]').on('focus', function() {
	$(this).trigger('blur');
});
