mui.plusReady(function () {
  var overflowStatus = ''
  var token = plus.storage.getItem('token')
  var app = new Vue({
    el: '#app',
    data:{
      ruleDialog: false,
      datatime:'',
      year:null,
      month:null,
      limityear:null,
      integralLogList:[],
      add:0,
      cut:0,
      result:0,
      isshow:false,
      gourl:'',
      ads:[],
      adstwo:'',
      rule: ''
    },
    mounted:function(){
        this.getyearmFn();
        this.getList();
        this.getAutologinUrl();
        this.getAds()
        this.getRules()
    },
    methods:{
      getRules: function() {
        var self = this
        var url = xnzbUrl + '/api-admin/commonRules/queryByKeycode?keycode=share_integral_rule'
        mui.ajax(url, {
          data: {},
          type: 'get',
          timeout: 20000,
          success: function(data) {
            var res = JSON.parse(data)
            self.rule = res.valuetext
          },
          error: function(xhr, type, errorThrown) {
          }
        })
      },
      showRuleModal: function() {
        overflowStatus = document.body.style.overflow

        document.body.style.overflow = 'hidden'
        this.ruleDialog = true
      },
      closeRuleModal: function() {
        this.ruleDialog = false
        document.body.style.overflow = overflowStatus
      },
      actionCreator: function(item, actionName) {
        var params = {
          title: '积分明细',
          token: token,
          actionName: actionName,
          data: item.id
        }
        buryPoint(params, function() {
          console.log(JSON.stringify(item))
          var action = {
            type: item.actionCode,
            value: item.actionValue
          }
          store.dispatch(action)
        })
      },
      getAds: function() {  // 广告位
        var self = this
        mui.ajax(xnzbUrl + '/account-service/pageAds/queryAds?pageCode=jifenmingxiye&position=a001&token=' + token, {
          dataType: 'json',
          type: 'get',
          success: function(res) {
            if (res.code === 0) {
              var temp = res.data
              var ads = []
              temp.forEach(function(item) {
                if (item.imgUrl.indexOf('http') > -1) {
                  ads.push(item)
                } else {
                  item.imgUrl = self.xnzbImg + item.imgUrl
                  ads.push(item)
                }
              })
              self.ads = ads
              // self.adstwo = self.ads[1]
              console.log(JSON.stringify(ads))
            }
          },
          error: function(xhr, type, errorThrown) {}
        })
      },
      getyearmFn:function(){
        var myDate = new Date();
        var tYear = myDate.getFullYear();
        var tMonth = myDate.getMonth();

        var m = tMonth + 1;
        if (m.toString().length == 1) {
          m = "0" + m;
        }
        this.datatime = tYear+'年'+m+'月';
        this.year = tYear;
        this.month = parseInt(m);
        this.limityear = tYear
      },
      chooseTimeFn:function () {
        document.activeElement.blur();
        var options = {
          type: "month",
          beginYear: 2020,
          endDate: new Date()
        };
        var dtPicker = new mui.DtPicker(options);
        dtPicker.show(function(selectItems) {
          app.datatime = selectItems.y.value+'年'+selectItems.m.value+'月'
          app.year = selectItems.y.value
          app.month = parseInt(selectItems.m.value)
          app.getList()
        })
      },
      getList:function () {
        var url = prUrl+'/integral/getScoreByTime';
        var data = {
          year:this.year,
          month:this.month,
          token:token
        };
        mui.ajax(url,{
          data:data,
          dataType: 'json',
          type: 'get',
          timeout: 10000,
          headers: {"token": token},
          success:function (response) {
             console.log(JSON.stringify(response))
            app.integralLogList = response.data.integralLogList
            app.add = response.data.add
            app.cut = response.data.cut
            app.result = response.data.result
            if(app.integralLogList.length<1){
              app.isshow = true
            }else {
              app.isshow = false
            }
          }
        })
      },
      getAutologinUrl:function () {
        var url = prUrl+'/integral/getAutologinUrl';
        var data = {
          token:token
        };
        mui.ajax(url,{
          data:data,
          dataType: 'json',
          type: 'get',
          timeout: 10000,
          headers: {"token": token},
          success:function (response) {
            console.log(JSON.stringify(response))
            app.gourl = response.message
          }
        })
      },
      gourlFn:function () {
        var params = {
          title: '积分明细',
          token: token,
          actionName: '积分商城',
        }
        buryPoint(params, function() {
          if(app.gourl){
            window.showLoadedPage({
              url: '../support/pages/common/webbrowse.html',
              id: 'webbrowse',
              extras: {
                url: app.gourl,
              },
              delay: 500
            });
          }
        })
      }

    }
  });
});
