mui.init({
	beforeback: function() {
		var userCenter = plus.webview.getWebviewById('userCenter');
		var directReport = plus.webview.getWebviewById('directReport');
		var mySubject = plus.webview.getWebviewById('mySubject');
		mui.fire(userCenter, 'pointsreload', {
			pointsreload: 1
		});
		mui.fire(directReport, 'pointsreload', {
			pointsreload: 1
		});
		mui.fire(mySubject, 'pointsreload', {
			pointsreload: 1
		});
		return true;
	}
});
// 初始化vue实例
var points = new Vue({
	el: '#warp',
	data: {
		data: {
			typeScore: []
		}
	}
});
var num,time,date;
var indexWebviewId;
//plusReady事件
mui.plusReady(function() {
	console.log(token)
	ajax(xnzbUrl + '/api-account/getCurrentTime', {
	data: {
	},
	dataType: 'json',
	type: 'GET',
	timeout: 10000,
	success: function(data) {
		if(data.code == 0) {
			time=data.data.time;
			console.log(time)
			date = new Date(time);
			console.log(date)
			
		}
	},
	error: function(xhr, type, errorThrown) {
		mui.toast("网络繁忙，请稍后重试！");
	}
});
	//token = plus.storage.getItem('token');
	indexWebviewId = plus.storage.getItem('indexWebviewId');
	businessType = plus.webview.currentWebview();
	ajax(xnzbUrl + '/api-score/score/getScore', {
		data: {
			token: token
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(data) {
			points.data = data;
			if(!points.data.data) {
				// date = new Date();
				var now = "";
				now = date.getFullYear() + "-"; //读英文就行了
				now = now + (date.getMonth() + 1) + "-"; //取月的时候取的是当前月-1如果想取当前月+1就可以了
				now = now + date.getDate() + " ";
				console.log(now)
				points.data.data = now;
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
});
//监听自定义事件，刷新记账信息
document.addEventListener('pointsreload', function(event) {
	var pointsreload = event.detail.pointsreload;
	if(pointsreload == 1){
		setTimeout(function(){
			ajax(xnzbUrl + '/api-score/score/getScore', {
				data: {
					token: token
				},
				dataType: 'json',
				type: 'get',
				timeout: 10000,
				success: function(data) {
					points.data = data;
					if(!points.data.data) {
						 //date = new Date();
						var now = "";
						now = date.getFullYear() + "-"; //读英文就行了
						now = now + (date.getMonth() + 1) + "-"; //取月的时候取的是当前月-1如果想取当前月+1就可以了
						now = now + date.getDate() + " ";
						points.data.data = now;
					}
				},
				error: function(xhr, type, errorThrown) {
					mui.toast('网络繁忙，请稍后重试！');
				}
			});
		},300);
	}
});
//个人资料
muiid('hrefOne').addEventListener('tap', function() {
	mui.openWindow({
		url: "personaldata.html",
		id: "personaldata",
		styles: {
			top: 0,
			bottom: 0
		}
	});
});
//经营主体
muiid('hrefTwo').addEventListener('tap', function() {
	var hrefTwo = function() {
		mui.openWindow({
			url: "mySubject.html",
			id: "mySubject",
			styles: {
				top: 0,
				bottom: 0
			}
		});
	}
	isCreatSubject(hrefTwo);
});
//年度直报
muiid('hrefThree').addEventListener('tap', function() {
	var obj=new Object();
	var myDate = new Date(time); //获取系统当前时间
	console.log(myDate)
	var currentYear = myDate.getFullYear(); //获取完整的年份
	var lastYear = myDate.getFullYear() - 1; //获取去年的年份
	var currentMonth = myDate.getMonth() + 1; //获取当前月份
	var currentDay = myDate.getDate(); //获取当前日(1-31)
	ajax(xnzbUrl + '/api-report/form/queryByCategory.json', {
		data: {
			token: token,
			year: lastYear,
			category: 2
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(data) {
			if(data.data.isFormData == 0){
				obj.particularYear=lastYear;
				obj.currentMonth=currentMonth;
				obj.currentDay=currentDay;
				obj.num=1;
				isCreatSubject(hrefThree);
			}else{
				obj.particularYear=currentYear;
				obj.currentMonth=currentMonth;
				obj.currentDay=currentDay;
				obj.num=2;
				isCreatSubject(hrefThree);
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("网络繁忙，请稍后重试！");
		}
	});
	var hrefThree = function() {
		window.showLoadedPage({
			url: "../directReport/directReportLook.html",
			id: "directReportLook",
			styles: {
				top: 0,
				bottom: 0
			},
			extras: {
				time: obj
			},
			delay: 500
		});
	}
	
});
//填写记账
muiid('hrefFour').addEventListener('tap', function() {
	mui.openWindow({
		url: "../../index.html",
		id: indexWebviewId,
		styles: {
			top: 0,
			bottom: 0
		}
	});
	var indexWebview = plus.webview.getWebviewById(indexWebviewId);
	mui.fire(indexWebview, 'jizhang', {
		click_WYJZ: 1
	});
});
//邀请好友
muiid('hrefFive').addEventListener('tap', function() {
	mui.openWindow({
		url: "InvitingFriendsOne.html",
		id: "InvitingFriendsOne",
		styles: {
			top: 0,
			bottom: 0
		}
	});
});
//
muiid('myPointsRecord').addEventListener('tap', function() {
	mui.openWindow({
		url: "myPointsRecord.html",
		id: "myPointsRecord",
		styles: {
			top: 0,
			bottom: 0
		}
	});
});
//muiid('hrefFive').addEventListener('tap', function() {
//	mui.openWindow({
//		url: "../news/myNews.html",
//		id: "myNews",
//		styles: {
//			top: 0,
//			bottom: 0
//		}
//
//	});
//});