mui.init();
var province, city, county, familyFarm, cooperative, professionalBigFamily;
var specific = document.getElementById("specific");
var preservation = document.getElementById("preservation");
specific.oninput = function() {
	var valLength = specific.value;
	if(valLength.length >= 8) {
		mui.toast("最多输入8个字");
		return false;
	}
}
mui.plusReady(function() {
	familyFarm = plus.webview.getWebviewById("personaldata");
	preservation.onclick = function() {
		if(specific.value == "") {
			mui.toast("请输入昵称");
			return false;
		} else if(specific.value.length < 2) {
			mui.toast("最少输入2个字");
			return false;
		}
		var nikeName = specific.value;
		data_detail(nikeName);
		mui.back();
		/*var token = plus.storage.getItem('token');*/
		ajax(xnzbUrl + '/api-account/updateUserByToken', {
			data: {
				token: token,
				birthday: '',
				locationCity: '',
				nickname: nikeName,
				photo: '',
				education:''
			},
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			success: function(data) {
				if(!data.code) {
					if(data.data.result == true) {
						mui.toast("提交成功！");
						
					}
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				mui.toast("网络繁忙，请稍后重试！");
			}
		});

	}
});

function data_detail(nikeName) {
	mui.fire(familyFarm, 'personaldata', {
		nikeName: nikeName
	});

}