mui.init();
var shares = null;
var title = $(".version_s").text();
var userId=0;
mui.plusReady(function() {
	ajax(xnzbUrl + '/api-content/column/get', {
		data: {
			 token:token,
			 name:'关于我们'
		},
		type: 'GET',
		dataType: 'json',
		timeout: 10000,
		success: function(data) {

			if(!data.code) {
				var content=data.data.column.content;
				$(".version_s").html(content);
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
	plus.navigator.setStatusBarStyle('dark');
	updateSerivces();
	/**
	 * 分享模块
	 */
	document.querySelector('#xnzbShare').addEventListener('tap', function() {
		shareHref();
	});
	//	var nowVersion = plus.os.name == "Android" ? androidVersion : iosVersion;
	//	muiid('versionnew').innerHTML = '版本号：' + nowVersion;
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		var wgtVer = inf.version;
		muiid('versionnew').innerHTML = '版本号：' + wgtVer;;
	});
	if(token){
		ajax(xnzbUrl + '/api-account/getUserByToken', {
			data: {
				token: token
			},
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			success: function(data) {
				if(!data.code) {
					var userData = data.data;
					userId=userData.userId;
				}
			},
			error: function(xhr, type, errorThrown) {
			}
		});
	}

});

//更新分享服务
function updateSerivces() {
	plus.share.getServices(function(s) {
		shares = {};
		for(var i in s) {
			var t = s[i];
			shares[t.id] = t;
		}
	}, function(e) {
		mui.toast('获取分享服务列表失败：' + e.message);
	});
}
/**
 * 发送分享消息
 * @param {JSON} msg
 * @param {plus.share.ShareService} s
 */
function shareMessage(msg, s) {
	s.send(msg, function() {
		mui.toast('分享成功！');
		handleIntegral('007')
	}, function(e) {
		mui.toast('分享失败!');
	});
}
/**
 * 分享操作
 * @param {JSON} sb 分享操作对象s.s为分享通道对象(plus.share.ShareService)
 * @param {Boolean} bh 是否分享链接
 */
function shareAction(sb, bh) {
	if(!sb || !sb.s) {
		mui.toast('无效的分享服务！');
		return;
	}
	var href=shareUrl+'InvitingFriendsTwos.html';
	if(userId>0) {
		href += "?id=" + userId;
	}
	if (plus.os.name == "Android") {
		if(sb.title=="QQ"){
			var msg = {
				href: href,
				thumbs: '_www/static/img/shareLogo.png',
				pictures:'_www/static/img/shareLogo.png',
				title: '新型农业经营主体信息直报系统',
				content: '由农业农村部开发建设并提供信息直报、补贴政策、贷款保险等服务的公益性平台。',
				extra: {
					scene: sb.x
				}
			}
		}else{
			var msg = {
				href: href,
				thumbs: ['_www/static/img/shareLogo.png'],
				pictures: ['_www/static/img/shareLogo.png'],
				title: '新型农业经营主体信息直报系统',
				content: '由农业农村部开发建设并提供信息直报、补贴政策、贷款保险等服务的公益性平台。',
				extra: {
					scene: sb.x
				}
			}
		}
	} else {
		var msg = {
			href: href,
			thumbs: ['_www/static/img/shareLogo.png'],
			pictures: ['_www/static/img/shareLogo.png'],
			title: '新型农业经营主体信息直报系统',
			content: '由农业农村部开发建设并提供信息直报、补贴政策、贷款保险等服务的公益性平台。',
			extra: {
				scene: sb.x
			}
		}
	}

	// 发送分享
	if(sb.s.authenticated) {
		shareMessage(msg, sb.s); //已授权
	} else {
		sb.s.authorize(function() { //未授权
			shareMessage(msg, sb.s);
		}, function(e) {
			mui.toast('认证授权失败');
		});
	}
}

//分享链接
function shareHref() {
	var shareBts = [];
	// 更新分享列表
	var ss = shares['weixin'];
	ss && ss.nativeClient && (shareBts.push({
			title: '微信朋友圈',
			s: ss,
			x: 'WXSceneTimeline'
		}),
		shareBts.push({
			title: '微信好友',
			s: ss,
			x: 'WXSceneSession'
		}));
	ss = shares['qq'];
	ss && ss.nativeClient && shareBts.push({
		title: 'QQ',
		s: ss
	});
	// 弹出分享列表
	shareBts.length > 0 ? plus.nativeUI.actionSheet({
		title: '分享链接',
		cancel: '取消',
		buttons: shareBts
	}, function(e) {
		(e.index > 0) && shareAction(shareBts[e.index - 1], true);
	}) : plus.nativeUI.alert('当前环境无法支持分享链接操作!');
}
