mui.init();
var oldmobile;
var points = new Vue({
	el: '#cont',
	data: {
		datas: []
	}
});
mui.plusReady(function() {
	var webview = plus.webview.currentWebview();
	oldmobile = plus.storage.getItem('mobile');
	muiid('dqipones').innerText = oldmobile;
	//自动弹出软键盘 input自动获取焦点
	var nativeWebview, imm, InputMethodManager;
	if(mui.os.android) {
		var main = plus.android.runtimeMainActivity();
		var Context = plus.android.importClass("android.content.Context");
		InputMethodManager = plus.android.importClass("android.view.inputmethod.InputMethodManager");
		imm = main.getSystemService(Context.INPUT_METHOD_SERVICE);
	} else {
		nativeWebview = plus.webview.currentWebview().nativeInstanceObject();
	}
	if(mui.os.android) {
		imm.toggleSoftInput(0, InputMethodManager.SHOW_FORCED);
	} else {
		nativeWebview.plusCallMethod({
			"setKeyboardDisplayRequiresUserAction": false
		});
	}
	setTimeout(function() {
		var inputElem = document.getElementById('number');
		inputElem.focus();
	}, 800);
	modSendYzm();

});
//发送验证码
var verfyCode = true;
var code = document.getElementById('getBtn');
code.addEventListener('tap', function() {
	if(verfyCode) {
		modSendYzm();
	}
});

function modSendYzm() {
	ajax(xnzbUrl + '/api-account/sendVerifyCode', {
		data: {
			mobile: oldmobile
		},
		dataType: 'json',
		type: 'get',
		timeout: 20000,
		success: function(data) {
			verfyCode = false;
			var time = 60;
			if(data.code == 0) {
				var t = setInterval(function() {
					time--;
					code.innerHTML = time + "s后重发";
					if(time == 0) {
						clearInterval(t);
						code.innerHTML = "重发验证码";
						verfyCode = true;
					}
				}, 1000);
			} else {
				mui.toast(data.msg);
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
}
//验证验证码是否正确
function Yzm() {
	var verifyCode = muiid('number').value;
	ajax(xnzbUrl + '/api-account/modifyVerify', {
		data: {
			mobile: oldmobile,
			verifyCode: verifyCode
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(data) {
			if(data.code == 0) {
				mui.openWindow({
					url: 'setUp_changeIphoneTwo.html',
					id: 'setUp_changeIphoneTwo',
					styles: {
						top: 0,
						bottom: 0
					},
					extras: {
						oldmobile: oldmobile
					}
				});
			} else {
				mui.toast(data.msg);
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
}
//监听验证码输入
document.getElementById('number').addEventListener('input', function() {
	if(this.value.length == 4) {
		this.blur();
	    Yzm();
	}
});