var files = [];
var i = 1;
var index = 1;
var userImgSrc = null;
var wt = null;
var name, birthday;
var imgWidth, imgHeight, leftpos, toppos, imgpaths;

mui.plusReady(function() {
	token = plus.storage.getItem('token');
	console.log(token)
})

function chagePop(element) {
	var bts = [{
		title: "拍照",
		action: 'camera'
	}, {
		title: "从相册选取",
		action: 'gallery'
	}];
	plus.nativeUI.actionSheet({
			cancel: "取消",
			buttons: bts
		},
		function(e) {
			if(e.index > 0) {
				switch(bts[e.index - 1].action) {
					case 'camera':
						getImage(element);
						break;
					case 'gallery':
						galleryImg(element);
						break;
					default:
						break;
				}
			}
		}
	);
}
//点击拍照执行
function getImage() {
	var cmr = plus.camera.getCamera();
	cmr.captureImage(function(p) {
		plus.io.resolveLocalFileSystemURL(p,
			function(entry) {
				plus.zip.compressImage({
					src: entry.toLocalURL(), //search.src, //src在这里是第一步Url里的src。也就是本地路径
					dst: entry.toLocalURL(),
					overwrite: true,
//					quality: 70,
					width: '300px',
					height: 'auto'
					/*clip: {
						top: toppos + "px",
						left: leftpos + "px",
						width: imgWidth + "px",
						height: imgWidth + "px"
					}*/
				}, function(e) {
					if(imgWidth > 320) {
						plus.zip.compressImage({
							src: e.target,
							dst: e.target,
							overwrite: true,
							width: "320px" // 缩小到原来的一半
						}, function(e) {
							var evjs = getpath(e.target);
							evalJS(evjs);
						}, function(error) {
//							alert("Compress error!");
						});
					} else {
						var fat = plus.webview.currentWebview();
						var evjs = getpath(e.target);
						fat.evalJS(evjs);
					}
				}, function(e) {
					console.log(JSON.stringify(e, null, ""));
				});
			},
			function(e) {
//				plus.nativeUI.alert("读取拍照文件错误：" + e.message);
			});
	}, function(e) {
//		alert("失败：" + e.message);
	}, {
		filename: "_doc/header/pic_" + new Date().getTime() + ".jpg",
		index: i
	});
}
// 从相册中选择图片
function galleryImg(obj) {
	plus.gallery.pick(function(path) {
		plus.zip.compressImage({
			src: path, //search.src, //src在这里是第一步Url里的src。也就是本地路径
			dst: path,
			overwrite: true,
			clip: {
				top: toppos + "px",
				left: leftpos + "px",
				width: imgWidth + "px",
				height: imgWidth + "px"
			}
		}, function(e) {
			if(imgWidth > 320) {
				plus.zip.compressImage({
					src: e.target,
					dst: e.target,
					overwrite: true,
					width: "320px" // 缩小到原来的一半
				}, function(e) {
					var evjs = getpath(e.target);
					evalJS(evjs);
				}, function(error) {
//					alert("Compress error!");
				});
			} else {
				var fat = plus.webview.currentWebview();
				var evjs = getpath(e.target);
				fat.evalJS(evjs);
			}
		}, function(e) {
			console.log(JSON.stringify(e, null, ""));
			mui.toast("上传失败!");
		});
	}, function(e) {}, {
		filter: "image",
		filename: '_doc/header/pic_' + new Date().getTime() + '.jpg'
	});
}
//获取图片路径
function getpath(paths) {
	files = [];
	files.push({
		name: "file",
		path: paths
	});
	index++;
	uploadHeaderImg(paths);
//	console.log(JSON.parse(paths))
}
//上传图片
function uploadHeaderImg(paths) {
	console.log('本地图片路径'+paths);
	var server = baseUrl + '/v1/common/uploadImg?token='+token+'&'+'file'+'='+paths;
//	console.log(server)
	wt = plus.nativeUI.showWaiting('上传中...', {
		width: '100px'
	});
	var task = plus.uploader.createUpload(server, {
			method: "POST"
		},
		function(res, status) { //上传完成
			//console.log(str);
			console.log(status);
			if(status == 200) {
				var str = JSON.parse(res.responseText);
				console.log(str.data)
				imgpaths = str.data.newFileName
				personalData.personalList.headerImg = baseImg+ imgpaths;
                uploadPictures(imgpaths);
				mui.toast("上传成功!");
				wt.close();
			} else {
				mui.toast("上传失败!");
				wt.close();
			}
		}
	);
	for(var i = 0; i < files.length; i++) {
		var f = files[i];
		userImgSrc = f.path;
		task.addFile(f.path, {
			key: f.name
		});
	}
	task.start();
	//30秒还没上传成功则关闭waiting等待框
	if(wt) {
		setTimeout(function() {
			wt.close();
		}, 30000);
	}
	//图片上传成功替换
}
function uploadPictures(imgpaths){
	console.log(imgpaths)
	mui.ajax(baseUrl + '/v1/user/setHeadPic', {
		data: {
			token: plus.storage.getItem('token'),
			headPic:imgpaths
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(res) {
			console.log(JSON.stringify(res));
			if(res.code == 0) {
				if(res.data.status == 2){
					mui.toast('一分钟内请不要重复提交');
				}
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
}
