mui.init();
mui.back = function() {
	var btnArray = ['是', '否'];
	mui.confirm('是否退出应用', '新农直报', btnArray, function(e) {
		if (e.index == 0) {
			plus.runtime.quit();
		}
	})
};
var time;
var businessType;
var aniShow = "pop-in";
var userInfo = new Vue({
	el: '#userData',
	data: {
		userData: [],
		levelData: [],
		noLogin: false,
		integral: 0
	},
	methods: {
		goCreatSubject: function() {
			mui.openWindow({
				url: '/src/userCenter/createsubjectEasy.html',
				id: 'createsubjectOne',
				styles: {
					top: 0,
					bottom: 0
				}
			});
		},
		goLogin: function() {
			login();
		},
		goMypoints: function() {
			if(!isLogin()) {
				return false
			}
			var params = {
				title: '我的页面',
				mobile: plus.storage.getItem('mobile'),
				actionName: '进入我的积分'
			}
			var token = plus.storage.getItem('token')
			if (token) {
				params.token = token
			}
			buryPoint(params, function() {
				window.showLoadedPage({
					url: 'myIntegral.html',
					id: 'myIntegral',
					styles: {
						top: 0,
						bottom: 0
					},
					delay:500
				})
			})
				// window.showLoadedPage({
				// 	url: 'integralActive.html',
				// 	id: 'integralActive',
				// 	styles: {
				// 		top: 0,
				// 		bottom: 0
				// 	},
				// 	delay:500
				// })
		}
	}
});
var btn = document.getElementById("btns");
var show = document.getElementById("constract");
var mark = document.getElementById("mark");
btn.onclick = function() {
	mark.style.display = "none";
};
show.onclick = function() {
	mark.style.display = "block";
};
var num;
var myDate = new Date(); //获取系统当前时间
var currentYear = myDate.getFullYear(); //获取完整的年份
var lastYear = myDate.getFullYear() - 1; //获取去年的年份
var currentMonth = myDate.getMonth() + 1; //获取当前月份
var currentDay = myDate.getDate(); //获取当前日(1-31)
mui.plusReady(function() {

	if(token) {
		mySubjectFun();
		getIntegral()
	}
	function getIntegral() {
		mui.ajax(xnzbUrl + '/account-service/pageAds/getIntegral?token=' + token, {
			dataType: 'json',
			type: 'get',
			success: function(res) {
				if (res.code === 0) {
					if (res.data.integral !== undefined && res.data.integral !== null) {
						userInfo.integral = res.data.integral
					}
				}
			},
			error: function(xhr, type, errorThrown) {}
		})
	}
	function mySubjectFun() {
		ajax(xnzbUrl + '/api-report/report/myFarm.json', {
			data: {
				token: token
			},
			dataType: 'json',
			type: 'POST',
			timeout: 10000,
			success: function(data) {
				console.log(data)
				userInfo.levelData = data.data;
				var isAuths = data.data.is_auth;
				console.log(isAuths)
				if(isAuths == 8){
					document.getElementById('gorenz').style.display = 'block'
				}else {
                    document.getElementById('gorenz').style.display = 'none'
				}
				if(data.data.city=="杭州市" && data.data.district=="余杭区"){
          document.getElementById('myTiex').style.display = 'block'
				}else {
          document.getElementById('myTiex').style.display = 'none'
				}
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("网络繁忙，请稍后重试！");
			}
		});
	}
	// 1 判断是否显示金融模块信息
	if(mui.os.ios) {
		ajax(xnzbUrl + '/api-account/commonConfig/getConfigInfo', {
			dataType: 'json',
			type: 'get',
			data: {
				v: iosVersion
			},
			timeout: 10000,
			success: function(data) {
				var isShow = data.data.isShow;
				if(isShow == 'false') {
					document.getElementById('myloan').style.display = 'none';
					document.getElementById('myinsurance').style.display = 'none';
				}
			}
		});
	}
	token = plus.storage.getItem('token');
	var currentWebview = plus.webview.currentWebview();

	currentWebview.addEventListener('show', function() {
		console.log('show-show-show-show')
		getIntegral()
	})

	window.addEventListener('refresh', function(e){//执行刷新
		console.log('refresh-refresh-refresh')
		getIntegral()
	})

	var directReport = plus.webview.getWebviewById('directReport');
	mui.fire(directReport, 'dpreload', {
		dpreload: 1
	});
	//监听弹出登录的自定义事件
	document.addEventListener('noLogin', function(event) {
		var islogin = event.detail.islogin;
		if(islogin == 0) {
			login();
		}
	});
	//监听登录成功的自定义事件
	document.addEventListener('ucreloadsss', function(event) {
		var ucreload = event.detail.ucreloadsss;
		if(ucreload == 0) {
			//请求用户详情接口
			ajax(xnzbUrl + '/api-account/getUserByToken', {
				data: {
					token: plus.storage.getItem('token')
				},
				dataType: 'json',
				type: 'get',
				timeout: 10000,
				success: function(data) {
					if(!data.code) {
						mySubjectFun();
						userInfo.userData = data.data;
						plus.storage.setItem('mobile', data.data.contact);
					}
				},
				error: function(xhr, type, errorThrown) {
					mui.toast('网络繁忙，请稍后重试！');
				}
			});
			userInfo.noLogin = false;
		}
	});
	//监听退出登录的自定义事件
	document.addEventListener('ucreload', function(event) {
		var reloads = event.detail.ucreload;
		if(reloads == 1) {
			userInfo.userData = [];
			userInfo.noLogin = true;
		}
	});
	document.addEventListener('pointsreload', function(event) {
		var pointsreload = event.detail.pointsreload;
		if(pointsreload == 1) {
			mySubjectFun();
			ajax(xnzbUrl + '/api-account/getUserByToken', {
				data: {
					token: token
				},
				dataType: 'json',
				type: 'get',
				timeout: 10000,
				success: function(data) {
					console.log(JSON.stringify(data));
					if(!data.code) {
						userInfo.userData = data.data;
						plus.storage.setItem('mobile', data.data.contact);
						plus.storage.removeItem('province');
						plus.storage.removeItem('city');
						plus.storage.removeItem('district');
						if(data.data.province != '' && data.data.province != null && plus.storage.getItem('province') == null) {
							plus.storage.setItem('province', data.data.province);
						}
						if(data.data.city != '' && data.data.city != null && plus.storage.getItem('city') == null) {
							plus.storage.setItem('city', data.data.city);
						}
						if(data.data.district != '' && data.data.district != null && plus.storage.getItem('district') == null) {
							plus.storage.setItem('district', data.data.district);
						}
					}
				},
				error: function(xhr, type, errorThrown) {
					mui.toast('网络繁忙，请稍后重试！');
				}
			});
		}
	});
	//请求用户详情接口
	ajax(xnzbUrl + '/api-account/getUserByToken', {
		data: {
			token: token
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(data) {
			if(!data.code) {
				userInfo.userData = data.data;
				plus.storage.setItem('mobile', data.data.contact);
				plus.storage.removeItem('province');
				plus.storage.removeItem('city');
				plus.storage.removeItem('district');
				if(data.data.province != '' && data.data.province != null && plus.storage.getItem('province') == null) {
					plus.storage.setItem('province', data.data.province);
				}
				if(data.data.city != '' && data.data.city != null && plus.storage.getItem('city') == null) {
					plus.storage.setItem('city', data.data.city);
				}
				if(data.data.district != '' && data.data.district != null && plus.storage.getItem('district') == null) {
					plus.storage.setItem('district', data.data.district);
				}
				checkfinancial();
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络繁忙，请稍后重试！');
		}
	});
});

//获取财务报表配置，根据地区显示或隐藏
function checkfinancial(){
	//获取登录后引导用户认证的弹出框设置
	ajax(prUrl + '/train/getProtocolText?keycode=user_financial',{
		type:'GET',
		data:{},
		datatype:'json',
		success : function(response){
			response = JSON.parse(response)
			if(response.code === 1){
				console.log(response.data);
				var setting=JSON.parse(response.data);
				console.log("sss"+JSON.stringify(setting));
				if(setting.enabled==1) {
					if(setting.white_province.indexOf(userInfo.userData.province)>=0) {
						//当前主体的省在白名单中
						bindFinancialClick();
					}
				}
				else {
					//没有开启验证
					bindFinancialClick();
				}
			}
			else {
				console.log("不是"+response.code);
			}
		}
	})
}
//点击去登陆
/*document.querySelector('.load').addEventListener('tap', function() {
	login();
});*/
//去创建主体
/*muiid('goCreatSubject').addEventListener('tap', function() {
	mui.openWindow({
		url: '/src/userCenter/createsubjectOne.html',
		id: 'createsubjectOne',
		styles: {
			top: 0,
			bottom: 0
		}
	});
});*/
//我的积分
/*muiid('myPoints').addEventListener('tap', function() {
	if(isLogin()) {
		mui.openWindow({
			url: 'myPoints.html',
			id: 'myPoints',
			styles: {
				top: 0,
				bottom: 0
			},
			extras:{
				businessType:businessType
			}
		});
	}
});*/
//设置
muiid('setUp').addEventListener('tap', function() {
	if(isLogin()) {
		window.showLoadedPage({
			url: 'setUp.html',
			id: 'setUp',
			styles: {
				top: 0,
				bottom: 0
			},
			extras: {
				mobile: userInfo.userData.contact
			},
			delay:500
		});
	}
});
//个人资料
muiid('personaldata').addEventListener('tap', function() {
	if(isLogin()) {
		var href = 'personaldata.html';
		var id = 'personaldata';
		mui.openWindow({
			url: href,
			id: id,
			styles: {
				top: 0,
				bottom: 0
			}
		});
	}
});
//经营主体
muiid('mySubject').addEventListener('tap', function() {
	var mySubject = function() {
		var href = 'mySubject.html';
		var id = 'mySubject';
		var dpWeb = plus.webview.getWebviewById('mySubject');
		mui.fire(dpWeb, 'relod', {
			reload: 5
		});
		window.showLoadedPage({
			url: href,
			id: id,
			styles: {
				top: 0,
				bottom: 0
			},
			delay: 500
		});
	}
	isCreatSubject(mySubject);
});
//我的直报
muiid('directReportLook').addEventListener('tap', function() {
	var obj = new Object();
	var directReportLook = function() {
		ajax(xnzbUrl + '/api-report/report/myFarm.json', {
			data: {
				token: token
			},
			dataType: 'json',
			type: 'POST',
			timeout: 10000,
			success: function(data) {
				businessType = data.data.businessType;
				var isauth=data.data.is_auth;
				plus.storage.setItem('businessTypes', businessType);
				ajax(xnzbUrl + '/api-report/form/queryByCategory.json', {
					data: {
						token: token,
						year: lastYear,
						category: 2
					},
					dataType: 'json',
					type: 'get',
					timeout: 10000,
					success: function(data) {
						if(data.data.isFormData == 0||isauth==0) {
							obj.particularYear = lastYear;
							obj.currentMonth = currentMonth;
							obj.currentDay = currentDay;
							obj.num = 1;
							window.showLoadedPage({
								url: '/src/directReport/directReportLook.html',
								id: 'directReportLook',
								styles: {
									top: 0,
									bottom: 0
								},
								extras: {
									time: obj
								},
								delay: 500
							});
						} else {
							obj.particularYear = currentYear;
							obj.currentMonth = currentMonth;
							obj.currentDay = currentDay;
							obj.num = 2;
							console.log(JSON.stringify(obj));
							window.showLoadedPage({
								url: '/src/directReport/directReportLook.html',
								id: 'directReportLook',
								styles: {
									top: 0,
									bottom: 0
								},
								extras: {
									time: obj
								},
								delay: 500
							});
						}
					},
					error: function(xhr, type, errorThrown) {
						//					mui.toast("网络繁忙，请稍后重试！");
					}
				});
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("网络繁忙，请稍后重试！");
			}
		});
	}
	isCreatSubject(directReportLook);

	/*ajax(xnzbUrl + '/api-report/form/yearOfFormInfo.json', {
		data: {
			token: token,
			year: currentYear,
			category: 2
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(data) {
			if(data.code=="10120"){
				obj.particularYear=lastYear;
				obj.currentMonth=currentMonth;
				obj.currentDay=currentDay;
				obj.businessType=businessType;
				obj.num=1;
				isCreatSubject(directReportLook);
			}else{
				obj.particularYear=currentYear;
				obj.currentMonth=currentMonth;
				obj.currentDay=currentDay;
				obj.businessType=businessType;
				obj.num=2;
				isCreatSubject(directReportLook);
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("网络繁忙，请稍后重试！");
		}
	});
	var directReportLook = function() {
		var href = '../directReport/directReportLook.html';
		var id ='directReportLook';
		mui.openWindow({
			url: href,
			id: id,
			styles: {
				top: 0,
				bottom: 0
			},
			extras: {
				time: obj
			}
		});
	}*/
	//	isCreatSubject(directReportLook);
});
//我的统计
muiid('myStats').addEventListener('tap', function() {
	var myStats = function() {
		var href = 'myStats.html';
		var id = 'myStats';
		mui.openWindow({
			url: href,
			id: id,
			styles: {
				top: 0,
				bottom: 0
			}
		});
	}
	isCreatSubject(myStats);
});
//我的销售
muiid('mySales').addEventListener('tap', function() {
	var mySales = function() {
		var href = 'mySales.html';
		var id = 'mySales';
		mui.openWindow({
			url: href,
			id: id,
			styles: {
				top: 0,
				bottom: 0
			}
		});
	}
	isCreatSubject(mySales);
});
//我的收藏
muiid('myCollection').addEventListener('tap', function() {
	if(isLogin()) {
		window.showLoadedPage({
			url: 'myCollection.html',
			id: 'myCollection',
			styles: {
				top: 0,
				bottom: 0
			},
			delay:500
		});
	}
});
//我的保险
muiid('myinsurance').addEventListener('tap', function() {
	var myinsurance = function() {
		var href = '../support/pages/insurance/myinsurance.html';
		var id = 'myinsurance';
		window.showLoadedPage({
			url: href,
			id: id,
			styles: {
				top: 0,
				bottom: 0
			},
			delay:500
		});
	}
	isCreatSubject(myinsurance);
});
//我的贷款
muiid('myloan').addEventListener('tap', function() {
	var myloan = function() {
		var href = '../support/pages/loan/myloan.html';
		var id = 'myloan';
		window.showLoadedPage({
			url: href,
			id: id,
			styles: {
				top: 0,
				bottom: 0
			},
			delay:500
		});
	}
	isCreatSubject(myloan);
});
//重新认证
muiid('gorenz').addEventListener('tap', function() {
	ajax(xnzbUrl + '/api-account/getCurrentTime', {
			data: {},
			dataType: 'json',
			type: 'GET',
			timeout: 10000,
			success: function(data) {
				if(data.code == 0) {
					time = data.data.time;
					var myDate = new Date(time); //获取系统当前时间
					var lastYear = myDate.getFullYear() - 1;
					var currentMonth = myDate.getMonth() + 1; //获取当前月份
					var currentDay = myDate.getDate(); //获取当前日(1-31)
					var objj={};
					objj.particularYear = lastYear;
					objj.currentMonth = currentMonth;
					objj.currentDay = currentDay;
					objj.num = 1;
					window.showLoadedPage({
						url: '../directReport/directReportLook.html',
						id: 'directReportLook',
						styles: {
							top: 0,
							bottom: 0
						},
						extras: {
							time: objj
						},
						delay:500
					})
				}
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("网络繁忙，请稍后重试！");
			}
		})
});
//我的邀请
muiid('InvitingFriendsOne').addEventListener('tap', function() {
	mui.openWindow({
		url: 'InvitingFriendsOne.html',
		id: 'InvitingFriendsOne',
		styles: {
			top: 0,
			bottom: 0
		}
	});
});
muiid('constract').addEventListener('tap', function() {
	mark.style.display = "block";
});

//我要服务
muiid('server').addEventListener('tap', function() {
	isCreatSubject(function () {
		window.showLoadedPage({
			url: '../support/pages/service/myservice.html',
			id: 'myservice',
			styles: {
				top: 0,
				bottom: 0
			},
			delay:500
		});
	});
});

// 我的培训
muiid('myTran').addEventListener('tap', function(){
	isCreatSubject(function () {
		window.showLoadedPage({
			url: '../myTran/mytranclasslist.html',
			id: 'mytranclasslist',
			delay:500
		});
	});
})
//我的产品
muiid('myproduct').addEventListener('tap', function() {
    isCreatSubject(function () {
        window.showLoadedPage({
            url: '../support/pages/business/myproduct.html',
            id: 'myproduct',
            styles: {
                top: 0,
                bottom: 0
            },
            delay:500
        });
    });
});

//我的买卖
muiid('mybusiness').addEventListener('tap', function() {
    isCreatSubject(function () {
        window.showLoadedPage({
            url: '../support/pages/business/mybusiness.html',
            id: 'mybusiness',
            styles: {
                top: 0,
                bottom: 0
            },
            delay:500
        });
    });
});
//我的补贴
muiid('mysubsidy').addEventListener('tap', function() {
	isCreatSubject(function () {
		window.showLoadedPage({
			url: '../subsidy/mysubsidylist.html',
			id: 'mysubsidylist',
			delay:500
		});
	});
});
//我的补贴仓储物流
muiid('mysubsidycangc').addEventListener('tap', function() {
  isCreatSubject(function () {
    window.showLoadedPage({
      url: '../subsidy/mysubsidylistcangc.html',
      id: 'mysubsidylistcangc',
      delay:500
    });
  });
});
//我的贴息
muiid('myTiex').addEventListener('tap', function() {
      var href = '../directReport/tiexlist.html';
      var id = 'tiexlist';
      window.showLoadedPage({
        url: href,
        id: id,
        styles: {
          top: 0,
          bottom: 0
        },
        delay:500
      });
});
// function mySubjectFun(callback) {
//   ajax(xnzbUrl + '/api-report/report/myFarm.json', {
//     data: {
//       token: token
//     },
//     dataType: 'json',
//     type: 'POST',
//     timeout: 10000,
//     success: function(data) {
//       console.log(JSON.stringify(data))
//       var res = data.data;
//       if(res.is_auth == 7 && res.district=="余杭区"){
//         callback(true)
//       }else {
//         callback(false)
//       }
//     },
//     error: function(xhr, type, errorThrown) {
//       mui.toast("网络繁忙，请稍后重试！");
//     }
//   });
// }

/**
 * 财务报表绑定点击
 */
function bindFinancialClick() {
	$("#financial-statement").show();
	muiid('financial-statement').addEventListener('tap', function () {
		isCreatSubject(function () {
			window.showLoadedPage({
				url: '../risk/financialStatement.html',
				id: 'financialStatement',
				styles: {
					top: 0,
					bottom: 0
				},
				delay: 500
			});
		});
	});
};
// ajax(xnzbUrl + '/api-account/getCurrentTime', {
// 		data: {},
// 		dataType: 'json',
// 		type: 'GET',
// 		timeout: 10000,
// 		success: function(data) {
// 			console.log(data)
// 			if(data.code == 0) {
// 				time = data.data.time;
// 			}
// 		},
// 		error: function(xhr, type, errorThrown) {
// 			mui.toast("网络繁忙，请稍后重试！");
// 		}
// 	})


